dcl_settings : default_dcl_settings { audit_level = 0;}
// main ------------------------------
main : dialog {
  label = "Choose Default settings";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "main";
    :radio_button {
      key = "mm";
      label = "Metric";
    }
    :radio_button {
      key = "inch";
      label = "Foot-Inch";
    }
  }
  ok_only;
}
// end main ---------------------------
indb_dwgdata :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 :row {
  :boxed_column {
label = "Please enter Drawing data:";
alignment = centered;
fixed_width = true;
:edit_box {
  label = "Clients Name :";
  key = "t1";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t13";
  label = "End User:";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t2";
  label = "Consultant: ";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t12";
  label = "Company Job No: ";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t9";
  label = "Project No: ";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t10";
  label = "Equipment No: ";
  edit_width = 15;
  edit_limit = 25;
}
:edit_box {
  key = "t11";
  label = "Tag No: ";
  edit_width = 15;
  edit_limit = 25;
}
  }
  :boxed_column {
alignment = centered;
fixed_width = true;
:edit_box {
  key = "t3";
  label = "Drawn by: ";
  edit_width = 5;
  edit_limit = 5;
}
:edit_box {
  key = "t4";
  label = "Checked by: ";
  edit_width = 5;
  edit_limit = 5;
}
:edit_box {
  key = "t5";
  label = "Appd by: ";
  edit_width = 5;
  edit_limit = 5;
}
:edit_box {
  key = "t6";
  label = "Date: ";
  edit_width = 12;
  edit_limit = 12;
}
:edit_box {
  key = "t7";
  label = "Drawing No: ";
  edit_width = 18;
  edit_limit = 18;
}
:edit_box {
  key = "t14";
  label = "Rev No: ";
  edit_width = 5;
  edit_limit = 5;
}
  }
 }
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// end input_drawing data

// start hst -------------------
endtype_hst: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  alignment = centered;
  fixed_width = true;
key = "entype";
:radio_button {
  key = "dish";
  label = "Dished Ends";
}
:radio_button {
  key = "flat";
  label = "Flat Ends";
}
:radio_button {
  key = "hemi";
  label = "Hemispherical Ends";
}
}
  ok_only;
}

input_veshst_dish :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  label = "Horizontal Storage Tank with Dish Ends";
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Width of Plate:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
    ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

input_veshst_flat :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  label = "Horizontal Storage Tank with Flat Ends";
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Width of Plate:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
    ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

mochst_dish :dialog {
  aspect_ratio = 0.0;
  label = "Material of Construction and Specific Gravity of Parts";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:row {
:edit_box {
  label = "Shell:";
  key = "moc_sh_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_sh_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Tori Dish Ends:";
  key = "moc_dish_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
  }
:edit_box {
  key = "spgr_dish_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Nozzle Neck:";
  key = "moc_nozne_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
  }
:edit_box {
  key = "spgr_nozne_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Nozzle Flange:";
  key = "moc_nozfl_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_nozfl_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Gasket for Nozzle Flange:";
  key = "moc_gasnoz_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_gasnoz_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Reinforcing Pad:";
  key = "moc_rfpad_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_rfpad_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Saddle Supports:";
  key = "moc_saddle_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_saddle_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
}
    ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

mochst_flat :dialog {
  aspect_ratio = 0.0;
  label = "Material of Construction and Specific Gravity of Parts";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:row {
:edit_box {
  label = "Shell:";
  key = "moc_sh_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_sh_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Flat Ends:";
  key = "moc_flat_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
  }
:edit_box {
  key = "spgr_flat_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Nozzle Neck:";
  key = "moc_nozne_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
  }
:edit_box {
  key = "spgr_nozne_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Nozzle Flange:";
  key = "moc_nozfl_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_nozfl_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Gasket for Nozzle Flange:";
  key = "moc_gasnoz_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_gasnoz_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Reinforcing Pad:";
  key = "moc_rfpad_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_rfpad_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
  }
 :row {
:edit_box {
  label = "Saddle Supports:";
  key = "moc_saddle_db";
  edit_width = 15;
  edit_limit = 25;
  horizontal_alignment = right;
 }
:edit_box {
  key = "spgr_saddle_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
}
   ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

moc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  label = "Material of Construction";
  alignment = centered;
  fixed_width = true;
key = "moc";
:radio_button {
  key = "cs";
  label = "All parts of Carbon Steel";
}
:radio_button {
  key = "ss";
  label = "All parts of Stainless Steel";
}
}
  ok_only;
}

sad1: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
  label = "Saddle Required?";
  alignment = centered;
  fixed_width = true;
key = "sad";
:radio_button {
  key = "yes";
  label = "Steel Saddle";
}
:radio_button {
  key = "no";
  label = "No saddle";
}
  }
  ok_only;
}

saddle :dialog {
  aspect_ratio = 0.0;
  label = "Saddle Supports";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_row {
:column {
: image {
 key= "saddle";
 width  = 50;
 aspect_ratio   = 0.5;
 color  = 250;
}
}
:boxed_column {
:edit_box {
  label = "Dimesion A :";
  key = "dima_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion B :";
  key = "dimb_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion C :";
  key = "dimc_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion D :";
  key = "dimd_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion E :";
  key = "dime_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion F :";
  key = "dimf_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion G :";
  key = "dimg_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
}
:boxed_column {
:edit_box {
  label = "Dimesion H :";
  key = "dimh_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Bolt Dia :";
  key = "bdia_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "No. of Bolts :";
  key = "nob_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Weld Size :";
  key = "weldsiz_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Rib Width :";
  key = "riba_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Rib Thickness :";
  key = "ribb_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "No of Ribs :";
  key = "norib_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
}
}
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

saddle1 :dialog {
  aspect_ratio = 0.0;
  label = "Saddle Supports";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_row {
:column {
: image {
 key= "saddle1";
 width  = 50;
 aspect_ratio   = 0.5;
 color  = 250;
}
}
:boxed_column {
:edit_box {
  label = "Dimesion A :";
  key = "dima_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion B :";
  key = "dimb_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion C :";
  key = "dimc_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
:edit_box {
  label = "Dimesion D :";
  key = "dimd_db";
  edit_width = 5;
  edit_limit = 5;
  horizontal_alignment = right;
 }
}
}
  ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}

// end hst----------------------
