;(defun ldi  () (load_dialog "noz.dcl"))
(princ "\nLoading Nozzle Program, Please wait ...")
(defun C:noz () (nozzle))
(defun rtd (a) (* (/ a pi) 180.0))
(defun dtr (a) (* (/ a 180.0) pi))
;----------------------------------------------------------------
(defun settile ( demo )
	(set_tile "program" "Vessel Program by")
	(set_tile "company" "Satish Lele")
	(set_tile "tel" "91-98202 77283")
	(set_tile "email" "leleequip@gmail.com")
	(set_tile "website" "www.svlele.com/vessel.htm")
  (if (= demo 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in trial mode")
  ))
(princ)
); end settile--------------------------------------------------
(defun input_units ( / i1)
  (setq optionno 1)
(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves_noz.dcl"))
	(if (not (new_dialog "mmin" i1)) (exit))
  	(settile demo)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"mmin\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(setq demo 0) (princ)
) ;-------End input_units--------------------------------------------
(defun nozzle ()
    (input_units)
    (input_noztype)


) ; part end nozzle -----------------
(defun input_noztype ( / i1)
	(setq i1 (load_dialog "ves_noz.dcl"))
	(if (not (new_dialog "noztype" i1)) (exit))
  	(settile demo)
  	(set_tile "noz" "1")
  	(action_tile "accept" "(setq nozopt (get_tile \"nozt\"))")
  	(start_dialog)
  	(unload_dialog i1)
    (cond
      ((= nozopt "noz") (setq t1 1 t2 1) (sel_fla t1 t2))
      ((= nozopt "nbf") (setq t1 1 t2 2) (sel_fla t1 t2))
      ((= nozopt "bfl") (setq t1 1 t2 3) (sel_fla t1 t2))
      ((= nozopt "cir") (setq t1 2 t2 1) (sel_fla t1 t2))
    )
) ; -----------------


;end nozzle -------------------------------------------------------
(defun circview ( odp odf pcd nob dob rfd i8 i9 bl / p2 p3 os la)
   (setq os (getvar "osmode"))
        (setvar "osmode" 512)
	(setq p2 (getpoint "\nCenter Point : ")
	      p3 (polar p2 (/ PI (float nob)) (/ pcd m1 2.0))
	)
        (setvar "osmode" 0)
        (Command "_circle" p2 (/ odf m1 2.0)
	         "_linetype" "s" "center" ""
	         "_circle" p2 (/ pcd m1 2.0)
	         "_linetype" "s" "continuous" ""
        )
	(if (= bl 1) (command "_circle" p2 (/ odp m1 2.0)))
;        (initget "Y N")
;        (if (not i9) (setq i9 (strcase (getstring "\nIs the Flange Raised Faced? (Y/N)  : <N> :  "))))
	(if (or (= i9 "Y") (= i9 "y") (= i9 1))
	  (Command "_circle" p2 (/ rfd m1 2.0)
	           "_circle" p2 (- (/ rfd m1 2.0) (/ (- (/ rfd m1) (/ odp m1)) 8))
	           "_circle" p2 (- (/ rfd m1 2.0) (* 2 (/ (- (/ rfd m1) (/ odp m1)) 8)))
	           "_circle" p2 (- (/ rfd m1 2.0) (* 3 (/ (- (/ rfd m1) (/ odp m1)) 8)))
	  )
	)
	(Command "_circle" p3 "D" (/ (+ dob 2) m1)
	         "_array" "L" "" "P" p2 nob "" "N"
        )
	(setvar "osmode" os)
  (princ)
) ;---------------------------------------------------------------------
(defun noz_bs10 ( i1 i2 i3 i4 i5 i6 i7 i8 i9 /
		 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12 p13 p14 p15 
		 pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 pt11 pt12
		 a1 a2 a3 os la)
  ;89 184 146 4 16 10 127 1
  (setvar "Cmdecho" 0)
  (setvar "luprec" 0)
   (setq os (getvar "osmode"))
           (setvar "osmode" 512)
  	(setq p3 (getpoint "\nInsertion Point of Nozzle on Vessel : "))
           (setvar "orthomode" 1) 
           (setvar "osmode" 0)
        (setq p2 (getpoint p3 "\nPoint towads Nozzle end : ")
              a1 (angle p3 p2)
	)
;  	(while (not i9) (initget 6 "Y N")(setq i9 (getkword "\nRaised Face Yes or No <Y> : ")))
;	   (if (= i9 "") (setq i9 "Y"))
           (setq a2 (+ a1 (/ PI 2.0))
		 a3 (- a1 (/ PI 2.0))
	         p1 (polar p3 a1(- nozlen (/ i6 m1)))
	         p8 (polar p1 a2 (/ (/ i2 m1) 2.0))
	         p9 (polar p1 a3 (/ (/ i2 m1) 2.0))
           )
           (if (or (= i9 "Y") (= i9 "y") (= i9 1))
	    (progn
	      (setq p10 (polar p8 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p11 (polar p9 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p14 (polar p10 a3 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p15 (polar p11 a2 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p12 (polar p14 a1 (/ 1.5 m1))
	            p13 (polar p15 a1 (/ 1.5 m1))
	      )
		(command "_line" p8 p10 p14 p12 p13 p15 p11 p9 p8 ""
			 "_line" p14 p15 ""
	        )
	     )
	    (progn
	       (setq p10 (polar p8 a1 (/ i6 m1))
	             p11 (polar p9 a1 (/ i6 m1)))
		(command "_line" p8 p10 p11 p9 p8 ""
                )
	     )
         )
         (setq pt1 (polar p1 a2 (/ i3 2.0 m1))
 	       pt2 (polar p1 a3 (/ i3 2.0 m1))
 	       pt3 (polar pt1 a1 (/ (* i6 1.5) m1))
 	       pt4 (polar pt2 a1 (/ (* i6 1.5) m1))
 	       pt5 (polar pt1 (+ a1 pi) (/ (* i6 0.5) m1))
 	       pt6 (polar pt2 (+ a1 pi) (/ (* i6 0.5) m1))
               pt7 (polar p1 a2 (/ i1 2.0 m1))
	       pt8 (polar p1 a3 (/ i1 2.0 m1))
	       pt9 (polar p3 a2 (/ i1 2.0 m1))
 	       pt10 (polar p3 a3 (/ i1 2.0 m1))
 	       pt11 (polar p1 a1 (/ (* i6 2.0) m1))
 	       pt12 (polar p3 (+ a1 pi) (/ (* i6 1.5) m1))
 	 )
		(command "_linetype" "set" "center" ""
  		         "_line" pt3 pt5 ""
			 "_line" pt4 pt6 ""
  		         "_line" pt7 pt9 ""
			 "_line" pt8 pt10 ""
			 "_line" pt11 pt12 ""
			 "_linetype" "set" "continuous" ""
	        )
	(setvar "osmode" os)
  (if ( and (= t1 1) (= t2 2))
    (setq pblf (polar p1 a1 i6)
  	  ablf (+ a1 pi)
    )
  )
	(redraw)(princ)
) ; end noz_bs10----------------------------------------------
(defun noz_so ( i1 i2 i3 i4 i5 i6 i12 i7 i8 i9 /
		 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12 p13 p14 p15 p16 p17 p18 p19
		 pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 pt11 pt12
		 a1 a2 a3 os la)
  ;89 191 152 4 16 24 30 127 i8 i9 so
  ;89 184 146 4 16 10    127 i8 i9 bs10
  (setvar "Cmdecho" 0)
  (setvar "luprec" 0)
   (setq os (getvar "osmode"))
           (setvar "osmode" 512)
  	(setq p3 (getpoint "\nInsertion Point of Nozzle on Vessel : "))
           (setvar "orthomode" 1) 
           (setvar "osmode" 0)
        (setq p2 (getpoint p3 "\nPoint towads Nozzle end : ")
              a1 (angle p3 p2)
	)
;  	(while (not i9) (initget 6 "Y N")(setq i9 (getkword "\nRaised Face Yes or No <Y> : ")))
;	   (if (= i9 "") (setq i9 "Y"))
           (setq a2 (+ a1 (/ PI 2.0))
		 a3 (- a1 (/ PI 2.0))
	         p1 (polar p3 a1(- nozlen (/ i6 m1)))
	         p8 (polar p1 a2 (/ (/ i2 m1) 2.0))
	         p9 (polar p1 a3 (/ (/ i2 m1) 2.0))
	         p16 (polar p1 a2 (+ (/ i1 2.0 m1) (/ (- i12 i6) m1)))
	         p17 (polar p1 a3 (+ (/ i1 2.0 m1) (/ (- i12 i6) m1)))
	         p18 (polar p16 (+ a1 pi) (/ (- i12 i6) m1))
	         p19 (polar p17 (+ a1 pi) (/ (- i12 i6) m1))
           )
           (if (or (= i9 "Y") (= i9 "y") (= i9 1))
	    (progn
	      (setq p10 (polar p8 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p11 (polar p9 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p14 (polar p10 a3 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p15 (polar p11 a2 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p12 (polar p14 a1 (/ 1.5 m1))
	            p13 (polar p15 a1 (/ 1.5 m1))
	      )
		(command "_line" p8 p10 p14 p12 p13 p15 p11 p9 p17 p19 p18 p16 p8 ""
			 "_line" p14 p15 ""
			 "_line" p16 p17 ""
	        )
	     )
	    (progn
	       (setq p10 (polar p8 a1 (/ i6 m1))
	             p11 (polar p9 a1 (/ i6 m1)))
		(command "_line" p8 p10 p11 p9 p17 p19 p18 p16 p8 ""
			 "_line" p16 p17 ""
                )
	     )
         )
         (setq pt0 (polar p1 (+ a1 pi) (/ (- i12 i6) m1))
	       pt1 (polar p1 a2 (/ i3 2.0 m1))
 	       pt2 (polar p1 a3 (/ i3 2.0 m1))
 	       pt3 (polar pt1 a1 (/ (* i6 1.5) m1))
 	       pt4 (polar pt2 a1 (/ (* i6 1.5) m1))
 	       pt5 (polar pt1 (+ a1 pi) (/ (* i6 0.5) m1))
 	       pt6 (polar pt2 (+ a1 pi) (/ (* i6 0.5) m1))
               pt7 (polar pt0 a2 (/ i1 2.0 m1))
	       pt8 (polar pt0 a3 (/ i1 2.0 m1))
	       pt9 (polar p3 a2 (/ i1 2.0 m1))
 	       pt10 (polar p3 a3 (/ i1 2.0 m1))
 	       pt11 (polar p1 a1 (/ (* i6 2.0) m1))
 	       pt12 (polar p3 (+ a1 pi) (/ (* i6 1.5) m1))
 	 )
		(command "_linetype" "set" "center" ""
  		         "_line" pt3 pt5 ""
			 "_line" pt4 pt6 ""
  		         "_line" pt7 pt9 ""
			 "_line" pt8 pt10 ""
			 "_line" pt11 pt12 ""
			 "_linetype" "set" "continuous" ""
	        )
	(setvar "osmode" os)
  (if ( and (= t1 1) (= t2 2))
    (setq pblf (polar p1 a1 i6)
  	  ablf (+ a1 pi)
    )
  )
	(redraw)(princ)
) ; end noz_so -------------------------------------
(defun noz_wn ( i1 i2 i3 i4 i5 i6 i12 i7 i8 i9 / p1 p3 p8 p9 p10 
                 p11 p12 p13 p14 p15 p19 p20 pll1 pul1 pll2 pul2
                 p21 p22 p23 p24 p25 p26 p27
	         pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 pt11 pt12
	         a1 a2 a3 os la)
   (setq os (getvar "osmode"))
           (setvar "Cmdecho" 0)
           (setvar "luprec" 0)
           (setvar "osmode" 512)
  	(setq p3 (getpoint "\nInsertion Point of Nozzle on Vessel : "))
           (setvar "orthomode" 1) 
           (setvar "osmode" 0)
        (setq p2 (getpoint p3 "\nPoint towads Nozzle end : ")
              a1 (angle p3 p2)
	)
           (setvar "osmode" 0) 
;  	   (while (not i9) (initget 6 "Y N")(setq i9 (getkword "\nRaised Face Yes or No <Y> : ")))
;	   (if (= i9 "") (setq i9 "Y"))
  ;89 191 152 4 16 24 30 127 i8 i9 so
  ;89 184 146 4 16 10    127 i8 i9 bs10
  ;89 191 152 4 16 24 70 127 i8 i9 wn
           (setq a2 (+ a1 (/ PI 2.0))
		 a3 (- a1 (/ PI 2.0))
	         p1 (polar p3 a1(- nozlen (/ i6 m1)))
	         p8 (polar p1 a2 (/ (/ i2 m1) 2.0))
	         p9 (polar p1 a3 (/ (/ i2 m1) 2.0))
           )
         (if (or (= i9 "Y") (= i9 "y") (= i9 1))
	    (progn
	      (setq p10 (polar p8 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p11 (polar p9 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p12 (polar p10 a3 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p13 (polar p11 a2 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p14 (polar p12 a1 (/ 1.5 m1))
	            p15 (polar p13 a1 (/ 1.5 m1))
	            p16 (polar p1 a2 (+ (/ i1 2.0 m1) (/ i6 2.0 m1)))
	            p17 (polar p1 a3 (+ (/ i1 2.0 m1) (/ i6 2.0 m1)))
	       )
		(command "_line" p8 p10 p12 p14 p15 p13 p11 p9 p8 ""
                         "_line" p12 p13 ""
			 "_line" p26 p23 p24 p27 ""
	        )
	     )
	    (progn
              (setq p10 (polar p8 a1 (/ i6 m1))
                    p11 (polar p9 a1 (/ i6 m1))
	            p16 (polar p1 a2 (+ (/ i1 2.0 m1) (/ i6 2.0 m1)))
	            p17 (polar p1 a3 (+ (/ i1 2.0 m1) (/ i6 2.0 m1)))
	      )
		(command "_line" p8 p10 p11 p9 p8 ""
			 "_line" p26 p23 p24 p27 ""
		)
	     )
         )
         (setq pt0 (polar p1 (+ a1 pi) (/ (- i12 i6) m1))
	       pt1 (polar p1 a2 (/ i3 2.0 m1))
 	       pt2 (polar p1 a3 (/ i3 2.0 m1))
 	       pt3 (polar pt1 a1 (/ (* i6 1.5) m1))
 	       pt4 (polar pt2 a1 (/ (* i6 1.5) m1))
 	       pt5 (polar pt1 (+ a1 pi) (/ (* i6 0.5) m1))
 	       pt6 (polar pt2 (+ a1 pi) (/ (* i6 0.5) m1))
               pt7 (polar pt0 a2 (/ i1 2.0 m1))
	       pt8 (polar pt0 a3 (/ i1 2.0 m1))
	       pt9 (polar p3 a2 (/ i1 2.0 m1))
 	       pt10 (polar p3 a3 (/ i1 2.0 m1))
 	       pt11 (polar p1 a1 (/ (* i6 2.0) m1))
 	       pt12 (polar p3 (+ a1 pi) (/ (* i6 1.5) m1))
 	 )
		(command "_linetype" "set" "center" ""
  		         "_line" pt3 pt5 ""
			 "_line" pt4 pt6 ""
  		         "_line" pt7 pt9 ""
			 "_line" pt8 pt10 ""
			 "_line" pt11 pt12 ""
                         "_line" p16 pt7 ""
                         "_line" p17 pt8 ""
                         "_line" pt7 pt8 ""
			 "_linetype" "set" "continuous" ""
	        )
	(setvar "osmode" os)
  (if ( and (= t1 1) (= t2 2))
    (setq pblf (polar p1 a1 i6)
  	  ablf (+ a1 pi)
    )
  )
	(redraw) (princ)
) ; end noz_wn---------------------------------------------
(defun flange_bl ( i1 i2 i3 i4 i5 i6 i7 i8 i9 / p1 p3 p8 p9 p10 
                         p11 p12 p13 p14 p15 p19 p20
                         p21 p22 p23 p24 p25 p26 p27 p29 p30
		         a1 a2 a3 os la)

   (setq os (getvar "osmode"))
           (setvar "Cmdecho" 0)
           (setvar "luprec" 0)
           (setvar "osmode" 2)
  (if (not pblf)
    (setq p3 (getpoint "\nInsertion Point of Blind flange : "))
    (setq p3 pblf)
  )
           (setvar "orthomode" 1) 
           (setvar "osmode" 0)
  (if (not ablf)
   (progn
        (setq p2 (getpoint p3 "\nPoint towads Nozzle end : "))
        (setq a1 (angle p3 p2))
   )
    (setq a1 ablf)
  )
;	(while (not i9) (initget 6 "Y N")(setq i9 (getkword "\nRaised Face Yes or No <Y> : ")))
;	   (if (= i9 "") (setq i9 "Y"))
           (setq a2 (+ a1 (/ PI 2.0))
		 a3 (- a1 (/ PI 2.0))
	         p1 (polar p3 (+ a1 pi) (/ i6 m1))
	         p8 (polar p1 a2 (/ (/ i2 m1) 2.0))
	         p9 (polar p1 a3 (/ (/ i2 m1) 2.0))
           )
         (if (or (= i9 "Y") (= i9 "y") (= i9 1))
	    (progn
	      (setq p10 (polar p8 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p11 (polar p9 a1 (- (/ i6 m1) (/ 1.5 m1)))
	            p12 (polar p10 a3 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p13 (polar p11 a2 (/ (- (/ i2 m1) (/ i7 m1)) 2.0))
	            p14 (polar p12 a1 (/ 1.5 m1))
	            p15 (polar p13 a1 (/ 1.5 m1)))
		(command "_line" p8 p10 p12 p14 p15 p13 p11 p9 p8 ""
			 "_line" p12 p13 ""
	        )
	     )
	    (progn
	       (setq p10 (polar p8 a1 (/ i6 m1))
	             p11 (polar p9 a1 (/ i6 m1)))
		(command "_line" p8 p10 p11 p9 p8 ""
		)
	     )
         )
        (setq pblf nil ablf nil)
	(setvar "osmode" os)
	(command "_redraw") (princ)
) ; end flange_bl--------------------------------------------
;---------------------------------------------------------
(defun sel_fla ( t1 t2 / i14 i15 i8 i9 i11 i12 i13 i16)
(setvar "cmdecho" 0)
(while (or (= i11 nil) (= i16 nil))
(setq i14 (load_dialog "ves_noz.dcl"))
(setq i15 5)
(while (< 2 i15)
(if ( and (= t1 1) (= t2 1)) (if (not (new_dialog "sel_flaf" i14)) (exit))) ; nozzle
(if ( and (= t1 1) (= t2 2)) (if (not (new_dialog "sel_flaf" i14)) (exit))) ; nozzle + blind flange
(if ( and (= t1 1) (= t2 3)) (if (not (new_dialog "sel_flac" i14)) (exit))) ; blind flange
(if (= t1 2)                 (if (not (new_dialog "sel_flac" i14)) (exit))) ; circular
(settile demo)
(if (not i9) (setq i9 1))
(set_tile "face" (itoa i9))
(if ( and (= t1 1) (= t2 1)) (setq i13 '("BS 10 TABLE D" "BS 10 TABLE E" "BS 10 TABLE F" "BS 10 TABLE H" "#150 SLIP ON" "#300 SLIP ON" "#600 SLIP ON" "#150 WELD NECK" "#300 WELD NECK" "#600 WELD NECK")))
(if ( and (= t1 1) (= t2 2)) (setq i13 '("BS 10 TABLE D" "BS 10 TABLE E" "BS 10 TABLE F" "BS 10 TABLE H" "#150 SLIP ON" "#300 SLIP ON" "#600 SLIP ON" "#150 WELD NECK" "#300 WELD NECK" "#600 WELD NECK")))
(if ( and (= t1 1) (= t2 3)) (setq i13 '("BS 10 D BLIND" "BS 10 E BLIND" "BS 10 F BLIND" "BS 10 H BLIND" "#150 BLIND" "#300 BLIND" "#600 BLIND")))
(if (= t1 2) (setq i13 '("BS 10 TABLE D" "BS 10 TABLE E" "BS 10 TABLE F" "BS 10 TABLE H" "#150" "#300" "#600")))
   (start_list "i13")
   (mapcar 'add_list i13)
   (end_list)
(if (= m1 1.0) (setq i12 '("15" "20" "25" "32" "40" "50" "65" "80" "90" "100" "125" 
              "150" "200" "250" "300" "350" "400" "450" "500" "600")
                     nozlen 150.0)
)
(if (= m1 25.4)  (setq i12 '("1/2" "3/4" "1" "1-1/4" "1-1/2" 
              "2" "2-1/2" "3" "3-1/2" "4" "5" "6" "8" "10" 
              "12" "14" "16" "18" "20" "24")
		     nozlen 6.0)
)
(set_tile "len_db" (rtos nozlen))
   (start_list "i12")
   (mapcar 'add_list i12)
   (end_list)
   (action_tile "i12" "(get_dia)")
(if ( and (= t1 1) (= t2 1)) (action_tile "i13" "(get_i1611)"))
(if ( and (= t1 1) (= t2 2)) (action_tile "i13" "(get_i1612)"))
(if ( and (= t1 1) (= t2 3)) (action_tile "i13" "(get_i1613)"))
(if (= t1 2) (action_tile "i13" "(get_i1620)"))
   (action_tile "i9" "(get_i9)")
   (action_tile "len_db" "(get_nozlen)")
   (action_tile "accept" "(done_dialog 1)")
   (action_tile "cancel" "(done_dialog 0)")
   (setq i15 (start_dialog))
  (if (and (= i15 1) (= t1 1) (= t2 1))
    (progn
     (if (= i16 "10d")   (bs10d  i11 i8 i9))
     (if (= i16 "10e")   (bs10e  i11 i8 i9))
     (if (= i16 "10f")   (bs10f  i11 i8 i9))
     (if (= i16 "10h")   (bs10h  i11 i8 i9))
     (if (= i16 "150")   (asa150 i11 i8 i9))
     (if (= i16 "300")   (asa300 i11 i8 i9))
     (if (= i16 "600")   (asa600 i11 i8 i9))
     (if (= i16 "wn150") (wn150  i11 i8 i9))
     (if (= i16 "wn300") (wn300  i11 i8 i9))
     (if (= i16 "wn600") (wn600  i11 i8 i9))
    )
  )

  (if (and (= i15 1) (= t1 1) (= t2 2))
    (progn
     (if (= i16 "10d")   (progn (bs10d  i11 i8 i9) (bld   i11 i8 i9)))
     (if (= i16 "10e")   (progn (bs10e  i11 i8 i9) (ble   i11 i8 i9)))
     (if (= i16 "10f")   (progn (bs10f  i11 i8 i9) (blf   i11 i8 i9)))
     (if (= i16 "10h")   (progn (bs10h  i11 i8 i9) (blh   i11 i8 i9)))
     (if (= i16 "150")   (progn (asa150 i11 i8 i9) (bl150 i11 i8 i9)))
     (if (= i16 "300")   (progn (asa300 i11 i8 i9) (bl300 i11 i8 i9)))
     (if (= i16 "600")   (progn (asa600 i11 i8 i9) (bl600 i11 i8 i9)))
     (if (= i16 "wn150") (progn (wn150  i11 i8 i9) (bl150 i11 i8 i9)))
     (if (= i16 "wn300") (progn (wn300  i11 i8 i9) (bl300 i11 i8 i9)))
     (if (= i16 "wn600") (progn (wn600  i11 i8 i9) (bl600 i11 i8 i9)))
    )
  )

  (if (and (= i15 1) (= t1 1) (= t2 3))
    (progn
     (if (= i16 "bl10d") (bld   i11 i8 i9))
     (if (= i16 "bl10e") (ble   i11 i8 i9))
     (if (= i16 "bl10f") (blf   i11 i8 i9))
     (if (= i16 "bl10h") (blh   i11 i8 i9))
     (if (= i16 "bl150") (bl150 i11 i8 i9))
     (if (= i16 "bl300") (bl300 i11 i8 i9))
     (if (= i16 "bl600") (bl600 i11 i8 i9))
    )
  )
  
  (if (and (= i15 1) (= t1 2))
    (progn
     (if (= i16 "10d")   (bs10d1  i11 i8 i9))
     (if (= i16 "10e")   (bs10e1  i11 i8 i9))
     (if (= i16 "10f")   (bs10f1  i11 i8 i9))
     (if (= i16 "10h")   (bs10h1  i11 i8 i9))
     (if (= i16 "150")   (asa1501 i11 i8 i9 1))
     (if (= i16 "300")   (asa3001 i11 i8 i9 1))
     (if (= i16 "600")   (asa6001 i11 i8 i9 1))
     (if (= i16 "wn150") (asa1501 i11 i8 i9 1))
     (if (= i16 "wn300") (asa3001 i11 i8 i9 1))
     (if (= i16 "wn600") (asa6001 i11 i8 i9 1))
    )
  )
)
(unload_dialog i14)
(if (and (= i11 nil) (= i16 nil)) (alert "\nFlange size and class not selected. \nPlease Select both."))
(if (and (= i11 nil) (/= i16 nil)) (alert "\nFlange size not selected. \nPlease select size."))
(if (and (/= i11 nil) (= i16 nil)) (alert "\nFlange class not selected. \nPlease select class."))
(princ)
)
) ; part end sel_fla ---------------------
(defun get_nozlen () (setq nozlen (distof  (get_tile "len_db"))))
;-----------------------
(defun get_dia () (setq i11 (atoi (get_tile "i12"))))
;-----------------------
(defun get_i9 ()
   (if (= (atoi (get_tile "i9")) 1) (setq i9 "Y"))
   (if (= (atoi (get_tile "i9")) 0) (setq i9 "N"))
) ; --------------------
(defun get_i1611 ()
	(if (= (get_tile "i13") "0") (setq i16 "10d"))
	(if (= (get_tile "i13") "1") (setq i16 "10e"))
	(if (= (get_tile "i13") "2") (setq i16 "10f"))
	(if (= (get_tile "i13") "3") (setq i16 "10h"))
	(if (= (get_tile "i13") "4") (setq i16 "150"))
	(if (= (get_tile "i13") "5") (setq i16 "300"))
	(if (= (get_tile "i13") "6") (setq i16 "600"))
	(if (= (get_tile "i13") "7") (setq i16 "wn150"))
	(if (= (get_tile "i13") "8") (setq i16 "wn300"))
	(if (= (get_tile "i13") "9") (setq i16 "wn600"))
) ;-----------------------
(defun get_i1612 ()
	(if (= (get_tile "i13") "0") (setq i16 "10d"))
	(if (= (get_tile "i13") "1") (setq i16 "10e"))
	(if (= (get_tile "i13") "2") (setq i16 "10f"))
	(if (= (get_tile "i13") "3") (setq i16 "10h"))
	(if (= (get_tile "i13") "4") (setq i16 "150"))
	(if (= (get_tile "i13") "5") (setq i16 "300"))
	(if (= (get_tile "i13") "6") (setq i16 "600"))
	(if (= (get_tile "i13") "7") (setq i16 "wn150"))
	(if (= (get_tile "i13") "8") (setq i16 "wn300"))
	(if (= (get_tile "i13") "9") (setq i16 "wn600"))
) ;-----------------------
(defun get_i1613 ()
	(if (= (get_tile "i13") "0") (setq i16 "bl10d"))
	(if (= (get_tile "i13") "1") (setq i16 "bl10e"))
	(if (= (get_tile "i13") "2") (setq i16 "bl10f"))
	(if (= (get_tile "i13") "3") (setq i16 "bl10h"))
	(if (= (get_tile "i13") "4") (setq i16 "bl150"))
	(if (= (get_tile "i13") "5") (setq i16 "bl300"))
	(if (= (get_tile "i13") "6") (setq i16 "bl600"))
) ;-----------------------
(defun get_i1620 ()
	(if (= (get_tile "i13") "0") (setq i16 "10d"))
	(if (= (get_tile "i13") "1") (setq i16 "10e"))
	(if (= (get_tile "i13") "2") (setq i16 "10f"))
	(if (= (get_tile "i13") "3") (setq i16 "10h"))
	(if (= (get_tile "i13") "4") (setq i16 "150"))
	(if (= (get_tile "i13") "5") (setq i16 "300"))
	(if (= (get_tile "i13") "6") (setq i16 "600"))
); end sel_fla -----------------------------------------
(defun bs10d ( i11 i8 i9)
        (if (= i11 0) (noz_bs10 21 95 67 4 13 5 35 i8 i9))
        (if (= i11 1) (noz_bs10 27 102 73 4 13 5 43 i8 i9))
        (if (= i11 2) (noz_bs10 33 114 83 4 13 5 51 i8 i9))
        (if (= i11 3) (noz_bs10 42 121 87 4 13 6 64 i8 i9))
        (if (= i11 4) (noz_bs10 48 133 98 4 13 6 73 i8 i9))
        (if (= i11 5) (noz_bs10 60 152 114 4 16 8 92 i8 i9))
        (if (= i11 6) (noz_bs10 73 165 127 4 16 8 105 i8 i9))
        (if (= i11 7) (noz_bs10 89 184 146 4 16 10 127 i8 i9))
        (if (= i11 8) (noz_bs10 102 203 165 4 16 10 140 i8 i9))
        (if (= i11 9) (noz_bs10 114 216 178 4 16 10 157 i8 i9))
        (if (= i11 10) (noz_bs10 141 254 210 8 16 13 186 i8 i9))
        (if (= i11 11) (noz_bs10 168 279 235 8 16 13 216 i8 i9))
        (if (= i11 12) (noz_bs10 219 337 292 8 16 13 270 i8 i9))
        (if (= i11 13) (noz_bs10 273 406 356 8 19 16 324 i8 i9))
        (if (= i11 14) (noz_bs10 324 457 406 12 19 16 381 i8 i9))
        (if (= i11 15) (noz_bs10 356 527 470 12 22 19 413 i8 i9))
        (if (= i11 16) (noz_bs10 406 578 521 12 22 19 470 i8 i9))
        (if (= i11 17) (noz_bs10 457 641 584 12 22 22 533 i8 i9))
        (if (= i11 18) (noz_bs10 508 705 641 16 22 25 584 i8 i9))
        (if (= i11 19) (noz_bs10 610 826 756 16 25 29 692 i8 i9))
) ;---------------------------------------------------------
(defun bs10e ( i11 i8 i9)
        (if (= i11 0) (noz_bs10 21 95 67 4 13 6 35 i8 i9))
        (if (= i11 1) (noz_bs10 27 102 73 4 13 6 43 i8 i9))
        (if (= i11 2) (noz_bs10 33 114 83 4 13 7 51 i8 i9))
        (if (= i11 3) (noz_bs10 42 121 87 4 13 8 64 i8 i9))
        (if (= i11 4) (noz_bs10 48 133 98 4 13 9 73 i8 i9))
        (if (= i11 5) (noz_bs10 60 152 114 4 16 10 92 i8 i9))
        (if (= i11 6) (noz_bs10 73 165 127 4 16 10 105 i8 i9))
        (if (= i11 7) (noz_bs10 89 184 146 4 16 11 127 i8 i9))
        (if (= i11 8) (noz_bs10 102 203 165 8 16 12 140 i8 i9))
        (if (= i11 9) (noz_bs10 114 216 178 8 16 13 157 i8 i9))
        (if (= i11 10) (noz_bs10 141 254 210 8 16 14 186 i8 i9))
        (if (= i11 11) (noz_bs10 168 279 235 8 19 17 216 i8 i9))
        (if (= i11 12) (noz_bs10 219 337 292 8 19 19 270 i8 i9))
        (if (= i11 13) (noz_bs10 273 406 356 12 19 22 324 i8 i9))
        (if (= i11 14) (noz_bs10 324 457 406 12 22 25 381 i8 i9))
        (if (= i11 15) (noz_bs10 356 527 470 12 22 25 413 i8 i9))
        (if (= i11 16) (noz_bs10 406 578 521 12 22 25 470 i8 i9))
        (if (= i11 17) (noz_bs10 457 641 584 16 22 29 533 i8 i9))
        (if (= i11 18) (noz_bs10 508 705 641 16 22 32 584 i8 i9))
        (if (= i11 19) (noz_bs10 610 826 756 16 25 38 692 i8 i9))
) ;---------------------------------------------------------
(defun bs10f ( i11 i8 i9)
        (if (= i11 0) (noz_bs10 21 95 67 4 13 10 35 i8 i9))
        (if (= i11 1) (noz_bs10 27 102 73 4 13 10 43 i8 i9))
        (if (= i11 2) (noz_bs10 33 121 87 4 16 10 51 i8 i9))
        (if (= i11 3) (noz_bs10 42 133 98 4 16 13 64 i8 i9))
        (if (= i11 4) (noz_bs10 48 140 105 4 16 13 73 i8 i9))
        (if (= i11 5) (noz_bs10 60 165 127 4 16 16 92 i8 i9))
        (if (= i11 6) (noz_bs10 73 184 146 8 16 16 105 i8 i9))
        (if (= i11 7) (noz_bs10 89 203 165 8 16 16 127 i8 i9))
        (if (= i11 8) (noz_bs10 102 216 178 8 16 19 140 i8 i9))
        (if (= i11 9) (noz_bs10 114 229 191 8 16 19 157 i8 i9))
        (if (= i11 10) (noz_bs10 141 279 235 8 19 22 186 i8 i9))
        (if (= i11 11) (noz_bs10 168 305 260 12 19 22 216 i8 i9))
        (if (= i11 12) (noz_bs10 219 368 324 12 19 25 270 i8 i9))
        (if (= i11 13) (noz_bs10 273 432 381 12 22 25 324 i8 i9))
        (if (= i11 14) (noz_bs10 324 489 438 16 22 29 381 i8 i9))
        (if (= i11 15) (noz_bs10 356 552 495 16 25 32 413 i8 i9))
        (if (= i11 16) (noz_bs10 406 610 552 20 25 32 470 i8 i9))
        (if (= i11 17) (noz_bs10 457 673 610 20 29 35 533 i8 i9))
        (if (= i11 18) (noz_bs10 508 737 673 24 29 51 584 i8 i9))
        (if (= i11 19) (noz_bs10 610 851 781 24 32 57 692 i8 i9))
) ;---------------------------------------------------------
(defun bs10h ( i11 i8 i9)
        (if (= i11 0) (noz_bs10 21 114 83 4 16 13 35 i8 i9))
        (if (= i11 1) (noz_bs10 27 114 85 4 16 13 43 i8 i9))
        (if (= i11 2) (noz_bs10 33 121 87 4 16 14 51 i8 i9))
        (if (= i11 3) (noz_bs10 42 133 98 4 16 17 64 i8 i9))
        (if (= i11 4) (noz_bs10 48 140 105 4 16 17 73 i8 i9))
        (if (= i11 5) (noz_bs10 60 165 127 4 16 19 92 i8 i9))
        (if (= i11 6) (noz_bs10 73 184 146 8 16 19 105 i8 i9))
        (if (= i11 7) (noz_bs10 89 203 165 8 16 22 127 i8 i9))
        (if (= i11 8) (noz_bs10 102 216 178 8 16 22 140 i8 i9))
        (if (= i11 9) (noz_bs10 114 229 191 8 16 25 157 i8 i9))
        (if (= i11 10) (noz_bs10 141 279 235 8 19 29 186 i8 i9))
        (if (= i11 11) (noz_bs10 168 305 260 12 19 29 216 i8 i9))
        (if (= i11 12) (noz_bs10 219 368 324 12 19 32 270 i8 i9))
        (if (= i11 13) (noz_bs10 273 432 381 12 22 35 324 i8 i9))
        (if (= i11 14) (noz_bs10 324 489 438 16 22 38 381 i8 i9))
        (if (= i11 15) (noz_bs10 356 552 495 16 25 41 413 i8 i9))
        (if (= i11 16) (noz_bs10 406 610 552 20 25 44 470 i8 i9))
        (if (= i11 17) (noz_bs10 457 673 610 20 29 48 533 i8 i9))
        (if (= i11 18) (noz_bs10 508 737 673 24 29 51 584 i8 i9))
        (if (= i11 19) (noz_bs10 610 851 781 24 32 57 692 i8 i9))
) ;---------------------------------------------------------
(defun asa150 ( i11 i8 i9)
        (if (= i11 0) (noz_so 21 89 60 4 13 11 16 35 i8 i9))
        (if (= i11 1) (noz_so 27 98 70 4 13 13 16 43 i8 i9))
        (if (= i11 2) (noz_so 33 108 79 4 13 14 17 51 i8 i9))
        (if (= i11 3) (noz_so 42 114 89 4 13 16 21 64 i8 i9))
        (if (= i11 4) (noz_so 48 127 98 4 13 17 22 73 i8 i9))
        (if (= i11 5) (noz_so 60 152 121 4 16 19 25 92 i8 i9))
        (if (= i11 6) (noz_so 73 178 140 4 16 22 29 105 i8 i9))
        (if (= i11 7) (noz_so 89 191 152 4 16 24 30 127 i8 i9))
        (if (= i11 8) (noz_so 102 216 178 8 16 24 33 140 i8 i9))
        (if (= i11 9) (noz_so 114 229 191 8 16 24 33 157 i8 i9))
        (if (= i11 10) (noz_so 141 254 216 8 19 24 37 186 i8 i9))
        (if (= i11 11) (noz_so 168 279 241 8 19 25 40 216 i8 i9))
        (if (= i11 12) (noz_so 219 343 298 8 19 28 44 270 i8 i9))
        (if (= i11 13) (noz_so 273 406 362 12 22 30 49 324 i8 i9))
        (if (= i11 14) (noz_so 324 483 432 12 22 32 56 381 i8 i9))
        (if (= i11 15) (noz_so 356 533 476 12 25 35 57 413 i8 i9))
        (if (= i11 16) (noz_so 406 597 540 16 25 37 64 470 i8 i9))
        (if (= i11 17) (noz_so 457 635 578 16 29 40 68 533 i8 i9))
        (if (= i11 18) (noz_so 508 699 635 20 29 43 73 584 i8 i9))
        (if (= i11 19) (noz_so 610 813 749 20 32 48 83 692 i8 i9))
) ;---------------------------------------------------------
(defun asa300 ( i11 i8 i9)
        (if (= i11 0) (noz_so 21 95 67 4 13 14 22 35 i8 i9))
        (if (= i11 1) (noz_so 27 117 83 4 16 16 25 43 i8 i9))
        (if (= i11 2) (noz_so 33 124 89 4 16 17 27 51 i8 i9))
        (if (= i11 3) (noz_so 42 133 98 4 16 19 27 64 i8 i9))
        (if (= i11 4) (noz_so 48 156 114 4 16 21 30 73 i8 i9))
        (if (= i11 5) (noz_so 60 165 127 8 16 22 33 92 i8 i9))
        (if (= i11 6) (noz_so 73 191 149 8 19 25 38 105 i8 i9))
        (if (= i11 7) (noz_so 89 210 168 8 19 28 43 127 i8 i9))
        (if (= i11 8) (noz_so 102 229 184 8 19 30 46 140 i8 i9))
        (if (= i11 9) (noz_so 114 254 200 8 19 32 48 157 i8 i9))
        (if (= i11 10) (noz_so 141 279 235 8 19 35 51 186 i8 i9))
        (if (= i11 11) (noz_so 168 318 270 12 19 37 52 216 i8 i9))
        (if (= i11 12) (noz_so 219 381 330 12 22 41 62 270 i8 i9))
        (if (= i11 13) (noz_so 273 445 387 16 25 48 67 324 i8 i9))
        (if (= i11 14) (noz_so 324 521 451 16 29 51 73 381 i8 i9))
        (if (= i11 15) (noz_so 356 584 514 20 29 54 76 413 i8 i9))
        (if (= i11 16) (noz_so 406 648 572 20 32 57 83 470 i8 i9))
        (if (= i11 17) (noz_so 457 711 629 24 32 60 89 533 i8 i9))
        (if (= i11 18) (noz_so 508 775 686 24 32 64 95 584 i8 i9))
        (if (= i11 19) (noz_so 610 914 813 24 38 70 106 692 i8 i9))
) ;---------------------------------------------------------
(defun asa600 ( i11 i8 i9)
        (if (= i11 0) (noz_so 21 95 67 4 13 21 28 35 i8 i9))
        (if (= i11 1) (noz_so 27 117 83 4 16 22 32 43 i8 i9))
        (if (= i11 2) (noz_so 33 124 89 4 16 24 33 51 i8 i9))
        (if (= i11 3) (noz_so 42 133 98 4 16 27 35 64 i8 i9))
        (if (= i11 4) (noz_so 48 156 114 4 16 28 38 73 i8 i9))
        (if (= i11 5) (noz_so 60 165 127 8 16 32 43 92 i8 i9))
        (if (= i11 6) (noz_so 73 191 149 8 19 35 48 105 i8 i9))
        (if (= i11 7) (noz_so 89 210 168 8 19 38 52 127 i8 i9))
        (if (= i11 8) (noz_so 102 229 184 8 22 43 57 140 i8 i9))
        (if (= i11 9) (noz_so 114 273 216 8 22 45 60 157 i8 i9))
        (if (= i11 10) (noz_so 141 330 267 8 25 51 67 186 i8 i9))
        (if (= i11 11) (noz_so 168 356 292 12 25 54 73 216 i8 i9))
        (if (= i11 12) (noz_so 219 419 349 12 29 62 83 270 i8 i9))
        (if (= i11 13) (noz_so 273 508 432 16 32 70 92 324 i8 i9))
        (if (= i11 14) (noz_so 324 559 489 20 32 73 98 381 i8 i9))
        (if (= i11 15) (noz_so 356 603 527 20 35 76 100 413 i8 i9))
        (if (= i11 16) (noz_so 406 686 603 20 38 83 113 470 i8 i9))
        (if (= i11 17) (noz_so 457 743 654 20 41 89 124 533 i8 i9))
        (if (= i11 18) (noz_so 508 813 724 24 41 95 133  584 i8 i9))
        (if (= i11 19) (noz_so 610 940 838 24 48 108 146 692 i8 i9))
) ;---------------------------------------------------------
(defun wn150 ( i11 i8 i9)
        (if (= i11 0) (noz_wn 21 89 60 4 13 11 48 35 i8 i9))
        (if (= i11 1) (noz_wn 27 98 70 4 13 13 52 43 i8 i9))
        (if (= i11 2) (noz_wn 33 108 79 4 13 14 56 51 i8 i9))
        (if (= i11 3) (noz_wn 42 114 89 4 13 16 57 64 i8 i9))
        (if (= i11 4) (noz_wn 48 127 98 4 13 17 57 73 i8 i9))
        (if (= i11 5) (noz_wn 60 152 121 4 16 19 64 92 i8 i9))
        (if (= i11 6) (noz_wn 73 178 140 4 16 22 70 105 i8 i9))
        (if (= i11 7) (noz_wn 89 191 152 4 16 24 70 127 i8 i9))
        (if (= i11 8) (noz_wn 102 216 178 8 16 24 73 140 i8 i9))
        (if (= i11 9) (noz_wn 114 229 191 8 16 24 76 157 i8 i9))
        (if (= i11 10) (noz_wn 141 254 216 8 19 24 89 186 i8 i9))
        (if (= i11 11) (noz_wn 168 279 241 8 19 25 89 216 i8 i9))
        (if (= i11 12) (noz_wn 219 343 298 8 19 28 102 270 i8 i9))
        (if (= i11 13) (noz_wn 273 406 362 12 22 30 102 324 i8 i9))
        (if (= i11 14) (noz_wn 324 483 432 12 22 32 114 381 i8 i9))
        (if (= i11 15) (noz_wn 356 533 476 12 25 35 127 413 i8 i9))
        (if (= i11 16) (noz_wn 406 597 540 16 25 37 127 470 i8 i9))
        (if (= i11 17) (noz_wn 457 635 578 16 29 40 140 533 i8 i9))
        (if (= i11 18) (noz_wn 508 699 635 20 29 43 144 584 i8 i9))
        (if (= i11 19) (noz_wn 610 813 749 20 32 48 152 692 i8 i9))
) ;---------------------------------------------------------
(defun wn300 ( i11 i8 i9)
        (if (= i11 0) (noz_wn 21 95 67 4 13 14 52 35 i8 i9))
        (if (= i11 1) (noz_wn 27 117 83 4 16 16 57 43 i8 i9))
        (if (= i11 2) (noz_wn 33 124 89 4 16 17 62 51 i8 i9))
        (if (= i11 3) (noz_wn 42 133 98 4 16 19 65 64 i8 i9))
        (if (= i11 4) (noz_wn 48 156 114 4 16 21 68 73 i8 i9))
        (if (= i11 5) (noz_wn 60 165 127 8 16 22 70 92 i8 i9))
        (if (= i11 6) (noz_wn 73 191 149 8 19 25 76 105 i8 i9))
        (if (= i11 7) (noz_wn 89 210 168 8 19 28 79 127 i8 i9))
        (if (= i11 8) (noz_wn 102 229 184 8 19 30 83 140 i8 i9))
        (if (= i11 9) (noz_wn 114 254 200 8 19 32 86 157 i8 i9))
        (if (= i11 10) (noz_wn 141 279 235 8 19 35 98 186 i8 i9))
        (if (= i11 11) (noz_wn 168 318 270 12 19 37 98 216 i8 i9))
        (if (= i11 12) (noz_wn 219 381 330 12 22 41 111 270 i8 i9))
        (if (= i11 13) (noz_wn 273 445 387 16 25 48 118 324 i8 i9))
        (if (= i11 14) (noz_wn 324 521 451 16 29 51 130 381 i8 i9))
        (if (= i11 15) (noz_wn 356 584 514 20 29 54 143 413 i8 i9))
        (if (= i11 16) (noz_wn 406 648 572 20 32 57 146 470 i8 i9))
        (if (= i11 17) (noz_wn 457 711 629 24 32 60 159 533 i8 i9))
        (if (= i11 18) (noz_wn 508 775 686 24 32 64 162 584 i8 i9))
        (if (= i11 19) (noz_wn 610 914 813 24 38 70 168 692 i8 i9))
) ;---------------------------------------------------------
(defun wn600 ( i11 i8 i9)
        (if (= i11 0) (noz_wn 21 95 67 4 13 21 59 35 i8 i9))
        (if (= i11 1) (noz_wn 27 117 83 4 16 22 64 43 i8 i9))
        (if (= i11 2) (noz_wn 33 124 89 4 16 24 68 51 i8 i9))
        (if (= i11 3) (noz_wn 42 133 98 4 16 27 73 64 i8 i9))
        (if (= i11 4) (noz_wn 48 156 114 4 16 28 76 73 i8 i9))
        (if (= i11 5) (noz_wn 60 165 127 8 16 32 79 92 i8 i9))
        (if (= i11 6) (noz_wn 73 191 149 8 19 35 86 105 i8 i9))
        (if (= i11 7) (noz_wn 89 210 168 8 19 38 89 127 i8 i9))
        (if (= i11 8) (noz_wn 102 229 184 8 22 43 99 140 i8 i9))
        (if (= i11 9) (noz_wn 114 273 216 8 22 45 108 157 i8 i9))
        (if (= i11 10) (noz_wn 141 330 267 8 25 51 121 186 i8 i9))
        (if (= i11 11) (noz_wn 168 356 292 12 25 54 124 216 i8 i9))
        (if (= i11 12) (noz_wn 219 419 349 12 29 62 140 270 i8 i9))
        (if (= i11 13) (noz_wn 273 508 432 16 32 70 159 324 i8 i9))
        (if (= i11 14) (noz_wn 324 559 489 20 32 73 162 381 i8 i9))
        (if (= i11 15) (noz_wn 356 603 527 20 35 76 171 413 i8 i9))
        (if (= i11 16) (noz_wn 406 686 603 20 38 83 184 470 i8 i9))
        (if (= i11 17) (noz_wn 457 743 654 20 41 89 190 533 i8 i9))
        (if (= i11 18) (noz_wn 508 813 724 24 41 95 197  584 i8 i9))
        (if (= i11 19) (noz_wn 610 940 838 24 48 108 210 692 i8 i9))
) ;---------------------------------------------------------
(defun bld ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21  95 67 4 13 5 35 i8 i9))
        (if (= i11 1) (flange_bl 27 102 73 4 13 5 43 i8 i9))
        (if (= i11 2) (flange_bl 33 114 83 4 13 5 51 i8 i9))
        (if (= i11 3) (flange_bl 42 121 87 4 13 6 64 i8 i9))
        (if (= i11 4) (flange_bl 48 133 98 4 13 6 73 i8 i9))
        (if (= i11 5) (flange_bl 60 152 114 4 16 8 92 i8 i9))
        (if (= i11 6) (flange_bl 73 165 127 4 16 8 105 i8 i9))
        (if (= i11 7) (flange_bl 89 184 146 4 16 10 127 i8 i9))
        (if (= i11 8) (flange_bl 102 203 165 4 16 10 140 i8 i9))
        (if (= i11 9) (flange_bl 114 216 178 4 16 10 157 i8 i9))
        (if (= i11 10) (flange_bl 141 254 210 8 16 13 186 i8 i9))
        (if (= i11 11) (flange_bl 168 279 235 8 16 13 216 i8 i9))
        (if (= i11 12) (flange_bl 219 337 292 8 16 13 270 i8 i9))
        (if (= i11 13) (flange_bl 273 406 356 8 19 16 324 i8 i9))
        (if (= i11 14) (flange_bl 324 457 406 12 19 16 381 i8 i9))
        (if (= i11 15) (flange_bl 356 527 470 12 22 19 413 i8 i9))
        (if (= i11 16) (flange_bl 406 578 521 12 22 19 470 i8 i9))
        (if (= i11 17) (flange_bl 457 641 584 12 22 22 533 i8 i9))
        (if (= i11 18) (flange_bl 508 705 641 16 22 25 584 i8 i9))
        (if (= i11 19) (flange_bl 610 826 756 16 25 29 692 i8 i9))
) ;---------------------------------------------------------
(defun ble ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 95 67 4 13 6 35 i8 i9))
        (if (= i11 1) (flange_bl 27 102 73 4 13 6 43 i8 i9))
        (if (= i11 2) (flange_bl 33 114 83 4 13 7 51 i8 i9))
        (if (= i11 3) (flange_bl 42 121 87 4 13 8 64 i8 i9))
        (if (= i11 4) (flange_bl 48 133 98 4 13 9 73 i8 i9))
        (if (= i11 5) (flange_bl 60 152 114 4 16 10 92 i8 i9))
        (if (= i11 6) (flange_bl 73 165 127 4 16 10 105 i8 i9))
        (if (= i11 7) (flange_bl 89 184 146 4 16 11 127 i8 i9))
        (if (= i11 8) (flange_bl 102 203 165 8 16 12 140 i8 i9))
        (if (= i11 9) (flange_bl 114 216 178 8 16 13 157 i8 i9))
        (if (= i11 10) (flange_bl 141 254 210 8 16 14 186 i8 i9))
        (if (= i11 11) (flange_bl 168 279 235 8 19 17 216 i8 i9))
        (if (= i11 12) (flange_bl 219 337 292 8 19 19 270 i8 i9))
        (if (= i11 13) (flange_bl 273 406 356 12 19 22 324 i8 i9))
        (if (= i11 14) (flange_bl 324 457 406 12 22 25 381 i8 i9))
        (if (= i11 15) (flange_bl 356 527 470 12 22 25 413 i8 i9))
        (if (= i11 16) (flange_bl 406 578 521 12 22 25 470 i8 i9))
        (if (= i11 17) (flange_bl 457 641 584 16 22 29 533 i8 i9))
        (if (= i11 18) (flange_bl 508 705 641 16 22 32 584 i8 i9))
        (if (= i11 19) (flange_bl 610 826 756 16 25 38 692 i8 i9))
) ;---------------------------------------------------------
(defun blf ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 95 67 4 13 10 35 i8 i9))
        (if (= i11 1) (flange_bl 27 102 73 4 13 10 43 i8 i9))
        (if (= i11 2) (flange_bl 33 121 87 4 16 10 51 i8 i9))
        (if (= i11 3) (flange_bl 42 133 98 4 16 13 64 i8 i9))
        (if (= i11 4) (flange_bl 48 140 105 4 16 13 73 i8 i9))
        (if (= i11 5) (flange_bl 60 165 127 4 16 16 92 i8 i9))
        (if (= i11 6) (flange_bl 73 184 146 8 16 16 105 i8 i9))
        (if (= i11 7) (flange_bl 89 203 165 8 16 16 127 i8 i9))
        (if (= i11 8) (flange_bl 102 216 178 8 16 19 140 i8 i9))
        (if (= i11 9) (flange_bl 114 229 191 8 16 19 157 i8 i9))
        (if (= i11 10) (flange_bl 141 279 235 8 19 22 186 i8 i9))
        (if (= i11 11) (flange_bl 168 305 260 12 19 22 216 i8 i9))
        (if (= i11 12) (flange_bl 219 368 324 12 19 25 270 i8 i9))
        (if (= i11 13) (flange_bl 273 432 381 12 22 25 324 i8 i9))
        (if (= i11 14) (flange_bl 324 489 438 16 22 29 381 i8 i9))
        (if (= i11 15) (flange_bl 356 552 495 16 25 32 413 i8 i9))
        (if (= i11 16) (flange_bl 406 610 552 20 25 32 470 i8 i9))
        (if (= i11 17) (flange_bl 457 673 610 20 29 35 533 i8 i9))
        (if (= i11 18) (flange_bl 508 737 673 24 29 51 584 i8 i9))
        (if (= i11 19) (flange_bl 610 851 781 24 32 57 692 i8 i9))
) ;---------------------------------------------------------
(defun blh ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 114 83 4 16 13 35 i8 i9))
        (if (= i11 1) (flange_bl 27 114 85 4 16 13 43 i8 i9))
        (if (= i11 2) (flange_bl 33 121 87 4 16 14 51 i8 i9))
        (if (= i11 3) (flange_bl 42 133 98 4 16 17 64 i8 i9))
        (if (= i11 4) (flange_bl 48 140 105 4 16 17 73 i8 i9))
        (if (= i11 5) (flange_bl 60 165 127 4 16 19 92 i8 i9))
        (if (= i11 6) (flange_bl 73 184 146 8 16 19 105 i8 i9))
        (if (= i11 7) (flange_bl 89 203 165 8 16 22 127 i8 i9))
        (if (= i11 8) (flange_bl 102 216 178 8 16 22 140 i8 i9))
        (if (= i11 9) (flange_bl 114 229 191 8 16 25 157 i8 i9))
        (if (= i11 10) (flange_bl 141 279 235 8 19 29 186 i8 i9))
        (if (= i11 11) (flange_bl 168 305 260 12 19 29 216 i8 i9))
        (if (= i11 12) (flange_bl 219 368 324 12 19 32 270 i8 i9))
        (if (= i11 13) (flange_bl 273 432 381 12 22 35 324 i8 i9))
        (if (= i11 14) (flange_bl 324 489 438 16 22 38 381 i8 i9))
        (if (= i11 15) (flange_bl 356 552 495 16 25 41 413 i8 i9))
        (if (= i11 16) (flange_bl 406 610 552 20 25 44 470 i8 i9))
        (if (= i11 17) (flange_bl 457 673 610 20 29 48 533 i8 i9))
        (if (= i11 18) (flange_bl 508 737 673 24 29 51 584 i8 i9))
        (if (= i11 19) (flange_bl 610 851 781 24 32 57 692 i8 i9))
) ;---------------------------------------------------------
(defun bl150 ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 89 60 4 13 11 35 i8 i9))
        (if (= i11 1) (flange_bl 27 98 70 4 13 13 43 i8 i9))
        (if (= i11 2) (flange_bl 33 108 79 4 13 14 51 i8 i9))
        (if (= i11 3) (flange_bl 42 114 89 4 13 16 64 i8 i9))
        (if (= i11 4) (flange_bl 48 127 98 4 13 17 73 i8 i9))
        (if (= i11 5) (flange_bl 60 152 121 4 16 19 92 i8 i9))
        (if (= i11 6) (flange_bl 73 178 140 4 16 22 105 i8 i9))
        (if (= i11 7) (flange_bl 89 191 152 4 16 24 127 i8 i9))
        (if (= i11 8) (flange_bl 102 216 178 8 16 24 140 i8 i9))
        (if (= i11 9) (flange_bl 114 229 191 8 16 24 157 i8 i9))
        (if (= i11 10) (flange_bl 141 254 216 8 19 24 186 i8 i9))
        (if (= i11 11) (flange_bl 168 279 241 8 19 25 216 i8 i9))
        (if (= i11 12) (flange_bl 219 343 298 8 19 28 270 i8 i9))
        (if (= i11 13) (flange_bl 273 406 362 12 22 30 324 i8 i9))
        (if (= i11 14) (flange_bl 324 483 432 12 22 32 381 i8 i9))
        (if (= i11 15) (flange_bl 356 533 476 12 25 35 413 i8 i9))
        (if (= i11 16) (flange_bl 406 597 540 16 25 37 470 i8 i9))
        (if (= i11 17) (flange_bl 457 635 578 16 29 40 68 533 i8 i9))
        (if (= i11 18) (flange_bl 508 699 635 20 29 43 73 584 i8 i9))
        (if (= i11 19) (flange_bl 610 813 749 20 32 48 83 692 i8 i9))
) ;---------------------------------------------------------
(defun bl300 ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 95 67 4 13 14 35 i8 i9))
        (if (= i11 1) (flange_bl 27 117 83 4 16 16 43 i8 i9))
        (if (= i11 2) (flange_bl 33 124 89 4 16 17 51 i8 i9))
        (if (= i11 3) (flange_bl 42 133 98 4 16 19 64 i8 i9))
        (if (= i11 4) (flange_bl 48 156 114 4 16 21 73 i8 i9))
        (if (= i11 5) (flange_bl 60 165 127 8 16 22 92 i8 i9))
        (if (= i11 6) (flange_bl 73 191 149 8 19 25 105 i8 i9))
        (if (= i11 7) (flange_bl 89 210 168 8 19 28 127 i8 i9))
        (if (= i11 8) (flange_bl 102 229 184 8 19 30 140 i8 i9))
        (if (= i11 9) (flange_bl 114 254 200 8 19 32 157 i8 i9))
        (if (= i11 10) (flange_bl 141 279 235 8 19 35 186 i8 i9))
        (if (= i11 11) (flange_bl 168 318 270 12 19 37 216 i8 i9))
        (if (= i11 12) (flange_bl 219 381 330 12 22 41 270 i8 i9))
        (if (= i11 13) (flange_bl 273 445 387 16 25 48 324 i8 i9))
        (if (= i11 14) (flange_bl 324 521 451 16 29 51 381 i8 i9))
        (if (= i11 15) (flange_bl 356 584 514 20 29 54 413 i8 i9))
        (if (= i11 16) (flange_bl 406 648 572 20 32 57 470 i8 i9))
        (if (= i11 17) (flange_bl 457 711 629 24 32 60 533 i8 i9))
        (if (= i11 18) (flange_bl 508 775 686 24 32 64 584 i8 i9))
        (if (= i11 19) (flange_bl 610 914 813 24 38 70 692 i8 i9))
) ;---------------------------------------------------------
(defun bl600 ( i11 i8 i9)
        (if (= i11 0) (flange_bl 21 95 67 4 13 21 35 i8 i9))
        (if (= i11 1) (flange_bl 27 117 83 4 16 22 43 i8 i9))
        (if (= i11 2) (flange_bl 33 124 89 4 16 24 51 i8 i9))
        (if (= i11 3) (flange_bl 42 133 98 4 16 27 64 i8 i9))
        (if (= i11 4) (flange_bl 48 156 114 4 16 28 73 i8 i9))
        (if (= i11 5) (flange_bl 60 165 127 8 16 32 92 i8 i9))
        (if (= i11 6) (flange_bl 73 191 149 8 19 35 105 i8 i9))
        (if (= i11 7) (flange_bl 89 210 168 8 19 38 127 i8 i9))
        (if (= i11 8) (flange_bl 102 229 184 8 22 43 140 i8 i9))
        (if (= i11 9) (flange_bl 114 273 216 8 22 45 157 i8 i9))
        (if (= i11 10) (flange_bl 141 330 267 8 25 51 186 i8 i9))
        (if (= i11 11) (flange_bl 168 356 292 12 25 54 216 i8 i9))
        (if (= i11 12) (flange_bl 219 419 349 12 29 62 270 i8 i9))
        (if (= i11 13) (flange_bl 273 508 432 16 32 70 324 i8 i9))
        (if (= i11 14) (flange_bl 324 559 489 20 32 73 381 i8 i9))
        (if (= i11 15) (flange_bl 356 603 527 20 35 76 413 i8 i9))
        (if (= i11 16) (flange_bl 406 686 603 20 38 83 470 i8 i9))
        (if (= i11 17) (flange_bl 457 743 654 20 41 89 533 i8 i9))
        (if (= i11 18) (flange_bl 508 813 724 24 41 95 584 i8 i9))
        (if (= i11 19) (flange_bl 610 940 838 24 48 108 692 i8 i9))
) ;---------------------------------------------------------------------------
(defun bs10d1 ( i11 i8 i9)
        (if (= i11 0) (circview 21 95 67 4 13 35 i8 i9 1))
        (if (= i11 1) (circview 27 102 73 4 13 43 i8 i9 1))
        (if (= i11 2) (circview 33 114 83 4 13 51 i8 i9 1))
        (if (= i11 3) (circview 42 121 87 4 13 64 i8 i9 1))
        (if (= i11 4) (circview 48 133 98 4 13 73 i8 i9 1))
        (if (= i11 5) (circview 60 152 114 4 16 92 i8 i9 1))
        (if (= i11 6) (circview 73 165 127 4 16 105 i8 i9 1))
        (if (= i11 7) (circview 89 184 146 4 16 127 i8 i9 1))
        (if (= i11 8) (circview 102 203 165 4 16 140 i8 i9 1))
        (if (= i11 9) (circview 114 216 178 4 16 157 i8 i9 1))
        (if (= i11 10) (circview 141 254 210 8 16 186 i8 i9 1))
        (if (= i11 11) (circview 168 279 235 8 16 216 i8 i9 1))
        (if (= i11 12) (circview 219 337 292 8 16 270 i8 i9 1))
        (if (= i11 13) (circview 273 406 356 8 19 324 i8 i9 1))
        (if (= i11 14) (circview 324 457 406 12 19 381 i8 i9 1))
        (if (= i11 15) (circview 356 527 470 12 22 413 i8 i9 1))
        (if (= i11 16) (circview 406 578 521 12 22 470 i8 i9 1))
        (if (= i11 17) (circview 457 641 584 12 22 533 i8 i9 1))
        (if (= i11 18) (circview 508 705 641 16 22 584 i8 i9 1))
        (if (= i11 19) (circview 610 826 756 16 25 692 i8 i9 1))
) ;---------------------------------------------------------
(defun bs10e1 ( i11 i8 i9)
        (if (= i11 0) (circview 21 95 67 4 13 35 i8 i9 1))
        (if (= i11 1) (circview 27 102 73 4 13 43 i8 i9 1))
        (if (= i11 2) (circview 33 114 83 4 13 51 i8 i9 1))
        (if (= i11 3) (circview 42 121 87 4 13 64 i8 i9 1))
        (if (= i11 4) (circview 48 133 98 4 13 73 i8 i9 1))
        (if (= i11 5) (circview 60 152 114 4 16 92 i8 i9 1))
        (if (= i11 6) (circview 73 165 127 4 16 105 i8 i9 1))
        (if (= i11 7) (circview 89 184 146 4 16 127 i8 i9 1))
        (if (= i11 8) (circview 102 203 165 8 16 140 i8 i9 1))
        (if (= i11 9) (circview 114 216 178 8 16 157 i8 i9 1))
        (if (= i11 10) (circview 141 254 210 8 16 186 i8 i9 1))
        (if (= i11 11) (circview 168 279 235 8 19 216 i8 i9 1))
        (if (= i11 12) (circview 219 337 292 8 19 270 i8 i9 1))
        (if (= i11 13) (circview 273 406 356 12 19 324 i8 i9 1))
        (if (= i11 14) (circview 324 457 406 12 22 381 i8 i9 1))
        (if (= i11 15) (circview 356 527 470 12 22 413 i8 i9 1))
        (if (= i11 16) (circview 406 578 521 12 22 470 i8 i9 1))
        (if (= i11 17) (circview 457 641 584 16 22 533 i8 i9 1))
        (if (= i11 18) (circview 508 705 641 16 22 584 i8 i9 1))
        (if (= i11 19) (circview 610 826 756 16 25 692 i8 i9 1))
) ;---------------------------------------------------------
(defun bs10f1 ( i11 i8 j9)
        (if (= i11 0) (circview 21 95 67 4 13 35 i8 i9 1))
        (if (= i11 1) (circview 27 102 73 4 13 43 i8 i9 1))
        (if (= i11 2) (circview 33 121 87 4 16 51 i8 i9 1))
        (if (= i11 3) (circview 42 133 98 4 16 64 i8 i9 1))
        (if (= i11 4) (circview 48 140 105 4 16 73 i8 i9 1))
        (if (= i11 5) (circview 60 165 127 4 16 92 i8 i9 1))
        (if (= i11 6) (circview 73 184 146 8 16 105 i8 i9 1))
        (if (= i11 7) (circview 89 203 165 8 16 127 i8 i9 1))
        (if (= i11 8) (circview 102 216 178 8 16 140 i8 i9 1))
        (if (= i11 9) (circview 114 229 191 8 16 157 i8 i9 1))
        (if (= i11 10) (circview 141 279 235 8 19 186 i8 i9 1))
        (if (= i11 11) (circview 168 305 260 12 19 216 i8 i9 1))
        (if (= i11 12) (circview 219 368 324 12 19 270 i8 i9 1))
        (if (= i11 13) (circview 273 432 381 12 22 324 i8 i9 1))
        (if (= i11 14) (circview 324 489 438 16 22 381 i8 i9 1))
        (if (= i11 15) (circview 356 552 495 16 25 413 i8 i9 1))
        (if (= i11 16) (circview 406 610 552 20 25 470 i8 i9 1))
        (if (= i11 17) (circview 457 673 610 20 29 533 i8 i9 1))
        (if (= i11 18) (circview 508 737 673 24 29 584 i8 i9 1))
        (if (= i11 19) (circview 610 851 781 24 32 692 i8 i9 1))
) ;---------------------------------------------------------
(defun bs10h1 ( i11 i8 i9)
        (if (= i11 0) (circview 21 114 83 4 16 35 i8 i9 1))
        (if (= i11 1) (circview 27 114 85 4 16 43 i8 i9 1))
        (if (= i11 2) (circview 33 121 87 4 16 51 i8 i9 1))
        (if (= i11 3) (circview 42 133 98 4 16 64 i8 i9 1))
        (if (= i11 4) (circview 48 140 105 4 16 73 i8 i9 1))
        (if (= i11 5) (circview 60 165 127 4 16 92 i8 i9 1))
        (if (= i11 6) (circview 73 184 146 8 16 105 i8 i9 1))
        (if (= i11 7) (circview 89 203 165 8 16 127 i8 i9 1))
        (if (= i11 8) (circview 102 216 178 8 16 140 i8 i9 1))
        (if (= i11 9) (circview 114 229 191 8 16 157 i8 i9 1))
        (if (= i11 10) (circview 141 279 235 8 19 186 i8 i9 1))
        (if (= i11 11) (circview 168 305 260 12 19 216 i8 i9 1))
        (if (= i11 12) (circview 219 368 324 12 19 270 i8 i9 1))
        (if (= i11 13) (circview 273 432 381 12 22 324 i8 i9 1))
        (if (= i11 14) (circview 324 489 438 16 22 381 i8 i9 1))
        (if (= i11 15) (circview 356 552 495 16 25 413 i8 i9 1))
        (if (= i11 16) (circview 406 610 552 20 25 470 i8 i9 1))
        (if (= i11 17) (circview 457 673 610 20 29 533 i8 i9 1))
        (if (= i11 18) (circview 508 737 673 24 29 584 i8 i9 1))
        (if (= i11 19) (circview 610 851 781 24 32 692 i8 i9 1))
) ;---------------------------------------------------------
(defun asa1501 ( i11 i8 i9 bl)
        (if (= i11 0) (circview 21 89 60 4 13 35 i8 i9 bl))
        (if (= i11 1) (circview 27 98 70 4 13 43 i8 i9 bl))
        (if (= i11 2) (circview 33 108 79 4 13 51 i8 i9 bl))
        (if (= i11 3) (circview 42 114 89 4 13 64 i8 i9 bl))
        (if (= i11 4) (circview 48 127 98 4 13 73 i8 i9 bl))
        (if (= i11 5) (circview 60 152 121 4 16 92 i8 i9 bl))
        (if (= i11 6) (circview 73 178 140 4 16 105 i8 i9 bl))
        (if (= i11 7) (circview 89 191 152 4 16 127 i8 i9 bl))
        (if (= i11 8) (circview 102 216 178 8 16 140 i8 i9 bl))
        (if (= i11 9) (circview 114 229 191 8 16 157 i8 i9 bl))
        (if (= i11 10) (circview 141 254 216 8 19 186 i8 i9 bl))
        (if (= i11 11) (circview 168 279 241 8 19 216 i8 i9 bl))
        (if (= i11 12) (circview 219 343 298 8 19 270 i8 i9 bl))
        (if (= i11 13) (circview 273 406 362 12 22 324 i8 i9 bl))
        (if (= i11 14) (circview 324 483 432 12 22 381 i8 i9 bl))
        (if (= i11 15) (circview 356 533 476 12 25 413 i8 i9 bl))
        (if (= i11 16) (circview 406 597 540 16 25 470 i8 i9 bl))
        (if (= i11 17) (circview 457 635 578 16 29 533 i8 i9 bl))
        (if (= i11 18) (circview 508 699 635 20 29 584 i8 i9 bl))
        (if (= i11 19) (circview 610 813 749 20 32 692 i8 i9 bl))
) ;---------------------------------------------------------
(defun asa3001 ( i11 i8 i9 bl)
        (if (= i11 0) (circview 21 95 67 4 13 35 i8 i9 bl))
        (if (= i11 1) (circview 27 117 83 4 16 43 i8 i9 bl))
        (if (= i11 2) (circview 33 124 89 4 16 51 i8 i9 bl))
        (if (= i11 3) (circview 42 133 98 4 16 64 i8 i9 bl))
        (if (= i11 4) (circview 48 156 114 4 16 73 i8 i9 bl))
        (if (= i11 5) (circview 60 165 127 8 16 92 i8 i9 bl))
        (if (= i11 6) (circview 73 191 149 8 19 105 i8 i9 bl))
        (if (= i11 7) (circview 89 210 168 8 19 127 i8 i9 bl))
        (if (= i11 8) (circview 102 229 184 8 19 140 i8 i9 bl))
        (if (= i11 9) (circview 114 254 200 8 19 157 i8 i9 bl))
        (if (= i11 10) (circview 141 279 235 8 19 186 i8 i9 bl))
        (if (= i11 11) (circview 168 318 270 12 19 216 i8 i9 bl))
        (if (= i11 12) (circview 219 381 330 12 22 270 i8 i9 bl))
        (if (= i11 13) (circview 273 445 387 16 25 324 i8 i9 bl))
        (if (= i11 14) (circview 324 521 451 16 29 381 i8 i9 bl))
        (if (= i11 15) (circview 356 584 514 20 29 413 i8 i9 bl))
        (if (= i11 16) (circview 406 648 572 20 32 470 i8 i9 bl))
        (if (= i11 17) (circview 457 711 629 24 32 533 i8 i9 bl))
        (if (= i11 18) (circview 508 775 686 24 32 584 i8 i9 bl))
        (if (= i11 19) (circview 610 914 813 24 38 692 i8 i9 bl))
) ;---------------------------------------------------------
(defun asa6001 ( i11 i8 i9 bl)
        (if (= i11 0) (circview 21 95 67 4 13 35 i8 i9 bl))
        (if (= i11 1) (circview 27 117 83 4 16 43 i8 i9 bl))
        (if (= i11 2) (circview 33 124 89 4 16 51 i8 i9 bl))
        (if (= i11 3) (circview 42 133 98 4 16 64 i8 i9 bl))
        (if (= i11 4) (circview 48 156 114 4 16 73 i8 i9 bl))
        (if (= i11 5) (circview 60 165 127 8 16 92 i8 i9 bl))
        (if (= i11 6) (circview 73 191 149 8 19 105 i8 i9 bl))
        (if (= i11 7) (circview 89 210 168 8 19 127 i8 i9 bl))
        (if (= i11 8) (circview 102 229 184 8 22 140 i8 i9 bl))
        (if (= i11 9) (circview 114 273 216 8 22 157 i8 i9 bl))
        (if (= i11 10) (circview 141 330 267 8 25 186 i8 i9 bl))
        (if (= i11 11) (circview 168 356 292 12 25 216 i8 i9 bl))
        (if (= i11 12) (circview 219 419 349 12 29 270 i8 i9 bl))
        (if (= i11 13) (circview 273 508 432 16 32 324 i8 i9 bl))
        (if (= i11 14) (circview 324 559 489 20 32 381 i8 i9 bl))
        (if (= i11 15) (circview 356 603 527 20 35 413 i8 i9 bl))
        (if (= i11 16) (circview 406 686 603 20 38 470 i8 i9 bl))
        (if (= i11 17) (circview 457 743 654 20 41 533 i8 i9 bl))
        (if (= i11 18) (circview 508 813 724 24 41 584 i8 i9 bl))
        (if (= i11 19) (circview 610 940 838 24 48 692 i8 i9 bl))
) ;----------------------------------------------------------------

; weight calculation ----------------------------------------
;slip on flange
;(flwtso_cal flod0 shod0 bhd0 nobh0 flth0 0 0 fid0 spgr_)
(defun flwtso_cal ( flodin shodin bhdin nobhin flthin sneckin neckdiain flidin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
      (setq flwtso (/ (+ (*
		 	    (- (* (/ flodin divfac1) (/ flodin divfac1))
			       (* (/ flidin divfac1) (/ flidin divfac1))
			       (* (/ bhdin divfac1) (/ bhdin divfac1) nobhin))
		         flthin spgrin pi)
			 (*
		 	    (- (* (/ neckdiain divfac1) (/ neckdiain divfac1))
			       (* (/ flidin divfac1) (/ flidin divfac1)))
		         sneckin spgrin pi)
		      )
		    4.0 divfac))
(princ)
); end flwtso_cal ---------------------------------------------------------------------------------------
;Special flange
;(flwtso_cal flod01 shod03 bhd01 nobh01 flth01 spgr_fl01)
;--------------------------------------------------------------------------------
;weld neck flange
;(flwtwn_cal flod0 shod0 shid0 bhd0 nobh0 flth0 neck0 neckdia0 fid0 spgr_fl0)
(defun flwtwn_cal ( flodin shodin shidin bhdin nobhin flthin neckin neckdiain flidin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq flwtwn (/ (* (+ (* (- (* (/ flodin divfac1) (/ flodin divfac1))
		            (* (/ flidin divfac1) (/ flidin divfac1))
                            (* (/ bhdin divfac1) (/ bhdin divfac1) nobhin)
		         ) flthin
		      )
		      (* (- (* (/ (+ neckdiain shodin) divfac1 2.0) (/ (+ neckdiain shodin) divfac1 2.0))
		            (* (/ shodin divfac1) (/ shodin divfac1))
		         ) (- neckin flthin)
		      )
		      (* (- (* (/ shodin divfac1) (/ shodin divfac1))
		            (* (/ shidin divfac1) (/ shidin divfac1))
		         ) (- neckin flthin)
		      )
	           )
		 spgrin pi)
	      4.0 divfac)
)
(princ)
) ;end flwtwn_cal --------------------------------------------------------------------------------
;blind flange
;(flwtbl_cal flod03 bhd03 nobh03 flth03 spgr_fl03)
(defun flwtbl_cal ( flodin bhdin nobhin flthin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
      (setq flwtbl (/ (*
		 	 (- (* (/ flodin divfac1) (/ flodin divfac1))
			    (* (/ bhdin divfac1) (/ bhdin divfac1) nobhin)
			 )
		       flthin spgrin pi)
		    4.0 divfac)
)
(princ)
) ;end flwtbl_cal --------------------------------------------------------------------------------
;stud bolts
;(boltwt_cal sbdia0 sblen0 nobh0)
(defun boltwt_cal ( sbdiain sblenin nobhin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(if (= head2 1)
	(setq boltwt (/ (* (/ sbdiain divfac1) (/ sbdiain divfac1)
	        sblenin nobhin spgr_bolt02 pi)
	    4.0 divfac))
	(setq boltwt (/ (* (/ sbdiain divfac1) (/ sbdiain divfac1)
	        sblenin nobhin spgr_bolt pi)
	    4.0 divfac))
)
(princ)
) ;end boltwt_cal --------------------------------------------------------------------------------
; nuts
;(nutwt_cal sbdia0 nobh0)
(defun nutwt_cal ( sbdiain nobhin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(if (= head2 1)
	(setq nutwt (/ (*
		(- (* (/ (* sbdiain 2.0) divfac1) (/ (* sbdiain 2.0) divfac1))
		   (* (/ sbdiain divfac1) (/ sbdiain divfac1))
		)
	          (* sbdiain 2.0) 2.0 0.82 nobhin spgr_nut02 pi)
	    4.0 divfac))
	(setq nutwt (/ (*
		(- (* (/ (* sbdiain 2.0) divfac1) (/ (* sbdiain 2.0) divfac1))
		  (* (/ sbdiain divfac1) (/ sbdiain divfac1)))
	          (* sbdiain 2.0) 2.0 0.9 nobhin spgr_nut pi)
	    4.0 divfac))
)
(princ)
) ;end nutwt_cal --------------------------------------------------------------------------------
;gasket on shell nozzles
;(gaswt_cal gaod gaid spgr_gasflsh)
(defun gaswt_cal ( gaodin gaidin spgr_gasin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(if (= head2 1)
  	(setq gaswt (/ (*
		          (- (* (/ gaodin divfac1) (/ gaodin divfac1))
		             (* (/ gaidin divfac1) (/ gaidin divfac1))
		          )
	                gath spgr_gasin pi)
	             4.0 divfac))
	(setq gaswt (/ (*
		          (- (* (/ gaodin divfac1) (/ gaodin divfac1))
		             (* (/ gaidin divfac1) (/ gaidin divfac1))
		          )
	                gath spgr_gasin pi)
	             4.0 divfac))
)
(princ)
) ;end gaswt_cal --------------------------------------------------------------------------------
;Nozzles for weld neck flange
;(wnozwt_cal pipod pipth spgr_ nozlen neck)
(defun wnozwt_cal ( pipodin pipthin spgrin nozlenin neckin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
	(setq wnozwt (/ (*
		(- (* (/ pipod divfac1) (/ pipod divfac1))
		   (* (/ (- pipod pipth pipth) divfac1) (/ (- pipod pipth pipth) divfac1))
		)
	        (- nozlenin neckin) spgrin pi)
	    4.0 divfac))
(princ)
) ;end wnozwt_cal --------------------------------------------------------------------------------
;Nozzles for slip on flange
;(snozwt_cal pipod pipth spgr_ nozlen neck)
(defun snozwt_cal ( pipodin pipthin spgrin nozlenin neckin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
	(setq snozwt (/ (*
		(- (* (/ pipod divfac1) (/ pipod divfac1))
		   (* (/ (- pipod pipth pipth) divfac1) (/ (- pipod pipth pipth) divfac1))
		)
	        (- nozlenin pipthin) spgrin pi)
	    4.0 divfac))
(princ)
) ;end snozwt_cal --------------------------------------------------------------------------------
;RF Pad
;(rfpadwt_cal n_padod n_size n_padthk spgr_rfpad)
(defun rfpadwt_cal ( padodin padidin padthin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq rfpadwt (/ (*
		(- (* (/ padodin divfac1) (/ padodin divfac1))
		   (* (/ padidin divfac1) (/ padidin divfac1))
		)
	        padthin spgrin pi)
	    4.0 divfac))
(princ)
) ;end rfpadwt_cal --------------------------------------------------------------------------------

;end weight calculation -------------------------------------------------------------------------
(princ "\nType noz and press <enter> to start") (princ)
(princ "Loaded.")(princ)