// Start input vessel dimensions ----------------------------
// top dish - dish, toricone, cone, flat, none
input_dd:dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Both Dished Ends";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom flat ----------------------------
input_dtc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom Toricone ----------------------------
input_dc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom cone ----------------------------
input_df :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Flat";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom flat ----------------------------
input_dn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and No Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom none--------------------------------
// end top dish - dish, flat, toricone, cone, none ----------------------------

// flat top - dish, toricone, cone, flat, none ----------------------------
input_fd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom dish ----------------------------
input_ftc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom toricone ----------------------------
input_fc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom cone ----------------------------
input_ff :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Top / Bottom Flat Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top / bottom flat ------------------------------------
input_fn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom none ----------------------------------
// end top flat - dish, flat, toricone, cone, none ----------------------------

// strat top tori cone - dish, toricone, cone, flat, none ----------------------------
input_tcd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Tori Cone and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom dish ----------------------------
input_tctc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Tori Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom tori cone ----------------------------
input_tcc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom cone ----------------------------
input_tcf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom flat ----------------------------
input_tcn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top toricone bottom none ----------------------------------------
// end top tori cone - dish, toricone, cone, flat, none -------------------------

// strat top cone - dish, toricone, cone, flat, none ----------------------------
input_cd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Cone and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom dish ----------------------------
input_ctc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top  and Tori Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
//  top cone bottom toricone ----------------------------
input_cc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom cone ----------------------------
input_cf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
//  top cone bottom flat ----------------------------
input_cn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom none ---------------------------------------
// end top cone - dish, toricone, cone, flat, none ----------------------------

// start none - dish, toricone, cone, flat, none ----------------------------
input_nd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with No Top and Bottom dish End";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom dish ----------------------------
input_ntc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom toricone ----------------------------
input_nc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom cone ----------------------------
input_nf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Flat";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom flat ----------------------------
input_nn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel without Top and Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom none ------------------------------------------
// end none - dish, toricone, cone, flat, none ----------------------------

// end vessel input dimensions---------------