(defun support ()
(while (/= draw_sup "none")
  (load "ves_part.lsp") (input_det)
  (if (= draw_sup "none") (exit))
  (load "ves_moc.lsp") (matofcon_sup)
(if (= draw_sup "ele") (progn
  (cond
    ((and (= suptype "lug") (= detsc 1.0))
        (load "ves_part.lsp") (drg_ves) (setvar "osmode" 2)
        (setq ptop (getpoint "\nTop mid point of Shell Weld Line")
              plug1  (list (- (car ptop) (/ ves2 2.0) ves3) (- (cadr ptop) lu_ht))
              plug2  (list (- (car ptop) (* (/ ves2 2.0) 0.866)) (cadr plug1))
	      plug3  (list (car ptop) (cadr plug1))
	      plug4  (list (+ (car ptop) (* (/ ves2 2.0) 0.866)) (cadr plug1))
	      plug5  (list (+ (car ptop) (/ ves2 2.0) ves3) (cadr plug1))
	  )
      (setvar "osmode" 0)
    )
    ((and (= suptype "lug") (> detsc 1.0) (= nosup "4"))
        (load "ves_part.lsp") (drg_ves)
	(setq pdet (getpoint "\nDetail Drawing point")
	      plugl (list (- (car pdet) (* lpp_len 2.0)) (cadr pdet) 0)
              plugm pdet
              plugr (list (+ (car plugm) (* lpp_len 2.0)) (cadr pdet) 0)
              plugp (list (car pdet) (- (cadr pdet) (* lpp_len 2.0)) 0)
	      pff_plt (list (car plugm)   (- (cadr plugp)   (* ves2 1.5)) 0)
	      pff_plb (list (car pff_plt) (- (cadr pff_plt) (* ves2 1.5)) 0)
	      pff_elt (list (car pff_plb) (- (cadr pff_plb) (* ves2 1.0)) 0)
              pff_elb (list (car pff_elt) (- (cadr pff_elt) (* ves2 0.4)) 0)
        )
    )
    ((and (= suptype "lug") (> detsc 1.0) (= nosup "3"))
        (load "ves_part.lsp") (drg_ves)
	(setq pdet (getpoint "\nDetail Drawing point")
	      plugl (list (- (car pdet) (* lpp_len 3.0)) (cadr pdet) 0)
              plugm pdet
              plugr (list (+ (car plugm) (* lpp_len 3.0)) (cadr pdet) 0)
              plugp (list (car plugm) (- (cadr pdet) (* lpp_len 2.0)) 0)
	      pff_plt (list (car plugm)   (- (cadr plugp)   (* ves2 1.5)) 0)
	      pff_plb (list (car pff_plt) (- (cadr pff_plt) (* ves2 1.5)) 0)
	      pff_elt (list (car pff_plb) (- (cadr pff_plb) (* ves2 1.0)) 0)
              pff_elb (list (car pff_elt) (- (cadr pff_elt) (* ves2 0.4)) 0)
        )
    )
    ((and (= suptype "leg") (= detsc 1.0))
        (load "ves_part.lsp") (drg_ves) (setvar "osmode" 2)
        (setq ptop (getpoint "\nTop mid point of Shell Weld Line")
  	      pleg1  (list (- (car ptop) (/ ves2 2.0) ves3) (+ (- (cadr ptop) ves1) le_ht))
	      pleg2  (list (- (car ptop) (* (/ ves2 2.0) 0.866)) (cadr pleg1))
	      pleg3  (list (car ptop) (cadr pleg1))
	      pleg4  (list (+ (car ptop) (* (/ ves2 2.0) 0.866)) (cadr pleg1))
	      pleg5  (list (+ (car ptop) (/ ves2 2.0) ves3) (cadr pleg1))
         )
      (setvar "osmode" 0)
     )
     ((and (= suptype "leg") (> detsc 1.0))
        (load "ves_part.lsp") (drg_ves)
	(setq pdet (getpoint "\nDetail Drawing point")
              plegl (list (+ (car pdet)  (* ves2 1.2)) (cadr pdet) 0)
              plegm (list (+ (car plegl) (* ves2 1.2)) (cadr pdet) 0)
              plegr (list (+ (car plegm) (* ves2 1.2)) (cadr pdet) 0)
              plegp (list (car plegm) (- (cadr plegm) (* leg_ht_det 1.2)) 0)
	      pff_plt (list (car plegm)   (- (cadr plegp)   (* ves2 1.5)) 0)
	      pff_plb (list (car pff_plt) (- (cadr pff_plt) (* ves2 1.5)) 0)
	      pff_elt (list (car pff_plt) (- (cadr pff_plb) (* ves2 1.0)) 0)
	      pff_elb (list (car pff_elt) (- (cadr pff_elt) (* ves2 1.0)) 0)
        )
     )
   )
(cond
  ((and (= suptype "lug") (= nosup "3"))
          (if (= detsc 1.0) (progn (draw_lug2 plug2 0) (draw_lug3 plug3 0 1) (draw_lug4 plug4 0)))
	  (if (> detsc 1.0) (progn (draw_lug2 plugl 1) (draw_lug3 plugm 1 1) (draw_lug4 plugr 1)))
  )
  ((and (= suptype "lug") (= nosup "4"))
          (if (= detsc 1.0) (progn (draw_lug1 plug1 0) (draw_lug3 plug3 0 0) (draw_lug5 plug5 0)))
	  (if (> detsc 1.0) (progn (draw_lug1 plugl 1) (draw_lug3 plugm 1 0) (draw_lug5 plugr 1)))
  )
  ((and (= suptype "leg") (= nosup "3") (= type1 "side") (= strtype "ang"))
          (if (= detsc 1.0) (progn (draw_leg2 pleg2 0 "ang") (draw_leg3 pleg3 0 1 "ang") (draw_leg4 pleg4 0 "ang")))
	  (if (> detsc 1.0) (progn (draw_leg2 plegl 1 "ang") (draw_leg3 plegm 1 0 "ang") (draw_leg4 plegr 1 "ang")))
  )
  ((and (= suptype "leg") (= nosup "4") (= type1 "side") (= strtype "ang"))
          (if (= detsc 1.0) (progn (draw_leg1 pleg1 0 "ang") (draw_leg3 pleg3 0 0 "ang") (draw_leg5 pleg5 0 "ang")))
	  (if (> detsc 1.0) (progn (draw_leg1 plegl 1 "ang") (draw_leg3 plegm 1 0 "ang") (draw_leg5 plegr 1 "ang")))
  )
  ((and (= suptype "leg") (= nosup "3") (= type1 "side") (= strtype "chan"))
          (if (= detsc 1.0) (progn (draw_leg2 pleg2 0 "chan") (draw_leg3 pleg3 0 1 "chan") (draw_leg4 pleg4 0 "chan")))
	  (if (> detsc 1.0) (progn (draw_leg2 plegl 1 "chan") (draw_leg3 plegm 1 0 "chan") (draw_leg4 plegr 1 "chan")))
  )
  ((and (= suptype "leg") (= nosup "4") (= type1 "side") (= strtype "chan"))
          (if (= detsc 1.0) (progn (draw_leg1 pleg1 0 "chan") (draw_leg3 pleg3 0 0 "chan") (draw_leg5 pleg5 0 "chan")))
	  (if (> detsc 1.0) (progn (draw_leg1 plegl 1 "chan") (draw_leg3 plegm 1 0 "chan") (draw_leg5 plegr 1 "chan")))
  )
)
))
(if (= draw_sup "plan") (progn
  (cond
    ((and (= suptype "lug") (= detsc 1.0))
        (load "ves_part.lsp") (drg_ves) (setvar "osmode" 4)
        (setq pplan (getpoint "\nCenter point of Shell in Plan"))
      (setvar "osmode" 0)
        (draw_lug_plan pplan 0)
    )
    ((and (= suptype "lug") (> detsc 1.0))
        (load "ves_part.lsp") (drg_ves)
	(setq pplan (getpoint "\nDetail Drawing point")
              plugp (list (car pplan) (+ (cadr pplan) (* lpp_len 2.0)) 0)
        )
        (draw_lug_plan plugp 1)
    )
    ((and (= suptype "leg") (= strtype "ang") (= detsc 1.0))
        (load "ves_part.lsp") (drg_ves) (setvar "osmode" 4)
        (setq pplan (getpoint "\nCenter point of Shell in Plan")
	)
        (draw_leg_plan pplan 0 "ang")
     )
    ((and (= suptype "leg") (= strtype "chan") (= detsc 1.0))
        (load "ves_part.lsp") (drg_ves) (setvar "osmode" 4)
        (setq pplan (getpoint "\nCenter point of Shell in Plan")
	)
        (draw_leg_plan pplan 0 "chan")
     )
     ((and (= suptype "leg") (= strtype "ang") (> detsc 1.0))
        (load "ves_part.lsp") (drg_ves)
	(setq pplan (getpoint "\nDetail Drawing point")
              plegp (list (car pplan) (- (cadr pplan) (/ leg_ht_det 2.0)) 0)
        )
        (draw_leg_plan plegp 1 "ang")
     )
     ((and (= suptype "leg") (= strtype "chan") (> detsc 1.0))
        (load "ves_part.lsp") (drg_ves)
	(setq pplan (getpoint "\nDetail Drawing point")
              plegp (list (car pplan) (- (cadr pplan) (/ leg_ht_det 2.0)) 0)
        )
        (draw_leg_plan plegp 1 "chan")
     )
   )
		 
))
)
) ; end support -----------------------------------------------
(defun lugsize ()
   (cond
      ((= m2 2)
   	(cond
    	(                     (<= ves2 500.0)   (setq lugsz  50.0))
    	((and (> ves2 500.0)  (<= ves2 750.0))  (setq lugsz  75.0))
    	((and (> ves2 750.0)  (<= ves2 1000.0)) (setq lugsz 100.0))
    	((and (> ves2 1000.0) (<= ves2 1500.0)) (setq lugsz 125.0))
    	((and (> ves2 1500.0) (<= ves2 2000.0)) (setq lugsz 150.0))
    	((and (> ves2 2000.0) (<= ves2 2500.0)) (setq lugsz 175.0))
    	((and (> ves2 2500.0) (<= ves2 3000.0)) (setq lugsz 200.0))
    	(     (> ves2 3000.0)                   (setq lugsz 225.0))
	)
      )
      ((= m2 4)
   	(cond
    	(                    (<= ves2  20.0)  (setq lugsz 2.0))
    	((and (> ves2  20.0) (<= ves2  30.0)) (setq lugsz 3.0))
    	((and (> ves2  30.0) (<= ves2  40.0)) (setq lugsz 4.0))
    	((and (> ves2  40.0) (<= ves2  60.0)) (setq lugsz 5.0))
    	((and (> ves2  60.0) (<= ves2  80.0)) (setq lugsz 6.0))
    	((and (> ves2  80.0) (<= ves2 100.0)) (setq lugsz 7.0))
    	((and (> ves2 100.0) (<= ves2 120.0)) (setq lugsz 8.0))
    	(     (> ves2 120.0)                  (setq lugsz 9.0))
   	)
      )
    )
  (setq lpp_len (/ ves2 5.0)  lpp_th ves3         lpp_wid (* lugsz 1.5)
	lbp_len (* lugsz 2.0) lbp_th (* ves3 2.0) lbp_wid (* lugsz 2.0 0.64)
        lu_ht   (/ ves1 4.0)  lrib_th ves3        l_gap (* ves3 1.5)
  )
) ; end lugsize------------------------------------------------
(defun lug_sup ( / i1 i2)
(setq i1 (load_dialog "ves_supp.dcl") i2 5)
(while (< 2 i2)
    (if (not (new_dialog "lug" i1)) (exit))
  	(settile demo)
        (start_image "lug")
    	     (slide_image
      		0 0
      		(- (dimx_tile "lug") 1)
      		(- (dimy_tile "lug") 1)
      		(strcat "ves(" "lug" ")")
    	     )
 	     (end_image)
    (set_tile "lpp_len_db" (rtos lpp_len m2 m4))
    (set_tile "lpp_wid_db" (rtos lpp_wid m2 m4))
    (set_tile "lpp_th_db"  (rtos lpp_th m2 m4))
    (set_tile "lbp_len_db" (rtos lbp_len m2 m4))
    (set_tile "lbp_wid_db" (rtos lbp_wid m2 m4))
    (set_tile "lbp_th_db"  (rtos lbp_th m2 m4))
    (set_tile "l_gap_db"   (rtos l_gap m2 m4))
    (set_tile "lrib_th_db" (rtos lrib_th m2 m4))
    (set_tile "lu_ht_db"   (rtos lu_ht m2 m4))

    (action_tile "lpp_len_db" "(get_lpp_len)")
    (action_tile "lpp_wid_db" "(get_lpp_wid)")
    (action_tile "lpp_th_db"  "(get_lpp_th)")
    (action_tile "lbp_len_db" "(get_lbp_len)")
    (action_tile "lbp_wid_db" "(get_lbp_wid)")
    (action_tile "lbp_th_db"  "(get_lpb_th)")
    (action_tile "l_gap_db"   "(get_l_gap)")
    (action_tile "lrib_th_db"  "(get_lrib_th)")
    (action_tile "lu_ht_db"    "(get_lu_ht)")
  
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i2 (start_dialog))
)
    (unload_dialog i1)
  (cond
    ((= sup_det "ga")    (setq detsc 1.0))
    ((= sup_det "deta2") (setq detsc 2.0))
    ((= sup_det "deta3") (setq detsc 3.0))
  )
  (setq	lpp_len_det (* lpp_len detsc) lpp_th_det  (* lpp_th detsc)  lpp_wid_det (* lpp_wid detsc)
	lbp_len_det (* lbp_len detsc) lbp_th_det  (* lbp_th detsc)  lbp_wid_det (* lbp_wid detsc)
        lu_ht_det   (* lu_ht detsc)   lrib_th_det (* lrib_th detsc) l_gap_det (* l_gap detsc)
  )  
        (princ)
) ; end lug_sup---------------------------------------
(defun draw_lug1 ( pin ov / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10 p11 p12 
		            pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pc1 pc2
		            ph1 ph2 ph3 ph4
		 )
    (setq p01 (list (car pin) (- (cadr pin) l_gap_det))
	  p02 (list (- (car p01) lpp_th_det) (cadr p01))
	  p03 (list (car p01) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr p03))
	  p05 (list (car p02) (+ (cadr p02) l_gap_det))
	  p06 (list (car p05) (+ (cadr p05) lbp_th_det))
	  p07 (list (- (car p05) lbp_len_det) (cadr p05))
	  p08 (list (car p07) (cadr p06))
	  p09 (list (+ (car p08) l_gap_det) (cadr p08))
	  p10 (list (car p09) (+ (cadr p09) l_gap_det))
	  p11 (list (car p04) (- (cadr p04) l_gap_det))
	  p12 (list (- (car p11) l_gap_det) (cadr p11))
	  
	  pd1 (list (car p01) (- (cadr p01) (* 2.0 dimoff detsc)))
	  pd2 (list (+ (car p01) (* dimoff 2.0 detsc)) (cadr p01))
	  pd3 (list (car p03) (+ (cadr p03) (* dimoff 2.0 detsc)))
	  pd4 (list (car p10) (+ (cadr p10) (* dimoff 2.0 detsc)))
	  pd5 (list (+ (car p10) (* dimoff detsc 5.0)) (cadr p10))
	  pd6 (list (- (car p12) (* dimoff detsc 5.0)) (cadr p12))
	  pd7 (list (car p12) (- (cadr p12) (* dimoff detsc 6.0)))
	  pd8 (list (- (car p08) (* dimoff detsc 2.0)) (cadr p08))
	  pc1 (list (- (car p06) (* (/ lbp_len_det 4.0) 3.0)) (+ (cadr p06) lbp_th_det))
	  pc2 (list (- (car p06) (* (/ lbp_len_det 4.0) 3.0)) (- (cadr p05) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p07))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p05))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p08))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p06))
    )
    (command "_linetype" "s" "continuous" "")
    (if (= detsc 1) (command "_layer" "s" "ves" ""))
    (if (> detsc 1) (command "_layer" "s" "0" ""))
    (command "_line" p01 p03 p04 p02 p01 ""
             "_line" p05 p07 p08 p06 ""
             "_line" p11 p12 p10 p09 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p07 p02 pd1 (rtos lbp_len m2 m4)
	     "_dim1" "ver" p01 p03 pd2 (rtos lpp_len m2 m4)
	     "_dim1" "hor" p04 p03 pd3 (rtos lpp_th m2 m4)
	     "_dim1" "hor" p08 p10 pd4 (rtos l_gap m2 m4)
	     "_dim1" "ver" p10 p09 pd5 (rtos l_gap m2 m4)
	     "_dim1" "ver" p11 p04 pd6 (rtos l_gap m2 m4)
	     "_dim1" "hor" p12 p11 pd7 (rtos l_gap m2 m4)
	     "_dim1" "ver" p07 p08 pd8 (rtos lbp_th m2 m4)
  	     "_layer" "s" "0" ""
    )
 ))
) ; end draw_lug1 ----------------------------------------------
(defun draw_lug2 ( pin ov / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		            p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
		            p31 p32 p33 p34  pc1 pc2 ph1 ph2 ph3 ph4
		 )
   (setq  p01 pin
	  p02 (list (car pin) (+ (cadr pin) lbp_th_det))
	  p03 (list (- (car p02) (* lpp_wid_det 0.443)) (cadr p02))
	  p04 (list (+ (car p02) (* lpp_wid_det 0.443)) (cadr p02))
	  p05 (list (- (car p01) (* lpp_wid_det 0.443)) (cadr p01))
	  p06 (list (+ (car p01) (* lpp_wid_det 0.443)) (cadr p01))
	  p07 (list (car p05) (- (cadr p05) l_gap_det))
	  p08 (list (car p06) (- (cadr p06) l_gap_det))
	  p09 (list (car p07) (+ (cadr p07) lpp_len_det))
	  p10 (list (car p08) (+ (cadr p08) lpp_len_det))

          p11 (list (- (car p01) (* lbp_len_det 0.886)) (cadr p01))
	  p12 (list (car p11) (+ (cadr p11) lbp_th_det))
	  p13 (list (- (car p12) (* lbp_wid_det 0.443)) (cadr p12))
	  p14 (list (+ (car p12) (* lbp_wid_det 0.443)) (cadr p12))
	  p15 (list (- (car p11) (* lbp_wid_det 0.443)) (cadr p11))
	  p16 (list (+ (car p11) (* lbp_wid_det 0.443)) (cadr p11))
	  p17 (list (+ (car p08) (* lpp_th_det 0.5)) (cadr p08))
	  p18 (list (+ (car p10) (* lpp_th_det 0.5)) (cadr p10))
	  p21 (list (+ (car p13) l_gap_det) (cadr p13))
	  p22 (list (- (car p14) l_gap_det) (cadr p14))
	  p19 (list (+ (car p21) lrib_th_det) (cadr p21))
	  p20 (list (- (car p22) lrib_th_det) (cadr p22))
	  p23 (list (car p19) (+ (cadr p12) l_gap_det))
	  p24 (list (car p20) (+ (cadr p12) l_gap_det))
	  p25 (list (car p21) (+ (cadr p12) l_gap_det))
	  p26 (list (car p22) (+ (cadr p12) l_gap_det))
	  p27 (list (- (car p10) (* l_gap_det 0.886)) (- (cadr p10) l_gap_det))
	  p34 (list (+ (car p09) (* l_gap_det 0.886)) (- (cadr p09) l_gap_det))
	  p32 (list (+ (car p34) (* lrib_th_det 0.886)) (cadr p34))
	  p28 (list (+ (car p32) (* l_gap_det 0.886)) (- (cadr p10) l_gap_det))
	  p29 (list (car p27) (cadr p12))
	  p30 (list (car p28) (cadr p12))
	  p31 (list (- (car p27) (* l_gap_det 0.886)) (cadr p27))
	  p33 (list (- (car p31) (* lrib_th_det 0.886)) (cadr p31))

	  pc1 (list (+ (car p12) lbp_th_det) (+ (cadr p12) lbp_th_det))
	  pc2 (list (+ (car p11) lbp_th_det) (- (cadr p11) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p11))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p11))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
    )
    (command "_linetype" "s" "continuous" "")
    (if (= detsc 1) (command "_layer" "s" "ves" ""))
    (if (> detsc 1) (command "_layer" "s" "0" ""))
    (command "_line" p07 p08 p10 p09 p07 ""
             "_line" p08 p17 p18 p10 ""
             "_line" p04 p14 ""
             "_line" p06 p16 ""
             "_line" p13 p14 p16 p15 p13 ""
             "_line" p20 p24 p26 p22 ""
             "_line" p19 p23 p25 p21 ""
             "_line" p31 p27 p29 ""
             "_line" p32 p28 p30 ""
	     "_line" p24 p33 p31 p26 ""
	     "_line" p23 p32 p34 p25 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
) ; end draw_lug2 ----------------------------------------------
(defun draw_lug3 ( pin ov backv
		     / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		       p11 p12 p13 p14 p15 p16 ph1 ph2 ph3 ph4
		       pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8
		       pc1 pc2 pte1 pte2
		 )
    (setq p01 (list (+ (- (car pin) (/ lpp_wid_det 2.0)) l_gap_det) (cadr pin))
	  p02 (list (- (+ (car pin) (/ lpp_wid_det 2.0)) l_gap_det) (cadr pin))
	  p03 (list (- (car p01) l_gap_det) (- (cadr p01) l_gap_det))
	  p04 (list (+ (car p02) l_gap_det) (cadr p03))
	  p05 (list (car p01) (+ (cadr p01) lbp_th_det))
	  p06 (list (car p02) (+ (cadr p02) lbp_th_det))
	  p07 (list (car p03) (+ (cadr p03) lpp_len_det))
	  p08 (list (car p04) (+ (cadr p04) lpp_len_det))
	  p11 (list (+ (car p05) l_gap_det) (cadr p05))
	  p12 (list (- (car p06) l_gap_det) (cadr p06))
	  p09 (list (+ (car p11) lrib_th_det) (cadr p05))
	  p10 (list (- (car p12) lrib_th_det) (cadr p06))
	  p13 (list (car p09) (- (cadr p07) l_gap_det))
	  p14 (list (car p10) (- (cadr p08) l_gap_det))
	  p15 (list (car p11) (- (cadr p07) l_gap_det))
	  p16 (list (car p12) (- (cadr p08) l_gap_det))

	  pd1 (list (car pin) (+ (cadr p07) (* dimoff detsc 2.0)))
	  pd2 (list (car pin) (+ (cadr p07) (* dimoff detsc 8.0)))
	  pd3 (list (car pin) (- (cadr p03) (* dimoff detsc 6.0)))
	  pd4 (list (- (car p07) (* dimoff detsc 3.0)) (cadr p02))
	  pd5 (list (+ (car p02) (* dimoff detsc 6.0)) (cadr p02))
	  pd6 (list (+ (car pd5) (* dimoff detsc 3.0)) (cadr p02))
	  pd7 (list (car pin) (+ (cadr pd2) (* dimoff detsc 3.0)))
	  pd8 (list (- (car p03) (* dimoff detsc 6.0)) (cadr p03))
	  pc1 (list (car pin) (+ (cadr p06) lbp_th_det))
	  pc2 (list (car pin) (- (cadr p02) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p01))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p02))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p09))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p10))
	  pte1 (list (car pd3) (- (cadr pd3) (* textht detsc 3.0)))
	  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
    )
  (if (and (= backv 1) (= detsc 1))
    (command "_layer" "s" "hid" ""
	     "_linetype" "s" "hidden" "")
    (command "_layer" "s" "0" ""
	     "_linetype" "s" "continuous" "")
  )
    (command "_line" p03 p07 p08 p04 p03 ""
             "_line" p01 p02 ""
             "_line" p05 p06 ""
             "_line" p01 p05 ""
             "_line" p02 p06 ""
             "_line" p11 p15 p13 p09 ""
             "_line" p10 p14 p16 p12 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p13 p15 pd1 (rtos lrib_th m2 m4)
	     "_dim1" "hor" p14 p16 pd1 (rtos lrib_th m2 m4)
	     "_dim1" "hor" p07 p15 pd2 (rtos (* l_gap 2.0) m2 m4)
	     "_dim1" "hor" p08 p16 pd2 (rtos (* l_gap 2.0) m2 m4)
	     "_dim1" "hor" p13 p14 pd7 (rtos (- lpp_wid (* l_gap 4.0) (* lrib_th 2.0)) m2 m4)
	     "_dim1" "hor" p03 p04 pd3 (rtos lpp_wid m2 m4)
	     "_dim1" "ver" p01 p03 pd4 (rtos l_gap m2 m4)
	     "_dim1" "ver" p07 p05 pd8 (rtos (- lpp_len lbp_th l_gap) m2 m4)
	     "_dim1" "ver" p02 p06 pd5 (rtos lbp_th m2 m4)
	     "_dim1" "ver" p08 p16 pd5 (rtos  l_gap m2 m4)
	     "_dim1" "ver" p04 p08 pd6 (rtos lpp_len m2 m4)
             "_layer" "s" "txt" ""
	     "_text" "c" pte1 (* textht detsc) 0 "LUG SUPPORTS"
	     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: 1:1")
  	     "_layer" "s" "0" ""
    )
	;pad plate
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal lpp_len lpp_wid lpp_th spgr_sh)
           (bomfile_w "a" "lpad" (itoa nextno) "Lug Pad Plate" nosup
	     moc_sh (strcat (rtos lpp_len m2 m4) " Long " (rtos lpp_wid m2 m4) " Wide " (rtos lpp_th m2 m4) " Thk") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lpad nextno)
           (tagno p08 (/ tagl 2.0) 45 lpad)
	;base plate
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal lbp_len lbp_wid lbp_th spgr_sh)
           (bomfile_w "a" "lbase" (itoa nextno) "Lug Base Plate" nosup
	     moc_sh (strcat (rtos lbp_len m2 m4) " Long " (rtos lbp_wid m2 m4) " Wide " (rtos lbp_th m2 m4) " Thk") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lbase nextno)
           (tagno p01 (/ tagl 2.0) 300 lbase)
	;ribs
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal (- lbp_len l_gap) (- lpp_len (* 3.0 l_gap)) lrib_th spgr_sh)
           (bomfile_w "a" "lbase" (itoa nextno) "Lug Ribs" (itoa (* (atoi nosup) 2))
	     moc_sh (strcat (rtos (- lbp_len l_gap) m2 m4) " Long " (rtos (- lpp_len (* 3.0 l_gap)) m2 m4) " Wide " (rtos lrib_th m2 m4) " Thk") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lbase nextno)
           (tagno p14 (/ tagl 2.0) 215 lbase)
 ))
) ; end draw_lug3 ----------------------------------------------
(defun draw_lug4 ( pin back / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		            p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
		            p31 p32 p33 p34  pc1 pc2
		            ph1 ph2 ph3 ph4
		 )
    (setq p01 pin
	  p02 (list (car pin) (+ (cadr pin) lbp_th_det))
	  p03 (list (+ (car p02) (* lpp_wid_det 0.443)) (cadr p02))
	  p04 (list (- (car p02) (* lpp_wid_det 0.443)) (cadr p02))
	  p05 (list (+ (car p01) (* lpp_wid_det 0.443)) (cadr p01))
	  p06 (list (- (car p01) (* lpp_wid_det 0.443)) (cadr p01))
	  p07 (list (car p05) (- (cadr p05) l_gap_det))
	  p08 (list (car p06) (- (cadr p06) l_gap_det))
	  p09 (list (car p07) (+ (cadr p07) lpp_len_det))
	  p10 (list (car p08) (+ (cadr p08) lpp_len_det))

          p11 (list (+ (car p01) (* lbp_len_det 0.886)) (cadr p01))
	  p12 (list (car p11) (+ (cadr p11) lbp_th_det))
	  p13 (list (+ (car p12) (* lbp_wid_det 0.443)) (cadr p12))
	  p14 (list (- (car p12) (* lbp_wid_det 0.443)) (cadr p12))
	  p15 (list (+ (car p11) (* lbp_wid_det 0.443)) (cadr p11))
	  p16 (list (- (car p11) (* lbp_wid_det 0.443)) (cadr p11))
	  p17 (list (- (car p08) (* lpp_th_det 0.5)) (cadr p08))
	  p18 (list (- (car p10) (* lpp_th_det 0.5)) (cadr p10))
	  p21 (list (- (car p13) l_gap_det) (cadr p13))
	  p22 (list (+ (car p14) l_gap_det) (cadr p14))
	  p19 (list (- (car p21) lrib_th_det) (cadr p21))
	  p20 (list (+ (car p22) lrib_th_det) (cadr p22))
	  p23 (list (car p19) (+ (cadr p12) l_gap_det))
	  p24 (list (car p20) (+ (cadr p12) l_gap_det))
	  p25 (list (car p21) (+ (cadr p12) l_gap_det))
	  p26 (list (car p22) (+ (cadr p12) l_gap_det))
	  p27 (list (+ (car p10) (* l_gap_det 0.886)) (- (cadr p10) l_gap_det))
	  p34 (list (- (car p09) (* l_gap_det 0.886)) (- (cadr p09) l_gap_det))
	  p32 (list (- (car p34) (* lrib_th_det 0.886)) (cadr p34))
	  p28 (list (- (car p32) (* l_gap_det 0.886)) (- (cadr p10) l_gap_det))
	  p29 (list (car p27) (cadr p12))
	  p30 (list (car p28) (cadr p12))
	  p31 (list (+ (car p27) (* l_gap_det 0.886)) (cadr p27))
	  p33 (list (+ (car p31) (* lrib_th_det 0.886)) (cadr p31))

	  pc1 (list (- (car p12) lbp_th_det) (+ (cadr p12) lbp_th_det))
	  pc2 (list (- (car p11) lbp_th_det) (- (cadr p11) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p11))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p11))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
    )
    (command "_linetype" "s" "continuous" "")
    (if (= detsc 1) (command "_layer" "s" "ves" ""))
    (if (> detsc 1) (command "_layer" "s" "0" ""))
    (command "_line" p07 p08 p10 p09 p07 ""
             "_line" p08 p17 p18 p10 ""
             "_line" p04 p14 ""
             "_line" p06 p16 ""
             "_line" p13 p14 p16 p15 p13 ""
             "_line" p20 p24 p26 p22 ""
             "_line" p19 p23 p25 p21 ""
             "_line" p31 p27 p29 ""
             "_line" p32 p28 p30 ""
	     "_line" p24 p33 p31 p26 ""
	     "_line" p23 p32 p34 p25 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
) ; end draw_lug4 ----------------------------------------------
(defun draw_lug5 ( pin ov / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 ph1 ph2 ph3 ph4
		            pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pc1 pc2
		 )
    (setq p01 (list (car pin) (- (cadr pin) l_gap_det))
	  p02 (list (+ (car p01) lpp_th_det) (cadr p01))
	  p03 (list (car p01) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr p03))
	  p05 (list (car p02) (+ (cadr p02) l_gap_det))
	  p06 (list (car p05) (+ (cadr p05) lbp_th_det))
	  p07 (list (+ (car p05) lbp_len_det) (cadr p05))
	  p08 (list (car p07) (cadr p06))
	  p09 (list (- (car p07) l_gap_det) (cadr p08))
	  p10 (list (car p09) (+ (cadr p09) l_gap_det))
	  p11 (list (car p04) (- (cadr p04) l_gap_det))
	  p12 (list (+ (car p11) l_gap_det) (cadr p11))

	  pd1 (list (car p01) (- (cadr p01) (* dimoff detsc 2.0)))
	  pd2 (list (- (car p01) (* dimoff detsc 2.0)) (cadr p01))
	  pd3 (list (car p03) (+ (cadr p03) (* dimoff detsc 2.0)))
	  pd4 (list (car p10) (+ (cadr p10) (* dimoff detsc 2.0)))
	  pd5 (list (- (car p10) (* dimoff detsc 5.0)) (cadr p10))
	  pd6 (list (+ (car p12) (* dimoff detsc 5.0)) (cadr p12))
	  pd7 (list (car p12) (- (cadr p12) (* dimoff detsc 6.0)))
	  pd8 (list (+ (car p08) (* dimoff detsc 2.0)) (cadr p08))
	  pc1 (list (+ (car p06) (* (/ lbp_len_det 4.0) 3.0)) (+ (cadr p06) lbp_th_det))
	  pc2 (list (+ (car p06) (* (/ lbp_len_det 4.0) 3.0)) (- (cadr p05) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p07))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p05))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p08))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p06))
    )
    (command "_linetype" "s" "continuous" "")
    (if (= detsc 1) (command "_layer" "s" "ves" ""))
    (if (> detsc 1) (command "_layer" "s" "0" ""))
    (command "_line" p01 p03 p04 p02 p01 ""
             "_line" p05 p07 p08 p06 ""
             "_line" p11 p12 p10 p09 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p07 p02 pd1 (rtos lbp_len m2 m4)
	     "_dim1" "ver" p01 p03 pd2 (rtos lpp_len m2 m4)
	     "_dim1" "hor" p04 p03 pd3 (rtos lpp_th m2 m4)
	     "_dim1" "hor" p08 p09 pd4 (rtos l_gap m2 m4)
	     "_dim1" "ver" p10 p09 pd5 (rtos l_gap m2 m4)
	     "_dim1" "ver" p11 p04 pd6 (rtos l_gap m2 m4)
	     "_dim1" "hor" p12 p11 pd7 (rtos l_gap m2 m4)
	     "_dim1" "ver" p07 p08 pd8 (rtos lbp_th m2 m4)
  	     "_layer" "s" "0" ""
    )
 ))
) ; end draw_lug5 ----------------------------------------------
(defun draw_lug_plan ( pin ov /
                            p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		            p21 p22 p23 pd1 pd2 pd3 pd4 pd5 pd6
		            pc1 pc2 pc3 pc4
		            ang1 ang2 ss1 shell_od
		     )
    (setq shell_od (+ (/ ves2 2.0) ves3)
	  ang1 (/ lpp_wid_det 2.0 shell_od)
	  ang2 (/ (- lpp_wid_det (* l_gap_det 2.0)) 2.0 shell_od)
	  ss1 (ssadd)
    )
    (setq p01 (polar pin (dtr 270.0) shell_od)
	  p02 (polar pin (dtr 270.0) (+ shell_od lpp_th_det))
	  p03 (polar pin (- (dtr 270.0) ang1) shell_od)
	  p04 (polar pin (+ (dtr 270.0) ang1) shell_od)
	  p05 (polar pin (- (dtr 270.0) ang1) (+ shell_od lpp_th_det))
	  p06 (polar pin (+ (dtr 270.0) ang1) (+ shell_od lpp_th_det))
	  p07 (polar pin (- (dtr 270.0) ang2) (+ shell_od lpp_th_det))
	  p08 (polar pin (+ (dtr 270.0) ang2) (+ shell_od lpp_th_det))
	  p09 (list (car p07) (- (cadr p07) (distance p07 p08)))
	  p10 (list (car p08) (- (cadr p08) (distance p07 p08)))
	  p11 (list (+ (car p07) l_gap_det) (cadr p07))
	  p12 (list (- (car p08) l_gap_det) (cadr p08))
	  p13 (list (+ (car p11) lrib_th_det) (cadr p11))
	  p14 (list (- (car p12) lrib_th_det) (cadr p12))
	  p15 (list (car p11) (- (cadr p11) l_gap_det))
	  p16 (list (car p12) (- (cadr p12) l_gap_det))
	  p17 (list (car p13) (- (cadr p13) l_gap_det))
	  p18 (list (car p14) (- (cadr p14) l_gap_det))
	  p19 (list (car p11) (+ (cadr p09) l_gap_det))
	  p20 (list (car p12) (+ (cadr p09) l_gap_det))
	  p21 (list (car p13) (+ (cadr p10) l_gap_det))
	  p22 (list (car p14) (+ (cadr p10) l_gap_det))
	  p23 (polar p01 (dtr 270.0) (/ (distance p07 p08) 2.0))
	  pc1 (list (- (car p23) lbp_th_det) (cadr p23))
	  pc2 (list (+ (car p23) lbp_th_det) (cadr p23))
	  pc3 (list (car p23) (+ (cadr p23) lbp_th_det))
	  pc4 (list (car p23) (- (cadr p23) lbp_th_det))

  	  pd1 (list (car p09) (- (cadr p09) (* dimoff detsc)))
  	  pd2 (list (car pd1) (- (cadr pd1) (* dimoff detsc)))
  	  pd3 (list (car pd2) (- (cadr pd2) (* dimoff 2.0 detsc)))
	  pd4 (list (- (car p09) (* dimoff detsc)) (cadr p09))
	  pd5 (list (+ (car p08) (* dimoff detsc 2.0)) (cadr p08))
    	  pd6 (list (car p01) (+ (cadr p03) (* dimoff 2.0 detsc)))
    )
    (command "_linetype" "s" "continuous" "")
    (if (= detsc 1) (command "_layer" "s" "ves" ""))
    (if (> detsc 1) (command "_layer" "s" "0" ""))
    (command "_arc" p03 p01 p04)
    (setq ss1 (ssadd (entlast) ss1))
    (command "_arc" p05 p02 p06)
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p03 p05 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p04 p06 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p15 p17 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p18 p16 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_pline" p07 p09 p10 p08 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_pline" p11 p19 p21 p13 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_pline" p12 p20 p22 p14 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_circle" p23 (/ lbp_th_det 2.0))
    (setq ss1 (ssadd (entlast) ss1))
    (command "_layer" "s" "cen" ""
	     "_linetype" "set" "center" ""
    )
    (command "_line" pc1 pc2 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" pc3 pc4 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_layer" "s" "ves" ""
	     "_linetype" "set" "continuous" ""
    )
 (if (and (= nosup "3") (= ov 0) (= detsc 1))
    (command "_rotate" ss1 "" pin 60.0
	     "_array" ss1 "" "p" pin 3 "" "")
 )
 (if (and (= nosup "4") (= ov 0) (= detsc 1))
    (command "_array" ss1 "" "p" pin 4 "" "")
 )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p19 p21 pd1 (rtos lrib_th m2 m4)
	     "_dim1" "hor" p20 p22 pd1 (rtos lrib_th m2 m4)
	     "_dim1" "hor" p09 p10 pd3 (rtos (/ (distance p10 p09) detsc) m2 m4)
	     "_dim1" "ver" p07 p09 pd4 (rtos (/ (distance p07 p09) detsc) m2 m4)
	     "_dim1" "ver" p10 p20 pd5 (rtos l_gap m2 m4)
	     "_dim1" "ver" p16 p12 pd5 (rtos l_gap m2 m4)
	     "_dim1" "hor" p03 p04 pd6 (rtos lpp_wid m2 m4)
  	     "_layer" "s" "0" ""
    )
 ))
) ; end draw_lug_plan ----------------------------------------------
(defun legsize ()
   (cond
      ((= m2 2)
   	(cond
    	(                     (<= ves2 500.0)   (setq legsz  50.0))
    	((and (> ves2 500.0)  (<= ves2 750.0))  (setq legsz  75.0))
    	((and (> ves2 750.0)  (<= ves2 1000.0)) (setq legsz 100.0))
    	((and (> ves2 1000.0) (<= ves2 1500.0)) (setq legsz 125.0))
    	((and (> ves2 1500.0) (<= ves2 2000.0)) (setq legsz 150.0))
    	((and (> ves2 2000.0) (<= ves2 2500.0)) (setq legsz 175.0))
    	((and (> ves2 2500.0) (<= ves2 3000.0)) (setq legsz 200.0))
    	(     (> ves2 3000.0)                   (setq legsz 225.0))
	)
      )
      ((= m2 4)
   	(cond
    	(                    (<= ves2  20.0)  (setq legsz 2.0))
    	((and (> ves2  20.0) (<= ves2  30.0)) (setq legsz 3.0))
    	((and (> ves2  30.0) (<= ves2  40.0)) (setq legsz 4.0))
    	((and (> ves2  40.0) (<= ves2  60.0)) (setq legsz 5.0))
    	((and (> ves2  60.0) (<= ves2  80.0)) (setq legsz 6.0))
    	((and (> ves2  80.0) (<= ves2 100.0)) (setq legsz 7.0))
    	((and (> ves2 100.0) (<= ves2 120.0)) (setq legsz 8.0))
    	(     (> ves2 120.0)                  (setq legsz 9.0))
   	)
      )
    )
 (cond
  ((and (= m2 2) (= legsz  50.0)) (setq legszw 30.0))
  ((and (= m2 2) (= legsz  75.0)) (setq legszw 40.0))
  ((and (= m2 2) (= legsz 100.0)) (setq legszw 50.0))
  ((and (= m2 2) (= legsz 125.0)) (setq legszw 65.0))
  ((and (= m2 2) (= legsz 150.0)) (setq legszw 75.0))
  ((and (= m2 2) (= legsz 175.0)) (setq legszw 75.0))
  ((and (= m2 2) (= legsz 200.0)) (setq legszw 75.0))
  ((and (= m2 2) (= legsz 225.0)) (setq legszw 80.0))
  ((and (= m2 4) (= legsz 2.0))   (setq legszw 1.25))
  ((and (= m2 4) (= legsz 3.0))   (setq legszw 1.5))
  ((and (= m2 4) (= legsz 4.0))   (setq legszw 2.0))
  ((and (= m2 4) (= legsz 5.0))   (setq legszw 2.5))
  ((and (= m2 4) (= legsz 6.0))   (setq legszw 3.0))
  ((and (= m2 4) (= legsz 7.0))   (setq legszw 3.0))
  ((and (= m2 4) (= legsz 8.0))   (setq legszw 3.0))
  ((and (= m2 4) (= legsz 9.0))   (setq legszw 3.5))
 )
  (setq lpp_len (* legsz 2.0) lpp_th ves3          lpp_wid (* legsz 1.5)
	lbp_len (* legsz 2.0) lbp_th (* ves3 2.0)  lbp_wid (* legsz 2.0 0.64)
	leg_ht (/ ves1 4.0)   l_gap (* ves3 1.5)   le_ht l_gap
  )
; (input_suptype)
;             (if (= type1 "side")
;	       (progn
  (setq type1 "side") (input_leg_support2)
;               )
;             )
;             (if (= type1 "bot")
;	       (progn
;		 (input_leg_support3)
;	       )
;             )
) ; end legsize------------------------------------------------
(defun leg_sup ( / i1 i2)
(setq i1 (load_dialog "ves_supp.dcl") i2 5)
(while (< 2 i2)
  (if (= strtype "ang") (progn
    (if (not (new_dialog "lega" i1)) (exit))
        (start_image "lega")
    	     (slide_image
      		0 0
      		(- (dimx_tile "lega") 1)
      		(- (dimy_tile "lega") 1)
      		(strcat "ves(" "lega" ")")
    	     )
 	     (end_image)
  ))
  (if (= strtype "chan") (progn
    (if (not (new_dialog "legc" i1)) (exit))
        (start_image "legc")
    	     (slide_image
      		0 0
      		(- (dimx_tile "legc") 1)
      		(- (dimy_tile "legc") 1)
      		(strcat "ves(" "legc" ")")
    	     )
 	     (end_image)
  ))
  	(settile demo)
    (set_tile "lpp_len_db" (rtos lpp_len m2 m4))
    (set_tile "lpp_wid_db" (rtos lpp_wid m2 m4))
    (set_tile "lpp_th_db"  (rtos lpp_th m2 m4))
    (set_tile "lbp_len_db" (rtos lbp_len m2 m4))
    (set_tile "lbp_wid_db" (rtos lbp_wid m2 m4))
    (set_tile "lbp_th_db"  (rtos lbp_th m2 m4))
    (set_tile "le_ht_db"   (rtos le_ht m2 m4))
    (set_tile "leg_ht_db"  (rtos leg_ht m2 m4))
  
    (action_tile "lpp_len_db" "(get_lpp_len)")
    (action_tile "lpp_wid_db" "(get_lpp_wid)")
    (action_tile "lpp_th_db"  "(get_lpp_th)")
    (action_tile "lbp_len_db" "(get_lbp_len)")
    (action_tile "lbp_wid_db" "(get_lbp_wid)")
    (action_tile "lbp_th_db"  "(get_lpb_th)")
    (action_tile "le_ht_db"   "(get_le_ht)")
    (action_tile "leg_ht_db"  "(get_leg_ht)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i2 (start_dialog))
)
    (unload_dialog i1)
  (cond
    ((= sup_det "ga")    (setq detsc 1.0))
    ((= sup_det "deta2") (setq detsc 2.0))
    ((= sup_det "deta3") (setq detsc 3.0))
  )
 (cond
  ((and (= strtype "ang") (= suptype "leg"))
  (setq lpp_len_det (* detsc lpp_len) lpp_th_det (* detsc lpp_th) lpp_wid_det (* detsc lpp_wid)
	lbp_len_det (* detsc lbp_len) lbp_th_det (* detsc lbp_th) lbp_wid_det (* detsc lbp_wid)
	leg_ht_det  (* detsc leg_ht)  l_gap_det  (* detsc l_gap)  le_ht_det   (* detsc le_ht)
	legsz_det  (* detsc legsz)    legszw_det  (* detsc legszw)
  )
 )
 ((and (= strtype "chan") (= suptype "leg"))
  (setq lpp_len_det (* detsc lpp_len) lpp_th_det (* detsc lpp_th) lpp_wid_det (* detsc lpp_wid)
	lbp_len_det (* detsc lbp_len) lbp_th_det (* detsc lbp_th) lbp_wid_det (* detsc lbp_wid)
	leg_ht_det  (* detsc leg_ht)  l_gap_det  (* detsc l_gap)  le_ht_det   (* detsc le_ht)
	legsz_det  (* detsc legsz)    legszw_det  (* detsc legszw)
  )
 )
 ((and (= strtype "pip") (= suptype "leg"))
  (setq lpp_len_det (* detsc lpp_len) lpp_th_det (* detsc lpp_th) lpp_wid_det (* detsc lpp_wid)
	lbp_len_det (* detsc lbp_len) lbp_th_det (* detsc lbp_th) lbp_wid_det (* detsc lbp_wid)
	leg_ht_det  (* detsc leg_ht)  le_ht_det  0                l_gap_det   (* detsc l_gap)
	legsz_det  (* detsc legsz)    legszw_det  (* detsc legszw)
  )
 )
)
    (princ)
) ; end leg_sup---------------------------------------
(defun draw_leg1 ( pin ov angchan / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10 p11 p12
		            pd1 pd2 pd3 pd4 pd5 pc1 pc2
		            ph1 ph2 ph3 ph4
		 )
    (setq p01 pin
	  p02 (list (- (car p01) lpp_th_det) (cadr p01))
	  p03 (list (car p01) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr p03))
	  p05 (list (+ (car pin) (* lbp_len_det 0.25) lpp_th_det) (- (cadr pin) leg_ht_det le_ht_det))
	  p06 (list (car p05) (+ (cadr p05) lbp_th_det))
	  p07 (list (- (car p05) lbp_len_det) (cadr p05))
	  p08 (list (car p07) (cadr p06))
	  p09 (list (car p02) (- (cadr p04) l_gap_det))
	  p11 (list (car p09) (cadr p06))
	  
	  pd1 (list (car p01) (+ (cadr p04) (* dimoff 3.0 detsc)))
	  pd2 (list (+ (car p01) (* dimoff 3.0 detsc)) (cadr p01))
	  pd3 (list (car p07) (- (cadr p07) (* dimoff 3.0 detsc)))
	  pd4 (list (- (car p08) (* dimoff 3.0 detsc)) (cadr p08))

	  pc1 (list (+ (car pin) (* (/ lbp_len_det 8.0) 1.0)) (+ (cadr p06) lbp_th_det))
	  pc2 (list (+ (car pin) (* (/ lbp_len_det 8.0) 1.0)) (- (cadr p05) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p07))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p05))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p08))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p06))
    )
  (if (= angchan "ang")  (setq p10 (list (- (car p09) (* legsz_det 0.707)) (- (cadr p09) (* legsz_det 0.707)))
			       p12 (list (car p10) (cadr p08))
                               pd5 (list (- (car p08) (* dimoff 3.0 detsc)) (cadr p10))
                         )
  )
  (if (= angchan "chan") (setq p10 (list (- (car p09) legszw_det) (cadr p09))
			       p12 (list (car p10) (cadr p08))
                               pd5 (list (+ (car p08) (* dimoff 3.0 detsc)) (cadr p10))
			 )
  )
    (command "_linetype" "s" "continuous" ""
             "_layer" "s" "ves" ""
             "_line" p01 p03 p04 p02 p01 ""
             "_line" p05 p07 p08 p06 p05 ""
             "_line" p09 p10 p12 ""
             "_line" p02 p11 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
  (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p03 p04 pd1 (rtos lpp_th m2 m4)
	     "_dim1" "ver" p01 p03 pd2 (rtos lpp_len m2 m4)
	     "_dim1" "hor" p07 p05 pd3 (rtos lbp_len m2 m4)
	     "_dim1" "ver" p07 p08 pd4 (rtos lbp_th m2 m4)
    )
  (if (= angchan "ang")  (command "_dim1" "hor" p09 p10 pd5 (rtos legsz m2 m4)
                                  "_dim1" "ver" p10 p12 pd5 (rtos (- leg_ht l_gap legsz) m2 m4))
  )
  (if (= angchan "chan") (command "_dim1" "hor" p09 p10 pd5 (rtos (/ legszw 2.0) m2 m4)
                                  "_dim1" "ver" p10 p12 pd5 (rtos (- leg_ht l_gap) m2 m4))
  )
    (command "_layer" "s" "0" "")
  ))
) ; end draw_leg1 ----------------------------------------------
(defun draw_leg2 ( pin ov angchan / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p19 p20 p21
                            pc1 pc2 ph1 ph2 ph3 ph4 pd1 pd2
		 )
    (setq p01 pin
	  p02 (list (- (car p01) (* lpp_wid_det 0.353)) (+ (cadr p01) lpp_len_det))
	  p03 (list (+ (car p01) (* lpp_wid_det 0.353)) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr pin))
	  p05 (list (car p03) (cadr pin))
	  p06 (list (+ (car p03) (/ lpp_th_det 2.0)) (cadr p03))
	  p07 (list (+ (car p05) (/ lpp_th_det 2.0)) (cadr p05))
	  p08 (list (- (car pin) (* legsz_det 0.353)) (- (cadr p02) l_gap_det))
	  p09 (list (+ (car pin) (* legsz_det 0.353)) (- (cadr p03) l_gap_det))
	  p10 (list (car p08) (- (cadr pin) le_ht_det (- leg_ht_det lbp_th_det)))
	  p11 (list (car p09) (cadr p10))
	  p12 (list (- (car p10) (* l_gap_det 2.0)) (cadr p10))
	  p13 (list (+ (car p10) (* l_gap_det 1.0)) (cadr p10))
	  p14 (list (+ (car p11) (* l_gap_det 2.0)) (cadr p11))
	  p15 (list (car p12) (- (cadr p12) lbp_th_det))
	  p16 (list (car p13) (- (cadr p13) lbp_th_det))
	  p17 (list (car p14) (- (cadr p14) lbp_th_det))
    )
   (if (and (= strtype "ang") (= suptype "leg"))
    (setq p18 (list (- (car pin) l_gap_det) (- (cadr p09) (* legsz_det 0.353)))
	  p19 (list (car p18) (cadr p13))
    )
   )
   (if (and (= strtype "chan") (= suptype "leg"))
    (setq p08 (list (- (car pin) (* legsz_det 0.25)) (- (cadr p01) l_gap_det))
	  p09 (list (+ (car pin) (* legsz_det 0.25)) (cadr p08))
	  p10 (list (car p08) (- (+ (cadr pin) le_ht_det) (- leg_ht_det lbp_th_det)))
	  p11 (list (car p09) (cadr p10))
	  p20 (list (- (car p09) (* legszw_det 0.25)) (cadr p09))
	  p21 (list (car p20) (cadr p10))
    )
   )
    (setq pc1 (list (- (car p13) lbp_th_det) (+ (cadr p12) lbp_th_det))
	  pc2 (list (- (car p13) lbp_th_det) (- (cadr p15) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p15))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p15))
	  pd1 (list (car p17) (- (cadr p17) (* dimoff 3.0 detsc)))
	  pd2 (list (car p02) (+ (cadr p02) (* dimoff 3.0 detsc)))
    )
    (command "_linetype" "s" "continuous" ""
             "_layer" "s" "ves" ""
             "_line" p02 p04 p07 p06 p02 ""
             "_line" p03 p05 ""
             "_line" p10 p08 p09 p11 ""
             "_line" p12 p14 p17 p15 p12 ""
             "_line" p13 p16 ""
    )
  (if (= angchan "ang")
    (command "_line" p18 p19 ""
             "_line" p08 p18 p09 ""
    )
  )
  (if (= angchan "chan")
    (command "_line" p20 p21 "")
  )
    (command "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
  (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" "")
  (if (= angchan "ang")  (command "_dim1" "hor" p09 p18 pd2 (rtos legsz m2 m4)
                                  "_dim1" "ver" p18 p19 pd1 (rtos (- leg_ht l_gap legsz) m2 m4))
  )
  (if (= angchan "chan") (command "_dim1" "hor" p09 p18 pd1 (rtos legszw m2 m4)))
    (command "_layer" "s" "0" "")
 ))
) ; end draw_leg2 ----------------------------------------------
(defun draw_leg3 ( pin ov backv angchan
		     / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		       p11 p12 p13 p14
		       pc1 pc2 ph1 ph2 ph3 ph4
		       pd1 pd2 pd3 pd4 pd5 pte1 pte2
		 )
    (setq p01 (list (- (car pin) (/ lbp_wid_det 2.0)) (- (cadr pin) le_ht_det leg_ht_det))
	  p02 (list (+ (car pin) (/ lbp_wid_det 2.0)) (- (cadr pin) le_ht_det leg_ht_det))
	  p03 (list (- (car pin) (/ lpp_wid_det 2.0)) (cadr pin))
	  p04 (list (+ (car pin) (/ lpp_wid_det 2.0)) (cadr p03))
	  p05 (list (car p01) (+ (cadr p01) lbp_th_det))
	  p06 (list (car p02) (+ (cadr p02) lbp_th_det))
	  p07 (list (car p03) (+ (cadr p03) lpp_len_det))
	  p08 (list (car p04) (+ (cadr p04) lpp_len_det))
    )
   (if (and (= strtype "ang") (= suptype "leg"))
    (setq p09 (list (- (car pin) (* legsz_det 0.707)) (- (cadr p08) l_gap_det))
	  p10 (list (+ (car pin) (* legsz_det 0.707)) (cadr p09))
          p11 (list (car pin) (- (cadr p09) (* legsz_det 0.707)))
    )
   )
   (if (and (= strtype "chan") (= suptype "leg"))
    (setq p09 (list (- (car pin) (* legsz_det 0.5)) (- (cadr p08) l_gap_det))
	  p10 (list (+ (car pin) (* legsz_det 0.5)) (cadr p09))
    )
   )
    (setq p12 (list (car pin) (cadr p05))
	  p13 (list (car p09) (cadr p05))
	  p14 (list (car p10) (cadr p06))

	  pd1 (list (car pin) (+ (cadr p08) (* dimoff 3.0 detsc)))
	  pd2 (list (car pin) (- (cadr p01) (* dimoff 3.0 detsc)))
	  pd3 (list (- (car p03) (* dimoff 3.0 detsc)) (cadr p02))
	  pd4 (list (- (car p07) (* dimoff 3.0 detsc)) (cadr p07))
	  pd5 (list (+ (car p08) (* dimoff 3.0 detsc)) (cadr p08))
	  
	  pc1 (list (car pin) (+ (cadr p06) lbp_th_det))
	  pc2 (list (car pin) (- (cadr p02) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p01))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p02))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p05))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p06))
	  pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
	  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
    )
  (if (= backv 1)
    (command "_layer" "s" "hid" ""
	     "_linetype" "s" "hidden" "")
    (command "_layer" "s" "ves" ""
	     "_linetype" "s" "continuous" "")
  )
    (command "_line" p03 p07 p08 p04 p03 ""
             "_line" p01 p02 p06 p05 p01 ""
             "_line" p13 p09 p10 p14 ""
    )
 (if (and (= strtype "ang") (= suptype "leg"))
    (command "_line" p09 p11 p10 ""
             "_line" p11 p12 ""
    )
 )
    (command "_layer" "s" "cen" ""
	     "_linetype" "s" "center" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p07 p08 pd1 (rtos lpp_len m2 m4)
	     "_dim1" "hor" p01 p02 pd2 (rtos lbp_wid m2 m4)
	     "_dim1" "ver" p05 p01 pd3 (rtos lbp_th m2 m4)
	     "_dim1" "ver" p04 p08 pd5 (rtos lpp_len m2 m4)
             "_layer" "s" "txt" ""
	     "_text" "c" pte1 (* textht detsc) 0 "LEG SUPPORTS"
	     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
    )
  (if (= angchan "ang")  (command "_layer" "s" "dim" ""
				  "_dim1" "ver" p09 p11 pd4 (rtos legsz m2 m4)
                                  "_dim1" "ver" p11 p05 pd4 (rtos (- leg_ht l_gap legsz) m2 m4))
  )
  (if (= angchan "chan") (command "_layer" "s" "dim" ""
				  "_dim1" "hor" p09 p10 pd4 (rtos legszw m2 m4)))
  	(command "_layer" "s" "0" "")
	;pad plate
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal leg_ht lpp_wid lpp_th spgr_sh)
           (bomfile_w "a" "lpad" (itoa nextno) "Leg Pad Plate" nosup
	     moc_sh (strcat (rtos leg_ht m2 m4) " Long " (rtos lpp_wid m2 m4) " Wide " (rtos lpp_th m2 m4) " Thk") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lpad nextno)
           (tagno p08 (/ (/ tagl 2.0) 2.0) 45 lpad)
	;base plate
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal lbp_len lbp_wid lbp_th spgr_sh)
           (bomfile_w "a" "lbase" (itoa nextno) "Leg Base Plate" nosup
	     moc_sh (strcat (rtos lbp_len m2 m4) " Long " (rtos lbp_wid m2 m4) " Wide " (rtos lbp_th m2 m4) " Thk") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lbase nextno)
           (tagno p02 (/ (/ tagl 2.0) 2.0) 315 lbase)
  (if (= strtype "ang") (progn
	;leg angles
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal (* legsz 2.0) (/ 5.0 m1) (distance p09 p13) spgr_sh)
           (bomfile_w "a" "lang" (itoa nextno) "Leg Angles" nosup
	     moc_sh (strcat (rtos (distance p09 p13) m2 m4) " Long " (rtos legsz m2 m4) " Wide " ) (rtos (* shellwt (distof nosup)) 2 2))
           (setq lang nextno)
           (tagno p09 (/ (/ tagl 2.0) 2.0) 100 lang)
  ))
  (if (= strtype "chan") (progn
	;leg channels
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal (+ (* legszw 2.0) legsz) (/ 5.0 m1) (distance p09 p13) spgr_sh)
           (bomfile_w "a" "lchan" (itoa nextno) "Leg Channels" nosup
	     moc_sh (strcat (rtos (distance p09 p13) m2 m4) " Long " (rtos legsz m2 m4) " Wide ") (rtos (* shellwt (distof nosup)) 2 2))
           (setq lchan nextno)
           (tagno p09 (/ (/ tagl 2.0) 2.0) 100 lchan)
  ))
 ))
) ; end draw_leg3 ----------------------------------------------
(defun draw_leg4 ( pin ov angchan / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p19 p20 p21
                            pc1 pc2 ph1 ph2 ph3 ph4
		            pd1
		 )
    (setq p01 pin
	  p02 (list (- (car p01) (* lpp_wid_det 0.353)) (+ (cadr p01) lpp_len_det))
	  p03 (list (+ (car p01) (* lpp_wid_det 0.353)) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr pin))
	  p05 (list (car p03) (cadr pin))
	  p06 (list (- (car p02) (/ lpp_th_det 2.0)) (cadr p02))
	  p07 (list (- (car p04) (/ lpp_th_det 2.0)) (cadr p04))
	  p08 (list (- (car pin) (* legsz_det 0.353)) (- (cadr p02) l_gap_det))
	  p09 (list (+ (car pin) (* legsz_det 0.353)) (- (cadr p03) l_gap_det))
	  p10 (list (car p08) (- (cadr pin) le_ht_det (- leg_ht_det lbp_th_det)))
	  p11 (list (car p09) (cadr p10))
	  p12 (list (- (car p10) (* l_gap_det 2.0)) (cadr p10))
	  p13 (list (- (car p11) (* l_gap_det 1.0)) (cadr p10))
	  p14 (list (+ (car p11) (* l_gap_det 2.0)) (cadr p11))
	  p15 (list (car p12) (- (cadr p12) lbp_th_det))
	  p16 (list (car p13) (- (cadr p13) lbp_th_det))
	  p17 (list (car p14) (- (cadr p14) lbp_th_det))
    )
   (if (and (= strtype "ang") (= suptype "leg"))
    (setq p18 (list (+ (car pin) l_gap_det) (- (cadr p09) (* legsz_det 0.353)))
	  p19 (list (car p18) (cadr p13))
    )
   )
   (if (and (= strtype "chan") (= suptype "leg"))
    (setq p08 (list (- (car pin) (* legsz_det 0.25)) (- (cadr p01) l_gap_det))
	  p09 (list (+ (car pin) (* legsz_det 0.25)) (cadr p08))
	  p10 (list (car p08) (- (+ (cadr pin) le_ht_det) (- leg_ht_det lbp_th_det)))
	  p11 (list (car p09) (cadr p10))
	  p20 (list (- (car p09) (* legszw_det 0.25)) (cadr p09))
	  p21 (list (car p20) (cadr p10))
    )
   )
    (setq pc1 (list (+ (car p13) lbp_th_det) (+ (cadr p12) lbp_th_det))
	  pc2 (list (+ (car p13) lbp_th_det) (- (cadr p15) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p12))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p15))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p15))
	  pd1 (list (- (car p12) (* dimoff 3.0)) (cadr p12))
    )
    (command "_linetype" "s" "continuous" ""
             "_layer" "s" "ves" ""
             "_line" p06 p07 p05 p03 p06 ""
             "_line" p02 p04 ""
             "_line" p10 p08 p09 p11 ""
             "_line" p12 p14 p17 p15 p12 ""
             "_line" p13 p16 ""
    )
  (if (= angchan "ang")
    (command "_line" p18 p19 ""
             "_line" p08 p18 p09 ""
    )
  )
  (if (= angchan "chan")
    (command "_line" p20 p21 "")
  )
    (command "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
) ; end draw_leg4 ----------------------------------------------
(defun draw_leg5 ( pin ov angchan / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10 p11 p12
 	                    ph1 ph2 ph3 ph4
		            pd1 pd2 pd3 pd4 pd5 pc1 pc2
		 )
    (setq p01 pin
	  p02 (list (+ (car p01) lpp_th_det) (cadr p01))
	  p03 (list (car p01) (+ (cadr p01) lpp_len_det))
	  p04 (list (car p02) (cadr p03))
	  p05 (list (- (car pin) (* lbp_len_det 0.25) lpp_th_det) (- (cadr pin) leg_ht_det le_ht_det))
	  p06 (list (car p05) (+ (cadr p05) lbp_th_det))
	  p07 (list (+ (car p05) lbp_len_det) (cadr p05))
	  p08 (list (car p07) (cadr p06))
	  p09 (list (car p02) (- (cadr p04) l_gap_det))
	  p11 (list (car p09) (cadr p06))

	  pd1 (list (car p03) (+ (cadr p03) (* dimoff 3.0 detsc)))
	  pd2 (list (- (car p01) (* dimoff 3.0 detsc)) (cadr p01))
	  pd3 (list (car p07) (- (cadr p07) (* dimoff 3.0 detsc)))
	  pd4 (list (+ (car p08) (* dimoff 3.0 detsc)) (cadr p05))
	  
	  pc1 (list (- (car pin) (* (/ lbp_len_det 8.0) 1.0)) (+ (cadr p06) lbp_th_det))
	  pc2 (list (- (car pin) (* (/ lbp_len_det 8.0) 1.0)) (- (cadr p05) lbp_th_det))
	  ph1 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p07))
	  ph2 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p05))
	  ph3 (list (- (car pc1) (/ lbp_th_det 2.0)) (cadr p08))
	  ph4 (list (+ (car pc1) (/ lbp_th_det 2.0)) (cadr p06))
    )
  (if (= angchan "ang")  (setq p10 (list (+ (car p09) (* legsz_det 0.707)) (- (cadr p09) (* legsz_det 0.707)))
			       p12 (list (car p10) (cadr p08))
                               pd5 (list (+ (car p08) (* dimoff 3.0 detsc)) (cadr p10))
                         )
  )
  (if (= angchan "chan") (setq p10 (list (+ (car p09) legszw_det) (cadr p09))
			       p12 (list (car p10) (cadr p08))
                               pd5 (list (+ (car p08) (* dimoff 3.0 detsc)) (cadr p10))
			 )
  )
    (command "_linetype" "s" "continuous" ""
             "_layer" "s" "ves" ""
             "_line" p01 p03 p04 p02 p01 ""
             "_line" p05 p07 p08 p06 p05 ""
             "_line" p09 p10 p12 ""
             "_line" p02 p11 ""
	     "_linetype" "s" "center" ""
             "_layer" "s" "cen" ""
             "_line" pc1 pc2 ""
	     "_linetype" "s" "hidden" ""
             "_layer" "s" "hid" ""
             "_line" ph1 ph3 ""
             "_line" ph2 ph4 ""
             "_linetype" "s" "continuous" ""
             "_layer" "s" "0" ""
    )
  (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p03 p04 pd1 (rtos lpp_th m2 m4)
	     "_dim1" "ver" p01 p03 pd2 (rtos lpp_len m2 m4)
	     "_dim1" "hor" p07 p05 pd3 (rtos lbp_len m2 m4)
	     "_dim1" "ver" p07 p08 pd4 (rtos lbp_th m2 m4)
    )
  (if (= angchan "ang")  (command "_dim1" "hor" p09 p10 pd5 (rtos legsz m2 m4)
                                  "_dim1" "ver" p10 p12 pd5 (rtos (- leg_ht l_gap legsz) m2 m4))
  )
  (if (= angchan "chan") (command "_dim1" "hor" p09 p10 pd5 (rtos legszw m2 m4)
                                  "_dim1" "ver" p10 p12 pd5 (rtos (- leg_ht l_gap) m2 m4))
  )
    (command "_layer" "s" "0" "")
  ))
) ; end draw_leg5 ----------------------------------------------
(defun draw_leg_plan ( pin ov angchan /
                            p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17
		            pd1 pd2 pd3 pd4 pd5
		            pc1 pc2 pc3 pc4
		            ang1 ang2  ss1 shell_od
		     )

  
    (setq shell_od (+ (/ ves2 2.0) ves3)
	  ang1 (/ lpp_wid_det 2.0 shell_od)
	  ang2 (/ (- lpp_wid_det (* l_gap_det 2.0)) 2.0 shell_od)
	  ss1 (ssadd)
          p01 (polar pin (dtr 270.0) shell_od)
	  p02 (polar pin (dtr 270.0) (+ shell_od lpp_th_det))
	  p03 (polar pin (- (dtr 270.0) ang1) shell_od)
	  p04 (polar pin (+ (dtr 270.0) ang1) shell_od)
	  p05 (polar pin (- (dtr 270.0) ang1) (+ shell_od lpp_th_det))
	  p06 (polar pin (+ (dtr 270.0) ang1) (+ shell_od lpp_th_det))
	  p07 (polar pin (- (dtr 270.0) (/ (* legsz_det 0.707) shell_od)) (+ shell_od lpp_th_det))
	  p08 (polar pin (+ (dtr 270.0) (/ (* legsz_det 0.707) shell_od)) (+ shell_od lpp_th_det))
	  p13 (list (- (car p02)  (/ lbp_wid_det 2.0)) (+ (cadr p03) (/ lbp_len_det 2.0)))
	  p14 (list (+ (car p02)  (/ lbp_wid_det 2.0)) (cadr p13))
	  p09 (list (car p13) (- (cadr p13) lbp_len_det))
	  p10 (list (car p14) (- (cadr p14) lbp_len_det))
	  p11 (list (car p02) (- (cadr p02) (* legsz_det 0.707)))
	  p12 (polar pin (dtr 270.0) (- shell_od (/ lbp_len_det 4.0)))
	  p17 (list (car pin) (cadr p14))
    )
  (if (= strtype "chan")
    (setq p15 (list (car p07) (- (cadr p07) legszw_det))
	  p16 (list (car p08) (- (cadr p08) legszw_det))
    )
  )
    (setq pc1 (list (- (car p12) lbp_th_det) (cadr p12))
	  pc2 (list (+ (car p12) lbp_th_det) (cadr p12))
	  pc3 (list (car p12) (+ (cadr p12) lbp_th_det))
	  pc4 (list (car p12) (- (cadr p12) lbp_th_det))

  	  pd1 (list (car p09) (- (cadr p09) (* dimoff 3.0 detsc)))
	  pd2 (list (- (car p09) (* dimoff 3.0 detsc)) (cadr p09))
    	  pd3 (list (car p01) (+ (cadr p03) (* dimoff 3.0 detsc)))
	  pd4 (list (+ (car p09) (* dimoff 3.0 detsc)) (cadr p09))
	  pd5 (list (+ (car pc2) (* dimoff 3.0 detsc)) (cadr pc2))
    )
    (command "_layer" "s" "ves" ""
	     "_linetype" "set" "continuous" "")
    (command "_arc" p03 p01 p04)
    (setq ss1 (ssadd (entlast) ss1))
    (command "_arc" p05 p02 p06)
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p03 p05 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" p04 p06 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_pline" p13 p09 p10 p14 p13 "")
    (setq ss1 (ssadd (entlast) ss1))
  (if (= strtype "ang") (progn
    (command "_pline" p07 p11 p08 "")
    (setq ss1 (ssadd (entlast) ss1))
  ))
  (if (= strtype "chan") (progn
    (command "_pline" p07 p15 p16 p08 "")
    (setq ss1 (ssadd (entlast) ss1))
  ))
    (command "_circle" p12 (/ lbp_th_det 2.0))
    (setq ss1 (ssadd (entlast) ss1))
    (command "_layer" "s" "cen" ""
	     "_linetype" "set" "center" ""
             "_line" pc1 pc2 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_line" pc3 pc4 "")
    (setq ss1 (ssadd (entlast) ss1))
    (command "_layer" "s" "ves" ""
	     "_linetype" "set" "continuous" ""
    )
 (if (and (= nosup "3") (= ov 0) (= detsc 1))
    (command "_rotate" ss1 "" pin 60.0
	     "_array" ss1 "" "p" pin 3 "" "")
 )
 (if (and (= nosup "4") (= ov 0) (= detsc 1))
    (command "_array" ss1 "" "p" pin 4 "" "")
 )
 (if (= ov 1) (progn
    (command "_layer" "s" "dim" ""
	     "_linetype" "set" "continuous" ""
	     "_dim1" "hor" p09 p10 pd1 (rtos lbp_len m2 m4)
	     "_dim1" "ver" p13 p09 pd2 (rtos lbp_len m2 m4)
	     "_dim1" "hor" p03 p04 pd3 (rtos (/ (distance p03 p04) detsc) m2 m4)
	     "_dim1" "ver" p13 p03 pd4 (rtos (/ (distance p03 p13) detsc) m2 m4)
	     "_dim1" "ver" p17 p12 pd5 (rtos (/ (distance p17 p12) detsc) m2 m4)
  	     "_layer" "s" "0" ""
    )
 ))
) ; end draw_leg_plan ----------------------------------------------
(defun input_suptype (/ i1 i2)
  (input_ves_ld)
	(setq i1 (load_dialog "ves_supp.dcl"))
	(if (not (new_dialog "supporttype" i1)) (exit))
  	(settile demo)
  	(set_tile "side" "1")
  	(action_tile "accept" "(setq type1 (get_tile \"supptype\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_suptype ------------------------------------------
(defun input_support (/ i1 i2) ; not used
	(setq i1 (load_dialog "ves_supp.dcl"))
	(if (not (new_dialog "support" i1)) (exit))
  	(settile demo)
  	(set_tile "leg" "1")
  	(action_tile "accept" "(setq suptype (get_tile \"supp\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_support ------------------------------------------
(defun input_no_support (/ i1 i2)
	(setq i1 (load_dialog "ves_supp.dcl"))
	(if (not (new_dialog "nosupport" i1)) (exit))
  	(settile demo)
  	(if (= suptype "lug") (set_tile "4" "1") (set_tile "3" "1"))
  	(action_tile "accept" "(setq nosup (get_tile \"nosupp\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_no_support ------------------------------------------
(defun input_leg_support2 (/ i1 i2)
	(setq i1 (load_dialog "ves_supp.dcl"))
	(if (not (new_dialog "leg_support2" i1)) (exit))
  	(settile demo)
  	(set_tile "ang" "1")
  	(action_tile "accept" "(setq strtype (get_tile \"legsupp2\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_leg_support2 ------------------------------------------
(defun input_leg_support3 (/ i1 i2)
	(setq i1 (load_dialog "ves_supp.dcl"))
	(if (not (new_dialog "leg_support3" i1)) (exit))
  	(settile demo)
  	(set_tile "ang" "1")
  	(action_tile "accept" "(setq strtype (get_tile \"legsupp3\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_leg_support3 ------------------------------------------
;-----------------------------------------------------------------
(defun input_sad ( / i1)
	(setq i1 (load_dialog "ves_hst.dcl"))
	(if (not (new_dialog "sad1" i1)) (exit))
  	(settile demo)
  	(set_tile "yes" "1")
  	(action_tile "accept" "(setq sadr (get_tile \"sad\"))")
  	(start_dialog)
  	(unload_dialog i1)
        (princ)
) ;-------End input_sad--------------------------------------------
(defun input_saddle ( / i1 i2)
   (saddle_dim ves2)
	(setq i1 (load_dialog "ves_hst.dcl") i2 5)
	(while (< 2 i2)
   	   (if (not (new_dialog "saddle" i1)) (exit))
  	(settile demo)
    	   (start_image "saddle")
    	   (slide_image
      		0 0
      		(- (dimx_tile "saddle") 1)
      		(- (dimy_tile "saddle") 1)
      		(strcat "ves(" "saddle" ")")
           )
 	   (end_image)
	   (set_tile "dima_db" (rtos dima m2 m4))
	   (set_tile "dimb_db" (rtos dimb m2 m4))
	   (set_tile "dimc_db" (rtos dimc m2 m4))
	   (set_tile "dimd_db" (rtos dimd m2 m4))
	   (set_tile "dime_db" (rtos dime m2 m4))
	   (set_tile "dimf_db" (rtos dimf m2 m4))
	   (set_tile "dimg_db" (rtos dimg m2 m4))
	   (set_tile "dimh_db" (rtos dimh m2 m4))
	   (set_tile "bdia_db" (rtos bdia m2 m4))
	   (set_tile "nob_db"  (itoa nob))
	   (set_tile "weldsiz_db" (rtos weldsiz m2 m4))
	   (set_tile "riba_db" (rtos riba m2 m4))
	   (set_tile "ribb_db" (rtos ribb m2 m4))
	   (set_tile "norib_db" (itoa norib))
      (if (= demo 0) (progn
	   (action_tile "dima_db" "(get_dima)")
           (action_tile "dimb_db" "(get_dimb)")
           (action_tile "dimc_db" "(get_dimc)")
           (action_tile "dimd_db" "(get_dimd)")
           (action_tile "dime_db" "(get_dime)")
           (action_tile "dimf_db" "(get_dimf)")
           (action_tile "dimg_db" "(get_dimg)")
           (action_tile "dimh_db" "(get_dimh)")
           (action_tile "bdia_db" "(get_bdia)")
           (action_tile "nob_db" "(get_nob)")
           (action_tile "weldsiz_db" "(get_weldsiz)")
           (action_tile "riba_db" "(get_riba)")
           (action_tile "ribb_db" "(get_ribb)")
           (action_tile "norib_db" "(get_norib)")
      ))
	   (action_tile "accept" "(done_dialog 1)")
	   (action_tile "cancel" "(done_dialog 0)")
	   (setq i2 (start_dialog))
	)
           (unload_dialog i1)(princ)
      (if (not dima) (setq dima (getreal "\nDimension A: ")))
      (if (not dimb) (setq dimb (getreal "\nDimension B: ")))
      (if (not dimc) (setq dimc (getreal "\nDimension C: ")))
      (if (not dimd) (setq dimd (getreal "\nDimension D: ")))
      (if (not dime) (setq dime (getreal "\nDimension E: ")))
      (if (not dimf) (setq dimf (getreal "\nDimension F: ")))
      (if (not dimg) (setq dimg (getreal "\nDimension G: ")))
      (if (not dimh) (setq dimh (getreal "\nDimension H: ")))
      (if (not bdia) (setq bdia (getreal "\nBolt Diameter? : ")))
      (if (not nob)  (setq nob  (getint "\nNo. of Bolts : ")))
      (if (not weldsiz) (setq weldsiz (getreal "\nWeld Thickness? : ")))
      (if (not riba) (setq riba (getreal "\nRib Width : ")))
      (if (not ribb) (setq ribb (getreal "\nRib Thickness : ")))
      (if (not norib) (setq norib (getint "\nNo. of Ribs : ")))
) ;--------
(defun get_dima () (setq dima (distof (get_tile "dima_db"))));
(defun get_dimb () (setq dimb (distof (get_tile "dimb_db"))));
(defun get_dimc () (setq dimc (distof (get_tile "dimc_db"))));
(defun get_dimd () (setq dimd (distof (get_tile "dimd_db"))));
(defun get_dime () (setq dime (distof (get_tile "dime_db"))));
(defun get_dimf () (setq dimf (distof (get_tile "dimf_db"))));
(defun get_dimg () (setq dimg (distof (get_tile "dimg_db"))));
(defun get_dimh () (setq dimh (distof (get_tile "dimh_db"))));
(defun get_bdia () (setq bdia (distof (get_tile "bdia_db"))));
(defun get_nob ()  (setq nob  (atoi    (get_tile "nob_db"))));
(defun get_weldsiz () (setq weldsiz (distof (get_tile "weldsiz_db"))));
(defun get_riba () (setq riba (distof (get_tile "riba_db"))));
(defun get_ribb () (setq ribb (distof (get_tile "ribb_db"))));
(defun get_norib () (setq norib (atoi (get_tile "norib_db"))));
; end input_saddle ----------------------------------------------------------------------
(defun saddle ( p0 ov / 
	           p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
	           p31 p32 p33 p34 p35 p36 p37 p38 p39 p40 43a 47a
	           p41 p42 p43 p44 p45 p46 p47 p48 p49 p50
	           p51 p52 p53 p54 p55 p56 p57 p58
	           pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pte1
	           dist1 dist2 dist3 dist4 dist5 shorm
	           dist11a dist11b dist12a dist12b dist13a dist13b dist14a dist14b
	           dist15a dist15b dist16a dist16b dist17a dist17b dist18a dist18b 
              ) ; end view of saddle
(setq shorm (/ ves2 2.0)
      p21 (list (+ (car p0) (* dima 1.5)) (cadr p0))
      p21a (list (car p21) (+ (cadr p21) dimd))
      p22 (list (- (car p21) (/ dima 2.0)) (cadr p21))
      p23 (list (+ (car p21) (/ dima 2.0)) (cadr p21))
      p24 (list (car p22) (+ (cadr p22) (/ dimd 1.0)))
      p25 (list (car p23) (+ (cadr p23) (/ dimd 1.0)))
      p26 (list (- (car p21) (/ dimf 1.0)) (+ (cadr p24) (* dimd 4.0)))
      p27 (list (+ (car p21) (/ dimf 1.0)) (+ (cadr p25) (* dimd 4.0)))
      p28 (list (- (car p21) (/ dimf 1.0)) (- (cadr p22) (* dimd 4.0)))
      p29 (list (+ (car p21) (/ dimf 1.0)) (- (cadr p23) (* dimd 4.0)))
      p30 (list (car p21) (+ (cadr p21) dimb dimd))
      dist1 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21 p22) (distance p21 p22))))
      dist2 (- dimb dist1)
      p31 (list (car p22) (+ (cadr p22) (/ dist2 1.0)))
      p32 (list (car p23) (+ (cadr p23) (/ dist2 1.0)))
      dist3 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (+ (/ 25.0 m1) (distance p21 p22)) (+ (/ 25.0 m1) (distance p21 p22)))))
      p33 (list (- (car p22) (/ 25.0 m1) ves3) (- (cadr p30) dist3))
      p34 (list (+ (car p23) (/ 25.0 m1) ves3) (- (cadr p30) dist3))
      p35 (polar p30 (angle p30 p33) (+ (/ ves2 2.0) ves3))
      p36 (polar p30 (angle p30 p34) (+ (/ ves2 2.0) ves3))
      p37 (polar p30 (angle p30 p21) (+ (/ ves2 2.0) ves3))
      p38 (polar p30 (angle p30 p21) (+ (/ ves2 2.0) ves3  dimc))
      p39 (polar p30 (dtr 180.0) (+ (/ ves2 2.0) ves3))
      p40 (polar p30 (dtr 0.0) (+ (/ ves2 2.0) ves3))
      p41 (list (car p30) (+ (cadr p30) (* dimd 4.0)))
      p42 (list (car p21) (- (cadr p21) (* dimd 4.0)))
)
(if (= norib 6) (progn
(setq p43 (list (- (car p21a) dime (/ dimc 2.0)) (cadr p21a))
      p43a (list (- (car p21a) dime) (cadr p21a))
      dist11a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p43) (distance p21a p43))))
      dist11b (- dimb dimc dist11a)
      p44 (list (+ (- (car p21a) dime) (/ dimc 2.0)) (cadr p21a))
      dist12a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p44) (distance p21a p44))))
      dist12b (- dimb dimc dist12a)
      p45 (polar p43 (/ pi 2.0) dist11b)
      p46 (polar p44 (/ pi 2.0) dist12b)
      p47 (list (- (car p21a) (/ dimc 2.0)) (cadr p21a))
      dist13a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p47) (distance p21a p47))))
      dist13b (- dimb dimc dist13a)
      p48 (list (+ (car p21a) (/ dimc 2.0)) (cadr p21a))
      dist14a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p48) (distance p21a p48))))
      dist14b (- dimb dimc dist14a)
      p49 (polar p47 (/ pi 2.0) dist13b)
      p50 (polar p48 (/ pi 2.0) dist14b)
      p55 (list (- (+ (car p21a) dime) (/ dimc 2.0)) (cadr p21a))
      dist17a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p55) (distance p21a p55))))
      dist17b (- dimb dimc dist17a)
      p56 (list (+ (+ (car p21a) dime) (/ dimc 2.0)) (cadr p21a))
      dist18a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p56) (distance p21a p56))))
      dist18b (- dimb dimc dist18a)
      p57 (polar p55 (/ pi 2.0) dist17b)
      p58 (polar p56 (/ pi 2.0) dist18b)
)
))
(if (= norib 8) (progn
(setq p43 (list (- (car p21a) (* dime 1.5) (/ dimc 2.0)) (cadr p21a))
      p43a (list (- (car p21a) (* dime 1.5)) (cadr p21a))
      dist11a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p43) (distance p21a p43))))
      dist11b (- dimb dimc dist11a)
      p44 (list (+ (- (car p21a) (* dime 1.5)) (/ dimc 2.0)) (cadr p21a))
      dist12a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p44) (distance p21a p44))))
      dist12b (- dimb dimc dist12a)
      p45 (polar p43 (/ pi 2.0) dist11b)
      p46 (polar p44 (/ pi 2.0) dist12b)
      
      p47 (list (- (car p21a) (* dime 0.5) (/ dimc 2.0)) (cadr p21a))
      p47a (list (- (car p21a) (* dime 0.5)) (cadr p21a))
      dist13a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p47) (distance p21a p47))))
      dist13b (- dimb dimc dist13a)
      p48 (list (+ (- (car p21a) (* dime 0.5)) (/ dimc 2.0)) (cadr p21a))
      dist14a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p48) (distance p21a p48))))
      dist14b (- dimb dimc dist14a)
      p49 (polar p47 (/ pi 2.0) dist13b)
      p50 (polar p48 (/ pi 2.0) dist14b)
      
      p51 (list (- (+ (car p21a) (* dime 0.5)) (/ dimc 2.0)) (cadr p21a))
      dist15a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p51) (distance p21a p51))))
      dist15b (- dimb dimc dist15a)
      p52 (list (+ (+ (car p21a) (* dime 0.5)) (/ dimc 2.0)) (cadr p21a))
      dist16a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p52) (distance p21a p52))))
      dist16b (- dimb dimc dist16a)
      p53 (polar p51 (/ pi 2.0) dist15b)
      p54 (polar p52 (/ pi 2.0) dist16b)
      
      p55 (list (- (+ (car p21a) (* dime 1.5)) (/ dimc 2.0)) (cadr p21a))
      dist17a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p55) (distance p21a p55))))
      dist17b (- dimb dimc dist17a)
      p56 (list (+ (+ (car p21a) (* dime 1.5)) (/ dimc 2.0)) (cadr p21a))
      dist18a (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (distance p21a p56) (distance p21a p56))))
      dist18b (- dimb dimc dist18a)
      p57 (polar p55 (/ pi 2.0) dist17b)
      p58 (polar p56 (/ pi 2.0) dist18b)
)
))
(setq pd1 (list (car p21) (- (cadr p21) (* dimd 4.0)))
      pd2 (list (car pd1) (- (cadr pd1) (* dimd 4.0)))
      pd3 (list (- (car p22) (* dimd 4.0)) (cadr p22))
      pd4 (list (- (car pd3) (* dimd 4.0)) (cadr pd3))
      pd5 (list (car p43) (+ (cadr p43) (* dimd 4.0 5.0)))
      pd6 (list (- (car p31) (* dimd 4.0)) (- (cadr p31) (* dimd 4.0)))
      pd7 (list (+ (car p32) (* dimd 4.0)) (+ (cadr p32) (* dimd 4.0)))
      pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
      pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 3.0)))
)
(command "_linetype" "set" "center" ""
 	 "_layer" "s" "cen" ""
	 "_line" p26 p28 ""
	 "_line" p27 p29 ""
	 "_line" p39 p40 ""
	 "_line" p41 p42 ""
	 "_linetype" "set" "continuous" ""
	 "_layer" "s" "ves" ""
	 "_line" p31 p22 p23 p32 ""
	 "_line" p24 p25 ""
	 "_line" p33 p35 ""
	 "_line" p34 p36 ""
	 "_arc"  p33 p38 p34
	 "_arc"  p35 p37 p36
	 "_linetype" "set" "hidden" ""
	 "_layer" "s" "hid" ""
	 "_arc"  p39 "e" p35 "r" (/ (+ ves2 ves3) 2.0)
	 "_arc"  p36 "e" p40 "r" (/ (+ ves2 ves3) 2.0)
	 "_linetype" "set" "continuous" ""
	 "_layer" "s" "0" ""
)
  (if (= ov 1)
            (command "_layer" "s" "txt" ""
                     "_text" "c" pte1 (* textht detsc) 0 "SADDLE END VIEW"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
  )  
(if (= norib 6) (progn
(command "_linetype" "set" "continuous" ""
	 "_layer" "s" "ves" ""
	 "_line" p43 p45 ""
	 "_line" p44 p46 ""
	 "_line" p47 p49 ""
	 "_line" p48 p50 ""
	 "_line" p55 p57 ""
	 "_line" p56 p58 ""
         "_layer" "s" "dim" ""
	 "_dim1" "hor" p21 p43a pd1 (rtos dime m2 m4)
	 "_dim1" "hor" p21 p29 pd1 (rtos dimf m2 m4)
	 "_dim1" "hor" p22 p23 pd2 (rtos dima m2 m4)
	 "_dim1" "ver" p22 p24 pd3 (rtos dimd m2 m4)
	 "_dim1" "ver" p22 p39 pd4 (rtos dimb m2 m4)
	 "_dim1" "hor" p45 p46 pd5 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
(if (= m2 2) (command "_dim1" "aligned" p33 p31 pd6 (itoa 25)))
(if (= m2 4) (command "_dim1" "aligned" p33 p31 pd6 (strcat (itoa 1) "\"")))
(command "_dim1" "aligned" p34 p36 pd7 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
))
(if (= norib 8) (progn
(command "_linetype" "set" "continuous" ""
	 "_layer" "s" "ves" ""
	 "_line" p43 p45 ""
	 "_line" p44 p46 ""
	 "_line" p47 p49 ""
	 "_line" p48 p50 ""
	 "_line" p51 p53 ""
	 "_line" p52 p54 ""
	 "_line" p55 p57 ""
	 "_line" p56 p58 ""
         "_layer" "s" "dim" ""
	 "_dim1" "hor" p47a p43a pd1 (rtos dime m2 m4)
	 "_dim1" "hor" p21 p47a pd1 (rtos (/ dime 2.0) m2 m4)
	 "_dim1" "hor" p21 p29 pd1 (rtos dimf m2 m4)
	 "_dim1" "hor" p22 p23 pd2 (rtos dima m2 m4)
	 "_dim1" "ver" p22 p24 pd3 (rtos dimd m2 m4)
	 "_dim1" "ver" p22 p39 pd4 (rtos dimb m2 m4)
	 "_dim1" "hor" p45 p46 pd5 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
(if (= m2 2) (command "_dim1" "aligned" p33 p31 pd6 (itoa 25)))
(if (= m2 4) (command "_dim1" "aligned" p33 p31 pd6 (strcat (itoa 1) "\"")))
(command "_dim1" "aligned" p34 p36 pd7 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
))
(setq p0  (list (car p0) (cadr p0))
      p1  (list (- (car p0) (/ dimg 2.0)) (cadr p0))
      p2  (list (+ (car p0) (/ dimg 2.0)) (cadr p0))
      p3  (list (car p1) (+ (cadr p1) dimd))
      p4  (list (car p2) (+ (cadr p2) dimd))
      p5  (list (car p0) (+ (cadr p0) dimb))
      dist4 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (+ (/ 25.0 m1) (/ dima 2.0)) (+ (/ 25.0 m1) (/ dima 2.0)))))
      p6  (list (car p1) (- (cadr p5) dist4))
      p7  (list (car p2) (- (cadr p5) dist4))
      dist5 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (/ dima 2.0) (/ dima 2.0))))
      p8  (list (- (car p0) (/ dimc 2.0)) (+ (cadr p0) dimd))
      p9  (list (car p8) (- (cadr p5) dist5))
      p10 (list (+ (car p0) (/ dimc 2.0)) (+ (cadr p0) dimd))
      p11 (list (car p10) (- (cadr p5) dist5))
      p12 (list (- (car p0) (/ dimh 2.0)) (+ (cadr p3) (* dimd 4.0)))
      p13 (list (+ (car p0) (/ dimh 2.0)) (+ (cadr p4) (* dimd 4.0)))
      p14 (list (- (car p0) (/ dimh 2.0)) (- (cadr p1) (* dimd 4.0)))
      p15 (list (+ (car p0) (/ dimh 2.0)) (- (cadr p2) (* dimd 4.0)))
      pd1 (list (car p0) (- (cadr p0) (* dimd 4.0)))
      pd2 (list (car pd1) (- (cadr pd1) (* dimd 4.0)))
      pd8 (list (car p10) (+ (cadr p9) (* dimoff 2.0)))
      pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
      pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 3.0)))
)
(command "_linetype" "set" "center" ""
 	 "_layer" "s" "cen" ""
	 "_line" p12 p14 ""
	 "_line" p13 p15 ""
	 "_linetype" "set" "continuous" ""
	 "_layer" "s" "ves" ""
	 "_line" p1 p6 p7 p2 "c"
	 "_line" p3 p4 ""
	 "_line" p8 p9 p11 p10 ""
         "_layer" "s" "dim" ""
	 "_dim1" "hor" p14 p15 pd1 (rtos dimh m2 m4)
	 "_dim1" "hor" p1 p2 pd2 (rtos dimg m2 m4)
	 "_dim1" "hor" p9 p11 pd8 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
  (if (= ov 1)
            (command "_layer" "s" "txt" ""
                     "_text" "c" pte1 (* textht detsc) 0 "SADDLE ELEVATION"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: 1:1")
  		     "_layer" "s" "0" ""
            )
  )  

  (if (= ov 0) (progn
           (setq nextno (+ nextno 1))
	   (sadwt_cal dima dimg dimd)
           (bomfile_w "a" "sad1" (itoa nextno) (strcat desc_saddle " Base Plate") (itoa 2)
	     moc_saddle (strcat (rtos dima m2 m4) "(Lg)" (rtos dimg m2 m4) "(Wide)" (rtos dimd m2 m4) "(th)") (rtos (* sadwt 2.0) 2 2))
           (setq sad1 nextno)
           (tagno p22 (/ tagl 2.0) 125 sad1)
  
           (setq nextno (+ nextno 1))
	   (sadwt_cal (distance p21a p38) dimg dimc)
           (if (= norib 6)
             (bomfile_w "a" "sad2" (itoa nextno) (strcat desc_saddle " Ribs") (itoa 6)
	     moc_saddle (strcat (rtos (distance p21a p38) m2 m4) "(Lg)" (rtos dimg m2 m4) "(Wide)" (rtos dimc m2 m4) "(th)") (rtos (* sadwt 6.0) 2 2))
           )
           (if (= norib 8)
             (bomfile_w "a" "sad2" (itoa nextno) (strcat desc_saddle " Ribs") (itoa 8)
	     moc_saddle (strcat (rtos (distance p21a p38) m2 m4) "(Lg)" (rtos dimg m2 m4) "(Wide)" (rtos dimc m2 m4) "(th)") (rtos (* sadwt 8.0) 2 2))
           )
           (setq sad2 nextno)
           (tagno p46 (/ tagl 2.0) 35 sad2)
  
           (setq nextno (+ nextno 1))
	   (sadwt_cal (/ (distance p25 p32) 2.0) dima dimc)
           (bomfile_w "a" "sad3" (itoa nextno) (strcat desc_saddle " Plate") (itoa 2)
	     moc_saddle (strcat (rtos (distance p25 p32) m2 m4) "(Lg)" (rtos dima m2 m4) "(Wide)" (rtos dimc m2 m4) "(th)") (rtos (* sadwt 2.0) 2 2))
           (setq sad3 nextno)
           (tagno p9 (/ tagl 2.0) 165 sad3)
           (setq nextno (+ nextno 1))
	   (sadwt_cal (* (abs (- (angle p34 p36) (angle p33 p35))) (+ (/ ves2 2.0) ves3)) dimg dimc)
           (bomfile_w "a" "sad4" (itoa nextno) (strcat desc_saddle " Pad") (itoa 2)
	     moc_saddle (strcat (rtos (* (abs (- (angle p34 p36) (angle p33 p35))) (+ (/ ves2 2.0) ves3)) m2 m4) "(Lg)" (rtos dimg m2 m4) "(Wide)" (rtos dimc m2 m4) "(th)") (rtos sadwt 2 2))
           (setq sad4 nextno)
           (tagno p34 (/ tagl 2.0) 45 sad4)
        ))
) ; end saddle --------------------------------------------------------------------
(defun input_saddle1 ( / i1 i2)
(setq dima (/ ves1 2.0) dimb (/ ves2 2.0) dimc (/ ves1 10.0) dimd ves3)
(setq i1 (load_dialog "ves_hst.dcl") i2 5)
	(while (< 2 i2)
   	   (if (not (new_dialog "saddle1" i1)) (exit))
  	(settile demo)
    	   (start_image "saddle1")
    	   (slide_image
      		0 0
      		(- (dimx_tile "saddle1") 1)
      		(- (dimy_tile "saddle1") 1)
      		(strcat "ves(" "saddle1" ")")
           )
 	   (end_image)
	   (set_tile "dima_db" (rtos dima m2 m4))
	   (set_tile "dimb_db" (rtos dimb m2 m4))
	   (set_tile "dimc_db" (rtos dimc m2 m4))
	   (set_tile "dimd_db" (rtos dimd m2 m4))
	   (action_tile "dima_db" "(get_dima)")
           (action_tile "dimb_db" "(get_dimb)")
           (action_tile "dimc_db" "(get_dimc)")
           (action_tile "dimd_db" "(get_dimd)")
	   (action_tile "accept" "(done_dialog 1)")
	   (action_tile "cancel" "(done_dialog 0)")
	   (setq i2 (start_dialog))
	)
           (unload_dialog i1)(princ)
      (if (not dima) (setq dima (getreal "\nDimension A ctoc of Pads : ")))
      (if (not dimb) (setq dimb (getreal "\nDimension B Pad Height : ")))
      (if (not dimc) (setq dimc (getreal "\nDimension C Pad Width : ")))
      (if (not dimd) (setq dimd (getreal "\nDimension D Pad Thickness : ")))
) ; end input_saddle1 ----------------------------------------------------------------------
(defun saddle1 ( p0 / p1 p2 p3 p4 p5 p6 p7 p8 p9 p10
		      p13 p14 p15 p16
		      pd1 pd2 pd3
		)
(setq p1  (list (- (car p0) (/ dima 2.0)) (cadr p0))
      p2  (list (+ (car p0) (/ dima 2.0)) (cadr p0))
      p3  (list (- (car p1) (/ dimc 2.0)) (- (cadr p1) dimd))
      p4  (list (+ (car p1) (/ dimc 2.0)) (- (cadr p2) dimd))
      p5  (list (car p3) (+ (cadr p1) dimb))
      p6  (list (car p4) (+ (cadr p1) dimb))
      p7  (list (car p1) (- (cadr p1) (* dimoff 4.0)))
      p8  (list (car p2) (- (cadr p2) (* dimoff 4.0)))
      p9  (list (car p1) (+ (cadr p5) (* dimoff 4.0)))
      p10 (list (car p2) (+ (cadr p5) (* dimoff 4.0)))
      p13 (list (- (car p2) (/ dimc 2.0)) (- (cadr p1) dimd))
      p14 (list (+ (car p2) (/ dimc 2.0)) (- (cadr p2) dimd))
      p15 (list (car p13) (+ (cadr p2) dimb))
      p16 (list (car p14) (+ (cadr p2) dimb))
      pd1 (list (car p0) (- (cadr p0) (* dimoff 4.0)))
      pd2 (list (car pd1) (- (cadr pd1) (* dimd 2.0)))
      pd3 (list (- (car p3) (* dimoff 2.0)) (cadr p0))
)
(command "_linetype" "set" "center" ""
 	 "_layer" "s" "cen" ""
	 "_line" p7 p9 ""
	 "_line" p8 p10 ""
	 "_linetype" "set" "continuous" ""
	 "_layer" "s" "ves" ""
	 "_line" p3 p5 p6 p4 "c"
	 "_line" p13 p15 p16 p14 "c"
         "_layer" "s" "dim" ""
	 "_dim1" "ver" p3 p5 pd3 (rtos dimb m2 m4)
	 "_dim1" "hor" p1 p2 pd2 (rtos dima m2 m4)
	 "_dim1" "hor" p3 p4 pd1 (rtos dimc m2 m4)
	 "_layer" "s" "0" ""
)
           (setq nextno (+ nextno 1))
	   (sadwt_cal (* (+ (/ ves2 2.0) ves3)) dimc dimd)
           (bomfile_w "a" "sad4" (itoa nextno) (strcat desc_saddle " Pad") (itoa 2)
	     moc_saddle (strcat (rtos (+ (/ ves2 2.0) ves3) m2 m4) "(Lg)" (rtos dimc m2 m4) "(Wide)" (rtos dimd m2 m4) "(th)") (rtos sadwt 2 2))
           (setq sad4 nextno)
           (tagno p5  (/ tagl 2.0) 105 sad4)
           (tagno p16 (/ tagl 2.0) 45 sad4)
) ; end saddle1 --------------------------------------------------------------------
(defun gasad ( p0 / p1  p2  p3  p4  p5  p6  p7  p8  p9  p10
                    p11 p12 p13 p14 p15 p16 p17
	            dist4 dist5 shorm) ; elevation of saddle
(setq shorm (/ ves2 2.0)
      p1  (list (- (car p0) (/ dimg 2.0)) (cadr p0))
      p2  (list (+ (car p0) (/ dimg 2.0)) (cadr p0))
      p3  (list (car p1) (+ (cadr p1) dimd))
      p4  (list (car p2) (+ (cadr p2) dimd))
      p5  (list (car p0) (+ (cadr p0) dimb))
      dist4 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (+ (/ 25.0 m1) (/ dima 2.0)) (+ (/ 25.0 m1) (/ dima 2.0)))))
      p6  (list (car p1) (- (cadr p5) dist4))
      p7  (list (car p2) (- (cadr p5) dist4))
      dist5 (sqrt (- (* (+ shorm dimc) (+ shorm dimc)) (* (/ dima 2.0) (/ dima 2.0))))
      p8  (list (- (car p0) (/ dimc 2.0)) (+ (cadr p0) dimd))
      p9  (list (car p8) (- (cadr p5) dist5))
      p10 (list (+ (car p0) (/ dimc 2.0)) (+ (cadr p0) dimd))
      p11 (list (car p10) (- (cadr p5) dist5))
      p12 (list (- (car p0) (/ dimh 2.0)) (+ (cadr p3) (* dimd 4.0)))
      p13 (list (+ (car p0) (/ dimh 2.0)) (+ (cadr p4) (* dimd 4.0)))
      p14 (list (- (car p0) (/ dimh 2.0)) (- (cadr p1) (* dimd 4.0)))
      p15 (list (+ (car p0) (/ dimh 2.0)) (- (cadr p2) (* dimd 4.0)))
      p16 (list (car p6) (- (cadr p6) (/ ves2 2.0) ves3))
      p17 (list (car p7) (- (cadr p7) (/ ves2 2.0) ves3))
)
      (if (= sadr "yes")
	(progn
          (command "_linetype" "set" "center" ""
 	 	   "_layer" "s" "cen" ""
	 	   "_line" p12 p14 ""
	 	   "_line" p13 p15 ""
	 	   "_linetype" "set" "continuous" ""
	 	   "_layer" "s" "ves" ""
	 	   "_line" p1 p6 p7 p2 "c"
	 	   "_line" p3 p4 ""
	 	   "_line" p8 p9 p11 p10 ""
	 	   "_layer" "s" "0" ""
	   )
           (tagno p1 (/ tagl 2.0) 235 sad1)
           (tagno p4 (/ tagl 2.0)  45 sad2)
           (tagno p9 (/ tagl 2.0) 135 sad3)
           (tagno p7 (/ tagl 2.0) 75 sad4)
        )
        (progn
	  (command "_linetype" "set" "continuous" ""
	 	   "_layer" "s" "ves" ""
	 	   "_line" p16 p6 p7 p17 ""
	 	   "_layer" "s" "0" ""
	   )
           (tagno p7 (/ tagl 2.0) 75 sad4)
        )
     )
) ; end gasad (for Saddle)-----------------------------------------------------
