(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves_menu.dcl"))
	(if (not (new_dialog "indb_mmin" i1)) (exit))
  	(settile demo)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"mmin\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(setq demo 0) (princ)
;--------------------------------------------------------------------------------
(defun tordish ( / p0 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		      p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		      dish_id dish_th dish_sf)
(setvar "cmdecho" 0)
(setq p0 (getpoint "\nSelect Mid point of Dish Tan Line"))
(setq dish_id (getreal "\nInside diameter of Torispherical Dish : "))
(setq dish_th (getreal "\nThickness of Torispherical Dish : "))
(setq dish_sf (getreal "\nStraight face of Torispherical Dish : "))
	    (setq p01  (list (- (car p0) (/ dish_id 2.0) dish_th) (+ (cadr p0) dish_sf))
		  p02  (list (+ (car p01) dish_th) (cadr p01))
		  p03  (list (+ (car p0) (/ dish_id 2.0) dish_th) (+ (cadr p0) dish_sf))
		  p04  (list (- (car p03) dish_th) (cadr p03))
		  p05  (list (+ (car p01) (/ dish_id 10.0)) (cadr p01))
		  p06  (list (- (car p03) (/ dish_id 10.0)) (cadr p03))
		  p07  (polar p05 (dtr 116.0)  (/ dish_id 10.0))
		  p08  (polar p05 (dtr 116.0)  (- (/ dish_id 10.0) (/ dish_th)))
		  p09  (polar p06 (dtr 64.0) (/ dish_id 10.0))
		  p10  (polar p06 (dtr 64.0) (- (/ dish_id 10.0) (/ dish_th)))
		  p11  (list (car p0) (+ (cadr p01) (* dish_id 0.1937)))
		  p12  (list (car p0) (+ (cadr p01) (- (* dish_id 0.1937) dish_th)))
		  p13  (polar p05 (dtr 148.0)  (/ dish_id 10.0))
		  p14  (polar p05 (dtr 148.0) (- (/ dish_id 10.0) dish_th))
		  p15  (polar p06 (dtr 32.0) (/ dish_id 10.0))
		  p16  (polar p06 (dtr 32.0) (- (/ dish_id 10.0) dish_th))
		  p17  (list (car p01) (- (cadr p01) dish_sf))
		  p18  (list (car p02) (- (cadr p02) dish_sf))
		  p19  (list (car p04) (- (cadr p04) dish_sf))
		  p20  (list (car p03) (- (cadr p03) dish_sf))
	    )
	    (command "_linetype" "set" "continuous" ""
  		     "_layer" "s" "0" ""
		     "_line" p01 p17 p18 p02 ""
		     "_line" p04 p19 p20 p03 ""
		     "_line" p01 p03 ""
		     "_line" p18 p19 ""
	 	     "_arc" p01 p13 p07
	 	     "_arc" p07 p11 p09
	 	     "_arc" p09 p15 p03
	 	     "_arc" p02 p14 p08
	 	     "_arc" p08 p12 p10
	 	     "_arc" p10 p16 p04
		     "_linetype" "set" "continuous" ""
	    )(princ)

  (setq plate_dia (+ (* (dtr 116.0) (/ dish_id 10.0) 2.0) (* (dtr (- 148.0 116.0)) dish_id)))
  (princ "\nBlank Plate Diameter : ") (princ plate_dia)
) ; end tordish ------------------------------------------------------------

;original
(defun tordish ( / p0 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		   p11 p12 p13 p14 p15 p16 p17 p18 p20 p21
		   pd1 pd2 pd3 pte1 pte2
		   dish_id dish_th dish_sf)
(setq p0 (getpoint "\nSelect Mid point of Dish on screen"))
(setq dish_id (getreal "\nInside diameter of Torispherical Dish : "))
(setq dish_th (getreal "\nThickness of Torispherical Dish : "))
(setq dish_sf (getreal "\nStraight face of Torispherical Dish : "))
(setq nuc_rad (getreal "\nNuckle Radius as % of Dish Inside diameter : "))
  (cond
    (                      (<= nuc_rad 5.0)   (setq ang1 2.06145 ang2 2.06427 ang3 1.08014 ang4 1.07733))
    ((and (> nuc_rad 5.0)  (<= nuc_rad 5.5))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 5.5)  (<= nuc_rad 6.0))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 6.0)  (<= nuc_rad 6.5))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 6.5)  (<= nuc_rad 7.0))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 7.0)  (<= nuc_rad 7.5))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 7.5)  (<= nuc_rad 8.0))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 8.0)  (<= nuc_rad 8.5))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 8.5)  (<= nuc_rad 9.0))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 9.0)  (<= nuc_rad 9.5))  (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 9.5)  (<= nuc_rad 10.0)) (setq ang1 116.0 ang2 64.0 ang3 148.0 ang4 32.0))
    ((and (> nuc_rad 10.0) (<= nuc_rad 10.5)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 10.5) (<= nuc_rad 11.0)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 11.0) (<= nuc_rad 11.5)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 11.5) (<= nuc_rad 12.0)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 12.0) (<= nuc_rad 12.5)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 12.5) (<= nuc_rad 13.0)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 13.0) (<= nuc_rad 13.5)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 13.5) (<= nuc_rad 14.0)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 14.0) (<= nuc_rad 14.5)) (setq ang1 ang2 ang3 ang4 ))
    ((and (> nuc_rad 14.5) (<= nuc_rad 15.0)) (setq ang1 ang2 ang3 ang4 ))
  )
	    (setq p01  (list (- (car p0) (/ dish_id 2.0) dish_th) (+ (cadr p0) dish_sf))
		  p02  (list (+ (car p01) dish_th) (cadr p01))
		  p03  (list (+ (car p0) (/ dish_id 2.0) dish_th) (+ (cadr p0) dish_sf))
		  p04  (list (- (car p03) dish_th) (cadr p03))
		  p05  (list (+ (car p01) (/ (* dish_id nuc_rad) 100.0)) (cadr p01))
		  p06  (list (- (car p03) (/ (* dish_id nuc_rad) 100.0)) (cadr p03))
		  p07  (polar p05 ang3 (/ (* dish_id nuc_rad) 100.0))
		  p08  (polar p05 ang4 (- (/ (* dish_id nuc_rad) 100.0) (/ dish_th)))
		  p09  (polar p06 ang1 (/ (* dish_id nuc_rad) 100.0))
		  p10  (polar p06 ang2 (- (/ (* dish_id nuc_rad) 100.0) (/ dish_th)))
		  p11  (list (car p0) (+ (cadr p01) (* dish_id 0.1937)))
		  p12  (list (car p0) (+ (cadr p01) (- (* dish_id 0.1937) dish_th)))
		  p13  (polar p05 (/ ang3 2.0)  (/ (* dish_id nuc_rad) 100.0))
		  p14  (polar p05 (/ ang4 2.0) (- (/ (* dish_id nuc_rad) 100.0) dish_th))
		  p15  (polar p06 (/ ang1 2.0) (/ (* dish_id nuc_rad) 100.0))
		  p16  (polar p06 (/ ang2 2.0) (- (/ (* dish_id nuc_rad) 100.0) dish_th))
		  p17  (list (car p01) (- (cadr p01) dish_sf))
		  p18  (list (car p02) (- (cadr p02) dish_sf))
		  p20  (list (car p03) (- (cadr p03) dish_sf))
		  p21  (list (car p04) (- (cadr p04) dish_sf))
	    )
	    (command "_linetype" "set" "continuous" ""
  		     "_layer" "s" "0" ""
		     "_line" p17 p01 ""
		     "_line" p20 p03 ""
		     "_line" p17 p20 ""
	 	     "_arc" p01 p13 p07
	 	     "_arc" p07 p11 p09
	 	     "_arc" p09 p15 p03
                     "_linetype" "s" "hidden" ""
		     "_line" p02 p04 ""
		     "_line" p18 p02 ""
		     "_line" p21 p04 ""
	 	     "_arc" p02 p14 p08
	 	     "_arc" p08 p12 p10
	 	     "_arc" p10 p16 p04
		     "_linetype" "set" "continuous" ""
	    )
) ; end tordish ------------------------------------------------------------
