(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves_menu.dcl"))
	(if (not (new_dialog "indb_mmin" i1)) (exit))
  	(settile 0)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"mmin\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(setq demo 0) (princ)
;--------------------------------------------------------------------------------
(defun bomtab ( scbtab z3 / p1 p2 p3 p4 p5 p51 p6 p7 p8 p9 p10 p11 p12 p13)
	(setvar "cmdecho" 0)
(setq p1 (list (* scbtab (/ 620.0 m1)) (* scbtab (/ 100.0 m1)))
      p2 (list (* scbtab (/ 626.0 m1)) (cadr p1))
      p3 (list (* scbtab (/ 679.0 m1)) (cadr p2))
      p4 (list (* scbtab (/ 686.0 m1)) (cadr p3))
      p5 (list (* scbtab (/ 716.0 m1)) (cadr p4))
      p51 (list (* scbtab (/ 769.0 m1)) (cadr p4))
      p6 (list (* scbtab (/ 620.0 m1)) (+ (cadr p1) (* scbtab (/ 3.0 m1))))
      p7 (list (* scbtab (/ 783.0 m1)) (+ (cadr p1) (* scbtab (/ 3.0 m1))))
      p8 (list (+ (car p1) (* scbtab (/ 2.5 m1))) (+ (cadr p1) (* scbtab (/ 0.25 m1))))
      p9 (list (+ (car p2) (* scbtab (/ 26.5 m1))) (+ (cadr p2) (* scbtab (/ 0.25 m1))))
      p10 (list (+ (car p3) (* scbtab (/ 3.5 m1))) (+ (cadr p3) (* scbtab (/ 0.25 m1))))
      p11 (list (+ (car p4) (* scbtab (/ 15.0 m1))) (+ (cadr p4) (* scbtab (/ 0.25 m1))))
      p12 (list (+ (car p5) (* scbtab (/ 26.5 m1))) (+ (cadr p5) (* scbtab (/ 0.25 m1))))
      p13 (list (+ (car p51) (* scbtab (/ 7.0 m1))) (+ (cadr p5) (* scbtab (/ 0.25 m1))))
)
   (command "_layer" "s" "bom" ""
            "_linetype" "s" "continuous" ""
	    "_line" p6 p7 ""
            "_array" (entlast) "" "r" (+ z3 2) "1" (* scbtab (/ 3.0 m1))
	    "_line" p1 (strcat "@" (rtos (* scbtab (+ (* (+ z3 1) (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
	    "_line" p2 (strcat "@" (rtos (* scbtab (+ (* z3 (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
	    "_line" p3 (strcat "@" (rtos (* scbtab (+ (* z3 (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
	    "_line" p4 (strcat "@" (rtos (* scbtab (+ (* z3 (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
	    "_line" p5 (strcat "@" (rtos (* scbtab (+ (* z3 (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
	    "_line" p51 (strcat "@" (rtos (* scbtab (+ (* (+ z3 1) (/ 3.0 m1)) (/ 3.0 m1)))) "<90") ""
            "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
	    "_text" "c" p8 (* scbtab (/ 2.5 m1)) "0" "No"
	    "_text" "c" p9 (* scbtab (/ 2.5 m1)) "0" "Description"
	    "_text" "c" p10 (* scbtab (/ 2.5 m1)) "0" "Qty"
	    "_text" "c" p11 (* scbtab (/ 2.5 m1)) "0" "Material"
	    "_text" "c" p12 (* scbtab (/ 2.5 m1)) "0" "Size"
   )
(if (= m2 2) (command "_text" "c" p13 (* scbtab (/ 2.5 m1)) "0" "Wt Kgs"))
(if (= m2 4) (command "_text" "c" p13 (* scbtab (/ 2.5 m1)) "0" "Wt lbs"))
   (command "_layer" "s" "0" ""
            "_zoom" "all")
(princ)
) ; end bomtab   --------------------------------------------------------------------
(defun bomfile_w ( mode t1 t2 t3 t4 t5 t6 t7 / fname)
(setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") mode))
(write-line t1 fname)
(write-line t2 fname)
(write-line t3 fname)
(write-line t4 fname)
(write-line t5 fname)
(write-line t6 fname)
(write-line t7 fname)
(close fname)
) ; end bomfile_w ---------------------------------------------------------------------
(defun bomdwg_w ( scbdw / fname fname1 fname2 count
		          p1101 p2101 p3101 p4101 p5101 p6101)
        (setq count 0
	      gwt 0
              p1101 (list (* scbdw (/ 621.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p2101 (list (* scbdw (/ 627.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p3101 (list (* scbdw (/ 680.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p4101 (list (* scbdw (/ 687.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p5101 (list (* scbdw (/ 717.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p6101 (list (* scbdw (/ 781.5 m1)) (* scbdw (/ 103.375 m1)) 0.0)
        )
   (command "_layer" "s" "bom" ""
            "_linetype" "s" "continuous" ""
	    "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
   )
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (while ( /= (read-line fname) "*") (setq count (+ count 1)))
   (close fname)
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (repeat (setq z3 (/ count 7))
        (read-line fname)
        (command "_text" p1101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; part no
        (command "_text" p2101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; description
        (command "_text" p3101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; quantity
        (command "_text" p4101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; material
        (command "_text" p5101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; size
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (setq gwt1 (read-line fname))) ; weight
        (setq gwt (+ gwt (distof gwt1))) ; gross weight
        (setq p1101 (list (car p1101) (+ (cadr p1101) (* scbdw (/ 3.0 m1))))
              p2101 (list (car p2101) (+ (cadr p2101) (* scbdw (/ 3.0 m1))))
              p3101 (list (car p3101) (+ (cadr p3101) (* scbdw (/ 3.0 m1))))
              p4101 (list (car p4101) (+ (cadr p4101) (* scbdw (/ 3.0 m1))))
              p5101 (list (car p5101) (+ (cadr p5101) (* scbdw (/ 3.0 m1))))
              p6101 (list (car p6101) (+ (cadr p6101) (* scbdw (/ 3.0 m1))))
        )
    )
        (close fname)
  	(setq p5101 (list (- (car p6101) (* (/ 30.0 m1) scbdw)) (cadr p5101))
              p6101 (list (car p6101) (cadr p6101))
        )
	(setq fname1 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "w"))
	(write-line (rtos gwt 2 2) fname1)
	(close fname1)
   (setq fname2 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "r"))
        (command "_text" "r" p5101 (* scbdw (/ 2.25 m1)) "0" "Total Weight")
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (read-line fname2)) ; total weight
	(close fname2)
        (command "_layer" "s" "0" "")
(bomtab scbdw z3)
) ; end bomdwg_w  -------------------------------------------------------------------
(defun tagno ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
    (if (= m2 4) (setq dist1 (* dist1 3.0)))
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht detsc))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 4.0 detsc textht))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 2.0 textht detsc) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno (for details) -----------------------------------------------
(defun tagno_ga ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* textht 10.0))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht 10.0))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 10.0 textht) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno_ga (for ga) -----------------------------------------------

;pipes of davit
;(pipwt_cal od1 id1 len1 spgr_shell)
(defun pipwt_cal ( od1 id1 len1 spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq pipwt (/ (*
		(- (* (/ od1 divfac1) (/ od1 divfac1))
		   (* (/ id1 divfac1) (/ id1 divfac1))
		)
	        len1 spgrin pi)
	    4.0 divfac))
(princ)
) ; end pipwt_cal --------------------------------------------------------------------------------
(defun noztab ( nozcount / p1  p2  p3  p4  p5  p6  p7  p8  p9  p10
	                          p11 p12 p13 p14 p15
;	                          p17 p18 p19 p20 used in other function
;	                          p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
	      )
	(setvar "cmdecho" 0)
(setq p1  (list (* 1.0 (/ 620.0 m1)) (* 1.0 (/ 7.0 m1)))
      p2  (list (- (car p1)  (* (/ 30.0 m1) 4.0)) (cadr p1))
      p3  (list (- (car p2)  (* (/ 30.0 m1) 4.0)) (cadr p2))
      p4  (list (- (car p3)  (* (/ 30.0 m1) 6.0)) (cadr p3))
      p5  (list (- (car p4)  (* (/ 30.0 m1) 5.0)) (cadr p4))
      p6  (list (- (car p5)  (* (/ 30.0 m1) 4.0)) (cadr p5))
      p7  (list (- (car p6)  (* (/ 30.0 m1) 5.0)) (cadr p6))
      p8  (list (- (car p7)  (* (/ 30.0 m1) 6.0)) (cadr p7))
      p9  (list (- (car p8)  (* (/ 30.0 m1) 11.0)) (cadr p8))
      p10 (list (- (car p9)  (* (/ 30.0 m1) 12.0)) (cadr p9))
      p11 (list (- (car p10) (* (/ 30.0 m1) 9.0)) (cadr p10))
      p12 (list (- (car p11) (* (/ 30.0 m1) 5.0)) (cadr p11))
      p13 (list (- (car p12) (* (/ 30.0 m1) 20.0)) (cadr p12))
      p14 (list (- (car p13) (* (/ 30.0 m1) 4.0)) (cadr p13))
      p15 (list (- (car p14) (* (/ 30.0 m1) 9.0)) (cadr p14))

      ; text points
      p17 (list (- (car p14)  (* (/ 30.0 m1) 5.5)) (+ (cadr p14) (/ (* 1.0 0.85) m1)))
      p18 (list (- (car p13)  (* (/ 30.0 m1) 2.0)) (+ (cadr p13) (/ (* 1.0 0.85) m1)))
      p19 (list (- (car p12)  (* (/ 30.0 m1) 10.0)) (+ (cadr p12) (/ (* 1.0 0.85) m1)))
      p20 (list (- (car p11)  (* (/ 30.0 m1) 2.5)) (+ (cadr p11) (/ (* 1.0 0.85) m1)))
      p21 (list (- (car p10)  (* (/ 30.0 m1) 4.5)) (+ (cadr p10) (/ (* 1.0 0.85) m1)))
      p22 (list (- (car p9)   (* (/ 30.0 m1) 6.0)) (+ (cadr p9)  (/ (* 1.0 0.85) m1)))
      p23 (list (- (car p8)   (* (/ 30.0 m1) 5.5)) (+ (cadr p8)  (/ (* 1.0 0.85) m1)))
      p24 (list (- (car p7)   (* (/ 30.0 m1) 3.0)) (+ (cadr p7)  (/ (* 1.0 0.85) m1)))
      p25 (list (- (car p6)   (* (/ 30.0 m1) 2.5)) (+ (cadr p6)  (/ (* 1.0 0.85) m1)))
      p26 (list (- (car p5)   (* (/ 30.0 m1) 2.0)) (+ (cadr p5)  (/ (* 1.0 0.85) m1)))
      p27 (list (- (car p4)   (* (/ 30.0 m1) 2.5)) (+ (cadr p4)  (/ (* 1.0 0.85) m1)))
      p28 (list (- (car p3)   (* (/ 30.0 m1) 3.0)) (+ (cadr p3)  (/ (* 1.0 0.85) m1)))
      p29 (list (- (car p2)   (* (/ 30.0 m1) 2.0)) (+ (cadr p2)  (/ (* 1.0 0.85) m1)))
      p30 (list (- (car p1)   (* (/ 30.0 m1) 2.0)) (+ (cadr p1)  (/ (* 1.0 0.85) m1)))
)
   (command "_layer" "s" "0" ""
            "_linetype" "s" "continuous" ""
	    "_line" p1 p15 ""
            "_array" (entlast) "" "r" (+ nozcount 1) "1" (* 1.0 (/ 4.0 m1))
	    "_line" p2 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p3 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p4 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p5 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p6 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p7 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p8 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p9 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p10 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p11 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p12 (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p13 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p14 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p15 (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90") ""
	    "_line" p1 p4 ""
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_line" p5 p13 ""
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* nozcount (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_line" p1 p15 ""
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
            "_layer" "s" "txt" ""
            "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
	    "_text" "c" p17 (* 1.0 (/ 2.0 m1)) "0" "MARK"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p17 (* 1.0 (/ 2.0 m1)) "0" "No"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p18 (* 1.0 (/ 2.0 m1)) "0" "QTY"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p18 (* 1.0 (/ 2.0 m1)) "0" "No"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p12 (* 1.0 (/ 2.0 m1)) "0" "NOZZLE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.1 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p19 (* 1.0 (/ 2.0 m1)) "0" "SERVICE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p20 (* 1.0 (/ 2.0 m1)) "0" "SIZE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p21 (* 1.0 (/ 2.0 m1)) "0" "SCH"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p23 (* 1.0 (/ 2.0 m1)) "0" "FLANGE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p22 (* 1.0 (/ 2.0 m1)) "0" "TYPE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p23 (* 1.0 (/ 2.0 m1)) "0" "CLASS"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p24 (* 1.0 (/ 2.0 m1)) "0" "FACE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p6 (* 1.0 (/ 2.0 m1)) "0" "RF PAD"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.1 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p25 (* 1.0 (/ 2.0 m1)) "0" "OD"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p26 (* 1.0 (/ 2.0 m1)) "0" "THK"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p27 (* 1.0 (/ 2.0 m1)) "0" "NOZZLE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p27 (* 1.0 (/ 2.0 m1)) "0" "LENGTH"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p29 (* 1.0 (/ 2.0 m1)) "0" "WELD DET"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (+ nozcount 0) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p28 (* 1.0 (/ 2.0 m1)) "0" "TYPE"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p29 (* 1.0 (/ 2.0 m1)) "0" "A"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
	    "_text" "c" p30 (* 1.0 (/ 2.0 m1)) "0" "B"
	    "_move" "l" "" "0,0,0" (strcat "@" (rtos (* 1.0 (+ (* (- nozcount 1) (/ 4.0 m1)) (/ 4.0 m1)))) "<90")
            "_layer" "s" "0" ""
            "_zoom" "all"
   )
(princ)
) ; end noztab    -------------------------------------------------------------------
(defun wnoztab_w ( nozcount lino mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
   (noztxtpt lino nozcount)
   (command "_layer" "s" "txt" ""
            "_linetype" "s" "continuous" ""
	    "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
            "_text" "c" p101 (* 1.0 (/ 2.0 m1)) "0" mark
            "_text" "c" p102 (* 1.0 (/ 2.0 m1)) "0" quantity
            "_text" "c" p103 (* 1.0 (/ 2.0 m1)) "0" service 
            "_text" "c" p104 (* 1.0 (/ 2.0 m1)) "0" size
            "_text" "c" p105 (* 1.0 (/ 2.0 m1)) "0" sch
            "_text" "c" p106 (* 1.0 (/ 2.0 m1)) "0" type1
            "_text" "c" p107 (* 1.0 (/ 2.0 m1)) "0" class
            "_text" "c" p108 (* 1.0 (/ 2.0 m1)) "0" "WNRF"
            "_text" "c" p109 (* 1.0 (/ 2.0 m1)) "0" padod
            "_text" "c" p110 (* 1.0 (/ 2.0 m1)) "0" padthk
            "_text" "c" p111 (* 1.0 (/ 2.0 m1)) "0" nozlen
            "_text" "c" p112 (* 1.0 (/ 2.0 m1)) "0" wtype
            "_text" "c" p113 (* 1.0 (/ 2.0 m1)) "0" wthk1
            "_text" "c" p114 (* 1.0 (/ 2.0 m1)) "0" wthk2
	    "_layer" "s" "0" ""
    )
) ; end wnoztab_w --------------------------------------------------------------
(defun snoztab_w ( nozcount lino mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
   (noztxtpt lino nozcount)
   (command "_layer" "s" "txt" ""
            "_linetype" "s" "continuous" ""
	    "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
            "_text" "c" p101 (* 1.0 (/ 2.0 m1)) "0" mark
            "_text" "c" p102 (* 1.0 (/ 2.0 m1)) "0" quantity
            "_text" "c" p103 (* 1.0 (/ 2.0 m1)) "0" service 
            "_text" "c" p104 (* 1.0 (/ 2.0 m1)) "0" size
            "_text" "c" p105 (* 1.0 (/ 2.0 m1)) "0" sch
            "_text" "c" p106 (* 1.0 (/ 2.0 m1)) "0" type1
            "_text" "c" p107 (* 1.0 (/ 2.0 m1)) "0" class
            "_text" "c" p108 (* 1.0 (/ 2.0 m1)) "0" "SORF"
            "_text" "c" p109 (* 1.0 (/ 2.0 m1)) "0" padod
            "_text" "c" p110 (* 1.0 (/ 2.0 m1)) "0" padthk
            "_text" "c" p111 (* 1.0 (/ 2.0 m1)) "0" nozlen
            "_text" "c" p112 (* 1.0 (/ 2.0 m1)) "0" wtype
            "_text" "c" p113 (* 1.0 (/ 2.0 m1)) "0" wthk1
            "_text" "c" p114 (* 1.0 (/ 2.0 m1)) "0" wthk2
	    "_layer" "s" "0" ""
    )
) ; end wnoztab_s --------------------------------------------------------------
(defun noztxtpt ( lino nozcount / p1  p2  p3  p4  p5  p6  p7  p8  p9  p10
	                          p11 p12 p13 p14 p15
;	                          p17 p18 p19 p20 used in other function
;	                          p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
		)
(setq p1  (list (* 1.0 (/ 620.0 m1)) (+ (* 1.0 nozcount (/ 4.0 m1)) (* 1.0 (/ 5.5 m1))))
      p2  (list (- (car p1)  (* (/ 30.0 m1) 4.0)) (cadr p1))
      p3  (list (- (car p2)  (* (/ 30.0 m1) 4.0)) (cadr p2))
      p4  (list (- (car p3)  (* (/ 30.0 m1) 6.0)) (cadr p3))
      p5  (list (- (car p4)  (* (/ 30.0 m1) 5.0)) (cadr p4))
      p6  (list (- (car p5)  (* (/ 30.0 m1) 4.0)) (cadr p5))
      p7  (list (- (car p6)  (* (/ 30.0 m1) 5.0)) (cadr p6))
      p8  (list (- (car p7)  (* (/ 30.0 m1) 6.0)) (cadr p7))
      p9  (list (- (car p8)  (* (/ 30.0 m1) 11.0)) (cadr p8))
      p10 (list (- (car p9)  (* (/ 30.0 m1) 12.0)) (cadr p9))
      p11 (list (- (car p10) (* (/ 30.0 m1) 9.0)) (cadr p10))
      p12 (list (- (car p11) (* (/ 30.0 m1) 5.0)) (cadr p11))
      p13 (list (- (car p12) (* (/ 30.0 m1) 20.0)) (cadr p12))
      p14 (list (- (car p13) (* (/ 30.0 m1) 4.0)) (cadr p13))
      p15 (list (- (car p14) (* (/ 30.0 m1) 9.0)) (cadr p14))

      ; text points
      p17 (list (- (car p14)  (* (/ 30.0 m1) 5.5)) (cadr p14))
      p18 (list (- (car p13)  (* (/ 30.0 m1) 2.0)) (cadr p13))
      p19 (list (- (car p12) (* (/ 30.0 m1) 10.0)) (cadr p12))
      p20 (list (- (car p11)  (* (/ 30.0 m1) 2.5)) (cadr p11))
      p21 (list (- (car p10)  (* (/ 30.0 m1) 4.5)) (cadr p10))
      p22 (list (- (car p9)   (* (/ 30.0 m1) 6.0)) (cadr p9))
      p23 (list (- (car p8)   (* (/ 30.0 m1) 5.5)) (cadr p8))
      p24 (list (- (car p7)   (* (/ 30.0 m1) 3.0)) (cadr p7))
      p25 (list (- (car p6)   (* (/ 30.0 m1) 2.5)) (cadr p6))
      p26 (list (- (car p5)   (* (/ 30.0 m1) 2.0)) (cadr p5))
      p27 (list (- (car p4)   (* (/ 30.0 m1) 2.5)) (cadr p4))
      p28 (list (- (car p3)   (* (/ 30.0 m1) 3.0)) (cadr p3))
      p29 (list (- (car p2)   (* (/ 30.0 m1) 2.0)) (cadr p2))
      p30 (list (- (car p1)   (* (/ 30.0 m1) 2.0)) (cadr p1))
)  
	(if (= lino 0)
        (setq p101 (list (car p17) (- (cadr p17) (* nozcount (/ 4.0 m1))) 0.0)
              p102 (list (car p18) (- (cadr p18) (* nozcount (/ 4.0 m1))) 0.0)
              p103 (list (car p19) (- (cadr p19) (* nozcount (/ 4.0 m1))) 0.0)
              p104 (list (car p20) (- (cadr p20) (* nozcount (/ 4.0 m1))) 0.0)
              p105 (list (car p21) (- (cadr p21) (* nozcount (/ 4.0 m1))) 0.0)
              p106 (list (car p22) (- (cadr p22) (* nozcount (/ 4.0 m1))) 0.0)
              p107 (list (car p23) (- (cadr p23) (* nozcount (/ 4.0 m1))) 0.0)
              p108 (list (car p24) (- (cadr p24) (* nozcount (/ 4.0 m1))) 0.0)
              p109 (list (car p25) (- (cadr p25) (* nozcount (/ 4.0 m1))) 0.0)
              p110 (list (car p26) (- (cadr p26) (* nozcount (/ 4.0 m1))) 0.0)
              p111 (list (car p27) (- (cadr p27) (* nozcount (/ 4.0 m1))) 0.0)
              p112 (list (car p28) (- (cadr p28) (* nozcount (/ 4.0 m1))) 0.0)
              p113 (list (car p29) (- (cadr p29) (* nozcount (/ 4.0 m1))) 0.0)
              p114 (list (car p30) (- (cadr p30) (* nozcount (/ 4.0 m1))) 0.0)
	  ))
        (if (= lino 1)
        (setq p101 (list (car p101) (- (cadr p101) (* 1.0 (/ 4.0 m1))))
              p102 (list (car p102) (- (cadr p102) (* 1.0 (/ 4.0 m1))))
              p103 (list (car p103) (- (cadr p103) (* 1.0 (/ 4.0 m1))))
              p104 (list (car p104) (- (cadr p104) (* 1.0 (/ 4.0 m1))))
              p105 (list (car p105) (- (cadr p105) (* 1.0 (/ 4.0 m1))))
              p106 (list (car p106) (- (cadr p106) (* 1.0 (/ 4.0 m1)))) 
              p107 (list (car p107) (- (cadr p107) (* 1.0 (/ 4.0 m1))))
              p108 (list (car p108) (- (cadr p108) (* 1.0 (/ 4.0 m1))))
              p109 (list (car p109) (- (cadr p109) (* 1.0 (/ 4.0 m1))))
              p110 (list (car p110) (- (cadr p110) (* 1.0 (/ 4.0 m1))))
              p111 (list (car p111) (- (cadr p111) (* 1.0 (/ 4.0 m1))))
              p112 (list (car p112) (- (cadr p112) (* 1.0 (/ 4.0 m1))))
              p113 (list (car p113) (- (cadr p113) (* 1.0 (/ 4.0 m1))))
              p114 (list (car p114) (- (cadr p114) (* 1.0 (/ 4.0 m1))))
        ))
) ; end noztxtpt ------------------------------------------------------------
