(princ "\nLoading Storage Vessel Program, Please wait ...")
(defun rtd (a) (* (/ a pi) 180.0))(princ) (princ)
(defun dtr (a) (* (/ a 180.0) pi))(princ) (princ)
;----------------------------------------------------------------
(defun C:hst ()
  (input_units) ;(if (/= t1 " ") (input_dwgdata))
  (mlay) (setq detsc 1.0)
  (hst_invar) (input_endtype_hst)
  (if (or (= endhead "dish") (= endhead "hemi")) (veshst_invar_dish))
  (if (= endhead "flat") (veshst_invar_flat))
  (veshst) ; (hstprog)
  (savedwg)
  (command "_zoom" "e"
	   "_redraw")
  (princ)
)
;-------------------------------------------------------------------------
(defun hst_invar ()
   (cond
      ((= m2 2)
        (cond
	  ((= optionno 1) (setq ves1 1000.0 ves2 500.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 2) (setq ves1 1100.0 ves2 550.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 3) (setq ves1 1200.0 ves2 600.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 4) (setq ves1 1300.0 ves2 650.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 5) (setq ves1 1400.0 ves2 700.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 6) (setq ves1 1500.0 ves2 750.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	  ((= optionno 7) (setq ves1 1600.0 ves2 800.0 ves3 6.0 ves4 8.0 ves5 1200.0 ves6 50.0 ves7 6.0 ves8 8.0 ves9 (/ ves2 2.0)))
	)
      )
      ((= m2 4)
	(cond
	  ((= optionno 1) (setq ves1 40.0 ves2 20.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 2) (setq ves1 44.0 ves2 22.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 3) (setq ves1 48.0 ves2 24.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 4) (setq ves1 52.0 ves2 26.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 5) (setq ves1 54.0 ves2 28.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 6) (setq ves1 56.0 ves2 30.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	  ((= optionno 7) (setq ves1 58.0 ves2 32.0 ves3 0.25 ves4 0.375 ves5 48.0 ves6 2.0 ves7 0.25 ves8 0.375 ves9 (/ ves2 2.0)))
	)
      )
    )
) ;-------End hst_invar------------------------------------------
(defun input_endtype_hst (/ i1)
	(setq i1 (load_dialog "ves_hst.dcl"))
	(if (not (new_dialog "endtype_hst" i1)) (exit))
  	(settile demo)
  	(set_tile "dish" "1")
  	(action_tile "accept" "(setq endhead (get_tile \"entype\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_endtype------------------------------------------
(defun veshst_invar_dish ( / i1 i2)
     (setq i1 (load_dialog "ves_hst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_veshst_dish" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nShell weld to weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nShell Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nWidth of Plate? : ")))
     (setq ves1_det (* ves1 detsc)
           ves2_det (* ves2 detsc)
	   ves3_det (* ves3 detsc)
	   ves4_det (* ves4 detsc)
	   ves5_det (* ves5 detsc)
      )
) ;   end veshst_invar_dish ----------------------------
(defun veshst_invar_flat ( / i1 i2)
     (setq i1 (load_dialog "ves_hst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_veshst_flat" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	  (if (= demo 0) (progn
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
	  ))
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nShell weld to weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nShell Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nFlat Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nWidth of Plate? : ")))
     (setq ves1_det (* ves1 detsc)
           ves2_det (* ves2 detsc)
	   ves3_det (* ves3 detsc)
	   ves4_det (* ves4 detsc)
	   ves5_det (* ves5 detsc)
      )

) ;   end veshst_invar_flat ----------------------------
(defun veshst ()
    (drgves_hst) (princ)
    (load "ves_moc.lsp") (matofcon_hst) (princ)
    (load "ves_supp.lsp") (princ)
; elevation
       (setq nextno 0) (mlay)
    (if (= endhead "dish") (progn
       (hst_leftdish  pt09 "elev" 0)
       (hst_rightdish pt09 "elev" 0)
    ))
    (if (= endhead "flat")
    (hst_flat pt09 "elev" 0)
    )
    (if (= endhead "hemi") (progn
       (hst_lefthemi  pt09 "elev" 0)
       (hst_righthemi pt09 "elev" 0)
    ))
    (hst_shellh pt09 "elev" 0)
    (if (= sadr "yes") (progn (saddle pt10 0) (gasad ps1) (gasad ps2)))
    (if (= sadr "no") (saddle1 ps1))
;plan view
    (if (= endhead "dish") (progn
       (hst_leftdish  pp1 "plan" 0)
       (hst_rightdish pp1 "plan" 0)
    ))
    (if (= endhead "flat")
;    (hst_leftflat pp1 "plan" 0)
    (hst_flat pp1 "plan" 0)
    )
    (if (= endhead "hemi") (progn
       (hst_lefthemi pp1 "plan" 0)
       (hst_righthemi pp1 "plan" 0)
    ))
    (hst_shellh pp1 "plan" 0)
    (princ)
) ;------end veshst -------------------------------------
(defun veshst_det ( / prs0 prs1 prs2)
    (mlay)
    (if (= in_ps "dish")
      (progn 
       (setq prs0 (getpoint "\nDetail Drawing point")
	     prs1 (list (- (car prs0) (/ ves2_det 2.0)) (cadr prs0))
             prs2 (list (+ (- (car prs1) ves1_det) (* ves4_det 10.0)) (cadr prs1) 0)
       )
       (hst_leftdish  prs1 "elev" 1)
       (hst_rightdish prs2 "elev" 1)
      )
    )
    (if (= in_ps "flat")
      (progn 
       (setq prs1 (getpoint "\nDetail Drawing point")
             prs2 (list (- (car prs1) (/ ves1_det 4.0)) (cadr prs1) 0)
       )
       (hst_leftflat prs2 "elev" 1)
      )
    )
    (if (= in_ps "hemi")
      (progn
       (setq prs0 (getpoint "\nDetail Drawing point")
	     prs1 (list (- (car prs0) (/ ves2_det 2.0)) (cadr prs0))
             prs2 (list (+ (- (car prs1) ves1_det) (* ves4_det 10.0)) (cadr prs1) 0)
       )
       (hst_lefthemi  prs1 "elev" 1)
       (hst_righthemi prs2 "elev" 1)
      )
    )
    (if (= in_ps "sad")
      (progn (load "ves_supp.lsp") (load "ves_data.lsp") (input_saddle)
       (setq prs0 (getpoint "\nDetail Drawing point"))
	      (saddle prs0 1)
      )
    )
    (princ)
) ;------end veshst_det -------------------------------------
(defun hstprog ()
;    (bomfile_w "a" "*" "" "" "" "" "" "")
  (command "_zoom" "e")
) ; end hstprog ---------------------------------------------------------
(defun drgves_hst ()
        (command "_purge" "a" "" "n")(princ)
; points in a1 drawing
        (setq sc 1.0 scdet 1.0
	      pt01 (list (/ (* sc 7.0) m1) (/ (* sc 7.0) m1) 0)
	      pt02 (list (+ (car pt01) (/ (* sc 776.0) m1)) 0 0)
	      pt03 (list (car pt01) (+ (cadr pt01) (/ (* sc 546.0) m1)) 0)
	      pt04 (list (car pt02) (cadr pt03) 0)
	      pt05 (list (car pt01) (- (cadr pt03) (/ (distance pt01 pt03) 8.0)) 0)
	      pt06 (list (car pt02) (cadr pt05) 0)
	      pt07 (list (car pt01) (+ (cadr pt01) (/ (distance pt01 pt02) 4.0)) 0)
	      pt08 (list (car pt02) (cadr pt07) 0)
	      pt09 (list (+ (car pt01) (* ves2 2.0)) (* (/ 470.0 m1) sc))
              pt10 (list (+ (car pt05) (* ves2 3.75) ves1) (- (cadr pt05) (* ves2 3.0)))
        )
) ; end drgves_hst -----------------------------------------------------------
(defun hst_leftdish ( pt09 elpl ov / p0 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		        p11 p12 p13 p14 p15 p16 p17 p18 p19 p21 pd1 pd3)
	    (setq pleft (list (+ (car pt09) (/ ves1_det 4.0)) (cadr pt09))
		  p0    (list (- (car pleft) (* ves4_det 6.0)) (cadr pleft))
		  p01   (list (- (car pleft) (* ves4_det 6.0)) (+ (cadr pleft) (/ ves2_det 2.0) ves4_det))
		  p02   (list (car p01) (- (cadr p01) ves4_det))
		  p03   (list (- (car pleft) (* ves4_det 6.0)) (- (cadr pleft) (/ ves2_det 2.0) ves4_det))
		  p04   (list (car p03) (+ (cadr p03) ves4_det))
		  p05   (list (car p01) (- (cadr p01) (/ ves2_det 10.0)))
		  p06   (list (car p03) (+ (cadr p03) (/ ves2_det 10.0)))
		  p07   (polar p05 (dtr 154.0) (/ ves2_det 10.0))
		  p08   (polar p05 (dtr 154.0) (- (/ ves2_det 10.0) ves4_det))
		  p09   (polar p06 (dtr 206.0) (/ ves2_det 10.0))
		  p10   (polar p06 (dtr 206.0) (- (/ ves2_det 10.0) ves4_det))
		  p11   (list (- (car p01) (* ves2_det 0.1937) ves4_det) (cadr pleft))
		  p12   (list (- (car p01) (* ves2_det 0.1937)) (cadr pleft))
		  p13   (polar p05 (dtr 122.0) (/ ves2_det 10.0))
		  p14   (polar p05 (dtr 122.0) (- (/ ves2_det 10.0) ves4_det))
		  p15   (polar p06 (dtr 238.0) (/ ves2_det 10.0))
		  p16   (polar p06 (dtr 238.0) (- (/ ves2_det 10.0) ves4_det))
		  p17   (list (+ (car p01) (* ves4_det 6.0)) (cadr p01))
		  p18   (list (+ (car p02) (* ves4_det 6.0)) (cadr p02))
		  p19   (list (+ (car p03) (* ves4_det 6.0)) (cadr p03))
		  p21   (list (+ (car p04) (* ves4_det 6.0)) (cadr p04))
		  pd1   (list (+ (car p18) (* textht detsc 3.0)) (cadr p01))
		  pd3   (list (car p01) (+ (cadr p01) (* textht detsc 3.0)))
            )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 ""
		     "_line" p03 p19 ""
		     "_line" p17 p19 ""
	 	     "_arc" p01 p13 p07
	 	     "_arc" p07 p11 p09
	 	     "_arc" p09 p15 p03
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p02 p14 p08
	 	     "_arc" p08 p12 p10
	 	     "_arc" p10 p16 p04
		     "_layer" "s" "0" ""
		     "_linetype" "set" "continuous" ""
	    )
  (if (= elpl "elev")
            (command "_layer" "s" "dim" ""
		     "_dim1" "hor" p01 p11 pd3 (rtos (distance p0 p11) m2 m4)
		     "_dim1" "hor" p01 p17 pd3 (rtos (distance p01 p17) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
  (if (and (= elpl "elev") (= ov 1))
            (command "_layer" "s" "dim" ""
		     "_dim1" "ver" p17 p18 pd1 (rtos ves4 m2 m4)
		     "_dim1" "ver" p21 p18 pd1 (rtos ves2 m2 m4)
		     "_dim1" "ver" p21 p19 pd1 (rtos ves4 m2 m4)
		     "_layer" "s" "0" ""
	    )
  )  
 (if (= ov 0) (progn
    (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
	   (dishwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "w" "dile" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos ves2 m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* dishwt 1.0) 2 2))
           (setq dile nextno)
           (tagno p13 tagl 150.0 dile)
    ))
    (if (= elpl "plan") (tagno p15 (/ tagl 2.0) 250.0 dile))
  ))
) ; end hst_leftdish ---------------------------------------------------------------------------------
(defun hst_rightdish ( pt09 elpl ov / pright p0 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		         p11 p12 p13 p14 p15 p16 p17 p18 p19 p21 pd1 pd3)
            (setq pright (list (+ (car pt09)  (/ ves1_det 4.0) ves1_det) (cadr pt09))
		  p0     (list (+ (car pright) (* ves4_det 6.0)) (cadr pright))
		  p01    (list (+ (car pright) (* ves4_det 6.0)) (+ (cadr pright) (/ ves2_det 2.0) ves4_det))
		  p02    (list (car p01) (- (cadr p01) ves4_det))
		  p03    (list (+ (car pright) (* ves4_det 6.0)) (- (cadr pright) (/ ves2_det 2.0) ves4_det))
		  p04    (list (car p03) (+ (cadr p03) ves4_det))
		  p05    (list (car p01) (- (cadr p01) (/ ves2_det 10.0)))
		  p06    (list (car p03) (+ (cadr p03) (/ ves2_det 10.0)))
		  p07    (polar p05 (dtr 26.0)  (/ ves2_det 10.0))
		  p08    (polar p05 (dtr 26.0)  (- (/ ves2_det 10.0) (/ ves4_det)))
		  p09    (polar p06 (dtr 334.0) (/ ves2_det 10.0))
		  p10    (polar p06 (dtr 334.0) (- (/ ves2_det 10.0) (/ ves4_det)))
		  p11    (list (+ (car p01) (* ves2_det 0.1937) ves4_det) (cadr pright))
		  p12    (list (+ (car p01) (* ves2_det 0.1937)) (cadr pright))
		  p13    (polar p05 (dtr 58.0)  (/ ves2_det 10.0))
		  p14    (polar p05 (dtr 58.0) (- (/ ves2_det 10.0) ves4_det))
		  p15    (polar p06 (dtr 302.0) (/ ves2_det 10.0))
		  p16    (polar p06 (dtr 302.0) (- (/ ves2_det 10.0) ves4_det))
		  p17    (list (- (car p01) (* ves4_det 6.0)) (cadr p01))
		  p18    (list (- (car p02) (* ves4_det 6.0)) (cadr p02))
		  p19    (list (- (car p01) (* ves4_det 6.0)) (cadr p03))
		  p21    (list (- (car p02) (* ves4_det 6.0)) (cadr p04))
		  pd1   (list (- (car p18) (* textht detsc 3.0)) (cadr p01))
		  pd3    (list (car p01) (+ (cadr p01) (* textht detsc 3.0)))
	    )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 ""
		     "_line" p03 p19 ""
		     "_line" p17 p19 ""
	 	     "_arc" p07 p13 p01
	 	     "_arc" p09 p11 p07
	 	     "_arc" p03 p15 p09
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p08 p14 p02
	 	     "_arc" p10 p12 p08
	 	     "_arc" p04 p16 p10
		     "_linetype" "set" "continuous" ""
		     "_layer" "s" "0" ""
	    )
  (if (= elpl "elev")
            (command "_layer" "s" "dim" ""
		     "_dim1" "hor" p01 p11 pd3 (rtos (distance p0  p11) m2 m4)
		     "_dim1" "hor" p01 p17 pd3 (rtos (distance p01 p17) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
  (if (and (= elpl "elev") (= ov 1))
            (command "_layer" "s" "dim" ""
		     "_dim1" "ver" p17 p18 pd1 (rtos ves4 m2 m4)
		     "_dim1" "ver" p21 p18 pd1 (rtos ves2 m2 m4)
		     "_dim1" "ver" p21 p19 pd1 (rtos ves4 m2 m4)
		     "_layer" "s" "0" ""
	    )
  )  
 (if (= ov 0) (progn
  (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
	   (dishwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "a" "diri" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos ves2 m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* dishwt 1.0) 2 2))
           (setq diri nextno)
           (tagno p13 tagl 30.0 diri)
  ))
    (if (= elpl "plan") (tagno p15 (/ tagl 2.0) 290.0 diri))
 ))
) ; end hst_rightdish --------------------------------------------------------------------------------
(defun hst_leftflat ( pt09 elpl ov / p01 p02 p03 p04 p05 p06 p07 p08
		        pd1 pd2 pd3 ptag1 ptag2)
	    (setq pleft (list (+ (car pt09) (/ ves1_det 4.0)) (cadr pt09))
	          p01 (list (car pleft) (+ (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p02 (list (car pleft) (- (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p03 (list (- (car p01) ves4_det) (cadr p01))
		  p04 (list (- (car p02) ves4_det) (cadr p02))
	          p05 (list (+ (car pleft) ves1_det) (+ (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p06 (list (+ (car pleft) ves1_det) (- (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p07 (list (+ (car p05) ves4_det) (cadr p05))
		  p08 (list (+ (car p06) ves4_det) (cadr p06))
	          ptag1 (list (car p03) (+ (cadr pleft) (/ ves2_det 4.0)))
		  ptag2 (list (car p07) (+ (cadr pleft) (/ ves2_det 4.0)))
		  pd1   (list (+ (car p07) (* textht detsc 3.0)) (cadr pleft))
		  pd2   (list (- (car p03) (* textht detsc 3.0)) (cadr pleft))
		  pd3   (list (car p03) (+ (cadr p03) (* textht detsc 3.0)))
	    )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p03 p04 p02 "c"
		     "_layer" "s" "0" ""
	    )
  (if (= elpl "elev")
            (command "_layer" "s" "dim" ""
		     "_dim1" "hor" p03 p01 pd3 (rtos ves4 m2 m4)
		     "_dim1" "ver" p03 p04 pd2 (rtos (distance p03 p04) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
 (if (= ov 0) (progn
  (if (= elpl "elev") (progn
           (tagno ptag1 tagl 135 dilr)
  ))
  (if (= elpl "plan") (progn
	   (tagno ptag1 (/ tagl 2.0) 135 dilr)
  ))
 ))
) ; end hst_leftflat ------------------------------------------------------
(defun hst_flat ( pt09 elpl ov / p01 p02 p03 p04 p05 p06 p07 p08
		        pd1 pd2 pd3 ptag1 ptag2)
	    (setq pleft (list (+ (car pt09) (/ ves1_det 4.0)) (cadr pt09))
	          p01 (list (car pleft) (+ (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p02 (list (car pleft) (- (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p03 (list (- (car p01) ves4_det) (cadr p01))
		  p04 (list (- (car p02) ves4_det) (cadr p02))
	          p05 (list (+ (car pleft) ves1_det) (+ (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p06 (list (+ (car pleft) ves1_det) (- (cadr pleft) (/ ves2_det 2.0) ves3_det))
		  p07 (list (+ (car p05) ves4_det) (cadr p05))
		  p08 (list (+ (car p06) ves4_det) (cadr p06))
	          ptag1 (list (car p03) (+ (cadr pleft) (/ ves2_det 4.0)))
		  ptag2 (list (car p07) (+ (cadr pleft) (/ ves2_det 4.0)))
		  pd1   (list (+ (car p07) (* ves4_det 10.0)) (cadr pleft))
		  pd2   (list (- (car p03) (* ves4_det 4.0)) (cadr pleft))
		  pd3   (list (car p03) (+ (cadr p03) (* ves4_det 4.0)))
	    )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p03 p04 p02 ""
		     "_line" p05 p07 p08 p06 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p01 p02 ""
		     "_line" p05 p06 ""
	             "_linetype" "set" "continuous" ""
		     "_layer" "s" "0" ""
	    )
  (if (= elpl "elev")
            (command "_layer" "s" "dim" ""
		     "_dim1" "hor" p03 p01 pd3 (rtos ves4 m2 m4)
		     "_dim1" "ver" p03 p04 pd2 (rtos (distance p03 p04) m2 m4)
		     "_dim1" "hor" p05 p07 pd3 (rtos ves4 m2 m4)
		     "_dim1" "ver" p07 p08 pd1 (rtos (distance p07 p08) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
 (if (= ov 0) (progn
  (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
	   (flatwt_cal (+ ves2 ves3 ves3) ves4 spgr_flat)
	   (bomfile_w "w" "dilr" (itoa nextno) desc_flat (itoa 2)
	     moc_flat (strcat (rtos (+ ves2 ves3 ves3) m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* flatwt 2.0) 2 2))
           (setq dilr nextno)
           (tagno ptag1 tagl 135 dilr)
           (tagno ptag2 tagl 45  dilr)
  ))
  (if (= elpl "plan") (progn
           (tagno ptag1 tagl 135 dilr)
           (tagno ptag2 (/ tagl 2.0) 45 dilr)
  ))
 ))
) ; end hst_rightflat ------------------------------------------------------
(defun hst_lefthemi ( pt09 elpl ov / pleft p0 p01 p02 p03 p04 p11 p17 p18 p19 p21 pd1 pd3)
	    (setq pleft (list (+ (car pt09) (/ ves1_det 4.0)) (cadr pt09))
		  p0    (list (- (car pleft) (* ves4_det 6.0)) (cadr pleft))
		  p01   (list (- (car pleft) (* ves4_det 6.0)) (+ (cadr pleft) (/ ves2_det 2.0) ves4_det))
		  p02   (list (car p01) (- (cadr p01) ves4_det))
		  p03   (list (- (car pleft) (* ves4_det 6.0)) (- (cadr pleft) (/ ves2_det 2.0) ves4_det))
		  p04   (list (car p03) (+ (cadr p03) ves4_det))
		  p11   (list (- (car p01) (/ ves2_det 2.0) ves4_det) (cadr pleft))
		  p17   (list (+ (car p01) (* ves4_det 6.0)) (cadr p01))
		  p18   (list (+ (car p02) (* ves4_det 6.0)) (cadr p02))
		  p19   (list (+ (car p03) (* ves4_det 6.0)) (cadr p03))
		  p21   (list (+ (car p04) (* ves4_det 6.0)) (cadr p04))
		  pd1   (list (+ (car p18) (* textht detsc 3.0)) (cadr p01))
		  pd3   (list (car p01) (+ (cadr p01) (* textht detsc 3.0)))
            )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 p19 p03 ""
	 	     "_arc" p01 "e" p03 "a" 180.0
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p02 "e" p04 "a" 180.0
		     "_linetype" "set" "continuous" ""
		     "_layer" "s" "0" ""
	    )
  (if (= elpl "elev")
            (command "layer" "s" "dim" ""
		     "dim1" "hor" p01 p11 pd3 (rtos (distance p0  p11) m2 m4)
		     "dim1" "hor" p01 p17 pd3 (rtos (distance p01 p17) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
  (if (and (= elpl "elev") (= ov 1))
            (command "_layer" "s" "dim" ""
		     "_dim1" "ver" p17 p18 pd1 (rtos ves4 m2 m4)
		     "_dim1" "ver" p21 p18 pd1 (rtos ves2 m2 m4)
		     "_dim1" "ver" p21 p19 pd1 (rtos ves4 m2 m4)
		     "_layer" "s" "0" ""
	    )
  )  
 (if (= ov 0) (progn
  (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
	   (hemiwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "w" "dile" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos ves2 m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* hemiwt 1.0) 2 2))
           (setq dile nextno)
           (tagno p11 tagl 150.0 dile)
  ))
    (if (= elpl "plan") (tagno p11 (/ tagl 2.0) 250.0 dile))
 ))
) ; end hst_lefthemi ---------------------------------------------------------------------------------
(defun hst_righthemi ( pt09 elpl ov / pright p0 p01 p02 p03 p04 p11 p17 p18 p19 p21 pd1 pd3)
            (setq pright (list (+ (car pt09) ves1_det (/ ves1_det 4.0)) (cadr pt09))
		  p0     (list (+ (car pright) (* ves4_det 6.0)) (cadr pright))
		  p01    (list (+ (car pright) (* ves4_det 6.0)) (+ (cadr pright) (/ ves2_det 2.0) ves4_det))
		  p02    (list (car p01) (- (cadr p01) ves4_det))
		  p03    (list (+ (car pright) (* ves4_det 6.0)) (- (cadr pright) (/ ves2_det 2.0) ves4_det))
		  p04    (list (car p03) (+ (cadr p03) ves4_det))
		  p11    (list (+ (car p01) (/ ves2_det 2.0) ves4_det) (cadr pright))
		  p17    (list (- (car p01) (* ves4_det 6.0)) (cadr p01))
		  p18    (list (- (car p02) (* ves4_det 6.0)) (cadr p02))
		  p19    (list (- (car p01) (* ves4_det 6.0)) (cadr p03))
		  p21    (list (- (car p02) (* ves4_det 6.0)) (cadr p04))
		  pd1   (list (- (car p18) (* textht detsc 3.0)) (cadr p01))
		  pd3    (list (car p01) (+ (cadr p01) (* textht detsc 3.0)))
	    )
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 p19 p03 ""
	 	     "_arc" p03 "e" p01 "a" 180.0
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p04 "e" p02 "a" 180.0
		     "_linetype" "set" "continuous" ""
		     "_layer" "s" "0" ""
	    )
  (if (= elpl "elev")
            (command "_layer" "s" "dim" ""
		     "dim1" "hor" p01 p11 pd3 (rtos (distance p0  p11) m2 m4)
		     "dim1" "hor" p01 p17 pd3 (rtos (distance p01 p17) m2 m4)
		     "_layer" "s" "0" ""
	    )
  )
  (if (and (= elpl "elev") (= ov 1))
            (command "_layer" "s" "dim" ""
		     "_dim1" "ver" p17 p18 pd1 (rtos ves4 m2 m4)
		     "_dim1" "ver" p21 p18 pd1 (rtos ves2 m2 m4)
		     "_dim1" "ver" p21 p19 pd1 (rtos ves4 m2 m4)
		     "_layer" "s" "0" ""
	    )
  )  
 (if (= ov 0) (progn
  (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
	   (hemiwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "a" "diri" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos ves2 m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* hemiwt 1.0) 2 2))
           (setq diri nextno)
           (tagno p11 tagl 30.0 diri)
  ))
    (if (= elpl "plan") (tagno p11 (/ tagl 2.0) 290.0 diri))
 ))
) ; end hst_righthemi --------------------------------------------------------------------------------
(defun hst_shellh ( pt09 elpl ov / p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		                p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		                p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
		                pleft pright pd1 pd2 pd3 pd4 pte1 pte2 pte3
		                ptag ptag1 noplat)
       (if (= elpl "elev") (input_sad))
       (if (and (= sadr "yes") (= elpl "elev")) (input_saddle))
       (if (and (= sadr "no")  (= elpl "elev")) (input_saddle1))
	    (setq pleft (list (+ (car pt09) (/ ves1_det 4.0)) (cadr pt09))
                  pright (list (+ (car pleft) ves1_det) (cadr pt09))
	          p01 (list (car pleft) (- (cadr pleft) (/ ves2_det 2.0)))
		  p02 (list (+ (car pleft) ves1_det) (cadr p01))
		  p03 (list (car pleft) (- (cadr p01) ves3_det))
		  p04 (list (+ (car pleft) ves1_det) (- (cadr p01) ves3_det))
		  p05 (list (car pleft) (+ (cadr pleft) (/ ves2_det 2.0)))
		  p06 (list (+ (car pleft) ves1_det) (+ (cadr pleft) (/ ves2_det 2.0)))
		  p07 (list (car pleft) (+ (cadr p06) ves3_det))
		  p08 (list (+ (car pleft) ves1_det) (+ (cadr p06) ves3_det))
                  pd1   (list (car p07) (+ (cadr p07) (/ 100.0 m1)))
		  pd2   (list (+ (car p03) (* dimoff 8.0)) (cadr p03))
		  pte1  (list (+ (car p03) (/ ves1_det 2.0)) (- (cadr p03) (* dimoff 10.0)))
                  pd4   (list (car pte1) (- (cadr pte1) (* dimoff 1.0)))
		  ptag  (list (+ (car p07) (/ ves1_det 5.0)) (cadr p07))
		  ptag1 (list (+ (car p07) (/ ves1_det 5.0)) (cadr p03))
            )
     (if (> (rem (/ ves1_det ves5_det)) 0.0)
	    (setq noplat (fix (/ ves1_det ves5_det)))
     )
     (if (or (= (rem (/ ves1_det ves5_det)) 1.0) (= (rem (/ ves1_det ves5_det)) 2.0) (= (rem (/ ves1_det ves5_det)) 3.0) (= (rem (/ ves1_det ves5_det)) 4.0)
             (= (rem (/ ves1_det ves5_det)) 5.0) (= (rem (/ ves1_det ves5_det)) 6.0) (= (rem (/ ves1_det ves5_det)) 7.0) (= (rem (/ ves1_det ves5_det)) 8.0))
	    (setq noplat (- (fix (/ ves1_det ves5_det)) 1))
     )
  (if (= sadr "yes") (progn
            (setq ps1 (list (+ (car pleft) (/ ves1_det 4.0)) (- (cadr pleft) dimb))
		  ps2 (list (- (+ (car pleft) ves1_det) (/ ves1_det 4.0)) (- (cadr pleft) dimb))
		  pd3 (list (+ (car pleft) (/ ves1_det 2.0)) (- (cadr ps1) (/ 100.0 m1)))
            )
	(if (= endhead "dish")
	    (setq p09 (list (- (car pleft) (* ves2_det 0.1937) (* ves4_det 6.0) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) (* ves2_det 0.1937) (* ves4_det 6.0) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) ves2_det dimb))
            )
        )
	(if (= endhead "flat")
	    (setq p09 (list (- (car pleft) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) ves2_det dimb))
            )
        )
	(if (= endhead "hemi")
	    (setq p09 (list (- (car pleft) (* ves2_det 0.5) (* ves4_det 6.0) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) (* ves2_det 0.5) (* ves4_det 6.0) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) ves2_det dimb))
            )
        )
      )
      (progn
            (setq ps1 (list (+ (car pleft) (/ ves1_det 2.0)) (- (cadr pleft) (/ ves2_det 2.0) ves3_det)))
	(if (= endhead "dish")
	    (setq p09 (list (- (car pleft) (* ves2_det 0.1937) (* ves4_det 6.0) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) (* ves2_det 0.1937) (* ves4_det 6.0) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) (* ves2_det 1.5)))
            )
        )
	(if (= endhead "flat")
	    (setq p09 (list (- (car pleft) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) (* ves2_det 1.5)))
            )
        )
	(if (= endhead "hemi")
	    (setq p09 (list (- (car pleft) (* ves2_det 0.5) (* ves4_det 6.0) (/ 50.0 m1)) (cadr pleft))
		  p10 (list (+ (car pleft) (* ves2_det 0.5) (* ves4_det 6.0) ves1_det (/ 50.0 m1)) (cadr pleft))
                  pp1 (list (car pt09) (- (cadr pt09) (* ves2_det 1.5)))
            )
        )
    )
 )
; end views
	    (setq p11 (list (- (car p09) ves2_det) (cadr p09))
	          p12 (list (+ (car p10) ves2_det) (cadr p10))
	          p13 (list (- (car p11) (/ ves2_det 2.0) dimoff) (cadr p11))
	          p14 (list (+ (car p11) (/ ves2_det 2.0) dimoff) (cadr p11))
	          p15 (list (car p11) (+ (cadr p11) (/ ves2_det 2.0) dimoff))
	          p16 (list (car p11) (- (cadr p11) (/ ves2_det 2.0) dimoff))
	          p17 (list (- (car p12) (/ ves2_det 2.0) dimoff) (cadr p12))
	          p18 (list (+ (car p12) (/ ves2_det 2.0) dimoff) (cadr p12))
	          p19 (list (car p12) (+ (cadr p12) (/ ves2_det 2.0) dimoff))
      	          p20 (list (car p12) (- (cadr p12) (/ ves2_det 2.0) dimoff))
		  pte2 (list (car p16) (- (cadr p16) (* dimoff 10.0)))
		  pte3 (list (car p20) (- (cadr p20) (* dimoff 10.0)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p07 p08 ""
		     "_line" p04 p03 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p05 p06 ""
		     "_line" p01 p02 ""
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" p09 p10 ""
		     "_linetype" "set" "continuous" ""
		     "_layer" "s" "0" ""
	    )
  (if (and (= sadr "yes") (= elpl "elev"))
            (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" ps1 ps2 pd3 (rtos (distance ps1 ps2) m2 m4)
	 	     "_layer" "s" "0" ""
	    )
  )
  (if (= elpl "elev")
            (command "_layer" "s" "ves" ""
		     "_circle" p11 (+ (/ ves2_det 2.0) ves3_det)
		     "_circle" p12 (+ (/ ves2_det 2.0) ves3_det)
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_circle" p11 "d" ves2_det
		     "_circle" p12 "d" ves2_det
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" p13 p14 ""
		     "_line" p15 p16 ""
		     "_line" p17 p18 ""
		     "_line" p19 p20 ""
                     "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" p07 p08 pd1 (rtos ves1 m2 m4)
		     "_dim1" "ver" p01 p03 pd2 (rtos ves3 m2 m4)
		     "_dim1" "ver" p05 p01 pd2 (rtos ves2 m2 m4)
		     "_dim1" "ver" p05 p07 pd2 (rtos ves3 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 textht 0 "ELEVATION"
		     "_text" "c" pte2 textht 0 "LEFT VIEW"
		     "_text" "c" pte3 textht 0 "RIGHT VIEW"
		     "_layer" "s" "0" ""
	    )
            (command "_layer" "s" "txt" ""
		     "_text" "c" pte1 textht 0 "PLAN"
		     "_layer" "s" "0" ""
            )
  )
    (if (> noplat 0) (progn
	(setq p21 (list (+ (car p05) ves5_det) (cadr p05))
	      p22 (list (+ (car p01) ves5_det) (cadr p01))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p21 p22 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p01 p22 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
	(weld p21 90.0  ves3_det ves3_det)
	(weld p22 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 1) (progn
	(setq p23 (list (+ (car p21) ves5_det) (cadr p21))
	      p24 (list (+ (car p22) ves5_det) (cadr p22))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p23 p24 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p22 p24 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p23 90.0  ves3_det ves3_det)
		(weld p24 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 2) (progn
	(setq p25 (list (+ (car p23) ves5_det) (cadr p23))
	      p26 (list (+ (car p24) ves5_det) (cadr p24))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p25 p26 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p24 p26 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p25 90.0  ves3_det ves3_det)
		(weld p26 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 3) (progn
	(setq p27 (list (+ (car p25) ves5_det) (cadr p25))
	      p28 (list (+ (car p26) ves5_det) (cadr p26))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p27 p28 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p26 p28 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p27 90.0  ves3_det ves3_det)
		(weld p28 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 4) (progn
	(setq p29 (list (+ (car p27) ves5_det) (cadr p27))
	      p30 (list (+ (car p28) ves5_det) (cadr p28))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p29 p30 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p28 p30 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p29 90.0  ves3_det ves3_det)
		(weld p30 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 5) (progn
	(setq p31 (list (+ (car p29) ves5_det) (cadr p29))
	      p32 (list (+ (car p30) ves5_det) (cadr p30))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p31 p32 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p30 p32 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p31 90.0  ves3_det ves3_det)
		(weld p32 270.0 ves3_det ves3_det)
      ))
    ))
    (if (> noplat 6) (progn
	(setq p33 (list (+ (car p31) ves5_det) (cadr p31))
	      p34 (list (+ (car p32) ves5_det) (cadr p32))
	)
        (command "_layer" "s" "ves" ""
  	         "_line" p33 p34 ""
 	         "_layer" "s" "0" ""
	)
     (if (= elpl "plan")
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p32 p34 pd4 (rtos ves5 m2 m4)
 	         "_layer" "s" "0" ""
        )
     )
      (if (= ov 0) (progn
		(weld p33 90.0  ves3_det ves3_det)
		(weld p34 270.0 ves3_det ves3_det)
      ))
    ))
    (if (and (= noplat 1) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p22 p02 pd4 (rtos (distance p22 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 2) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p24 p02 pd4 (rtos (distance p24 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 3) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p26 p02 pd4 (rtos (distance p26 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 4) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p28 p02 pd4 (rtos (distance p28 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 5) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p30 p02 pd4 (rtos (distance p30 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 6) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p32 p02 pd4 (rtos (distance p32 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
    (if (and (= noplat 7) (= elpl "plan"))
        (command "_layer" "s" "dim" ""
	         "_dim1" "hor" p34 p02 pd4 (rtos (distance p34 p02) m2 m4)
 	         "_layer" "s" "0" ""
        )		       
    )
 (if (= ov 0) (progn
    (if (or (= endhead "dish") (= endhead "hemi"))
      (progn
	(weld p05 90.0  ves3_det ves4_det)
	(weld p01 270.0 ves4_det ves3_det)
	(weld p06 90.0  ves4_det ves3_det)
	(weld p02 270.0 ves3_det ves4_det)
      )
      (progn
	(weld p05 90.0  ves3_det ves3_det)
	(weld p01 270.0 ves3_det ves3_det)
	(weld p06 90.0  ves3_det ves3_det)
	(weld p02 270.0 ves3_det ves3_det)
      )
    )
;shell weight
  (if (= elpl "elev") (progn
           (setq nextno (+ nextno 1))
           (shellwt_cal ves2 ves3 ves1 spgr_sh)
           (bomfile_w "a" "mshell" (itoa nextno) desc_sh (itoa 1)
	     moc_sh (strcat (rtos ves2 m2 m4) "(ID)" (rtos ves3 m2 m4) "(Th)" (rtos ves1 m2 m4) "(Lg)") (rtos shellwt 2 2))
           (setq mshell nextno)
           (tagno ptag tagl 115 mshell)
  ))
    (if (= elpl "plan") (tagno ptag1 (/ tagl 2.0) 290.0 mshell))
 ))
) ; end hst_shellh -----------------------------------------------------------
(defun settile ( demo )
	(set_tile "program" "Vessel Program by")
	(set_tile "company" "Satish Lele")
	(set_tile "tel" "91-98202 77283")
	(set_tile "email" "leleequip@gmail.com")
	(set_tile "website" "www.svlele.com/vessel.htm")
  (if (= demo 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in trial mode")
  ))
(princ)
); end settile--------------------------------------------------
(defun input_units ( / i1)
  (setq optionno 1)
(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves.dcl"))
	(if (not (new_dialog "indb_mmin" i1)) (exit))
  	(settile demo)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"mmin\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(setq demo 0) (princ)
) ;-------End input_units--------------------------------------------
(defun mlay ()
	(setvar "angdir" 0)
	(setvar "aperture" 3)
	(setvar "aunits" 0)
	(setvar "auprec" 0)
	(setvar "blipmode" 0)
	(setvar "cmdecho" 0)
	(setvar "dragmode" 2)
	(setvar "donutid" 0)
	(setvar "donutod" 1.5)
	(setvar "fillmode" 1)
	(setvar "gridmode" 0)
	(setvar "mirrtext" 0)
	(setvar "pdmode" 1)
	(setvar "pickadd" 1)
	(setvar "pickauto" 1)
	(setvar "pickdrag" 1)
	(setvar "regenmode" 1)
	(setvar "savetime" 10)
	(setvar "snapmode" 0)
	(setvar "snapstyl" 0)
        (setvar "osmode" 0)
  (cond
      ((= m2 2)
;        (setvar "dimlunit" 2)
        (setvar "dimalt" 0)
	(setvar "dimasz" 2.5)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 0)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.1)
	(setvar "dimexo" 0.1)
	(setvar "dimgap" 2)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 5.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 1)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 2.5)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 125.0)
	(setvar "ltscale" 125.0)
    )
  ((= m2 4)
;        (setvar "dimlunit" 4)
	(setvar "dimalt" 0)
	(setvar "dimasz" 0.18)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 4)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.05)
	(setvar "dimexo" 0.05)
	(setvar "dimgap" 0.09)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 2.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 0)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 0.18)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 5.0)
	(setvar "ltscale" 5.0)
    )
  )
	(princ)
(command "_style" "romans" "romans" 0.0 0.75 0.0 "" "" ""
         "_layer" "make" "VES" "color" "1" "" ""
         "_layer" "make" "BOM" "color" "3" "" ""
	 "_layer" "make" "CEN" "color" "2" "" ""
         "_layer" "make" "DIM" "color" "4" "" ""
	 "_layer" "make" "TXT" "color" "6" "" ""
	 "_layer" "make" "HID" "color" "5" "" ""
	 "_layer" "set" "0" "color" "7" "" ""
	 "_ucs" "o" "0,0"
         "_zoom" "e")
        (princ)
) ; end mlay --------------------------------
(defun bomfile_w ( mode t1 t2 t3 t4 t5 t6 t7 / fname)
(setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") mode))
(write-line t1 fname)
(write-line t2 fname)
(write-line t3 fname)
(write-line t4 fname)
(write-line t5 fname)
(write-line t6 fname)
(write-line t7 fname)
(close fname)
) ; end bomfile_w ---------------------------------------------------------------------
(defun bomdwg_w ( scbdw / fname fname1 fname2 count
		          p1101 p2101 p3101 p4101 p5101 p6101)
        (setq count 0
	      gwt 0
              p1101 (list (* scbdw (/ 621.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p2101 (list (* scbdw (/ 627.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p3101 (list (* scbdw (/ 680.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p4101 (list (* scbdw (/ 687.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p5101 (list (* scbdw (/ 717.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p6101 (list (* scbdw (/ 781.5 m1)) (* scbdw (/ 103.375 m1)) 0.0)
        )
   (command "_layer" "s" "bom" ""
            "_linetype" "s" "continuous" ""
	    "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
   )
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (while ( /= (read-line fname) "*") (setq count (+ count 1)))
   (close fname)
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (repeat (setq z3 (/ count 7))
        (read-line fname)
        (command "_text" p1101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; part no
        (command "_text" p2101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; description
        (command "_text" p3101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; quantity
        (command "_text" p4101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; material
        (command "_text" p5101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; size
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (setq gwt1 (read-line fname))) ; weight
        (setq gwt (+ gwt (distof gwt1))) ; gross weight
        (setq p1101 (list (car p1101) (+ (cadr p1101) (* scbdw (/ 3.0 m1))))
              p2101 (list (car p2101) (+ (cadr p2101) (* scbdw (/ 3.0 m1))))
              p3101 (list (car p3101) (+ (cadr p3101) (* scbdw (/ 3.0 m1))))
              p4101 (list (car p4101) (+ (cadr p4101) (* scbdw (/ 3.0 m1))))
              p5101 (list (car p5101) (+ (cadr p5101) (* scbdw (/ 3.0 m1))))
              p6101 (list (car p6101) (+ (cadr p6101) (* scbdw (/ 3.0 m1))))
        )
    )
        (close fname)
  	(setq p5101 (list (- (car p6101) (* (/ 30.0 m1) scbdw)) (cadr p5101))
              p6101 (list (car p6101) (cadr p6101))
        )
	(setq fname1 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "w"))
	(write-line (rtos gwt 2 2) fname1)
	(close fname1)
   (setq fname2 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "r"))
        (command "_text" "r" p5101 (* scbdw (/ 2.25 m1)) "0" "Total Weight")
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (read-line fname2)) ; total weight
	(close fname2)
        (command "_layer" "s" "0" "")
(bomtab scbdw z3)
) ; end bomdwg_w  -------------------------------------------------------------------
(defun tagno ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
    (if (= m2 4) (setq dist1 (* dist1 3.0)))
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht detsc))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 4.0 detsc textht))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 2.0 textht detsc) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno (for details) -----------------------------------------------
(defun tagno_ga ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* textht 10.0))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht 10.0))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 10.0 textht) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno_ga (for ga) -----------------------------------------------

; weight calculation ----------------------------------------
;shell
;(shellwt_cal id0 th0 len spgr_shell)
(defun shellwt_cal ( idin thin lenin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq shellwt (/ (*
		    (- (* (/ (+ idin thin thin) divfac1) (/ (+ idin thin thin) divfac1))
 		       (* (/ idin divfac1) (/ idin divfac1))
		 )
	         lenin spgrin pi)
	       4.0 divfac))
(princ)
) ;end shellwt_cal --------------------------------------------------------------------------------
;Tori dish
;(dishwt_cal dishod dishthk spgr_dish)
(defun dishwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq dishwt (/ (* (/ (* odin 1.22) divfac1) (/ (* odin 1.22) divfac1)
	           thkin spgrin pi
		)
	      4.0 divfac))
(princ)
) ;end dishwt_cal --------------------------------------------------------------------------------
;Hemi dish
;(hemiwt_cal dishod dishthk spgr_dish)
(defun hemiwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq hemiwt (/ (* (/ odin divfac1) (/ odin divfac1)
	           thkin spgrin
		)
	      divfac))
(princ)
) ;end hemiwt_cal --------------------------------------------------------------------------------
;top cone (conwt_cal ves2 ves10 ves11 spgr_cone)
;bot cone (conwt_cal ves2 ves8 ves9 spgr_cone)
(defun conwt_cal ( odin thkin htin spgrin)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq conwt (- (/ (* (/ odin divfac1) (/ odin divfac1)
	           spgrin pi (/ htin 3.0)
		)
	      4.0 divfac)
                (/ (* (/ (- odin thkin) divfac1) (/ (- odin thkin) divfac1)
	           spgrin pi (/ htin 3.0)
		)
	      4.0 divfac)
	     )
)
(princ)
) ;end conwt_cal --------------------------------------------------------------------------------
;Flat ends
;(flatwt_cal od thk spgr_dish)
(defun flatwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq flatwt (/ (* (/ odin divfac1) (/ odin divfac1)
	           thkin spgrin pi
		)
	      4.0 divfac))
(princ)
) ;end flatwt_cal --------------------------------------------------------------------------------
;Saddle Support
;(sadwt_cal lenin widin thkin)
(defun sadwt_cal ( lenin widin thkin / divfac1 divfac)
 
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0
                   sadwt (/ (* (/ lenin divfac1) (/ widin divfac1) thkin spgr_saddle) divfac))
)
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877
                   sadwt (/ (* (/ lenin divfac1) (/ widin divfac1) thkin spgr_saddle) divfac))
)
(princ)
) ; end sadwt_cal --------------------------------------------------------------------------------
;lug plates
;(lugwt_cal dist1 dist2 thk1 spgr_davit)
(defun lugwt_cal ( dist1 dist2 thk1 spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0
                   lugwt (/ (* (/ dist1 divfac1) (/ dist2 divfac1)
	                         thk1 spgrin)
	                    divfac))
)
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877
                   lugwt (/ (* (/ dist1 divfac1) (/ dist2 divfac1)
	                      thk1 spgrin)
	                    divfac))
)
(princ)
) ; end davitwt_cal ----------------------------------------------
; end weight calculation ----------------------------------------

(defun input_dwgdata ( / i1 i2)
(setq i1 (load_dialog "ves_hst.dcl") i2 5)
(while (< 2 i2)
    (if (not (new_dialog "indb_dwgdata" i1)) (exit))
  	(settile demo)
  (if (= t1 nil) (setq t1 "ABC ENGINEERS")) ; client's name
  (if (= t2 nil) (setq t2 "ABC CONSULTANTS")) ; consultant's name
  (if (= t3 nil) (setq t3 "GSD")) ; drawn by
  (if (= t4 nil) (setq t4 "AKK")) ; checked by
  (if (= t5 nil) (setq t5 "HVR")) ; approved by
  (if (= t7 nil) (setq t7 "001")) ; drawing number
  (if (= t9 nil) (setq t9 "PROJECT 123")) ; project no.
  (if (= t10 nil) (setq t10 "EQUPT 123")) ; equipment no.
  (if (= t11 nil) (setq t11 "VES-123")) ; tag no.
  (if (= t12 nil) (setq t12 "XYZ 001")) ; company job no.
  (if (= t13 nil) (setq t13 "ABC ENGINEERS")) ; end user
  (if (= t14 nil) (setq t14 "0")) ; revision
  (princ)
  (setq t8 (getvar "DWGPREFIX"))
    (set_tile "t1" t1)
    (set_tile "t2" t2)
    (set_tile "t3" t3)
    (set_tile "t4" t4)
    (set_tile "t5" t5)
    (setq t6 (fix (getvar "cdate")))
    (setq t61 (substr (itoa (fix (getvar "cdate"))) 5 2)
          t62 (substr (itoa (fix (getvar "cdate"))) 7 2)
          t63 (substr (itoa (fix (getvar "cdate"))) 1 4)
    )
   (if (= m2 2)
    (setq t6 (strcat t62 "-" t61 "-" t63))
    (setq t6 (strcat t61 "-" t62 "-" t63))
   )
    (set_tile "t6" t6)
    (set_tile "t7" t7)
    (set_tile "t9" t9)
    (set_tile "t10" t10)
    (set_tile "t11" t11)
    (set_tile "t12" t12)
    (set_tile "t13" t13)
    (set_tile "t14" t14)
    (action_tile "t1" "(get_t1)")
    (action_tile "t2" "(get_t2)")
    (action_tile "t3" "(get_t3)")
    (action_tile "t4" "(get_t4)")
    (action_tile "t5" "(get_t5)")
    (action_tile "t6" "(get_t6)")
    (action_tile "t7" "(get_t7)")
    (action_tile "t9" "(get_t9)")
    (action_tile "t10" "(get_t10)")
    (action_tile "t11" "(get_t11)")
    (action_tile "t12" "(get_t12)")
    (action_tile "t13" "(get_t13)")
    (action_tile "t14" "(get_t14)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i2 (start_dialog))
)
    (unload_dialog i1)
        (princ)
) ; end part input_dwgdata----------------------------------------------
(defun get_t1  () (setq t1  (strcase (get_tile "t1"))))
(defun get_t2  () (setq t2  (strcase (get_tile "t2"))))
(defun get_t3  () (setq t3  (strcase (get_tile "t3"))))
(defun get_t4  () (setq t4  (strcase (get_tile "t4"))))
(defun get_t5  () (setq t5  (strcase (get_tile "t5"))))
(defun get_t6  () (setq t6  (strcase (get_tile "t6"))))
(defun get_t7  () (setq t7  (strcase (get_tile "t7"))))
(defun get_t8  () (setq t8  (strcase (get_tile "t8"))))
(defun get_t9  () (setq t9  (strcase (get_tile "t9"))))
(defun get_t10 () (setq t10 (strcase (get_tile "t10"))))
(defun get_t11 () (setq t11 (strcase (get_tile "t11"))))
(defun get_t12 () (setq t12 (strcase (get_tile "t12"))))
(defun get_t13 () (setq t13 (strcase (get_tile "t13"))))
(defun get_t14 () (setq t14 (strcase (get_tile "t14"))))
;end input_dwgdata------------------------------------------------------
(defun savedwg ( / gt1 gt2)
  (setq gt2 "stgtank"
        gt1 (getfiled "Select File name for Drawing" gt2 "dwg" 1)
  )
  (command "_dimscale" (* sc 5.0)
           "_dim1" "update" "all" ""
           "_purge" "a" "" "n"
           "_zoom" "e")
;|
       (if (findfile (strcat t8 t7 "_R" t14 ".DWG"))
  	(command "_saveas" "" (strcat t8 t7 "_R" t14 ".DWG") "y")
  	(command "_saveas" "" (strcat t8 t7 "_R" t14 ".DWG"))
       )
|;
       (if (findfile gt1)
          (command "_wblock" gt1 "Y" "" "0,0" "all" "")
          (command "_wblock" gt1 "" "0,0" "all" "")
       )
(princ)
)
; end savedwg ---------------------------------------
(princ "Loaded.")(princ)
(princ "\nType hst and press <enter> to start")
(princ)(princ)