(defun input_ves_dd ( / i1 i2)
  (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dd" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish End Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_dd ------------------------------------------
(defun input_ves_dc ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dc" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_dc------------------------------------------
(defun input_ves_df ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_df" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_df------------------------------------------
(defun input_ves_dn ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dn" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_dn------------------------------------------
(defun input_ves_fd ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fd" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_fd -----------------------------------------
(defun input_ves_ff ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ff" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
) ;-------- end input_ves_ff------------------------------------------
(defun input_ves_ftc ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ftc" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves13) (setq ves13 (getreal "\nTori Cone straight length : ")))
) ;-------- end input_ves_ftc ------------------------------------------
(defun input_ves_fc ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fc" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
) ;-------- end input_ves_fc ------------------------------------------
(defun input_ves_fn ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fn" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
) ;-------- end input_ves_fn------------------------------------------
(defun input_ves_cd ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cd" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves11) (setq ves11 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nHeight of Top Cone : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_cd ------------------------------------------
(defun input_ves_cc ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cc" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db"  (rtos ves1 m2 m4))
     	      (set_tile "ves2_db"  (rtos ves2 m2 m4))
	      (set_tile "ves3_db"  (rtos ves3 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves8_db"  (rtos ves8 m2 m4))
	      (set_tile "ves9_db"  (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nHeight of Top Cone : ")))
) ;-------- end input_ves_cc ------------------------------------------
(defun input_ves_cf ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cf" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Bottom Cone : ")))
) ;-------- end input_ves_cf ---------------------------------------
(defun input_ves_cn ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cn" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Bottom Cone : ")))
) ;-------- end input_ves_cn ---------------------------------------
(defun input_ves_nd ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nd" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nBottom Dish Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
) ;-------- end input_ves_nd ---------------------------------------
(defun input_ves_nc ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nc" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
) ;-------- end input_ves_nc ------------------------------------------
(defun input_ves_nf ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nf" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
) ;-------- end input_ves_nf------------------------------------------
(defun input_ves_nn ( / i1 i2)
     (setq i1 (load_dialog "ves.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nn" i1)) (exit))
  	      (settile)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
) ;-------- end input_ves_nn------------------------------------------
