mmin: dialog {
   aspect_ratio = 0.0;
   label = "Vessel Drawing";
   :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
   :boxed_radio_column
  {
   label = "System of Drawing";
   alignment = centered;
   fixed_width = true;
   key = "mmin";
   :radio_button {
   key = "mm";
   label = "Metric System";
   }
   :radio_button {
   key = "inch";
   label = "Foot-Inch System";
   }
  }
  ok_only;
}
// end Metric Foot-Inch - mmin
noztype: dialog {
   aspect_ratio = 0.0;
   label = "Type of Nozzle";
   :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
   :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
   :boxed_radio_column  {
   key = "nozt";
   alignment = centered;
   fixed_width = true;
   :radio_button {
   key = "noz";
   label = "Only Nozzle (Flat View)";
   }
   :radio_button {
   key = "nbf";
   label = "Nozzle with Blind Flange(Flat View)";
   }
   :radio_button {
   key = "bfl";
   label = "Only Blind Flange(Flat View)";
   }
   :radio_button {
   key = "cir";
   label = "Circular View";
   }
  }
  ok_only;
}
// end noztype nozzle type



sel_flaf : dialog {
	  aspect_ratio = 0;
	  label = "Select Flange";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
	  : row {
              :  column {
		   :  list_box {
				label = "Pipe Diameter";
			     mnemonic = "P";
			          key = "i12";
			        width = 20;
			       height = 10;
  				}
                         }
              :  column {
		   :  list_box {
				label = "Flange Class";
			     mnemonic = "C";
			          key = "i13";
			        width = 20;
			       height = 12;
  				}
                         }
                }
	  spacer_1;
	  : row {
		: toggle {
			key = "face";
			label = "Raised Face";
			mnemonic = "F";
			 }
                  :edit_box {
                        label = "Nozzle Height :";
                        key = "len_db";
                        edit_width = 15;
                        edit_limit = 25;
                        horizontal_alignment = right;
                         }
		}
		errtile;
	ok_cancel;
          }
//------------------------------------------
sel_flac : dialog {
	  aspect_ratio = 0;
	  label = "Select Flange";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
	  : row {
              :  column {
		   :  list_box {
				label = "Pipe Diameter";
			     mnemonic = "P";
			          key = "i12";
			        width = 20;
			       height = 10;
  				}
                         }
              :  column {
		   :  list_box {
				label = "Flange Class";
			     mnemonic = "C";
			          key = "i13";
			        width = 20;
			       height = 12;
  				}
                         }
                }
	  spacer_1;
	  : row {
		: toggle {
			key = "i9";
			label = "Raised Face";
			mnemonic = "F";
			   }
		}
		errtile;
	ok_cancel;
          }
//------------------------------------------
pipd : dialog {
 	   label = "PIPE FITTINGS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
	  aspect_ratio = 0;
	  : row {
	label = "FITTING SIZE";
              :  column {
		   :  list_box {
			     mnemonic = "F";
			          key = "pipd";
			        width = true;
			       height = 10;
			allow_accept = true;
  				}
                         }
                }
               spacer_1;
		errtile;
	ok_cancel;
          }
//------------------------------------------
