(defun flange ( p2 nobhin fpdin bhdin / p3 p4 p5 ss1 ss2)
        (setq p3 (polar p2 (/ PI (float nobhin)) (/ fpdin 2.0))
	      p4 (polar p3 (/ PI (float nobhin)) bhdin)
	      p5 (polar p2 (/ PI (float nobhin)) (- (/ fpdin 2.0) bhdin))
	      ss1 (ssadd) ss2 (ssadd)

	)
	  (Command "_linetype" "set" "center" ""
		   "_layer" "s" "cen" ""
                   "_line" p4 p5 ""
	           "_circle" p2 "D" fpdin
	  )
          (setq ss1 (ssadd (entlast) ss1))
	  (Command "_linetype" "s" "continuous" ""
 		   "_layer" "s" "ves" ""
	           "_circle" p3 "D" bhdin
	  )
          (setq ss2 (ssadd (entlast) ss2))
	  (Command "_array" ss1 "" "P" p2 nobhin "" "y"
		   "_array" ss2 "" "P" p2 nobhin "" "n"
 		   "_layer" "s" "0" ""
          )
  (princ)
) ; end flange ----------------------------------------------
(defun input_noz ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz" i2)) (exit))
    (settile)
    (setq n1 1
          n2 1
    	  n3 1
    	  n4 1
    	  n5 1
    	  n6 1
    	  n78 1
    	  n90 1
    )
    (set_tile "n1_db" (itoa n1))
    (set_tile "n2_db" (itoa n2))
    (set_tile "n3_db" (itoa n3))
    (set_tile "n4_db" (itoa n4))
    (set_tile "n5_db" (itoa n5))
    (set_tile "n6_db" (itoa n6))
    (set_tile "n78_db" (itoa n78))
    (set_tile "n90_db" (itoa n90))

    (action_tile "n1_db"  "(get_n1)")
    (action_tile "n2_db"  "(get_n2)")
    (action_tile "n3_db"  "(get_n3)")
    (action_tile "n4_db"  "(get_n4)")
    (action_tile "n5_db"  "(get_n5)")
    (action_tile "n6_db"  "(get_n6)")
    (action_tile "n78_db" "(get_n78)")
    (action_tile "n90_db" "(get_n90)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
(if (= i1 1) (progn
    (setq nozcount 0)
    (if (= n1 1) (setq nozcount (+ nozcount 1)))
    (if (= n2 1) (setq nozcount (+ nozcount 1)))
    (if (= n3 1) (setq nozcount (+ nozcount 1)))
    (if (= n4 1) (setq nozcount (+ nozcount 1)))
    (if (= n5 1) (setq nozcount (+ nozcount 1)))
    (if (= n6 1) (setq nozcount (+ nozcount 1)))
    (if (= n78 1) (setq nozcount (+ nozcount 1)))
    (if (= n90 1) (setq nozcount (+ nozcount 1)))
    (if (= n1 1) (input_noz1))
    (if (= n2 1) (input_noz2))
    (if (= n3 1) (input_noz3))
    (if (= n4 1) (input_noz4))
    (if (= n5 1) (input_noz5))
    (if (= n6 1) (input_noz6))
    (if (= n78 1) (input_noz78))
    (if (= n90 1) (input_noz90))
))
        (princ)
) ;end input_noz ------------------------------------------------------
(defun input_noz1 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz1" i2)) (exit))
    (settile)
    (setq n1_mark "N1"
          n1_quantity 1
    	  n1_service "SHELL INLET"
    	  n1_sch 80 
    	  n1_type "ASME B16.5"
    	  n1_class 300
	  n1_facing "WELD NECK"
          face1 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n1_facing_db")
          (mapcar 'add_list face1)
          (end_list)
    (setq n1_wtype "W2")
  (if (= m2 2)
    (setq n1_size 150.0
	  n1_nozlen 300.0
    	  n1_padod (+ n1_size 50.0)
    	  n1_padthk 10.0
    	  n1_wthk1 10.0
    	  n1_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n1_size 6.0
          n1_nozlen 12.0
	  n1_padod (+ n1_size 2.0)
    	  n1_padthk 0.375
    	  n1_wthk1 0.375
    	  n1_wthk2 0.375
    )
  )  
    (set_tile "n1_mark_db" n1_mark)
    (set_tile "n1_quantity_db" (itoa n1_quantity))
    (set_tile "n1_service_db" n1_service)
    (set_tile "n1_size_db" (rtos n1_size m2 m4))
    (set_tile "n1_nozlen_db" (rtos n1_nozlen m2 m4))
    (set_tile "n1_sch_db" (itoa n1_sch))
    (set_tile "n1_type_db" n1_type)
    (set_tile "n1_class_db" (itoa n1_class))
    (set_tile "n1_padod_db" (rtos n1_padod m2 m4))
    (set_tile "n1_padthk_db" (rtos n1_padthk m2 m4))
    (set_tile "n1_wtype_db" n1_wtype)
    (set_tile "n1_wthk1_db" (rtos n1_wthk1 m2 m4))
    (set_tile "n1_wthk2_db" (rtos n1_wthk2 m2 m4))

;    (action_tile "n1_mark_db"     "(get_n1_mark)")
    (action_tile "n1_quantity_db" "(get_n1_quantity)")
    (action_tile "n1_service_db"  "(get_n1_service)")
    (action_tile "n1_size_db"     "(get_n1_size)")
    (action_tile "n1_nozlen_db"   "(get_n1_nozlen)")
    (action_tile "n1_sch_db"      "(get_n1_sch)")
    (action_tile "n1_type_db"     "(get_n1_type)")
    (action_tile "n1_class_db"    "(get_n1_class)")
    (action_tile "n1_facing_db"   "(get_n1_facing)")
    (action_tile "n1_padod_db"    "(get_n1_padod)")
    (action_tile "n1_padthk_db"   "(get_n1_padthk)")
    (action_tile "n1_wtype_db"    "(get_n1_wtype)")
    (action_tile "n1_wthk1_db"    "(get_n1_wthk1)")
    (action_tile "n1_wthk2_db"    "(get_n1_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n1_mark
          quantity (itoa n1_quantity)
          service n1_service
          size (rtos n1_size m2 m4)
          nozlen (rtos n1_nozlen m2 m4)
          sch (itoa n1_sch)
          type1 n1_type
          class (itoa n1_class)
          padod (rtos n1_padod m2 m4)
          padthk (rtos n1_padthk m2 m4)
          wtype n1_wtype
          wthk1 (rtos n1_wthk1 m2 m4)
          wthk2 (rtos n1_wthk2 m2 m4)
    )
    (if (>= n1_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n1_facing "WELD NECK") (progn
    (pipdata_asa n1_size n1_sch) (noz_asa n1_size n1_class)
    (flange_wn pt41 pipod pipth flanod pcd fnobh flanth wneck rfdia n1_nozlen neckdia wfid n1_padod n1_padthk 0)
      (wnozwt_cal pipod pipth spgr_noznesh n1_nozlen wneck)
      (bomfile_w "a" "noznesh1" (itoa nextno) (strcat desc_noznesh "(" n1_mark ")") (itoa 1) moc_noznesh (strcat (rtos n1_size m2 m4) "(OD)"
		(rtos n1_sch 2 0) "(SCH)" (rtos (- n1_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq noznesh1 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 noznesh1)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozflsh)
      (bomfile_w "a" "nozflsh1" (itoa nextno) (strcat "WN " desc_nozflsh "(" n1_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozflsh1 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozflsh1)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasflsh1" (itoa nextno) (strcat desc_gasflsh "(" n1_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasflsh1 nextno)
      (tagno1 60.0 gasflsh1)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozflsh1b" (itoa nextno) (strcat desc_bolt "(" n1_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozflsh1b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozflsh1b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozflsh1n" (itoa nextno) (strcat desc_nut "(" n1_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozflsh1n nextno)
      (tagno1 120.0 nozflsh1n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n1_padod pipod n1_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
               "_ellipse" "a" p45 p46 (* n1_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n1_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad1" (itoa nextno) (strcat desc_rfpadsh "(" n1_mark ")") (itoa (* fnobh 2))
	     moc_rfpadsh (strcat (rtos n1_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n1_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad1 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad1)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 0 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n1_nozlen neckdia wfid n1_padod n1_padthk bflan pad)
))
(if (= n1_facing "SLIP ON") (progn
    (pipdata_asa n1_size n1_sch) (noz_asa n1_size n1_class)
    (flange_so pt41 pipod pipth flanod pcd fnobh flanth sneck rfdia n1_nozlen neckdia sfid n1_padod n1_padthk 0)
      (snozwt_cal pipod pipth spgr_noznesh n1_nozlen 0)
      (bomfile_w "a" "noznesh1" (itoa nextno) (strcat desc_noznesh "(" n1_mark ")") (itoa 1) moc_noznesh (strcat (rtos n1_size m2 m4) "(OD)"
		(rtos n1_sch 2 0) "(SCH)" (rtos (- n1_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq noznesh1 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 noznesh1)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozflsh)
      (bomfile_w "a" "nozflsh1" (itoa nextno) (strcat "SO " desc_nozflsh "(" n1_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozflsh1 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozflsh1)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasflsh1" (itoa nextno) (strcat desc_gasflsh "(" n1_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasflsh1 nextno)
      (tagno1 60.0 gasflsh1)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozflsh1b" (itoa nextno) (strcat desc_bolt "(" n1_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozflsh1b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozflsh1b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozflsh1n" (itoa nextno) (strcat desc_nut "(" n1_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozflsh1n nextno)
      (tagno1 120.0 nozflsh1n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n1_padod pipod n1_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n1_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n1_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad1" (itoa nextno) (strcat desc_rfpadsh "(" n1_mark ")") (itoa (* fnobh 2))
	     moc_rfpadsh (strcat (rtos n1_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n1_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad1 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad1)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 0 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n1_nozlen neckdia sfid n1_padod n1_padthk bflan pad)
))
  (princ)
) ;end input_noz1 ------------------------------------------------------
(defun input_noz2 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz2" i2)) (exit))
    (settile)
    (setq n2_mark "N2"
          n2_quantity 1
    	  n2_service "SHELL OUTLET"
    	  n2_sch 80
    	  n2_type "ASME B16.5"
    	  n2_class 300
	  n2_facing "WELD NECK"
	  face2 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n2_facing_db")
          (mapcar 'add_list face2)
          (end_list)
    (setq n2_wtype "W2")
  (if (= m2 2)
    (setq n2_size 150.0
          n2_nozlen 300.0
    	  n2_padod (+ n2_size 50.0)
    	  n2_padthk 10.0
    	  n2_wthk1 10.0
    	  n2_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n2_size 6.0
          n2_nozlen 12.0
    	  n2_padod (+ n2_size 2.0)
    	  n2_padthk 0.375
    	  n2_wthk1 0.375
    	  n2_wthk2 0.375
    )
  )  
    (set_tile "n2_mark_db" n2_mark)
    (set_tile "n2_quantity_db" (itoa n2_quantity))
    (set_tile "n2_service_db" n2_service)
    (set_tile "n2_size_db" (rtos n2_size m2 m4))
    (set_tile "n2_nozlen_db" (rtos n2_nozlen m2 m4))
    (set_tile "n2_sch_db" (itoa n2_sch))
    (set_tile "n2_type_db" n2_type)
    (set_tile "n2_class_db" (itoa n2_class))
    (set_tile "n2_padod_db" (rtos n2_padod m2 m4))
    (set_tile "n2_padthk_db" (rtos n2_padthk m2 m4))
    (set_tile "n2_wtype_db" n2_wtype)
    (set_tile "n2_wthk1_db" (rtos n2_wthk1 m2 m4))
    (set_tile "n2_wthk2_db" (rtos n2_wthk2 m2 m4))

;    (action_tile "n2_mark_db"     "(get_n2_mark)")
    (action_tile "n2_quantity_db" "(get_n2_quantity)")
    (action_tile "n2_service_db"  "(get_n2_service)")
    (action_tile "n2_size_db"     "(get_n2_size)")
    (action_tile "n2_nozlen_db"   "(get_n2_nozlen)")
    (action_tile "n2_sch_db"      "(get_n2_sch)")
    (action_tile "n2_type_db"     "(get_n2_type)")
    (action_tile "n2_class_db"    "(get_n2_class)")
    (action_tile "n2_facing_db"   "(get_n2_facing)")
    (action_tile "n2_padod_db"    "(get_n2_padod)")
    (action_tile "n2_padthk_db"   "(get_n2_padthk)")
    (action_tile "n2_wtype_db"    "(get_n2_wtype)")
    (action_tile "n2_wthk1_db"    "(get_n2_wthk1)")
    (action_tile "n2_wthk2_db"    "(get_n2_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n2_mark
          quantity (itoa n2_quantity)
          service n2_service
          size (rtos n2_size m2 m4)
          nozlen (rtos n2_nozlen m2 m4)
          sch (itoa n2_sch)
          type1 n2_type
          class (itoa n2_class)
          padod (rtos n2_padod m2 m4)
          padthk (rtos n2_padthk m2 m4)
          wtype n2_wtype
          wthk1 (rtos n2_wthk1 m2 m4)
          wthk2 (rtos n2_wthk2 m2 m4)
   )
   (if (>= n2_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n2_facing "WELD NECK") (progn
    (pipdata_asa n2_size n2_sch) (noz_asa n2_size n2_class)
    (flange_wn pt42 pipod pipth flanod pcd fnobh flanth wneck rfdia n2_nozlen neckdia wfid n2_padod n2_padthk 0)
      (wnozwt_cal pipod pipth spgr_noznesh n2_nozlen wneck)
      (bomfile_w "a" "noznesh2" (itoa nextno) (strcat desc_noznesh "(" n2_mark ")") (itoa 1) moc_noznesh (strcat (rtos n2_size m2 m4) "(OD)"
		(rtos n2_sch 2 0) "(SCH)" (rtos (- n2_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq noznesh2 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 noznesh2)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozflsh)
      (bomfile_w "a" "nozflsh2" (itoa nextno) (strcat "WN " desc_nozflsh "(" n2_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozflsh2 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozflsh2)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasflsh2" (itoa nextno) (strcat desc_gasflsh "(" n2_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasflsh2 nextno)
      (tagno1 60.0 gasflsh2)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozflsh2b" (itoa nextno) (strcat desc_bolt "(" n2_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozflsh2b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozflsh2b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozflsh2n" (itoa nextno) (strcat desc_nut "(" n2_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozflsh2n nextno)
      (tagno1 120.0 nozflsh2n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n2_padod pipod n2_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n2_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n2_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad2" (itoa nextno) (strcat desc_rfpadsh "(" n2_mark ")") (itoa (* fnobh 2))
	     moc_rfpadsh (strcat (rtos n2_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n2_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad2 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad2)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n2_nozlen neckdia wfid n2_padod n2_padthk bflan pad)
))
(if (= n2_facing "SLIP ON") (progn
    (pipdata_asa n2_size n2_sch) (noz_asa n2_size n2_class)
    (flange_so pt42 pipod pipth flanod pcd fnobh flanth sneck rfdia n2_nozlen neckdia sfid n2_padod n2_padthk 0)
      (snozwt_cal pipod pipth spgr_noznesh n2_nozlen 0)
      (bomfile_w "a" "noznesh2" (itoa nextno) (strcat desc_noznesh "(" n2_mark ")") (itoa 1) moc_noznesh (strcat (rtos n2_size m2 m4) "(OD)"
		(rtos n2_sch 2 0) "(SCH)" (rtos (- n2_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq noznesh2 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 noznesh2)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozflsh)
      (bomfile_w "a" "nozflsh2" (itoa nextno) (strcat "SO " desc_nozflsh "(" n2_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozflsh2 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozflsh2)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasflsh2" (itoa nextno) (strcat desc_gasflsh "(" n2_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasflsh2 nextno)
      (tagno1 60.0 gasflsh2)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozflsh2b" (itoa nextno) (strcat desc_bolt "(" n2_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozflsh2b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozflsh2b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozflsh2n" (itoa nextno) (strcat desc_nut "(" n2_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozflsh2n nextno)
      (tagno1 120.0 nozflsh2n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n2_padod pipod n2_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n2_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n2_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad2" (itoa nextno) (strcat desc_rfpadsh "(" n2_mark ")") (itoa (* fnobh 2))
	     moc_rfpadsh (strcat (rtos n2_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n2_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad2 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad2)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n2_nozlen neckdia sfid n2_padod n2_padthk bflan pad)
))
        (princ)
) ;end input_noz2 ------------------------------------------------------
(defun input_noz3 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz3" i2)) (exit))
    (settile)
    (setq n3_mark "N3"
	  mark "N3"
          n3_quantity 1
    	  n3_service "CHANNEL INLET"
    	  n3_sch 80 
    	  n3_type "ASME B16.5"
    	  n3_class 300
	  n3_facing "WELD NECK"
    	  face3 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n3_facing_db")
          (mapcar 'add_list face3)
          (end_list)
    (setq n3_wtype "W2")
  (if (= m2 2)
    (setq n3_size 150.0
          n3_nozlen 300.0
    	  n3_padod (+ n3_size 50.0)
    	  n3_padthk 10.0
    	  n3_wthk1 10.0
    	  n3_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n3_size 6.0
          n3_nozlen 12.0
    	  n3_padod (+ n3_size 2.0)
    	  n3_padthk 0.375
    	  n3_wthk1 0.375
    	  n3_wthk2 0.375
    )
  )  
    (set_tile "n3_mark_db" n3_mark)
    (set_tile "n3_quantity_db" (itoa n3_quantity))
    (set_tile "n3_service_db" n3_service)
    (set_tile "n3_size_db" (rtos n3_size m2 m4))
    (set_tile "n3_nozlen_db" (rtos n3_nozlen m2 m4))
    (set_tile "n3_sch_db" (itoa n3_sch))
    (set_tile "n3_type_db" n3_type)
    (set_tile "n3_class_db" (itoa n3_class))
    (set_tile "n3_padod_db" (rtos n3_padod m2 m4))
    (set_tile "n3_padthk_db" (rtos n3_padthk m2 m4))
    (set_tile "n3_wtype_db" n3_wtype)
    (set_tile "n3_wthk1_db" (rtos n3_wthk1 m2 m4))
    (set_tile "n3_wthk2_db" (rtos n3_wthk2 m2 m4))

;    (action_tile "n3_mark_db"     "(get_n3_mark)")
    (action_tile "n3_quantity_db" "(get_n3_quantity)")
    (action_tile "n3_service_db"  "(get_n3_service)")
    (action_tile "n3_size_db"     "(get_n3_size)")
    (action_tile "n3_nozlen_db"   "(get_n3_nozlen)")
    (action_tile "n3_sch_db"      "(get_n3_sch)")
    (action_tile "n3_type_db"     "(get_n3_type)")
    (action_tile "n3_class_db"    "(get_n3_class)")
    (action_tile "n3_facing_db"   "(get_n3_facing)")
    (action_tile "n3_padod_db"    "(get_n3_padod)")
    (action_tile "n3_padthk_db"   "(get_n3_padthk)")
    (action_tile "n3_wtype_db"    "(get_n3_wtype)")
    (action_tile "n3_wthk1_db"    "(get_n3_wthk1)")
    (action_tile "n3_wthk2_db"    "(get_n3_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n3_mark
          quantity (itoa n3_quantity)
          service n3_service
          size (rtos n3_size m2 m4)
          nozlen (rtos n3_nozlen m2 m4)
          sch (itoa n3_sch)
          type1 n3_type
          class (itoa n3_class)
          padod (rtos n3_padod m2 m4)
          padthk (rtos n3_padthk m2 m4)
          wtype n3_wtype
          wthk1 (rtos n3_wthk1 m2 m4)
          wthk2 (rtos n3_wthk2 m2 m4)
    )
    (if (>= n3_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n3_facing "WELD NECK") (progn
    (pipdata_asa n3_size n3_sch) (noz_asa n3_size n3_class)
    (flange_wn pt43 pipod pipth flanod pcd fnobh flanth wneck rfdia n3_nozlen neckdia wfid n3_padod n3_padthk 0)
      (wnozwt_cal pipod pipth spgr_nozne1 n3_nozlen wneck)
      (bomfile_w "a" "noznech1" (itoa nextno) (strcat desc_nozne1 "(" n3_mark ")") (itoa 1) moc_nozne1 (strcat (rtos n3_size m2 m4) "(OD)"
		(rtos n3_sch 2 0) "(SCH)" (rtos (- n3_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq nozne1 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne1)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozfl1)
      (bomfile_w "a" "nozflch1" (itoa nextno) (strcat "WN " desc_nozfl1 "(" n3_mark ")") (itoa 1)
		moc_nozfl1 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozfl1 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl1)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz1)
      (bomfile_w "a" "gasnozch1" (itoa nextno) (strcat desc_gasnoz1 "(" n3_mark ")") (itoa 1) moc_gasnoz1 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasnoz1 nextno)
      (tagno1 60.0 gasnoz1)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt1chb" (itoa nextno) (strcat desc_bolt "(" n3_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq bolt1b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt1b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut1chn" (itoa nextno) (strcat desc_nut "(" n3_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nut1n nextno)
      (tagno1 120.0 nut1n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n3_padod pipod n3_padthk spgr_rfpad3)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n3_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n3_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad3" (itoa nextno) (strcat desc_rfpad3 "(" n3_mark ")") (itoa (* fnobh 2))
	     moc_rfpad3 (strcat (rtos n3_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n3_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad3 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad3)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n3_nozlen neckdia wfid n3_padod n3_padthk bflan pad)
))
(if (= n3_facing "SLIP ON") (progn
    (pipdata_asa n3_size n3_sch) (noz_asa n3_size n3_class)
    (flange_so pt43 pipod pipth flanod pcd fnobh flanth sneck rfdia n3_nozlen neckdia sfid n3_padod n3_padthk 0)
      (snozwt_cal pipod pipth spgr_nozne1 n3_nozlen 0)
      (bomfile_w "a" "noznech1" (itoa nextno) (strcat desc_nozne1 "(" n3_mark ")") (itoa 1) moc_nozne1 (strcat (rtos n3_size m2 m4) "(OD)"
		(rtos n3_sch 2 0) "(SCH)" (rtos (- n3_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq nozne1 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne1)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozfl1)
      (bomfile_w "a" "nozflch1" (itoa nextno) (strcat "SO " desc_nozfl1 "(" n3_mark ")") (itoa 1)
		moc_nozfl1 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozfl1 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl1)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz1)
      (bomfile_w "a" "gasnozch1" (itoa nextno) (strcat desc_gasnoz1 "(" n3_mark ")") (itoa 1) moc_gasnoz1 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasnoz1 nextno)
      (tagno1 60.0 gasnoz1)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt1chb" (itoa nextno) (strcat desc_bolt "(" n3_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq bolt1b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt1b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut1chn" (itoa nextno) (strcat desc_nut "(" n3_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nut1n nextno)
      (tagno1 120.0 nut1n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n3_padod pipod n3_padthk spgr_rfpad3)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n3_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n3_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad3" (itoa nextno) (strcat desc_rfpad3 "(" n3_mark ")") (itoa (* fnobh 2))
	     moc_rfpad3 (strcat (rtos n3_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n3_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad3 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad3)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n3_nozlen neckdia sfid n3_padod n3_padthk bflan pad)
))
        (princ)
) ;end input_noz3 ------------------------------------------------------
(defun input_noz4 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz4" i2)) (exit))
    (settile)
    (setq n4_mark "N4"
          n4_quantity 1
    	  n4_service "CHANNEL OUTLET"
    	  n4_sch 80 
    	  n4_type "ASME B16.5"
    	  n4_class 300
	  n4_facing "WELD NECK"
    	  face4 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n4_facing_db")
          (mapcar 'add_list face4)
          (end_list)
    (setq n4_wtype "W2")
  (if (= m2 2)
    (setq n4_size 150.0
          n4_nozlen 300.0
    	  n4_padod (+ n4_size 50.0)
    	  n4_padthk 10.0
    	  n4_wthk1 10.0
    	  n4_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n4_size 6.0
          n4_nozlen 12.0
    	  n4_padod (+ n4_size 2.0)
    	  n4_padthk 0.375
    	  n4_wthk1 0.375
    	  n4_wthk2 0.375
    )
  )  
    (set_tile "n4_mark_db" n4_mark)
    (set_tile "n4_quantity_db" (itoa n4_quantity))
    (set_tile "n4_service_db" n4_service)
    (set_tile "n4_size_db" (rtos n4_size m2 m4))
    (set_tile "n4_nozlen_db" (rtos n4_nozlen m2 m4))
    (set_tile "n4_sch_db" (itoa n4_sch))
    (set_tile "n4_type_db" n4_type)
    (set_tile "n4_class_db" (itoa n4_class))
    (set_tile "n4_padod_db" (rtos n4_padod m2 m4))
    (set_tile "n4_padthk_db" (rtos n4_padthk m2 m4))
    (set_tile "n4_wtype_db" n4_wtype)
    (set_tile "n4_wthk1_db" (rtos n4_wthk1 m2 m4))
    (set_tile "n4_wthk2_db" (rtos n4_wthk2 m2 m4))

;    (action_tile "n4_mark_db"     "(get_n4_mark)")
    (action_tile "n4_quantity_db" "(get_n4_quantity)")
    (action_tile "n4_service_db"  "(get_n4_service)")
    (action_tile "n4_size_db"     "(get_n4_size)")
    (action_tile "n4_nozlen_db"   "(get_n4_nozlen)")
    (action_tile "n4_sch_db"      "(get_n4_sch)")
    (action_tile "n4_type_db"     "(get_n4_type)")
    (action_tile "n4_class_db"    "(get_n4_class)")
    (action_tile "n4_facing_db"   "(get_n4_facing)")
    (action_tile "n4_padod_db"    "(get_n4_padod)")
    (action_tile "n4_padthk_db"   "(get_n4_padthk)")
    (action_tile "n4_wtype_db"    "(get_n4_wtype)")
    (action_tile "n4_wthk1_db"    "(get_n4_wthk1)")
    (action_tile "n4_wthk2_db"    "(get_n4_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n4_mark
          quantity (itoa n4_quantity)
          service n4_service
          size (rtos n4_size m2 m4)
          nozlen (rtos n4_nozlen m2 m4)
          sch (itoa n4_sch)
          type1 n4_type
          class (itoa n4_class)
          padod (rtos n4_padod m2 m4)
          padthk (rtos n4_padthk m2 m4)
          wtype n4_wtype
          wthk1 (rtos n4_wthk1 m2 m4)
          wthk2 (rtos n4_wthk2 m2 m4)
    )
    (if (>= n4_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n4_facing "WELD NECK") (progn
    (pipdata_asa n4_size n4_sch) (noz_asa n4_size n4_class)
    (flange_wn pt44 pipod pipth flanod pcd fnobh flanth wneck rfdia n4_nozlen neckdia wfid n4_padod n4_padthk 0)
      (wnozwt_cal pipod pipth spgr_nozne3 n4_nozlen wneck)
      (bomfile_w "a" "noznech3" (itoa nextno) (strcat desc_nozne3 "(" n4_mark ")") (itoa 1) moc_nozne3 (strcat (rtos n4_size m2 m4) "(OD)"
		(rtos n4_sch 2 0) "(SCH)" (rtos (- n4_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq nozne3 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne3)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozfl3)
      (bomfile_w "a" "nozflch3" (itoa nextno) (strcat "WN " desc_nozfl3 "(" n4_mark ")") (itoa 1)
		moc_nozfl3 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozfl3 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl3)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz3)
      (bomfile_w "a" "gasnozch3" (itoa nextno) (strcat desc_gasnoz3 "(" n4_mark ")") (itoa 1) moc_gasnoz3 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasnoz3 nextno)
      (tagno1 60.0 gasnoz3)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt3chb" (itoa nextno) (strcat desc_bolt "(" n4_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq bolt3b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt3b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut3chn" (itoa nextno) (strcat desc_nut "(" n4_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nut3n nextno)
      (tagno1 120.0 nut3n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n4_padod pipod n4_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n4_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n4_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad4" (itoa nextno) (strcat desc_rfpad3 "(" n4_mark ")") (itoa (* fnobh 2))
	     moc_rfpad3 (strcat (rtos n4_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n4_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad4 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad4)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n4_nozlen neckdia wfid n4_padod n4_padthk bflan pad)
))
(if (= n4_facing "SLIP ON") (progn
    (pipdata_asa n4_size n4_sch) (noz_asa n4_size n4_class)
    (flange_so pt44 pipod pipth flanod pcd fnobh flanth sneck rfdia n4_nozlen neckdia sfid n4_padod n4_padthk 0)
      (snozwt_cal pipod pipth spgr_nozne3 n4_nozlen 0)
      (bomfile_w "a" "noznech3" (itoa nextno) (strcat desc_nozne3 "(" n4_mark ")") (itoa 1) moc_nozne3 (strcat (rtos n4_size m2 m4) "(OD)"
		(rtos n4_sch 2 0) "(SCH)" (rtos (- n4_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq nozne3 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne3)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozfl3)
      (bomfile_w "a" "nozflch3" (itoa nextno) (strcat "SO " desc_nozfl3 "(" n4_mark ")") (itoa 1)
		moc_nozfl3 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozfl3 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl3)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz3)
      (bomfile_w "a" "gasnozch3" (itoa nextno) (strcat desc_gasnoz3 "(" n4_mark ")") (itoa 1) moc_gasnoz3 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasnoz3 nextno)
      (tagno1 60.0 gasnoz3)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt3chb" (itoa nextno) (strcat desc_bolt "(" n4_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq bolt3b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt3b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut3chn" (itoa nextno) (strcat desc_nut "(" n4_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nut3n nextno)
      (tagno1 120.0 nut3n)
      (setq nextno (+ nextno 1))
      (rfpadwt_cal n4_padod pipod n4_padthk spgr_rfpadsh)
      (command "_layer" "s" "0" ""
	       "_ellipse" "a" p45 p46 (* n4_padthk 4.0) 0.0 180.0
   	       "_ellipse" "a" p47 p48 (/ n4_padod 2.0) 0.0 180.0
	       "_line" p45 p47 ""
	       "_line" p46 p48 ""
      )
      (bomfile_w "a" "rfpad4" (itoa nextno) (strcat desc_rfpad3 "(" n4_mark ")") (itoa (* fnobh 2))
	     moc_rfpad3 (strcat (rtos n4_padod m2 m4) "(OD)" (rtos pipod m2 m4) "(ID)" (rtos n4_padthk m2 m4) "(TH)") (rtos rfpadwt 2 2))
      (setq rfpad4 nextno)
      (tagno p48 (/ 100.0 m1) 60.0 rfpad4)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n4_nozlen neckdia sfid n4_padod n4_padthk bflan pad)
))
        (princ)
) ;end input_noz4 ------------------------------------------------------
(defun input_noz5 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz5" i2)) (exit))
    (settile)
    (setq n5_mark "N5"
          n5_quantity 1
    	  n5_service "SHELL VENT + BF"
    	  n5_sch 160
    	  n5_type "ASME B16.5"
    	  n5_class 300
	  n5_facing "WELD NECK"
    	  face5 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n5_facing_db")
          (mapcar 'add_list face5)
          (end_list)
    (setq n5_wtype "W2")
  (if (= m2 2)
    (setq n5_size 40.0
          n5_nozlen 150.0
    	  n5_wthk1 10.0
    	  n5_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n5_size 1.5
          n5_nozlen 6.0
    	  n5_wthk1 0.375
    	  n5_wthk2 0.375
    )
  )  
    (set_tile "n5_mark_db" n5_mark)
    (set_tile "n5_quantity_db" (itoa n5_quantity))
    (set_tile "n5_service_db" n5_service)
    (set_tile "n5_size_db" (rtos n5_size m2 m4))
    (set_tile "n5_nozlen_db" (rtos n5_nozlen m2 m4))
    (set_tile "n5_sch_db" (itoa n5_sch))
    (set_tile "n5_type_db" n5_type)
    (set_tile "n5_class_db" (itoa n5_class))
    (set_tile "n5_wtype_db" n5_wtype)
    (set_tile "n5_wthk1_db" (rtos n5_wthk1 m2 m4))
    (set_tile "n5_wthk2_db" (rtos n5_wthk2 m2 m4))

;    (action_tile "n5_mark_db"     "(get_n5_mark)")
    (action_tile "n5_quantity_db" "(get_n5_quantity)")
    (action_tile "n5_service_db"  "(get_n5_service)")
    (action_tile "n5_size_db"     "(get_n5_size)")
    (action_tile "n5_sch_db"      "(get_n5_sch)")
    (action_tile "n5_nozlen_db"   "(get_n5_nozlen)")
    (action_tile "n5_type_db"     "(get_n5_type)")
    (action_tile "n5_class_db"    "(get_n5_class)")
    (action_tile "n5_facing_db"   "(get_n5_facing)")
    (action_tile "n5_wtype_db"    "(get_n5_wtype)")
    (action_tile "n5_wthk1_db"    "(get_n5_wthk1)")
    (action_tile "n5_wthk2_db"    "(get_n5_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n5_mark
          quantity (itoa n5_quantity)
          service n5_service
          size (rtos n5_size m2 m4)
          nozlen (rtos n5_nozlen m2 m4)
          sch (itoa n5_sch)
          type1 n5_type
          class (itoa n5_class)
          padod ""
          padthk ""
          wtype n5_wtype
          wthk1 (rtos n5_wthk1 m2 m4)
          wthk2 (rtos n5_wthk2 m2 m4)
    )
    (if (>= n5_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n5_facing "WELD NECK") (progn
    (pipdata_asa n5_size n5_sch) (noz_asa n5_size n5_class)
    (flange_wn pt45 pipod pipth flanod pcd fnobh flanth wneck rfdia n5_nozlen neckdia wfid 0 0 1)
      (wnozwt_cal pipod pipth spgr_noznesh n5_nozlen wneck)
      (bomfile_w "a" "nozne5" (itoa nextno) (strcat "Shell Vent Nozzle Neck (" n5_mark ")") (itoa 1) moc_noznesh (strcat (rtos n5_size m2 m4) "(OD)"
		(rtos n5_sch 2 0) "(SCH)" (rtos (- n5_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq nozne5 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne5)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozflsh)
      (bomfile_w "a" "nozfl5" (itoa nextno) (strcat "WN Flange on Shell Vent (" n5_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozfl5 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl5)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl5" (itoa nextno) (strcat "Shell Vent Nozzle Gasket (" n5_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasfl5 nextno)
      (tagno1 60.0 gasfl5)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl5b" (itoa nextno) (strcat "Shell Vent Nozzle Stud Bolts (" n5_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozfl5b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl5b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl5n" (itoa nextno) (strcat "Shell Vent Nozzle Nuts (" n5_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozfl5n nextno)
      (tagno1 120.0 nozfl5n)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n5_nozlen neckdia wfid 0 0 bflan pad)
))
(if (= n5_facing "SLIP ON") (progn
    (pipdata_asa n5_size n5_sch) (noz_asa n5_size n5_class)
    (flange_so pt45 pipod pipth flanod pcd fnobh flanth sneck rfdia n5_nozlen neckdia sfid 0 0 1)
      (snozwt_cal pipod pipth spgr_noznesh n5_nozlen 0)
      (bomfile_w "a" "nozne5" (itoa nextno) (strcat "Shell Vent Nozzle Neck (" n5_mark ")") (itoa 1) moc_noznesh (strcat (rtos n5_size m2 m4) "(OD)"
		(rtos n5_sch 2 0) "(SCH)" (rtos (- n5_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq nozne5 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne5)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozflsh)
      (bomfile_w "a" "nozfl5" (itoa nextno) (strcat "SO Flange on Shell Vent (" n5_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozfl5 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl5)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl5" (itoa nextno) (strcat "Shell Vent Nozzle Gasket (" n5_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasfl5 nextno)
      (tagno1 60.0 gasfl5)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl5b" (itoa nextno) (strcat "Shell Vent Nozzle Stud Bolts (" n5_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozfl5b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl5b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl5n" (itoa nextno) (strcat "Shell Vent Nozzle Nuts (" n5_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozfl5n nextno)
      (tagno1 120.0 nozfl5n)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n5_nozlen neckdia sfid 0 0 bflan pad)
))
      (flwtbl_cal flanod fbhd fnobh flanth spgr_nozflsh)
      (bomfile_w "a" "nozblfl5" (itoa nextno) (strcat "Shell Vent Nozzle Blind Flange " n5_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtbl 2 2))
      (setq nozblfl5 nextno)
      (tagno p38 (/ 100.0 m1) 100.0 nozblfl5)
      (setq nextno (+ nextno 1))
    ;stiffner
  (princ)
) ;end input_noz5 ------------------------------------------------------
(defun input_noz6 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz6" i2)) (exit))
    (settile)
    (setq n6_mark "N6"
          n6_quantity 1
    	  n6_service "SHELL DRAIN + BF"
    	  n6_sch 160
    	  n6_type "ASME B16.5"
    	  n6_class 300
	  n6_facing "WELD NECK"
    	  face6 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n6_facing_db")
          (mapcar 'add_list face6)
          (end_list)
    (setq n6_wtype "W2")
  (if (= m2 2)
    (setq n6_size 40.0
          n6_nozlen 150.0
    	  n6_wthk1 10.0
    	  n6_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n6_size 1.5
          n6_nozlen 6.0
    	  n6_wthk1 0.375
    	  n6_wthk2 0.375
    )
  )  
    (set_tile "n6_mark_db" n6_mark)
    (set_tile "n6_quantity_db" (itoa n6_quantity))
    (set_tile "n6_service_db" n6_service)
    (set_tile "n6_size_db" (rtos n6_size m2 m4))
    (set_tile "n6_nozlen_db" (rtos n6_nozlen m2 m4))
    (set_tile "n6_sch_db" (itoa n6_sch))
    (set_tile "n6_type_db" n6_type)
    (set_tile "n6_class_db" (itoa n6_class))
    (set_tile "n6_wtype_db" n6_wtype)
    (set_tile "n6_wthk1_db" (rtos n6_wthk1 m2 m4))
    (set_tile "n6_wthk2_db" (rtos n6_wthk2 m2 m4))

;    (action_tile "n6_mark_db"     "(get_n6_mark)")
    (action_tile "n6_quantity_db" "(get_n6_quantity)")
    (action_tile "n6_service_db"  "(get_n6_service)")
    (action_tile "n6_size_db"     "(get_n6_size)")
    (action_tile "n6_nozlen_db"   "(get_n6_nozlen)")
    (action_tile "n6_sch_db"      "(get_n6_sch)")
    (action_tile "n6_type_db"     "(get_n6_type)")
    (action_tile "n6_class_db"    "(get_n6_class)")
    (action_tile "n6_facing_db"   "(get_n6_facing)")
    (action_tile "n6_wtype_db"    "(get_n6_wtype)")
    (action_tile "n6_wthk1_db"    "(get_n6_wthk1)")
    (action_tile "n6_wthk2_db"    "(get_n6_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n6_mark
          quantity (itoa n6_quantity)
          service n6_service
          size (rtos n6_size m2 m4)
          nozlen (rtos n6_nozlen m2 m4)
          sch (itoa n6_sch)
          type1 n6_type
          class (itoa n6_class)
          padod ""
          padthk ""
          wtype n6_wtype
          wthk1 (rtos n6_wthk1 m2 m4)
          wthk2 (rtos n6_wthk2 m2 m4)
    )
    (if (>= n6_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n6_facing "WELD NECK") (progn
    (pipdata_asa n6_size n6_sch) (noz_asa n6_size n6_class)
    (flange_wn pt46 pipod pipth flanod pcd fnobh flanth wneck rfdia n6_nozlen neckdia wfid 0 0 1)
      (wnozwt_cal pipod pipth spgr_noznesh n6_nozlen wneck)
      (bomfile_w "a" "nozne6" (itoa nextno) (strcat "Shell Drain Nozzle Neck (" n6_mark ")") (itoa 1) moc_noznesh (strcat (rtos n6_size m2 m4) "(OD)"
		(rtos n6_sch 2 0) "(SCH)" (rtos (- n6_nozlen wneck) m2 m4) "(Lg)") (rtos wnozwt 2 2))
      (setq nozne6 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne6)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozflsh)
      (bomfile_w "a" "nozfl6" (itoa nextno) (strcat "WN Flange on Shell Drain (" n6_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtwn 2 2))
      (setq nozfl6 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl6)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl6" (itoa nextno) (strcat "Shell Drain Nozzle Gasket (" n6_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasfl6 nextno)
      (tagno1 60.0 gasfl6)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl6b" (itoa nextno) (strcat "Shell Drain Nozzle Stud Bolts (" n6_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozfl6b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl6b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl6n" (itoa nextno) (strcat "Shell Drain Nozzle Nuts (" n6_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozfl6n nextno)
      (tagno1 120.0 nozfl6n)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth wneck rfdia n6_nozlen neckdia wfid 0 0 bflan pad)
))
(if (= n6_facing "SLIP ON") (progn
    (pipdata_asa n6_size n6_sch) (noz_asa n6_size n6_class)
    (flange_so pt46 pipod pipth flanod pcd fnobh flanth sneck rfdia n6_nozlen neckdia sfid 0 0 1)
      (snozwt_cal pipod pipth spgr_noznesh n6_nozlen 0)
      (bomfile_w "a" "nozne6" (itoa nextno) (strcat "Shell Drain Nozzle Neck (" n6_mark ")") (itoa 1) moc_noznesh (strcat (rtos n6_size m2 m4) "(OD)"
		(rtos n6_sch 2 0) "(SCH)" (rtos (- n6_nozlen pipth) m2 m4) "(Lg)") (rtos snozwt 2 2))
      (setq nozne6 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne6)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozflsh)
      (bomfile_w "a" "nozfl6" (itoa nextno) (strcat "SO Flange on Shell Drain (" n6_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtso 2 2))
      (setq nozfl6 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl6)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl6" (itoa nextno) (strcat "Shell Drain Nozzle Gasket (" n6_mark ")") (itoa 1) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos gaswt 2 2))
      (setq gasfl6 nextno)
      (tagno1 60.0 gasfl6)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl6b" (itoa nextno) (strcat "Shell Drain Nozzle Stud Bolts (" n6_mark ")") (itoa fnobh)
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos boltwt 2 2))
      (setq nozfl6b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl6b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl6n" (itoa nextno) (strcat "Shell Drain Nozzle Nuts (" n6_mark ")") (itoa (* fnobh 2))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos nutwt 2 2))
      (setq nozfl6n nextno)
      (tagno1 120.0 nozfl6n)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) mark pipod pipth flanod pcd fnobh flanth sneck rfdia n6_nozlen neckdia sfid 0 0 bflan pad)
))
      (flwtbl_cal flanod fbhd fnobh flanth spgr_nozflsh)
      (bomfile_w "a" "nozblfl6" (itoa nextno) (strcat "Shell Drain Nozzle Blind Flange (" n6_mark ")") (itoa 1)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos flwtbl 2 2))
      (setq nozblfl6 nextno)
      (tagno p38 (/ 100.0 m1) 100.0 nozblfl6)
      (setq nextno (+ nextno 1))
    ;stiffner
        (princ)
) ;end input_noz6 ------------------------------------------------------
(defun input_noz78 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz78" i2)) (exit))
    (settile)
    (setq n78_mark "N7&8"
          n78_quantity 2
    	  n78_service "SHELL NOZZLE CONNECTIONS + BF"
    	  n78_sch 160
    	  n78_type "ASME B16.5"
    	  n78_class 300
	  n78_facing "WELD NECK"
    	  face78 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n78_facing_db")
          (mapcar 'add_list face78)
          (end_list)
    (setq n78_wtype "W2")
  (if (= m2 2)
    (setq n78_size 40.0
          n78_nozlen 150.0
    	  n78_wthk1 10.0
    	  n78_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n78_size 1.5
          n78_nozlen 6.0
    	  n78_wthk1 0.375
    	  n78_wthk2 0.375
    )
  )  
    (set_tile "n78_mark_db" n78_mark)
    (set_tile "n78_quantity_db" (itoa n78_quantity))
    (set_tile "n78_service_db" n78_service)
    (set_tile "n78_size_db" (rtos n78_size m2 m4))
    (set_tile "n78_nozlen_db" (rtos n78_nozlen m2 m4))
    (set_tile "n78_sch_db" (itoa n78_sch))
    (set_tile "n78_type_db" n78_type)
    (set_tile "n78_class_db" (itoa n78_class))
    (set_tile "n78_wtype_db" n78_wtype)
    (set_tile "n78_wthk1_db" (rtos n78_wthk1 m2 m4))
    (set_tile "n78_wthk2_db" (rtos n78_wthk2 m2 m4))

;    (action_tile "n78_mark_db"     "(get_n78_mark)")
    (action_tile "n78_quantity_db" "(get_n78_quantity)")
    (action_tile "n78_service_db"  "(get_n78_service)")
    (action_tile "n78_size_db"     "(get_n78_size)")
    (action_tile "n78_nozlen_db"   "(get_n78_nozlen)")
    (action_tile "n78_sch_db"      "(get_n78_sch)")
    (action_tile "n78_type_db"     "(get_n78_type)")
    (action_tile "n78_class_db"    "(get_n78_class)")
    (action_tile "n78_facing_db"   "(get_n78_facing)")
    (action_tile "n78_wtype_db"    "(get_n78_wtype)")
    (action_tile "n78_wthk1_db"    "(get_n78_wthk1)")
    (action_tile "n78_wthk2_db"    "(get_n78_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n78_mark
          quantity (itoa n78_quantity)
          service n78_service
          size (rtos n78_size m2 m4)
          nozlen (rtos n78_nozlen m2 m4)
          sch (itoa n78_sch)
          type1 n78_type
          class (itoa n78_class)
          padod ""
          padthk ""
          wtype n78_wtype
          wthk1 (rtos n78_wthk1 m2 m4)
          wthk2 (rtos n78_wthk2 m2 m4)
    )
    (if (>= n78_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n78_facing "WELD NECK") (progn
    (pipdata_asa n78_size n78_sch) (noz_asa n78_size n78_class)
    (flange_wn pt47 pipod pipth flanod pcd fnobh flanth wneck rfdia n78_nozlen neckdia wfid 0 0 1)
      (wnozwt_cal pipod pipth spgr_nozne1 n78_nozlen wneck)
      (bomfile_w "a" "nozne7" (itoa nextno) (strcat "Shell Noz Vent/Drain Neck (" n78_mark ")") (itoa 2) moc_nozne1 (strcat (rtos n78_size m2 m4) "(OD)"
		(rtos n78_sch 2 0) "(SCH)" (rtos (- n78_nozlen wneck) m2 m4) "(Lg)") (rtos (* wnozwt 2.0) 2 2))
      (setq nozne7 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne7)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozflsh)
      (bomfile_w "a" "nozfl7" (itoa nextno) (strcat "WN Flange on Shell Vent/Drain (" n78_mark ")") (itoa 2)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtwn 2.0) 2 2))
      (setq nozfl7 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl7)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl7" (itoa nextno) (strcat "Shell Noz Vent/Drain Gasket (" n78_mark ")") (itoa 2) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos (* gaswt 2.0) 2 2))
      (setq gasfl7 nextno)
      (tagno1 60.0 gasfl7)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl7b" (itoa nextno) (strcat "Shell Noz Vent/Drain Stud Bolt (" n78_mark ")") (itoa (* fnobh 2))
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos (* boltwt 2.0) 2 2))
      (setq nozfl7b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl7b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl7n" (itoa nextno) (strcat "Shell Noz Vent/Drain Nuts (" n78_mark ")") (itoa (* fnobh 4))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos (* nutwt 2.0) 2 2))
      (setq nozfl7n nextno)
      (tagno1 120.0 nozfl7n)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) "n7" pipod pipth flanod pcd fnobh flanth wneck rfdia n78_nozlen neckdia wfid 0 0 bflan pad)
      (gafl_wn (list 0 0 0) "n8" pipod pipth flanod pcd fnobh flanth wneck rfdia n78_nozlen neckdia wfid 0 0 bflan pad)
))
(if (= n78_facing "SLIP ON") (progn
    (pipdata_asa n78_size n78_sch) (noz_asa n78_size n78_class)
    (flange_so pt47 pipod pipth flanod pcd fnobh flanth sneck rfdia n78_nozlen neckdia sfid 0 0 1)
      (snozwt_cal pipod pipth spgr_nozne1 n78_nozlen 0)
      (bomfile_w "a" "nozne7" (itoa nextno) (strcat "Shell Noz Vent/Drain Neck (" n78_mark ")") (itoa 2) moc_nozne1 (strcat (rtos n78_size m2 m4) "(OD)"
		(rtos n78_sch 2 0) "(SCH)" (rtos (- n78_nozlen pipth) m2 m4) "(Lg)") (rtos (* snozwt 2.0) 2 2))
      (setq nozne7 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne7)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozflsh)
      (bomfile_w "a" "nozfl7" (itoa nextno) (strcat "SO Flange on Shell Vent/Drain (" n78_mark ")") (itoa 2)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtso 2.0) 2 2))
      (setq nozfl7 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl7)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasflsh)
      (bomfile_w "a" "gasfl7" (itoa nextno) (strcat "Shell Noz Vent/Drain Gasket (" n78_mark ")") (itoa 2) moc_gasflsh (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos (* gaswt 2.0) 2 2))
      (setq gasfl7 nextno)
      (tagno1 60.0 gasfl7)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "nozfl7b" (itoa nextno) (strcat "Shell Noz Vent/Drain Stud Bolt (" n78_mark ")") (itoa (* fnobh 2))
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos (* boltwt 2.0) 2 2))
      (setq nozfl7b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 nozfl7b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nozfl7n" (itoa nextno) (strcat "Shell Noz Vent/Drain Nuts (" n78_mark ")") (itoa (* fnobh 4))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos (* nutwt 2.0) 2 2))
      (setq nozfl7n nextno)
      (tagno1 120.0 nozfl7n)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) "n7" pipod pipth flanod pcd fnobh flanth sneck rfdia n78_nozlen neckdia sfid 0 0 bflan pad)
      (gafl_so (list 0 0 0) "n8" pipod pipth flanod pcd fnobh flanth sneck rfdia n78_nozlen neckdia sfid 0 0 bflan pad)
))
      (flwtbl_cal flanod fbhd fnobh flanth spgr_nozflsh)
      (bomfile_w "a" "nozblfl7" (itoa nextno) (strcat "Shell Noz Vent/Drain Blind Flange (" n78_mark ")") (itoa 2)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtbl 2.0) 2 2))
      (setq nozblfl7 nextno)
      (tagno p38 (/ 100.0 m1) 100.0 nozblfl7)
      (setq nextno (+ nextno 1))
    ;stiffner
        (princ)
) ;end input_noz78 ------------------------------------------------------
(defun input_noz90 ( / i1 i2)
(setq i2 (load_dialog "ves_noz.dcl"))
    (if (not (new_dialog "input_noz90" i2)) (exit))
    (settile)
    (setq n90_mark "N9&10"
          n90_quantity 2
    	  n90_service "CHANNEL NOZZLE CONNECTIONS + BF"
    	  n90_sch 160
    	  n90_type "ASME B16.5"
    	  n90_class 300
	  n90_facing "WELD NECK"
    	  face90 '("WELD NECK" "SLIP ON")
    )
   	  (start_list "n90_facing_db")
          (mapcar 'add_list face90)
          (end_list)
    (setq n90_wtype "W2")
  (if (= m2 2)
    (setq n90_size 40.0
          n90_nozlen 150.0
    	  n90_wthk1 10.0
    	  n90_wthk2 10.0
    )
  )  
  (if (= m2 4)
    (setq n90_size 1.5
          n90_nozlen 6.0
    	  n90_wthk1 0.375
    	  n90_wthk2 0.375
    )
  )  
    (set_tile "n90_mark_db" n90_mark)
    (set_tile "n90_quantity_db" (itoa n90_quantity))
    (set_tile "n90_service_db" n90_service)
    (set_tile "n90_size_db" (rtos n90_size m2 m4))
    (set_tile "n90_nozlen_db" (rtos n90_nozlen m2 m4))
    (set_tile "n90_sch_db" (itoa n90_sch))
    (set_tile "n90_type_db" n90_type)
    (set_tile "n90_class_db" (itoa n90_class))
    (set_tile "n90_wtype_db" n90_wtype)
    (set_tile "n90_wthk1_db" (rtos n90_wthk1 m2 m4))
    (set_tile "n90_wthk2_db" (rtos n90_wthk2 m2 m4))

;    (action_tile "n90_mark_db"     "(get_n90_mark)")
    (action_tile "n90_quantity_db" "(get_n90_quantity)")
    (action_tile "n90_service_db"  "(get_n90_service)")
    (action_tile "n90_size_db"     "(get_n90_size)")
    (action_tile "n90_nozlen_db"   "(get_n90_nozlen)")
    (action_tile "n90_sch_db"      "(get_n90_sch)")
    (action_tile "n90_type_db"     "(get_n90_type)")
    (action_tile "n90_class_db"    "(get_n90_class)")
    (action_tile "n90_facing_db"   "(get_n90_facing)")
    (action_tile "n90_wtype_db"    "(get_n90_wtype)")
    (action_tile "n90_wthk1_db"    "(get_n90_wthk1)")
    (action_tile "n90_wthk2_db"    "(get_n90_wthk2)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i2)
    (setq mark n90_mark
          quantity (itoa n90_quantity)
          service n90_service
          size (rtos n90_size m2 m4)
          nozlen (rtos n90_nozlen m2 m4)
          sch (itoa n90_sch)
          type1 n90_type
          class (itoa n90_class)
          padod ""
          padthk ""
          wtype n90_wtype
          wthk1 (rtos n90_wthk1 m2 m4)
          wthk2 (rtos n90_wthk2 m2 m4)
    )
    (if (>= n90_size (/ 100.0 m1)) (setq pad 1) (setq pad 0))
(if (= n90_facing "WELD NECK") (progn
    (pipdata_asa n90_size n90_sch) (noz_asa n90_size n90_class)
    (flange_wn pt48 pipod pipth flanod pcd fnobh flanth wneck rfdia n90_nozlen neckdia wfid 0 0 1)
      (wnozwt_cal pipod pipth spgr_noznesh n90_nozlen wneck)
      (bomfile_w "a" "nozne9" (itoa nextno) (strcat "Chan Noz Vent/Drain Neck (" n90_mark ")") (itoa 2) moc_nozne3 (strcat (rtos n90_size m2 m4) "(OD)"
		(rtos n90_sch 2 0) "(SCH)" (rtos (- n90_nozlen wneck) m2 m4) "(Lg)") (rtos (* wnozwt 2.0) 2 2))
      (setq nozne9 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne9)
      (setq nextno (+ nextno 1))
      (flwtwn_cal flanod pipod pipth fbhd fnobh flanth wneck neckdia wfid spgr_nozfl3)
      (bomfile_w "a" "nozfl9" (itoa nextno) (strcat "WN Flange on Chan Vent/Drain (" n90_mark ")") (itoa 2)
		moc_nozfl3 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtwn 2.0) 2 2))
      (setq nozfl9 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl9)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz3)
      (bomfile_w "a" "gasnoz9" (itoa nextno) (strcat "Chan Noz Vent/Drain Gasket (" n90_mark ")") (itoa 2) moc_gasnoz3 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos (* gaswt 2.0) 2 2))
      (setq gasnoz9 nextno)
      (tagno1 60.0 gasnoz9)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt9b" (itoa nextno) (strcat "Chan Noz Vent/Drain Stud Bolts (" n90_mark ")") (itoa (* fnobh 2))
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos (* boltwt 2.0) 2 2))
      (setq bolt9b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt9b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut9n" (itoa nextno) (strcat "Chan Noz Vent/Drain Nuts (" n90_mark ")") (itoa (* fnobh 4))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos (* nutwt 2.0) 2 2))
      (setq nut9n nextno)
      (tagno1 120.0 nut9n)
      (setq nextno (+ nextno 1))
      (wnoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_wn (list 0 0 0) "n9" pipod pipth flanod pcd fnobh flanth wneck rfdia n90_nozlen neckdia wfid 0 0 bflan pad)
      (gafl_wn (list 0 0 0) "n10" pipod pipth flanod pcd fnobh flanth wneck rfdia n90_nozlen neckdia wfid 0 0 bflan pad)
))
(if (= n90_facing "SLIP ON") (progn
    (pipdata_asa n90_size n90_sch) (noz_asa n90_size n90_class)
    (flange_so pt48 pipod pipth flanod pcd fnobh flanth sneck rfdia n90_nozlen neckdia sfid 0 0 1)
      (snozwt_cal pipod pipth spgr_noznesh n90_nozlen 0)
      (bomfile_w "a" "nozne9" (itoa nextno) (strcat "Chan Noz Vent/Drain Neck (" n90_mark ")") (itoa 2) moc_nozne3 (strcat (rtos n90_size m2 m4) "(OD)"
		(rtos n90_sch 2 0) "(SCH)" (rtos (- n90_nozlen pipth) m2 m4) "(Lg)") (rtos (* snozwt 2.0) 2 2))
      (setq nozne9 nextno)
      (tagno p9 (/ 100.0 m1) 45.0 nozne9)
      (setq nextno (+ nextno 1))
      (flwtso_cal flanod pipod fbhd fnobh flanth sneck neckdia sfid spgr_nozfl3)
      (bomfile_w "a" "nozfl9" (itoa nextno) (strcat "SO Flange on Chan Vent/Drain (" n90_mark ")") (itoa 2)
		moc_nozfl3 (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtso 2.0) 2 2))
      (setq nozfl9 nextno)
      (tagno p11 (/ 100.0 m1) 60.0 nozfl9)
      (setq nextno (+ nextno 1))
      (gaswt_cal gaod gaid spgr_gasnoz3)
      (bomfile_w "a" "gasnoz9" (itoa nextno) (strcat "Chan Noz Vent/Drain Gasket (" n90_mark ")") (itoa 2) moc_gasnoz3 (strcat (rtos gaod m2 m4) "(OD)"
		(rtos gaid m2 m4) "(ID)" (rtos ga1 m2 m4) "(Th)") (rtos (* gaswt 2.0) 2 2))
      (setq gasnoz9 nextno)
      (tagno1 60.0 gasnoz9)
      (setq nextno (+ nextno 1))
      (boltwt_cal nbdia nblen fnobh)
      (bomfile_w "a" "bolt9b" (itoa nextno) (strcat "Chan Noz Vent/Drain Stud Bolts (" n90_mark ")") (itoa (* fnobh 2))
	     moc_bolt (strcat (rtos nbdia m2 m4) "(Dia)" (rtos nblen m2 m4) "(Lg)") (rtos (* boltwt 2.0) 2 2))
      (setq bolt9b nextno)
      (tagno p22 (/ 100.0 m1) 120.0 bolt9b)
      (setq nextno (+ nextno 1))
      (nutwt_cal nbdia fnobh)
      (bomfile_w "a" "nut9n" (itoa nextno) (strcat "Chan Noz Vent/Drain Nuts (" n90_mark ")") (itoa (* fnobh 4))
	     moc_nut (strcat (rtos nbdia m2 m4) "(Dia)") (rtos (* nutwt 2.0) 2 2))
      (setq nut9n nextno)
      (tagno1 120.0 nut9n)
      (setq nextno (+ nextno 1))
      (snoztab_w nozcount 1 mark quantity service size sch type1 class padod padthk nozlen wtype wthk1 wthk2)
      (gafl_so (list 0 0 0) "n9" pipod pipth flanod pcd fnobh flanth sneck rfdia n90_nozlen neckdia sfid 0 0 bflan pad)
      (gafl_so (list 0 0 0) "n10" pipod pipth flanod pcd fnobh flanth sneck rfdia n90_nozlen neckdia sfid 0 0 bflan pad)
))
      (flwtbl_cal flanod fbhd fnobh flanth spgr_nozflsh)
      (bomfile_w "a" "nozblfl9" (itoa nextno) (strcat "Chan Noz Vent/Drain Blind Flange (" n90_mark ")") (itoa 2)
		moc_nozflsh (strcat (rtos flanod m2 m4) "(OD)" (rtos flanth m2 m4) "(Th)") (rtos (* flwtbl 2.0) 2 2))
      (setq nozblfl9 nextno)
      (tagno p38 (/ 100.0 m1) 100.0 nozblfl9)
      (setq nextno (+ nextno 1))
    ;stiffner
        (princ)
) ;end input_noz90 ------------------------------------------------------
(defun get_n1  () (setq n1  (atoi (get_tile "n1_db"))))
(defun get_n2  () (setq n2  (atoi (get_tile "n2_db"))))
(defun get_n3  () (setq n3  (atoi (get_tile "n3_db"))))
(defun get_n4  () (setq n4  (atoi (get_tile "n4_db"))))
(defun get_n5  () (setq n5  (atoi (get_tile "n5_db"))))
(defun get_n6  () (setq n6  (atoi (get_tile "n6_db"))))
(defun get_n78 () (setq n78 (atoi (get_tile "n78_db"))))
(defun get_n90 () (setq n90 (atoi (get_tile "n90_db"))))

(defun get_n1_mark ()     (setq n1_mark (strcase (get_tile "n1_mark_db"))))
(defun get_n1_quantity () (setq n1_quantity (atoi (get_tile "n1_quantity_db"))))
(defun get_n1_service ()  (setq n1_service (strcase (get_tile "n1_service_db"))))
(defun get_n1_size ()     (setq n1_size (distof (get_tile "n1_size_db"))))
(defun get_n1_nozlen ()   (setq n1_nozlen (distof (get_tile "n1_nozlen_db"))))
(defun get_n1_sch ()      (setq n1_sch (atoi (get_tile "n1_sch_db"))))
(defun get_n1_type ()     (setq n1_type (strcase (get_tile "n1_type_db"))))
(defun get_n1_class ()    (setq n1_class (atoi (get_tile "n1_class_db"))))
(defun get_n1_facing ()   (setq n1_facing (nth (atoi (get_tile "n1_facing_db")) face1)))
(defun get_n1_padod ()    (setq n1_padod (distof (get_tile "n1_padod_db"))))
(defun get_n1_padthk ()   (setq n1_padthk (distof (get_tile "n1_padthk_db"))))
(defun get_n1_wtype ()    (setq n1_wtype (strcase (get_tile "n1_wtype_db"))))
(defun get_n1_wthk1 ()    (setq n1_wthk1 (distof (get_tile "n1_wthk1_db"))))
(defun get_n1_wthk2 ()    (setq n1_wthk2 (distof (get_tile "n1_wthk2_db"))))

(defun get_n2_mark ()     (setq n2_mark (strcase (get_tile "n2_mark_db"))))
(defun get_n2_quantity () (setq n2_quantity (atoi (get_tile "n2_quantity_db"))))
(defun get_n2_service ()  (setq n2_service (strcase (get_tile "n2_service_db"))))
(defun get_n2_size ()     (setq n2_size (distof (get_tile "n2_size_db"))))
(defun get_n2_nozlen ()   (setq n2_nozlen (distof (get_tile "n2_nozlen_db"))))
(defun get_n2_sch ()      (setq n2_sch (atoi (get_tile "n2_sch_db"))))
(defun get_n2_type ()     (setq n2_type (strcase (get_tile "n2_type_db"))))
(defun get_n2_class ()    (setq n2_class (atoi (get_tile "n2_class_db"))))
(defun get_n2_facing ()   (setq n2_facing (nth (atoi (get_tile "n2_facing_db")) face2)))
(defun get_n2_padod ()    (setq n2_padod (distof (get_tile "n2_padod_db"))))
(defun get_n2_padthk ()   (setq n2_padthk (distof (get_tile "n2_padthk_db"))))
(defun get_n2_wtype ()    (setq n2_wtype (strcase (get_tile "n2_wtype_db"))))
(defun get_n2_wthk1 ()    (setq n2_wthk1 (distof (get_tile "n2_wthk1_db"))))
(defun get_n2_wthk2 ()    (setq n2_wthk2 (distof (get_tile "n2_wthk2_db"))))

(defun get_n3_mark ()     (setq n3_mark (strcase (get_tile "n3_mark_db"))))
(defun get_n3_quantity () (setq n3_quantity (atoi (get_tile "n3_quantity_db"))))
(defun get_n3_service ()  (setq n3_service (strcase (get_tile "n3_service_db"))))
(defun get_n3_size ()     (setq n3_size (distof (get_tile "n3_size_db"))))
(defun get_n3_nozlen ()   (setq n3_nozlen (distof (get_tile "n3_nozlen_db"))))
(defun get_n3_sch ()      (setq n3_sch (atoi (get_tile "n3_sch_db"))))
(defun get_n3_type ()     (setq n3_type (strcase (get_tile "n3_type_db"))))
(defun get_n3_class ()    (setq n3_class (atoi (get_tile "n3_class_db"))))
(defun get_n3_facing ()   (setq n3_facing (nth (atoi (get_tile "n3_facing_db")) face3)))
(defun get_n3_padod ()    (setq n3_padod (distof (get_tile "n3_padod_db"))))
(defun get_n3_padthk ()   (setq n3_padthk (distof (get_tile "n3_padthk_db"))))
(defun get_n3_wtype ()    (setq n3_wtype (strcase (get_tile "n3_wtype_db"))))
(defun get_n3_wthk1 ()    (setq n3_wthk1 (distof (get_tile "n3_wthk1_db"))))
(defun get_n3_wthk2 ()    (setq n3_wthk2 (distof (get_tile "n3_wthk2_db"))))

(defun get_n4_mark ()     (setq n4_mark (strcase (get_tile "n4_mark_db"))))
(defun get_n4_quantity () (setq n4_quantity (atoi (get_tile "n4_quantity_db"))))
(defun get_n4_service ()  (setq n4_service (strcase (get_tile "n4_service_db"))))
(defun get_n4_size ()     (setq n4_size (distof (get_tile "n4_size_db"))))
(defun get_n4_nozlen ()   (setq n4_nozlen (distof (get_tile "n4_nozlen_db"))))
(defun get_n4_sch ()      (setq n4_sch (atoi (get_tile "n4_sch_db"))))
(defun get_n4_type ()     (setq n4_type (strcase (get_tile "n4_type_db"))))
(defun get_n4_class ()    (setq n4_class (atoi (get_tile "n4_class_db"))))
(defun get_n4_facing ()   (setq n4_facing (nth (atoi (get_tile "n4_facing_db")) face4)))
(defun get_n4_padod ()    (setq n4_padod (distof (get_tile "n4_padod_db"))))
(defun get_n4_padthk ()   (setq n4_padthk (distof (get_tile "n4_padthk_db"))))
(defun get_n4_wtype ()    (setq n4_wtype (strcase (get_tile "n4_wtype_db"))))
(defun get_n4_wthk1 ()    (setq n4_wthk1 (distof (get_tile "n4_wthk1_db"))))
(defun get_n4_wthk2 ()    (setq n4_wthk2 (distof (get_tile "n4_wthk2_db"))))

(defun get_n5_mark ()     (setq n5_mark (strcase (get_tile "n5_mark_db"))))
(defun get_n5_quantity () (setq n5_quantity (atoi (get_tile "n5_quantity_db"))))
(defun get_n5_service ()  (setq n5_service (strcase (get_tile "n5_service_db"))))
(defun get_n5_size ()     (setq n5_size (distof (get_tile "n5_size_db"))))
(defun get_n5_nozlen ()   (setq n5_nozlen (distof (get_tile "n5_nozlen_db"))))
(defun get_n5_sch ()      (setq n5_sch (atoi (get_tile "n5_sch_db"))))
(defun get_n5_type ()     (setq n5_type (strcase (get_tile "n5_type_db"))))
(defun get_n5_class ()    (setq n5_class (atoi (get_tile "n5_class_db"))))
(defun get_n5_facing ()   (setq n5_facing (nth (atoi (get_tile "n5_facing_db")) face5)))
(defun get_n5_wtype ()    (setq n5_wtype (strcase (get_tile "n5_wtype_db"))))
(defun get_n5_wthk1 ()    (setq n5_wthk1 (distof (get_tile "n5_wthk1_db"))))
(defun get_n5_wthk2 ()    (setq n5_wthk2 (distof (get_tile "n5_wthk2_db"))))

(defun get_n6_mark ()     (setq n6_mark (strcase (get_tile "n6_mark_db"))))
(defun get_n6_quantity () (setq n6_quantity (atoi (get_tile "n6_quantity_db"))))
(defun get_n6_service ()  (setq n6_service (strcase (get_tile "n6_service_db"))))
(defun get_n6_size ()     (setq n6_size (distof (get_tile "n6_size_db"))))
(defun get_n6_nozlen ()   (setq n6_nozlen (distof (get_tile "n6_nozlen_db"))))
(defun get_n6_sch ()      (setq n6_sch (atoi (get_tile "n6_sch_db"))))
(defun get_n6_type ()     (setq n6_type (strcase (get_tile "n6_type_db"))))
(defun get_n6_class ()    (setq n6_class (atoi (get_tile "n6_class_db"))))
(defun get_n6_facing ()   (setq n6_facing (nth (atoi (get_tile "n6_facing_db")) face6)))
(defun get_n6_wtype ()    (setq n6_wtype (strcase (get_tile "n6_wtype_db"))))
(defun get_n6_wthk1 ()    (setq n6_wthk1 (distof (get_tile "n6_wthk1_db"))))
(defun get_n6_wthk2 ()    (setq n6_wthk2 (distof (get_tile "n6_wthk2_db"))))

(defun get_n78_mark ()     (setq n78_mark (strcase (get_tile "n78_mark_db"))))
(defun get_n78_quantity () (setq n78_quantity (atoi (get_tile "n78_quantity_db"))))
(defun get_n78_service ()  (setq n78_service (strcase (get_tile "n78_service_db"))))
(defun get_n78_size ()     (setq n78_size (distof (get_tile "n78_size_db"))))
(defun get_n78_nozlen ()   (setq n78_nozlen (distof (get_tile "n78_nozlen_db"))))
(defun get_n78_sch ()      (setq n78_sch (atoi (get_tile "n78_sch_db"))))
(defun get_n78_type ()     (setq n78_type (strcase (get_tile "n78_type_db"))))
(defun get_n78_class ()    (setq n78_class (atoi (get_tile "n78_class_db"))))
(defun get_n78_facing ()   (setq n78_facing (nth (atoi (get_tile "n78_facing_db")) face78)))
(defun get_n78_wtype ()    (setq n78_wtype (strcase (get_tile "n78_wtype_db"))))
(defun get_n78_wthk1 ()    (setq n78_wthk1 (distof (get_tile "n78_wthk1_db"))))
(defun get_n78_wthk2 ()    (setq n78_wthk2 (distof (get_tile "n78_wthk2_db"))))

(defun get_n90_mark ()     (setq n90_mark (strcase (get_tile "n90_mark_db"))))
(defun get_n90_quantity () (setq n90_quantity (atoi (get_tile "n90_quantity_db"))))
(defun get_n90_service ()  (setq n90_service (strcase (get_tile "n90_service_db"))))
(defun get_n90_size ()     (setq n90_size (distof (get_tile "n90_size_db"))))
(defun get_n90_nozlen ()   (setq n90_nozlen (distof (get_tile "n90_nozlen_db"))))
(defun get_n90_sch ()      (setq n90_sch (atoi (get_tile "n90_sch_db"))))
(defun get_n90_type ()     (setq n90_type (strcase (get_tile "n90_type_db"))))
(defun get_n90_class ()    (setq n90_class (atoi (get_tile "n90_class_db"))))
(defun get_n90_facing ()   (setq n90_facing (nth (atoi (get_tile "n90_facing_db")) face90)))
(defun get_n90_wtype ()    (setq n90_wtype (strcase (get_tile "n90_wtype_db"))))
(defun get_n90_wthk1 ()    (setq n90_wthk1 (distof (get_tile "n90_wthk1_db"))))
(defun get_n90_wthk2 ()    (setq n90_wthk2 (distof (get_tile "n90_wthk2_db"))))
; end nozzle dbs -----------------------------------------------------