dcl_settings : default_dcl_settings { audit_level = 0;}
// main ------------------------------
main : dialog {
  label = "Choose Default settings";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  :boxed_radio_column {
    key = "main";
    :radio_button {
      key = "mm";
      label = "Metric";
    }
    :radio_button {
      key = "inch";
      label = "Foot-Inch";
    }
  }
  ok_only;
}
// end main ---------------------------
ves_top: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_radio_column {
  key = "top";
  label = "Top End";
  alignment = centered;
  fixed_width = true;
:radio_button {
  key = "tdish";
  label = "Dished End";
}
:radio_button {
  key = "tflat";
  label = "Flat End";
}
:radio_button {
  key = "tcone";
  label = "Conical End";
}
:radio_button {
  key = "ttcone";
  label = "Toriconical End";
}
:radio_button {
  key = "none";
  label = "None";
}
}
  ok_only;
}
// end ves_top ------------------------

ves_bot: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_radio_column {
  key = "bot";
  label = "Bottom End";
  alignment = centered;
  fixed_width = true;
:radio_button {
  key = "bdish";
  label = "Dished End";
}
:radio_button {
  key = "bflat";
  label = "Flat End";
}
:radio_button {
  key = "bcone";
  label = "Conical End";
}
:radio_button {
  key = "btcone";
  label = "Toriconical End";
}
:radio_button {
  key = "none";
  label = "None";
}
}
  ok_only;
}
// end ves_bot ------------------------
// end vessel top/bot selection ---------------

// Start input vessel dimensions ----------------------------
// top dish - bottom dish,
input_dd:dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Both Dished Ends";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom dish ----------------------------

// top dish bottom Toricone ----------------------------
input_dtc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom Toricone ----------------------------

// top dish bottom cone ----------------------------
input_dc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom cone ----------------------------

// top dish bottom flat ----------------------------
input_df :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and Bottom Flat";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom flat ----------------------------

// top dish bottom none--------------------------------
input_dn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Dish and No Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top dish bottom none--------------------------------
// end top dish - dish, flat, toricone, cone, none ----------------------------

// flat top bot dish ----------------------------
input_fd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom dish ----------------------------

// top flat bottom toricone ----------------------------
input_ftc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom toricone ----------------------------

// top flat bottom cone ----------------------------
input_fc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom cone ----------------------------

// top / bottom flat ------------------------------------
input_ff :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Top / Bottom Flat Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top / bottom flat ------------------------------------

// top flat bottom none ----------------------------------
input_fn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Flat Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Top Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Size of Top Angle Ring:";
  key = "ves6_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Angle Ring:";
  key = "ves7_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top flat bottom none ----------------------------------
// end top flat - dish, flat, toricone, cone, none ----------------------------

// top tori cone bottom dish --------------------------------------------------
input_tcd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Tori Cone and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom dish ----------------------------

// top tori cone bottom tori cone ----------------------------
input_tctc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Tori Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom tori cone ----------------------------

// top tori cone bottom cone ----------------------------
input_tcc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom cone ----------------------------

// top tori cone bottom flat ----------------------------
input_tcf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top tori cone bottom flat ----------------------------

// top toricone bottom none ----------------------------------------
input_tcn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Tori Conical Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Tori Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Tori Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top toricone bottom none ----------------------------------------
// end top tori cone - dish, toricone, cone, flat, none -------------------------

// top cone bottom  dish, ------------------------------------------
input_cd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Top Cone and Bottom Dish";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom dish ----------------------------

//  top cone bottom toricone ----------------------------
input_ctc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top  and Tori Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Tori Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Tori Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
//  top cone bottom toricone ----------------------------

// top cone bottom cone ----------------------------
input_cc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and Conical Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom cone ----------------------------

//  top cone bottom flat ----------------------------
input_cf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and Flat Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
//  top cone bottom flat ----------------------------

// top cone bottom none ---------------------------------------
input_cn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with Conical Top and no Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Top Cone:";
  key = "ves11_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Top Cone:";
  key = "ves10_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top cone bottom none ---------------------------------------
// end top cone - dish, toricone, cone, flat, none ----------------------------

// start none bottom dish -------------------------------------
input_nd :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with No Top and Bottom dish End";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish End Thickness:";
  key = "ves4_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Dish straight length:";
  key = "ves12_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom dish ----------------------------

// top none bottom toricone ----------------------------
input_ntc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Tori Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Tori Cone straight length:";
  key = "ves13_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom toricone ----------------------------

// top none bottom cone ----------------------------
input_nc :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Cone";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Height of Bottom Cone:";
  key = "ves9_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Thickness of Bottom Cone:";
  key = "ves8_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom cone ----------------------------

// top none bottom flat ----------------------------
input_nf :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel with no Top and Bottom Flat";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Flat Bottom Thickness:";
  key = "ves5_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom flat ----------------------------

// top none bottom none ------------------------------------------
input_nn :dialog {
  aspect_ratio = 0.0;
  label = "Vessel Dimensions";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
: row {
  label = "Vessel without Top and Bottom";
 : boxed_column {
  alignment = centered;
  fixed_width = true;
  :edit_box {
  label = "Shell Weld to Weld Length:";
  key = "ves1_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Inside Diameter:";
  key = "ves2_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
  :edit_box {
  label = "Shell Thickness:";
  key = "ves3_db";
  edit_width = 8;
  edit_limit = 15;
  horizontal_alignment = right;
  }
 }
}
	ok_only;
:text { value = ""; width = 35; key = "demol1"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "demol2"; alignment = centered; vertical_margin = tiny; }
}
// top none bottom none ------------------------------------------
// end none - dish, toricone, cone, flat, none ----------------------------

// end vessel input dimensions---------------

// support -------------------------------
ves_sup: dialog {
  aspect_ratio = 0.0;
  label = "Elevation / Plan";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_radio_column {
  key = "supp";
  label = "Elevation / Plan";
  alignment = centered;
  fixed_width = true;
:radio_button {
  key = "ele";
  label = "Elevation";
}
:radio_button {
  key = "plan";
  label = "Plan";
}
:radio_button {
  key = "none";
  label = "Finish";
}
}
  ok_only;
}
//--------------------------------------------------
ves_sup_det: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_radio_column {
  key = "supp_det";
  label = "Scale of GA / Detail";
  alignment = centered;
  fixed_width = true;
:radio_button {
  key = "ga";
  label = "General Arrangemet";
}
:radio_button {
  key = "deta2";
  label = "Detail Scale 2:1";
}
:radio_button {
  key = "deta3";
  label = "Detail Scale 3:1";
}
}
  ok_only;
}
//--------------------------------------------------
ves_sup_pdet: dialog {
  aspect_ratio = 0.0;
  label = "Vessel Drawing";
:text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "tel"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
:text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
:boxed_radio_column {
  key = "supp_pdet";
  label = "Detail Scale";
  alignment = centered;
  fixed_width = true;
:radio_button {
  key = "deta2";
  label = "Detail Scale 2:1";
}
:radio_button {
  key = "deta3";
  label = "Detail Scale 3:1";
}
}
  ok_only;
}
//--------------------------------------------------

// end support -------------------------------