(princ "\nLoading Vessel Program, Please wait ...")
(defun rtd (a) (* (/ a pi) 180.0))(princ) (princ)
(defun dtr (a) (* (/ a 180.0) pi))(princ) (princ)
;----------------------------------------------------------------
(defun C:vst ()
  (input_units) (mlay) (setq sc 1.0 detsc 1.0)
  (vst_prog) (savedwg)
)
;-----------------------------------------------------------------
(defun input_ves_dd ( / i1 i2)
  (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dd" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish End Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_dd ------------------------------------------
(defun input_ves_dtc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dtc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves12_db" "(get_ves12)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (if (not ves13) (setq ves13 (getreal "\nTori Cone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves12_det (* ves12 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_dtc------------------------------------------
(defun input_ves_dc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_dc------------------------------------------
(defun input_ves_df ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_df" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves5_det  (* ves5 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_df------------------------------------------
(defun input_ves_dn ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_dn" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_dn------------------------------------------
(defun input_ves_fd ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fd" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length? : ")))
      (if (not ves2) (setq ves2 (getreal "\nInside Diameter? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves5_det  (* ves5 detsc)
	    ves6_det  (* ves6 detsc)
	    ves7_det  (* ves7 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_fd -----------------------------------------
(defun input_ves_ftc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ftc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom toriCone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom toriCone? : ")))
      (if (not ves13) (setq ves13 (getreal "\nTori Cone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves6_det  (* ves6 detsc)
	    ves7_det  (* ves7 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_ftc ------------------------------------------
(defun input_ves_fc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves6_det  (* ves6 detsc)
	    ves7_det  (* ves7 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
      )
) ;-------- end input_ves_fc ------------------------------------------
(defun input_ves_ff ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ff" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nTop / Bottom Flat Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves6_det  (* ves6 detsc)
	    ves7_det  (* ves7 detsc)
      )
) ;-------- end input_ves_ff------------------------------------------
(defun input_ves_fn ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_fn" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves6_db" (rtos ves6 m2 m4))
	      (set_tile "ves7_db" (rtos ves7 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves6_db" "(get_ves6)")
           	(action_tile "ves7_db" "(get_ves7)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Top Thickness? : ")))
      (if (not ves6) (setq ves6 (getreal "\nSize of Top Angle Ring? : ")))
      (if (not ves7) (setq ves7 (getreal "\nThickness of Top Angle Ring? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves6_det  (* ves6 detsc)
	    ves7_det  (* ves7 detsc)
      )
) ;-------- end input_ves_fn------------------------------------------
(defun input_ves_tcd ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_tcd" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves12_db" "(get_ves12)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves12_det (* ves12 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_tcd ------------------------------------------
(defun input_ves_tctc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_tctc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db"  (rtos ves1 m2 m4))
     	      (set_tile "ves2_db"  (rtos ves2 m2 m4))
	      (set_tile "ves3_db"  (rtos ves3 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves8_db"  (rtos ves8 m2 m4))
	      (set_tile "ves9_db"  (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_tctc ------------------------------------------
(defun input_ves_tcc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_tcc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db"  (rtos ves1 m2 m4))
     	      (set_tile "ves2_db"  (rtos ves2 m2 m4))
	      (set_tile "ves3_db"  (rtos ves3 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves8_db"  (rtos ves8 m2 m4))
	      (set_tile "ves9_db"  (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_tcc ------------------------------------------
(defun input_ves_tcf ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_tcf" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Top Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_tcf ---------------------------------------
(defun input_ves_tcn ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_tcn" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Top Cone? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_tcn ---------------------------------------
(defun input_ves_cd ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cd" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nDish Thickness? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_cd ------------------------------------------
(defun input_ves_ctc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ctc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db"  (rtos ves1 m2 m4))
     	      (set_tile "ves2_db"  (rtos ves2 m2 m4))
	      (set_tile "ves3_db"  (rtos ves3 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves8_db"  (rtos ves8 m2 m4))
	      (set_tile "ves9_db"  (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_ctc ------------------------------------------
(defun input_ves_cc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db"  (rtos ves1 m2 m4))
     	      (set_tile "ves2_db"  (rtos ves2 m2 m4))
	      (set_tile "ves3_db"  (rtos ves3 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves8_db"  (rtos ves8 m2 m4))
	      (set_tile "ves9_db"  (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves11_db" "(get_ves11)")
           	(action_tile "ves10_db" "(get_ves10)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nWeld to Weld Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness of Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness of Top Cone? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
      )
) ;-------- end input_ves_cc ------------------------------------------
(defun input_ves_cf ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cf" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Top Cone? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
      )
) ;-------- end input_ves_cf ---------------------------------------
(defun input_ves_cn ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_cn" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves10_db" (rtos ves10 m2 m4))
	      (set_tile "ves11_db" (rtos ves11 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves10_db" "(get_ves10)")
           	(action_tile "ves11_db" "(get_ves11)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves10) (setq ves10 (getreal "\nThickness Top Cone? : ")))
      (if (not ves11) (setq ves11 (getreal "\nHeight of Top Cone? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves10_det (* ves10 detsc)
	    ves11_det (* ves11 detsc)
      )
) ;-------- end input_ves_cn ---------------------------------------
(defun input_ves_nd ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nd" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves4_db" (rtos ves4 m2 m4))
	      (set_tile "ves12_db" (rtos ves12 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves4_db" "(get_ves4)")
           	(action_tile "ves12_db" "(get_ves12)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves4) (setq ves4 (getreal "\nBottom Dish Thickness? : ")))
      (if (not ves12) (setq ves12 (getreal "\nDish straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves4_det  (* ves4 detsc)
	    ves12_det (* ves12 detsc)
      )
) ;-------- end input_ves_nd ---------------------------------------
(defun input_ves_ntc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_ntc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	      (set_tile "ves13_db" (rtos ves13 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
           	(action_tile "ves13_db" "(get_ves13)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone? : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone? : ")))
      (if (not ves13) (setq ves13 (getreal "\nToricone straight length? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
	    ves13_det (* ves13 detsc)
      )
) ;-------- end input_ves_ntc ------------------------------------------
(defun input_ves_nc ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nc" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves8_db" (rtos ves8 m2 m4))
	      (set_tile "ves9_db" (rtos ves9 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves8_db" "(get_ves8)")
           	(action_tile "ves9_db" "(get_ves9)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves8) (setq ves8 (getreal "\nThickness Bottom Cone : ")))
      (if (not ves9) (setq ves9 (getreal "\nHeight of Bottom Cone : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves8_det  (* ves8 detsc)
	    ves9_det  (* ves9 detsc)
      )
) ;-------- end input_ves_nc ------------------------------------------
(defun input_ves_nf ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nf" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	      (set_tile "ves5_db" (rtos ves5 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
           	(action_tile "ves5_db" "(get_ves5)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (if (not ves5) (setq ves5 (getreal "\nFlat Bottom Thickness? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
	    ves5_det  (* ves5 detsc)
      )
) ;-------- end input_ves_nf------------------------------------------
(defun input_ves_nn ( / i1 i2)
     (setq i1 (load_dialog "ves_vst.dcl") i2 5)
	(while (< 2 i2)
      	      (if (not (new_dialog "input_nn" i1)) (exit))
  	      (settile demo)
              (set_tile "ves1_db" (rtos ves1 m2 m4))
     	      (set_tile "ves2_db" (rtos ves2 m2 m4))
	      (set_tile "ves3_db" (rtos ves3 m2 m4))
	        (action_tile "ves1_db" "(get_ves1)")
           	(action_tile "ves2_db" "(get_ves2)")
           	(action_tile "ves3_db" "(get_ves3)")
	   	(action_tile "accept" "(done_dialog 1)")
	   	(action_tile "cancel" "(done_dialog 0)")
	   	(setq i2 (start_dialog))
        )
        (unload_dialog i1)(princ)
      (if (not ves1) (setq ves1 (getreal "\nTan to Tan Length of Vessel? : ")))
      (if (not ves2) (setq ves2 (getreal "\nDiameter of Vessel? : ")))
      (if (not ves3) (setq ves3 (getreal "\nShell Thickness? : ")))
      (setq ves1_det  (* ves1 detsc)
	    ves2_det  (* ves2 detsc)
	    ves3_det  (* ves3 detsc)
      )
) ;-------- end input_ves_nn------------------------------------------
(defun input_ves_top (/ i1 i2)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "ves_top" i1)) (exit))
  	(settile demo)
  	(set_tile "tdish" "1")
  	(action_tile "accept" "(setq endtop (get_tile \"top\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_ves_top------------------------------------------
(defun input_ves_bot (/ i1 i2)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "ves_bot" i1)) (exit))
  	(settile demo)
  	(set_tile "bdish" "1")
  	(action_tile "accept" "(setq endbot (get_tile \"bot\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_ves_bot------------------------------------------
(defun vst_prog ()
    (input_ves_top) (input_ves_bot)
  (cond
    ((= m2 2)
     (if (not ves1) (setq ves1 1000.0))
     (if (not ves2) (setq ves2 500.0))
     (if (not ves3) (setq ves3 4.0))
     (if (not ves4) (setq ves4 5.0))
     (if (not ves5) (setq ves5 4.0))
     (if (not ves6) (setq ves6 50.0))
     (if (not ves7) (setq ves7 5.0))
     (if (not ves8) (setq ves8 4.0))
     (if (not ves9) (setq ves9 (/ ves2 2.0)))
     (if (not ves10) (setq ves10 4.0))
     (if (not ves11) (setq ves11 (/ ves2 2.0)))
     (if (not ves12) (setq ves12 (* ves4 6.0)))
     (if (not ves13) (setq ves13 (* ves4 6.0)))
     (if (not ves14) (setq ves14 6.0))
     (if (not ves15) (setq ves15 50.0))
     (if (not legsz) (setq legsz 75.0))
    )
    ((= m2 4)
     (if (not ves1) (setq ves1 40.0))
     (if (not ves2) (setq ves2 20.0))
     (if (not ves3) (setq ves3 (/ 3.0 64.0)))
     (if (not ves4) (setq ves4 (/ 1.0 32.0)))
     (if (not ves5) (setq ves5 (/ 3.0 64.0)))
     (if (not ves6) (setq ves6 2.0))
     (if (not ves7) (setq ves7 (/ 1.0 32.0)))
     (if (not ves8) (setq ves8 (/ 3.0 64.0)))
     (if (not ves9) (setq ves9 (/ ves2 2.0)))
     (if (not ves10) (setq ves10 (/ 3.0 64.0)))
     (if (not ves11) (setq ves11 (/ ves2 2.0)))
     (if (not ves12) (setq ves12 (* ves4 6.0)))
     (if (not ves13) (setq ves13 (* ves4 6.0)))
     (if (not ves14) (setq ves14 2.0))
     (if (not ves15) (setq ves15 (/ 1.0 32.0)))
     (if (not legsz) (setq legsz 3.0))
    )
  )
  	(setq ;pint (list (/ 0.0 m1) (/ 0.0 m1) 0)
	      pt01 (list (/ 7.0 m1) (/ 7.0 m1) 0)
	      pt02 (list (+ (car pt01) (/ 776.0 m1)) 0 0)
	      pt03 (list (car pt01) (+ (cadr pt01) (/ 546.0 m1)) 0)
	      pt04 (list (car pt02) (cadr pt03) 0)
	      pt05 (list (car pt01) (- (cadr pt03) (/ (distance pt01 pt03) 6.0)) 0)
	      pt06 (list (car pt02) (cadr pt05) 0)
	      pt07 (list (car pt01) (+ (cadr pt01) (/ (distance pt01 pt02) 4.0)) 0)
	      pt08 (list (car pt02) (cadr pt07) 0)
	      pein (list (* ves2 1.0) (* (/ 500.0 m1) 1.0) 0)
              prp1 (list (+ (car pt01) (* ves2 1.5)) (- (cadr pt03) ves2) 0) ;center pt of top plan
	      prs1 (list (car prp1) (- (cadr prp1) (* ves2 1.5)) 0) ; top center pt of elevation
	      prs2 (list (car prs1) (- (cadr prs1) ves1) 0) ; bot center pt of elevation
	      prp2 (list (car prs2) (- (cadr prs2) (* ves2 1.5)) 0) ;center pt of bot plan
	)
     (load "ves_moc.lsp")
  ; Top Dish
      (if (and (= endtop "tdish")  (= endbot "bdish"))  (progn (input_ves_dd) 
	(matofcon_ves) (ves_topdish prs1 0) (ves_botdish prs2 0) (ves_shellv prs1 0)
	(ves_plan  prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tdish")  (= endbot "bflat"))  (progn (input_ves_df) 
	(matofcon_ves) (ves_topdish prs1 0) (ves_botflat prs2 0) (ves_shellv prs1 0)
	(ves_plan  prp1 1) (ves_plan prp2 1)))
      (if (and (= endtop "tdish")  (= endbot "btcone")) (progn (input_ves_dtc) 
	(matofcon_ves) (ves_topdish prs1 0) (ves_bottcone  prs2 0) (ves_shellv prs1 0)
	(ves_plan  prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tdish")  (= endbot "bcone"))  (progn (input_ves_dc) 
	(matofcon_ves) (ves_topdish prs1 0) (ves_botcone   prs2 0) (ves_shellv prs1 0)
	(ves_plan  prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tdish")  (= endbot "none"))  (progn (input_ves_dn) 
	(matofcon_ves) (ves_topdish prs1 0) (ves_shellv prs1 0)
	(ves_plan  prp1 0) (ves_plan prp2 0)))
  ;Top Flat
      (if (and (= endtop "tflat")  (= endbot "bdish"))  (progn (input_ves_fd) 
	(matofcon_ves) (ves_topflat prs1 0) (ves_botdish prs2 0) (ves_shellv prs1 0)
	(ves_planf prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tflat")  (= endbot "bflat"))  (progn (input_ves_ff) 
	(matofcon_ves) (ves_topflat prs1 0) (ves_botflat prs2 0) (ves_shellv prs1 0)
	(ves_planf prp1 1) (ves_plan prp2 1)))
      (if (and (= endtop "tflat")  (= endbot "btcone")) (progn (input_ves_ftc) 
	(matofcon_ves) (ves_topflat prs1 0) (ves_bottcone  prs2 0) (ves_shellv prs1 0)
	(ves_planf prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tflat")  (= endbot "bcone"))  (progn (input_ves_fc) 
	(matofcon_ves) (ves_topflat prs1 0) (ves_botcone   prs2 0) (ves_shellv prs1 0)
	(ves_planf prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tflat")  (= endbot "none"))   (progn (input_ves_fn) 
	(matofcon_ves) (ves_topflat prs1 0) (ves_shellv prs1 0)
	(ves_planf prp1 0) (ves_plan prp2 0)))
  ;Top Toricone
      (if (and (= endtop "ttcone") (= endbot "bdish"))  (progn (input_ves_tcd) 
	(matofcon_ves) (ves_toptcone prs1 0)   (ves_botdish prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "ttcone")  (= endbot "bflat"))  (progn (input_ves_tcf) 
	(matofcon_ves) (ves_toptcone prs1 0)   (ves_botflat prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 1) (ves_plan prp2 1)))
      (if (and (= endtop "ttcone") (= endbot "btcone")) (progn (input_ves_tctc) 
	(matofcon_ves) (ves_toptcone prs1 0)   (ves_bottcone  prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "ttcone") (= endbot "bcone"))  (progn (input_ves_tcc) 
	(matofcon_ves) (ves_toptcone prs1 0)   (ves_botcone   prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "ttcone") (= endbot "none"))   (progn (input_ves_tcn) 
	(matofcon_ves) (ves_toptcone prs1 0)   (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
  ; Top Cone
      (if (and (= endtop "tcone")  (= endbot "bdish"))  (progn (input_ves_cd) 
	(matofcon_ves) (ves_topcone prs1 0)   (ves_botdish prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tcone")  (= endbot "bflat"))  (progn (input_ves_cf) 
	(matofcon_ves) (ves_topcone prs1 0)   (ves_botflat prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 1) (ves_plan prp2 1)))
      (if (and (= endtop "tcone")  (= endbot "btcone")) (progn (input_ves_ctc) 
	(matofcon_ves) (ves_topcone prs1 0)   (ves_bottcone  prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tcone")  (= endbot "bcone"))  (progn (input_ves_cc) 
	(matofcon_ves) (ves_topcone prs1 0)   (ves_botcone   prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "tcone")  (= endbot "none"))  (progn (input_ves_cn) 
	(matofcon_ves) (ves_topcone prs1 0)   (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
; top none
      (if (and (= endtop "none") (= endbot "bdish"))  (progn (input_ves_nd) 
	(matofcon_ves) (ves_botdish prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "none") (= endbot "bflat"))  (progn (input_ves_nf) 
	(matofcon_ves) (ves_botflat prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 1) (ves_plan prp2 1)))
      (if (and (= endtop "none") (= endbot "btcone")) (progn (input_ves_ntc) 
	(matofcon_ves) (ves_bottcone  prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "none") (= endbot "bcone"))  (progn (input_ves_nc) 
	(matofcon_ves) (ves_botcone prs2 0) (ves_shellv prs1 0)
	(ves_plan prp1 0) (ves_plan prp2 0)))
      (if (and (= endtop "none") (= endbot "none"))   (progn (input_ves_nn) 
	(matofcon_ves) (ves_shellv prs1 0) (ves_plan prp1 1) (ves_plan prp2 0)))
(princ)
) ; end vst_prog ---------------------------------------------------------
;----------------------------------------------------------------------
(defun ves_prog_det ()
    (input_ves_top) (input_ves_bot)
  (cond
    ((= m2 2)
     (if (not ves1) (setq ves1 1000.0))
     (if (not ves2) (setq ves2 500.0))
     (if (not ves3) (setq ves3 4.0))
     (if (not ves4) (setq ves4 5.0))
     (if (not ves5) (setq ves5 4.0))
     (if (not ves6) (setq ves6 50.0))
     (if (not ves7) (setq ves7 5.0))
     (if (not ves8) (setq ves8 4.0))
     (if (not ves9) (setq ves9 (/ ves2 2.0)))
     (if (not ves10) (setq ves10 4.0))
     (if (not ves11) (setq ves11 (/ ves2 2.0)))
     (if (not ves12) (setq ves12 (* ves4 6.0)))
     (if (not ves13) (setq ves13 (* ves4 6.0)))
     (if (not ves14) (setq ves14 6.0))
     (if (not ves15) (setq ves15 50.0))
     (if (not legsz) (setq legsz 75.0))
    )
    ((= m2 4)
     (if (not ves1) (setq ves1 40.0))
     (if (not ves2) (setq ves2 20.0))
     (if (not ves3) (setq ves3 (/ 3.0 64.0)))
     (if (not ves4) (setq ves4 (/ 1.0 32.0)))
     (if (not ves5) (setq ves5 (/ 3.0 64.0)))
     (if (not ves6) (setq ves6 2.0))
     (if (not ves7) (setq ves7 (/ 1.0 32.0)))
     (if (not ves8) (setq ves8 (/ 3.0 64.0)))
     (if (not ves9) (setq ves9 (/ ves2 2.0)))
     (if (not ves10) (setq ves10 (/ 3.0 64.0)))
     (if (not ves11) (setq ves11 (/ ves2 2.0)))
     (if (not ves12) (setq ves12 (* ves4 6.0)))
     (if (not ves13) (setq ves13 (* ves4 6.0)))
     (if (not ves14) (setq ves14 2.0))
     (if (not ves15) (setq ves15 (/ 1.0 32.0)))
     (if (not legsz) (setq legsz 3.0))
    )
  )
        (setq pt01 (list (/ 7.0 m1) (/ 7.0 m1) 0)
	      pt02 (list (+ (car pt01) (/ 776.0 m1)) 0 0)
	      pt03 (list (car pt01) (+ (cadr pt01) (/ 546.0 m1)) 0)
	      pt04 (list (car pt02) (cadr pt03) 0)
	      pt05 (list (car pt01) (- (cadr pt03) (/ (distance pt01 pt03) 6.0)) 0)
	      pt06 (list (car pt02) (cadr pt05) 0)
	      pt07 (list (car pt01) (+ (cadr pt01) (/ (distance pt01 pt02) 4.0)) 0)
	      pt08 (list (car pt02) (cadr pt07) 0)
	      pein (list (* ves2 1.0) (* (/ 500.0 m1) 1.0) 0)
	)
     (load "ves_moc.lsp")
  ; Top Dish
      (if (and (= endtop "tdish")  (= endbot "bdish")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 4.0)) 0)
        )
        (input_ves_dd) (matofcon_ves) (ves_topdish prs1 1) (ves_botdish prs2 1)))
      (if (and (= endtop "tdish")  (= endbot "bflat")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 4.0)) 0)
        )
	(input_ves_df) (matofcon_ves) (ves_topdish prs1 1) (ves_botflat prs2 1)))
      (if (and (= endtop "tdish")  (= endbot "btcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point") 
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 4.0)) 0)
        )
	(input_ves_dtc) (matofcon_ves) (ves_topdish prs1 1) (ves_bottcone  prs2 1)))
      (if (and (= endtop "tdish")  (= endbot "bcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point") 
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 4.0)) 0)
        )
	(input_ves_dc) (matofcon_ves) (ves_topdish prs1 1) (ves_botcone prs2 1)))
      (if (and (= endtop "tdish")  (= endbot "none")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 4.0)) 0)
        )
	(input_ves_dn) (matofcon_ves) (ves_topdish prs1 1)))
  ;Top Flat
      (if (and (= endtop "tflat")  (= endbot "bdish")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 1.35)) 0)
              prs3 (list (car prs1) (+ (cadr prs1) (* ves2 2.5)) 0)
        )
	(input_ves_fd) (matofcon_ves) (ves_topflat prs1 1) (ves_planf prs3 1) (ves_botdish prs2 1)))
      (if (and (= endtop "tflat")  (= endbot "bflat")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 1.35)) 0)
              prs3 (list (car prs1) (+ (cadr prs1) (* ves2 2.5)) 0)
        )
	(input_ves_ff) (matofcon_ves) (ves_topflat prs1 1) (ves_planf prs3 1) (ves_botflat prs2 1)))
      (if (and (= endtop "tflat")  (= endbot "btcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 1.35)) 0)
              prs3 (list (car prs1) (+ (cadr prs1) (* ves2 2.5)) 0)
        )
	(input_ves_ftc) (matofcon_ves) (ves_topflat prs1 1) (ves_planf prs3 1) (ves_bottcone  prs2 1)))
      (if (and (= endtop "tflat")  (= endbot "bcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 1.35)) 0)
              prs3 (list (car prs1) (+ (cadr prs1) (* ves2 2.5)) 0)
        )
	(input_ves_fc) (matofcon_ves) (ves_topflat prs1 1) (ves_planf prs3 1) (ves_botcone   prs2 1)))
      (if (and (= endtop "tflat")  (= endbot "none")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 1.35)) 0)
              prs3 (list (car prs1) (+ (cadr prs1) (* ves2 2.5)) 0)
        )
	(input_ves_fn) (matofcon_ves) (ves_topflat prs1 1) (ves_planf prs3 1)))
  ;Top Toricone
      (if (and (= endtop "ttcone") (= endbot "bdish")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_tcd) (matofcon_ves) (ves_toptcone prs1 1) (ves_botdish prs2 1)))
      (if (and (= endtop "ttcone")  (= endbot "bflat")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_tcf) (matofcon_ves) (ves_toptcone prs1 1) (ves_botflat prs2 1)))
      (if (and (= endtop "ttcone") (= endbot "btcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_tctc) (matofcon_ves) (ves_toptcone prs1 1) (ves_bottcone  prs2 1)))
      (if (and (= endtop "ttcone") (= endbot "bcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_tcc) (matofcon_ves) (ves_toptcone prs1 1) (ves_botcone   prs2 1)))
      (if (and (= endtop "ttcone") (= endbot "none")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_tcn) (matofcon_ves) (ves_toptcone prs1 1)))
  ; Top Cone
      (if (and (= endtop "tcone")  (= endbot "bdish")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_cd) (matofcon_ves) (ves_topcone prs1 1) (ves_botdish prs2 1)))
      (if (and (= endtop "tcone")  (= endbot "bflat")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_cf) (matofcon_ves) (ves_topcone prs1 1) (ves_botflat prs2 1)))
      (if (and (= endtop "tcone")  (= endbot "btcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_ctc) (matofcon_ves) (ves_topcone prs1 1) (ves_bottcone  prs2 1)))
      (if (and (= endtop "tcone")  (= endbot "bcone")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_cc) (matofcon_ves) (ves_topcone prs1 1) (ves_botcone   prs2 1)))
      (if (and (= endtop "tcone")  (= endbot "none")) (progn
        (setq prs1 (getpoint "\nDetail Drawing point")
              prs2 (list (car prs1) (- (cadr prs1) (/ ves2 2.0)) 0)
        )
	(input_ves_cn) (matofcon_ves) (ves_topcone prs1 1)))
; top none
      (if (and (= endtop "none") (= endbot "bdish")) (progn
        (setq prs2 (getpoint "\nDetail Drawing point"))
	(input_ves_nd) (matofcon_ves) (ves_botdish prs2 1)))
      (if (and (= endtop "none") (= endbot "bflat")) (progn
        (setq prs2 (getpoint "\nDetail Drawing point"))
	(input_ves_nf) (matofcon_ves) (ves_botflat prs2 1)))
      (if (and (= endtop "none") (= endbot "btcone")) (progn
        (setq prs2 (getpoint "\nDetail Drawing point"))
	(input_ves_ntc) (matofcon_ves) (ves_bottcone  prs2 1)))
      (if (and (= endtop "none") (= endbot "bcone")) (progn
        (setq prs2 (getpoint "\nDetail Drawing point"))
	(input_ves_nc) (matofcon_ves) (ves_botcone prs2 1)))
      (if (and (= endtop "none") (= endbot "none")) (princ))
(princ)
) ; end ves_prog_det ---------------------------------------------------------
(defun drg_ves ()
  	(setq ;pint (list (/ 0.0 m1) (/ 0.0 m1) 0)
	      pt01 (list (/ 7.0 m1) (/ 7.0 m1) 0)
	      pt02 (list (+ (car pt01) (/ 776.0 m1)) 0 0)
	      pt03 (list (car pt01) (+ (cadr pt01) (/ 546.0 m1)) 0)
	      pt04 (list (car pt02) (cadr pt03) 0)
	      pt05 (list (car pt01) (- (cadr pt03) (/ (distance pt01 pt03) 6.0)) 0)
	      pt06 (list (car pt02) (cadr pt05) 0)
	      pt07 (list (car pt01) (+ (cadr pt01) (/ (distance pt01 pt02) 4.0)) 0)
	      pt08 (list (car pt02) (cadr pt07) 0)
	      pein (list (* ves2 1.0) (* (/ 500.0 m1) 1.0) 0)
              prp1 (list (+ (car pt01) (* ves2 1.5)) (- (cadr pt03) ves2) 0) ;center pt of top plan
	      prs1 (list (car prp1) (- (cadr prp1) (* ves2 1.5)) 0) ; top center pt of elevation
	      prs2 (list (car prs1) (- (cadr prs1) ves1) 0) ; bot center pt of elevation
	      prp2 (list (car prs2) (- (cadr prs2) (* ves2 1.5)) 0) ;center pt of bot plan
	)
(princ)
) ; end drg_ves -----------------------------------------------------------
(defun ves_topdish ( pin ov /  p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p20 p21
		            pd1 pd2 pd3 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves4_det) (+ (cadr pin) ves12_det))
		  p02  (list (+ (car p01) ves4_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves4_det) (+ (cadr pin) ves12_det))
		  p04  (list (- (car p03) ves4_det) (cadr p03))
		  p05  (list (+ (car p01) (/ ves2_det 10.0)) (cadr p01))
		  p06  (list (- (car p03) (/ ves2_det 10.0)) (cadr p03))
		  p07  (polar p05 (dtr 116.0)  (/ ves2_det 10.0))
		  p08  (polar p05 (dtr 116.0)  (- (/ ves2_det 10.0) (/ ves4_det)))
		  p09  (polar p06 (dtr 64.0) (/ ves2_det 10.0))
		  p10  (polar p06 (dtr 64.0) (- (/ ves2_det 10.0) (/ ves4_det)))
		  p11  (list (car pin) (+ (cadr p01) (* ves2_det 0.1937)))
		  p12  (list (car pin) (+ (cadr p01) (- (* ves2_det 0.1937) ves4_det)))
		  p13  (polar p05 (dtr 148.0)  (/ ves2_det 10.0))
		  p14  (polar p05 (dtr 148.0) (- (/ ves2_det 10.0) ves4_det))
		  p15  (polar p06 (dtr 32.0) (/ ves2_det 10.0))
		  p16  (polar p06 (dtr 32.0) (- (/ ves2_det 10.0) ves4_det))
		  p17  (list (car p01) (- (cadr p01) ves12_det))
		  p18  (list (car p02) (- (cadr p02) ves12_det))
		  p20  (list (car p03) (- (cadr p03) ves12_det))
		  p21  (list (car p04) (- (cadr p04) ves12_det))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) ves3_det (* ves4_det 12.0)) (cadr p01))
		  pd2  (list (+ (car pin) (/ ves2_det 2.0) ves3_det (* ves4_det 12.0)) (cadr p01))
		  pd3  (list (car pin) (- (cadr pin) (* ves4_det 12.0)))
		  pte1 (list (car pd3) (- (cadr pd3) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
	    )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p17 p01 ""
		     "_line" p20 p03 ""
		     "_line" p17 p20 ""
	 	     "_arc" p03 p15 p09
	 	     "_arc" p09 p11 p07
	 	     "_arc" p07 p13 p01
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p18 p02 ""
		     "_line" p21 p04 ""
	 	     "_arc" p04 p16 p10
	 	     "_arc" p10 p12 p08
	 	     "_arc" p08 p14 p02
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p17 p01 pd1 (rtos (/ (distance p01 p17) detsc) m2 m4)
		     "_dim1" "ver" p11 p01 pd1 (rtos (- (/ (distance pin p11) detsc) ves12) m2 m4)
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 1)
       	    (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p20 p11 pd2 (rtos (/ (distance p11 pin) detsc) m2 m4)
		     "_dim1" "hor" p17 p18 pd3 (rtos ves4 m2 m4)
		     "_dim1" "hor" p21 p18 pd3 (rtos ves2 m2 m4)
		     "_dim1" "hor" p21 p20 pd3 (rtos ves4 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "TOP DISH"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
  )
  (if (= ov 0) (progn
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (dishwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "w" "disht" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos (+ ves2 (* ves4 2.0)) m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* dishwt 1.0) 2 2))
           (setq disht nextno)
           (tagno_ga p07 tagl 100  disht)
  ))
) ; end ves_topdish ------------------------------------------------------------
(defun ves_botdish ( pin ov /  p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p20 p21
		            pd1 pd2 pd3 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves4_det) (- (cadr pin) ves12_det))
		  p02  (list (+ (car p01) ves4_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves4_det) (- (cadr pin) ves12_det))
		  p04  (list (- (car p03) ves4_det) (cadr p03))
		  p05  (list (+ (car p01) (/ ves2_det 10.0)) (cadr p01))
		  p06  (list (- (car p03) (/ ves2_det 10.0)) (cadr p03))
		  p07  (polar p05 (dtr 244.0) (/ ves2_det 10.0))
		  p08  (polar p05 (dtr 244.0) (- (/ ves2_det 10.0) ves4_det))
		  p09  (polar p06 (dtr 296.0) (/ ves2_det 10.0))
		  p10  (polar p06 (dtr 296.0) (- (/ ves2_det 10.0) ves4_det))
		  p11  (list (car pin) (- (cadr p01) (* ves2_det 0.1937)))
		  p12  (list (car pin) (- (cadr p01) (- (* ves2_det 0.1937) ves4_det)))
		  p13  (polar p05 (dtr 212.0) (/ ves2_det 10.0))
		  p14  (polar p05 (dtr 212.0) (- (/ ves2_det 10.0) ves4_det))
		  p15  (polar p06 (dtr 328.0) (/ ves2_det 10.0))
		  p16  (polar p06 (dtr 328.0) (- (/ ves2_det 10.0) ves4_det))
		  p17  (list (car p01) (+ (cadr p01) ves12_det))
		  p18  (list (car p02) (+ (cadr p02) ves12_det))
		  p20  (list (car p03) (+ (cadr p03) ves12_det))
		  p21  (list (car p04) (+ (cadr p04) ves12_det))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) ves3_det (* ves4_det 12.0)) (cadr p01))
		  pd2  (list (+ (car pin) (/ ves2_det 2.0) ves3_det (* ves4_det 12.0)) (cadr p01))
		  pd3  (list (car pin) (+ (cadr pin) (* ves4_det 6.0)))
		  pte1 (list (car p11) (- (cadr p11) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 ""
		     "_line" p03 p20 ""
		     "_line" p17 p20 ""
	 	     "_arc" p01 p13 p07
	 	     "_arc" p07 p11 p09
	 	     "_arc" p09 p15 p03
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p02 p14 p08
	 	     "_arc" p08 p12 p10
	 	     "_arc" p10 p16 p04
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p17 p01 pd1 (rtos (/ (distance p01 p17) detsc) m2 m4)
		     "_dim1" "ver" p11 p01 pd1 (rtos (- (/ (distance pin p11) detsc) ves12) m2 m4)
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 1)
       	    (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p20 p11 pd2 (rtos (/ (distance p11 pin) detsc) m2 m4)
		     "_dim1" "hor" p17 p18 pd3 (rtos ves4 m2 m4)
		     "_dim1" "hor" p21 p18 pd3 (rtos ves2 m2 m4)
		     "_dim1" "hor" p21 p20 pd3 (rtos ves4 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "BOTTOM DISH"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
  )
  (if (= ov 0) (progn
	(weld p18 180.0 ves3_det ves4_det)
	(weld p21 0.0 ves4_det ves3_det)
; bottom dish weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (dishwt_cal ves2 ves4 spgr_dish)
	   (bomfile_w "a" "dishb" (itoa nextno) desc_dish (itoa 1)
	     moc_dish (strcat (rtos (+ ves2 ves3 ves3) m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* dishwt 1.0) 2 2))
           (setq dishb nextno)
           (tagno_ga p07 tagl 260 dishb)
  ))
) ; end ves_botdish ----------------------------------------------------
(defun ves_topflat ( pin ov / pinl pinr
                       p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
                       p11 p12 p13 p14 p15 p16 p17 p18 pd1	    
	               pd4 pd5 pd6 pd7 pte1 pte2
		    )
            (setq pinl (list (- (car pin) ves3_det (/ ves2_det 2.0)) (cadr pin))
		  pinr (list (+ (car pin) ves3_det (/ ves2_det 2.0)) (cadr pin))
		  p01  (list (- (car pinl) ves6_det) (cadr pinl))
		  p03  (list (+ (car p01) ves7_det) (- (cadr p01) ves7_det))
		  p05  (list (- (car pinl) ves7_det) (- (cadr pinl) ves7_det))
		  p07  (list (car pinl) (- (cadr pinl) ves6_det))
		  p09  (list (- (car p07) ves7_det) (+ (cadr p07) ves7_det))
		  p11  (list (car p01) (+ (cadr p01) ves5_det))
		  p13  (list (+ (car p01) (/ ves6_det 2.0)) (cadr p11))
		  p15  (list (car p13) (+ (cadr p13) (/ 50.0 m1)))
		  p17  (list (car p13) (- (cadr p13) ves5_det (/ 50.0 m1)))
		  p02  (list (+ (car pinr) ves6_det) (cadr pinr))
		  p04  (list (- (car p02) ves7_det) (- (cadr p02) ves7_det))
		  p06  (list (+ (car pinr) ves7_det) (- (cadr pinr) ves7_det))
		  p08  (list (car pinr) (- (cadr pinr) ves6_det))
		  p10  (list (+ (car p08) ves7_det) (+ (cadr p08) ves7_det))
		  p12  (list (car p02) (+ (cadr p02) ves5_det))
		  p14  (list (- (car p02) (/ ves6_det 2.0)) (cadr p12))
		  p16  (list (car p14) (+ (cadr p14) (/ 50.0 m1)))
		  p18  (list (car p14) (- (cadr p14) ves5_det (/ 50.0 m1)))
		  pd1  (list (car pin) (- (cadr p07) (/ 50.0 m1)))
		  pd4  (list (- (car p01) (* ves3_det 8.0)) (cadr p01))
		  pd5  (list (+ (car p04) (* ves3_det 16.0)) (cadr p04))
		  pd6  (list (car pin) (+ (cadr p11) (/ 50.0 m1)))
		  pd7  (list (car pin) (+ (cadr p11) (/ 100.0 m1)))
		  pte1 (list (car pd1) (- (cadr pd1) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
		  pte3 (list (car pte2) (- (cadr pte2) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p02 p12 p11 p01 p03 p05 p09 p07 p08 p10 p06 p04 p02 p01 ""
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" p15 p17 ""
		     "_line" p16 p18 ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p07 p01 pd4 (rtos ves6 m2 m4)
		     "_dim1" "ver" p12 p02 pd5 (rtos ves7 m2 m4)
		     "_dim1" "hor" p15 p16 pd6 (strcat (rtos (/ (distance p15 p16) detsc) m2 m4) " PCD")
		     "_dim1" "hor" p11 p12 pd7 (strcat (rtos (/ (distance p11 p12) detsc) m2 m4) " OD")
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 1)
            (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p07 pinl ""
		     "_line" p08 pinr ""
	             "_layer" "s" "dim" ""
		     "_dim1" "hor" p09 p07 pd1 (rtos ves5 m2 m4)
		     "_dim1" "hor" p08 p07 pd1 (rtos (+ ves2 ves3 ves3) m2 m4)
		     "_dim1" "hor" p08 p10 pd1 (rtos ves5 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "ELEVATION"
		     "_text" "c" pte2 (* textht detsc) 0 "FLAT TOP"
		     "_text" "c" pte3 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
	    )
  )
  (if (= ov 0) (progn
        ; flat top waight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (flatwt_cal (+ ves2 (* ves3 2.0) (* ves6 2.0)) ves5 spgr_flat)
           (bomfile_w "w" "fltp" (itoa nextno) "Top Cover" (itoa 1)
	     moc_sh (strcat (rtos (+ ves2 (* ves3 2.0) (* ves6 2.0)) m2 m4) "(OD)" (rtos ves5 m2 m4) "(Th)") (rtos flatwt 2 2))
           (setq fltp nextno)
        ; flat top angle ring weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal (+ ves2 ves3) ves3 (* ves6 2.0) spgr_sh)
	   (bomfile_w "a" "flatt" (itoa nextno) "Angle Ring" (itoa 1)
	     moc_dish (strcat (rtos (+ ves2 ves3 ves3) m2 m4) "(ID)" (rtos ves7 m2 m4) "(Th)") (rtos (* shellwt 1.0) 2 2))
           (setq flatt nextno)
           (tagno_ga p14 tagl 45 fltp)
           (tagno_ga p09 tagl 225 flatt)
  ))
;gasket weight
;nut bolts weight
) ; end ves_topflat -----------------------------------------------------------------
(defun ves_botflat ( pin ov / pbotl pbotr
                       p01 p02 p03 p04 pd1 pd2 pte1 pte2 pte3
		    )
            (setq pbotl (list (- (car pin) ves3_det (/ ves2_det 2.0)) (cadr pin))
		  pbotr (list (+ (car pin) ves3_det (/ ves2_det 2.0)) (cadr pin))
		  p01  (list (- (car pbotl) (* ves5_det 5.0)) (cadr pbotl))
		  p03  (list (car p01) (- (cadr p01) ves5_det))
		  p02  (list (+ (car pbotr) (* ves5_det 5.0)) (cadr pbotr))
		  p04  (list (car p02) (- (cadr p02) ves5_det))
		  pd1  (list (- (car pbotl) (* ves5_det 8.0)) (cadr p01))
		  pd2  (list (car pin) (- (cadr p03) (* ves5_det 8.0)))
		  pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p03 p04 p02 p01 p03 ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p03 p01 pd1 (rtos ves5 m2 m4)
		     "_dim1" "hor" p04 p03 pd2 (strcat (rtos (/ (distance p03 p04) detsc) m2 m4) " OD")
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "FLAT BOTTOM"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 0) (progn
        ; flat bot waight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (flatwt_cal (+ ves2 (* ves3 2.0)) ves5 spgr_flat)
           (bomfile_w "w" "flatb" (itoa nextno) "Bottom" (itoa 1)
	     moc_sh (strcat (rtos (+ ves2 (* ves3 2.0)) m2 m4) "(OD)" (rtos ves5 m2 m4) "(Th)") (rtos flatwt 2 2))
           (setq flatb nextno)
           (tagno_ga p04 tagl 315 flatb)
  ))
;gasket weight
;nut bolts weight
) ; end ves_botflat -----------------------------------------------------------------
(defun ves_topcone ( pin ov /  p01 p02 p03 p04 p05 p06 ptag pd1 pd2 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves10_det) (cadr pin))
		  p02  (list (+ (car p01) ves10_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves10_det) (cadr pin))
		  p04  (list (- (car p03) ves10_det) (cadr p03))
		  p05  (list (car pin) (+ (cadr p01) ves11_det))
		  p06  (list (car pin) (+ (cadr p01) (- ves11_det ves10_det)))
		  ptag (polar p01 (angle p01 p05) (/ (distance p01 p05) 3.0))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) ves10_det (* ves3_det 8.0)) (cadr p01))
		  pd2  (list (car pin) (- (cadr pin) (* ves10_det 8.0)))
		  pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p05 p03 p01 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p06 p04 ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p05 p01 pd1 (rtos ves11 m2 m4)
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 1)
	    (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" p01 p02 pd2 (rtos ves10 m2 m4)
		     "_dim1" "hor" p02 p04 pd2 (rtos ves2 m2 m4)
		     "_dim1" "hor" p04 p03 pd2 (rtos ves10 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "TOP CONE"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
  )
  (if (= ov 0) (progn
	(weld p02 180.0 ves3_det ves10_det)
	(weld p04 0.0 ves10_det ves3_det)
        ; top cone weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (conwt_cal ves2 ves10 ves11 spgr_cone)
	   (bomfile_w "a" "conet" (itoa nextno) desc_cone (itoa 1)
	     moc_cone (strcat (rtos (+ ves2 ves10 ves10) m2 m4) "(OD)" (rtos ves10 m2 m4) "(Th)") (rtos (* conwt 1.0) 2 2))
           (setq conet nextno)
           (tagno_ga ptag tagl 125 conet)
  ))
) ; end ves_topcone ----------------------------------------------------
(defun ves_botcone ( pin ov /  p01 p02 p03 p04 p05 p06 ptag pd1 pd2 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves8_det) (cadr pin))
		  p02  (list (+ (car p01) ves8_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves8_det) (cadr pin))
		  p04  (list (- (car p03) ves8_det) (cadr p03))
		  p05  (list (car pin) (- (cadr p01) ves9_det))
		  p06  (list (car pin) (- (cadr p01) (- ves9_det ves8_det)))
		  ptag (polar p01 (angle p01 p05) (/ (distance p01 p05) 3.0))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) (* ves12 3.0 detsc)) (cadr p01))
		  pd2  (list (car pin) (+ (cadr pin) (* ves12 2.0 detsc)))
		  pte1 (list (car p05) (- (cadr p05) (* ves12 2.0 detsc)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p05 p03 p01 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p06 p04 ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p05 p01 pd1 (rtos ves9 m2 m4)
  		     "_layer" "s" "0" ""
	    )
    (if (= ov 1)
            (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" p02 p01 pd2 (rtos ves8 m2 m4)
		     "_dim1" "hor" p02 p04 pd2 (rtos ves2 m2 m4)
		     "_dim1" "hor" p03 p04 pd2 (rtos ves8 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "BOTTOM CONE"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
    )
  (if (= ov 0) (progn
	(weld p02 180.0 ves10_det ves8_det)
	(weld p04 0.0 ves8_det ves10_det)
       ; bottom cone weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (conwt_cal ves2 ves8 ves9 spgr_cone)
	   (bomfile_w "a" "coneb" (itoa nextno) desc_cone (itoa 1)
	     moc_cone (strcat (rtos (+ ves2 ves8 ves8) m2 m4) "(OD)" (rtos ves8 m2 m4) "(Th)") (rtos (* conwt 1.0) 2 2))
           (setq coneb nextno)
           (tagno_ga ptag tagl 225 coneb)
  ))
) ; end ves_botcone ----------------------------------------------------
(defun ves_toptcone ( pin ov /  p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p20 p21 ptag
		            pd1 pd2 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves10_det) (+ (cadr pin) ves13_det))
		  p02  (list (+ (car p01) ves10_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves10_det) (+ (cadr pin) ves13_det))
		  p04  (list (- (car p03) ves10_det) (cadr p03))
		  p05  (list (+ (car p01) (/ ves2_det 10.0)) (cadr p01))
		  p06  (list (- (car p03) (/ ves2_det 10.0)) (cadr p03))
		  p07  (polar p05 (dtr (- 360.0 244.0)) (/ ves2_det 10.0))
		  p08  (polar p05 (dtr (- 360.0 244.0)) (+ (/ ves2_det 10.0) ves10_det))
		  p09  (polar p06 (dtr (- 360.0 296.0)) (/ ves2_det 10.0))
		  p10  (polar p06 (dtr (- 360.0 296.0)) (+ (/ ves2_det 10.0) ves10_det))
		  p11  (list (car pin) (+ (cadr p01) ves11_det))
		  p12  (list (car pin) (+ (cadr p01) (- ves11_det ves10_det)))
		  p13  (polar p05 (dtr (- 360.0 212.0)) (/ ves2_det 10.0))
		  p14  (polar p05 (dtr (- 360.0 212.0)) (+ (/ ves2_det 10.0) ves10_det))
		  p15  (polar p06 (dtr (- 360.0 328.0)) (/ ves2_det 10.0))
		  p16  (polar p06 (dtr (- 360.0 328.0)) (+ (/ ves2_det 10.0) ves10_det))
		  p17  (list (car p01) (- (cadr p01) ves13_det))
		  p18  (list (car p02) (- (cadr p02) ves13_det))
		  p20  (list (car p03) (- (cadr p03) ves13_det))
		  p21  (list (car p04) (- (cadr p04) ves13_det))
		  ptag (polar p08 (angle p08 p11) (/ (distance p08 p11) 3.0))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) (* ves3_det 8.0)) (cadr p01))
		  pd2  (list (car pin) (- (cadr pin) (* ves10_det 8.0)))
		  pte1 (list (car pd2) (- (cadr pd2) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 ""
		     "_line" p03 p20 ""
		     "_line" p17 p20 ""
	 	     "_arc" p01 p14 p08
	 	     "_line" p08 p11 p10 ""
	 	     "_arc" p10 p16 p03
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p02 p13 p07
	 	     "_line" p07 p12 p09 ""
	 	     "_arc" p09 p15 p04
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p17 p01 pd1 (rtos (/ (distance p01 p17) detsc) m2 m4)
		     "_dim1" "ver" p11 p01 pd1 (rtos ves11 m2 m4)
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 1)
	    (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" p01 p02 pd2 (rtos ves10 m2 m4)
		     "_dim1" "hor" p02 p04 pd2 (rtos ves2 m2 m4)
		     "_dim1" "hor" p04 p03 pd2 (rtos ves10 m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "TOP TORISPHERICAL CONE"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
  )
  (if (= ov 0) (progn
	(weld p18 180.0 ves3_det ves4_det)
	(weld p21 0.0 ves4_det ves3_det)
        ; Top cone weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (conwt_cal ves2 ves10 ves11 spgr_cone)
	   (bomfile_w "a" "tconet" (itoa nextno) desc_cone (itoa 1)
	     moc_cone (strcat (rtos (+ ves2 ves3 ves3) m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* conwt 1.0) 2 2))
           (setq tconet nextno)
           (tagno_ga ptag tagl 125 tconet)
  ))
) ; end ves_toptcone ----------------------------------------------------
(defun ves_bottcone ( pin ov /  p01 p02 p03 p04 p05 p06 p07 p08 p09 p10
		            p11 p12 p13 p14 p15 p16 p17 p18 p20 p21 ptag
		            pd1 pd2 pte1 pte2)
	    (setq p01  (list (- (car pin) (/ ves2_det 2.0) ves8_det) (- (cadr pin) ves13_det))
		  p02  (list (+ (car p01) ves8_det) (cadr p01))
		  p03  (list (+ (car pin) (/ ves2_det 2.0) ves8_det) (- (cadr pin) ves13_det))
		  p04  (list (- (car p03) ves8_det) (cadr p03))
		  p05  (list (+ (car p01) (/ ves2_det 10.0)) (cadr p01))
		  p06  (list (- (car p03) (/ ves2_det 10.0)) (cadr p03))
		  p07  (polar p05 (dtr 244.0) (/ ves2_det 10.0))
		  p08  (polar p05 (dtr 244.0) (+ (/ ves2_det 10.0) ves8_det))
		  p09  (polar p06 (dtr 296.0) (/ ves2_det 10.0))
		  p10  (polar p06 (dtr 296.0) (+ (/ ves2_det 10.0) ves8_det))
		  p11  (list (car pin) (- (cadr p01) ves9_det))
		  p12  (list (car pin) (- (cadr p01) (- ves9_det ves8_det)))
		  p13  (polar p05 (dtr 212.0) (/ ves2_det 10.0))
		  p14  (polar p05 (dtr 212.0) (+ (/ ves2_det 10.0) ves8_det))
		  p15  (polar p06 (dtr 328.0) (/ ves2_det 10.0))
		  p16  (polar p06 (dtr 328.0) (+ (/ ves2_det 10.0) ves8_det))
		  p17  (list (car p01) (+ (cadr p01) ves13_det))
		  p18  (list (car p02) (+ (cadr p02) ves13_det))
		  p20  (list (car p03) (+ (cadr p03) ves13_det))
		  p21  (list (car p04) (+ (cadr p04) ves13_det))
		  ptag (polar p08 (angle p08 p11) (/ (distance p08 p11) 3.0))
		  pd1  (list (- (car pin) (/ ves2_det 2.0) (* ves3_det 8.0)) (cadr p01))
		  pd2  (list (car pin) (+ (cadr pin) (* ves12 2.0 detsc)))
		  pd3  (list (+ (car pin) (/ ves2_det 2.0) (* ves3_det 8.0)) (cadr p01))
		  pte1 (list (car p11) (- (cadr p11) (* ves12 2.0 detsc)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" p01 p17 ""
		     "_line" p03 p20 ""
		     "_line" p17 p20 ""
	 	     "_arc" p01 p14 p08
	 	     "_arc" p10 p16 p03
	 	     "_line" p08 p11 p10 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" p02 p04 ""
		     "_line" p02 p18 ""
		     "_line" p04 p21 ""
	 	     "_arc" p09 p15 p04
	 	     "_arc" p02 p13 p07
	 	     "_line" p07 p12 p09 ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" p17 p01 pd1 (rtos (/ (distance p01 p17) detsc) m2 m4)
		     "_dim1" "ver" p11 p01 pd1 (rtos ves9 m2 m4)
  		     "_layer" "s" "0" ""
	    )
    (if (= ov 1)
            (command "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "hor" p02 p01 pd2 (rtos ves8 m2 m4)
		     "_dim1" "hor" p02 p04 pd2 (rtos ves2 m2 m4)
		     "_dim1" "hor" p03 p04 pd2 (rtos ves8 m2 m4)
		     "_dim1" "ver" p11 p20 pd3 (rtos (+ ves9 ves13) m2 m4)
                     "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "BOTTOM TORISPHERICAL CONE"
		     "_text" "c" pte2 (* textht detsc) 0 (strcat "SCALE: "  (itoa (fix detsc)) ":1")
  		     "_layer" "s" "0" ""
            )
    )
  (if (= ov 0) (progn
	(weld p18 180.0 ves3_det ves4_det)
	(weld p21 0.0 ves4_det ves3_det)
        ; bottom cone weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
	   (conwt_cal ves2 ves8 ves9 spgr_cone)
	   (bomfile_w "a" "tconeb" (itoa nextno) desc_cone (itoa 1)
	     moc_cone (strcat (rtos (+ ves2 ves3 ves3) m2 m4) "(OD)" (rtos ves4 m2 m4) "(Th)") (rtos (* conwt 1.0) 2 2))
           (setq tconeb nextno)
           (tagno_ga ptag tagl 225 tconeb)
  ))
) ; end ves_bottcone ----------------------------------------------------
(defun ves_shellv ( pin ov /
		     pbot pbotl1 pbotl2 pbotr1 pbotr2
		     pinl1 pinl2 pinr1 pinr2
		     plug1 plug2 plug3 plug4 plug5
		     pleg1 pleg2 pleg3 pleg4 pleg5
		     pd1 p01d p02d p03d pd2 pd3
		     pcltop pclbot pdimtop pdimbot
                 )
	    (setq pbot   (list (car pin) (- (cadr pin) ves1_det))
		  pbotl1 (list (- (car pbot) (/ ves2_det 2.0)) (cadr pbot))
		  pbotl2 (list (- (car pbot) (/ ves2_det 2.0) ves3_det) (cadr pbot))
		  pbotr1 (list (+ (car pbot) (/ ves2_det 2.0)) (cadr pbot))
		  pbotr2 (list (+ (car pbot) (/ ves2_det 2.0) ves3_det) (cadr pbot))
		  pinl1 (list (- (car pin) (/ ves2_det 2.0)) (cadr pin))
		  pinl2 (list (- (car pin) (/ ves2_det 2.0) ves3_det) (cadr pin))
		  pinr1 (list (+ (car pin) (/ ves2_det 2.0)) (cadr pin))
		  pinr2 (list (+ (car pin) (/ ves2_det 2.0) ves3_det) (cadr pin))
	    )
            (setq pd1  (list (- (car pinl2) (* ves3_det 8.0)) (cadr pinl2))
		  p01d (list (- (car pin) (/ ves2_det 2.0)) (+ (cadr pbotl1) (/ ves1_det 2.0)))
		  p02d (list (- (car pin) (/ ves2_det 2.0) ves3_det) (+ (cadr pbotl1) (/ ves1_det 3.0)))
		  p03d (list (+ (car pin) (/ ves2_det 2.0)) (+ (cadr pbotl1) (/ ves1_det 2.0)))
		  pd2  (list (+ (car pinr2) (* ves3_det 24.0)) (cadr pinr2))
		  pd3  (list (car pbot) (+ (cadr pbot) (/ ves1_det 2.0)))
	    )
  (cond
        ((and (= endtop "tdish") (= endbot "bdish"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl2 pinr2) 0.1937) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937)))
		  pclbot  (list (car pbot) (- (cadr pbot) ves12_det (* (distance pinl2 pinr2) 0.1937) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl1 pbotr1) 0.1937)))
	    )
	)
        ((and (= endtop "tdish") (= endbot "bflat"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl2 pinr2) 0.1937) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937)))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves5_det))
	    )
	)
        ((and (= endtop "tdish") (= endbot "btcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves13_det (* (distance pinl1 pinr1) 0.1937) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det (* (distance pinl1 pinr1) 0.1937)))
		  pclbot  (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det))
	    )
	)
        ((and (= endtop "tdish") (= endbot "bcone"))
	    (setq pcltop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937)))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det))
	    )
	)
        ((and (= endtop "tdish") (= endbot "none"))
	    (setq pcltop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves12_det (* (distance pinl1 pinr1) 0.1937)))
		  pclbot (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot pbot
	    )
	)
        ((and (= endtop "tflat") (= endbot "bdish"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves5_det))
		  pclbot  (list (car pbot) (- (cadr pbot) ves12_det (* (distance pinl1 pinr1) 0.1937) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl1 pbotr1) 0.1937)))
	    )
	)
        ((and (= endtop "tflat") (= endbot "bflat"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves5_det))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves5_det))
	    )
	)
        ((and (= endtop "tflat") (= endbot "btcone"))
	    (setq pcltop (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves5_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det))
	    )
	)
        ((and (= endtop "tflat") (= endbot "bcone"))
	    (setq pcltop (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves5_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det))
	    )
	)
        ((and (= endtop "tflat") (= endbot "none"))
	    (setq pcltop (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves5_det))
		  pclbot (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot pbot
	    )
	)
	((and (= endtop "tcone") (= endbot "bdish"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl2 pbotr2) 0.1937) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl1 pbotr1) 0.1937)))
	    )
	)
	((and (= endtop "tcone") (= endbot "bflat"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves5_det))
	    )
	)
	((and (= endtop "tcone") (= endbot "btcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves11_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves13_det ves9_det))
	    )
	)
	((and (= endtop "tcone") (= endbot "bcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves11_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det))
	    )
	)
	((and (= endtop "tcone") (= endbot "none"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot pbot
	    )
	)
	((and (= endtop "ttcone") (= endbot "bdish"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det ves13_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl2 pbotr2) 0.1937) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl1 pbotr1) 0.1937)))
	    )
	)
	((and (= endtop "ttcone") (= endbot "bflat"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det ves13_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves5_det))
	    )
	)
	((and (= endtop "ttcone") (= endbot "btcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det ves13_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det ves11_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves13_det ves9_det))
	    )
	)
	((and (= endtop "ttcone") (= endbot "bcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det ves13_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det ves11_det))
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det))
	    )
	)
	((and (= endtop "ttcone") (= endbot "none"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) ves11_det ves13_det (/ 100.0 m1)))
		  pdimtop (list (car pin) (+ (cadr pin) ves13_det ves11_det))
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot pbot
	    )
	)
	((and (= endtop "none") (= endbot "bdish"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop pin
		  pclbot  (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl2 pbotr2) 0.1937) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves12_det (* (distance pbotl1 pbotr1) 0.1937)))
	    )
	)
	((and (= endtop "none") (= endbot "bflat"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop pin
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot (list (car pbot) (- (cadr pbot) ves5_det))
	    )
	)
	((and (= endtop "none") (= endbot "btcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop pin
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det ves13_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves13_det ves9_det))
	    )
	)
	((and (= endtop "none") (= endbot "bcone"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop pin
		  pclbot (list (car pbot) (- (cadr pbot) ves9_det (/ 100.0 m1)))
  		  pdimbot (list (car pbot) (- (cadr pbot) ves9_det))
	    )
	)
	((and (= endtop "none") (= endbot "none"))
	    (setq pcltop  (list (car pin) (+ (cadr pin) (/ 100.0 m1)))
		  pdimtop pin
		  pclbot  (list (car pbot) (- (cadr pbot) (/ 100.0 m1)))
		  pdimbot pbot
	    )
	)
  )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
		     "_line" pbotl2 pinl2 ""
		     "_line" pbotr2 pinr2 ""
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
		     "_line" pbotl1 pinl1 ""
		     "_line" pbotr1 pinr1 ""
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" pcltop pclbot ""
	             "_layer" "s" "dim" ""
		     "_linetype" "set" "continuous" ""
		     "_dim1" "ver" pinl2 pbotl2 pd1 (strcat (rtos ves1 m2 m4) " Tan to Tan")
                     "_dim1" "ver" pdimtop pdimbot pd2 (strcat (rtos (/ (distance pdimtop pdimbot) detsc) m2 m4) " Total Length")
		     "_dim1" "hor" p01d p03d pd3 (strcat (rtos (/ (distance p01d p03d) detsc) m2 m4) " ID")
  		     "_layer" "s" "0" ""
	    )
  (if (= ov 0) (progn
        ;shell weight
        (if (not nextno) (setq nextno 1) (setq nextno (+ nextno 1)))
           (shellwt_cal ves2 ves3 ves1 spgr_sh)
           (bomfile_w "a" "shell" (itoa nextno) desc_sh (itoa 1)
	     moc_sh (strcat (rtos ves2 m2 m4) "(ID)" (rtos ves3 m2 m4) "(Th)" (rtos ves1 m2 m4) "(Lg)") (rtos shellwt 2 2))
           (setq shell nextno)
           (tagno_ga p02d tagl 165 shell)
  ))
) ; end ves_shellv ---------------------------------------------------------------
(defun ves_plan ( pin ov / pplan phcll phclr pvclt pvclb)
	    (setq pplan pin
		  phcll (list (- (car pplan) (/ 50.0 m1) (/ ves2_det 2.0)) (cadr pplan))
		  phclr (list (+ (car pplan) (/ 50.0 m1) (/ ves2_det 2.0)) (cadr pplan))
		  pvclt (list (car pplan) (+ (cadr pplan) (/ 50.0 m1) (/ ves2_det 2.0)))
		  pvclb (list (car pplan) (- (cadr pplan) (/ 50.0 m1) (/ ves2_det 2.0)))
            )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
	   	     "_circle" pplan (+ (/ ves2_det 2.0) ves3_det)
	    )
            (if (= endbot "bflat") (command "_circle" pplan (+ (/ ves2_det 2.0) ves3_det ves5_det)))
            (command "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
	   	     "_circle" pplan (/ ves2_det 2.0)
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" phcll phclr ""
		     "_line" pvclt pvclb ""
		     "_linetype" "set" "continuous" ""
  		     "_layer" "s" "0" ""
	    )
) ; end ves_plan --------------------------------------
(defun ves_planf ( pin ov / pplan phcll phclr pvclt pvclb pte1 pte2)
	    (setq pplan pin
		  phcll (list (- (car pplan) (/ 50.0 m1) (/ ves2_det 2.0) ves7_det ves3_det ves6_det) (cadr pplan))
		  phclr (list (+ (car pplan) (/ 50.0 m1) (/ ves2_det 2.0) ves7_det ves3_det ves6_det) (cadr pplan))		  
		  pvclt (list (car pplan) (+ (cadr pplan) (/ 50.0 m1) (/ ves2_det 2.0) ves7_det ves3_det ves6_det))
		  pvclb (list (car pplan) (- (cadr pplan) (/ 50.0 m1) (/ ves2_det 2.0) ves7_det ves3_det ves6_det))
		  pte1 (list (car pvclb) (- (cadr pvclb) (* textht detsc 3.0)))
		  pte2 (list (car pte1) (- (cadr pte1) (* textht detsc 1.5)))
	    )
	    (command "_linetype" "set" "continuous" ""
		     "_layer" "s" "ves" ""
	   	     "_circle" pplan (+ (/ ves2_det 2.0) ves6_det)
                     "_linetype" "s" "hidden" ""
  		     "_layer" "s" "hid" ""
	   	     "_circle" pplan (/ ves2_det 2.0)
	   	     "_circle" pplan (+ (/ ves2_det 2.0) ves3_det)
	   	     "_circle" pplan (+ (/ ves2_det 2.0) ves3_det ves7_det)
                     "_linetype" "s" "center" ""
  		     "_layer" "s" "cen" ""
		     "_line" phcll phclr ""
		     "_line" pvclt pvclb ""
	   	     "_circle" pplan (+ (/ ves2_det 2.0) (/ ves6_det 2.0) ves7_det)
		     "_linetype" "set" "continuous" ""
  		     "_layer" "s" "0" ""
	    )
            (load "ves_data")
            (asa (+ ves2 ves3 ves3))
            (setq nohole nobh pcd (+ ves2_det ves6_det (* ves7_det 2.0)))
            (load "ves_noz.lsp")
            (flange pplan nohole pcd sbdia)
  (if (= ov 1)
    	    (command "_layer" "s" "txt" ""
		     "_text" "c" pte1 (* textht detsc) 0 "FLAT TOP"
		     "_text" "c" pte2 (* textht detsc) 0 "PLAN VIEW"
  		     "_layer" "s" "0" ""
            )
  )
) ; end ves_planf ---------------------------------------------------------------
(defun input_det (/ i1 i2)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "ves_sup" i1)) (exit))
  	(settile demo)
  	(set_tile "ele" "1")
  	(action_tile "accept" "(setq draw_sup (get_tile \"supp\"))")
  	(start_dialog)
  	(unload_dialog i1)
);-------End input_det   ------------------------------------------
(defun input_detsc (/ i1 i2)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "ves_sup_det" i1)) (exit))
  	(settile demo)
  	(set_tile "deta3" "1")
  	(action_tile "accept" "(setq sup_det (get_tile \"supp_det\"))")
  	(start_dialog)
  	(unload_dialog i1)
    (cond
    ((= sup_det "ga")    (setq detsc 1.0))
    ((= sup_det "deta2") (setq detsc 2.0))
    ((= sup_det "deta3") (setq detsc 3.0))
  )
);-------End input_detsc-----------------------------------------
(defun input_detsc_pdet (/ i1 i2)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "ves_sup_pdet" i1)) (exit))
  	(settile demo)
  	(set_tile "deta3" "1")
  	(action_tile "accept" "(setq sup_pdet (get_tile \"supp_pdet\"))")
  	(start_dialog)
  	(unload_dialog i1)
    (cond
    ((= sup_pdet "deta2") (setq detsc 2.0))
    ((= sup_pdet "deta3") (setq detsc 3.0))
  )
);-------End input_detsc-----------------------------------------
(defun savedwg ( / gt1 gt2)
  (setq gt2 "stgtank"
        gt1 (getfiled "Select File name for Drawing" gt2 "dwg" 1)
  )
  (command "_dimscale" (* detsc 5.0)
           "_dim1" "update" "all" ""
           "_purge" "a" "" "n"
           "_zoom" "e")
;|
       (if (findfile (strcat t8 t7 "_R" t14 ".DWG"))
  	(command "_saveas" "" (strcat t8 t7 "_R" t14 ".DWG") "y")
  	(command "_saveas" "" (strcat t8 t7 "_R" t14 ".DWG"))
       )
|;
       (if (findfile gt1)
          (command "_wblock" gt1 "Y" "" "0,0" "all" "")
          (command "_wblock" gt1 "" "0,0" "all" "")
       )
(princ)
)
; end savedwg ---------------------------------------
(defun settile ( demo )
	(set_tile "program" "Vessel Program by")
	(set_tile "company" "Satish Lele")
	(set_tile "tel" "91-98202 77283")
	(set_tile "email" "leleequip@gmail.com")
	(set_tile "website" "www.svlele.com/vessel.htm")
  (if (= demo 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in trial mode")
  ))
(princ)
); end settile--------------------------------------------------
(defun input_units ( / i1)
  (setq optionno 1)
(cond
   ((= m1 nil)
	(setq i1 (load_dialog "ves_vst.dcl"))
	(if (not (new_dialog "main" i1)) (exit))
  	(settile demo)
  	(set_tile "inch" "1")
  	(action_tile "accept" "(setq lu (get_tile \"main\"))")
  	(start_dialog)
  	(unload_dialog i1)
   )
) ; m3 for hatch scale m5 for kg to lb
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 2.5 m4 0 m5 2.204) (setvar "lunits" 2) (setvar "luprec" 2)))
(if (= lu "inch") (progn (setq m1 25.4 m2 4 m3 0.1 m4 4 m5 1.0)   (setvar "lunits" 4) (setvar "luprec" 4)))
(if (= m2 2) (setq dimoff 2.0 textht 7.5 tagl 75.0))
(if (= m2 4) (setq dimoff (/ 2.0 25.4) textht  (/ 2.5 25.4) tagl (/ 75.0 25.4)))
(setq demo 0) (princ)
) ;-------End input_units--------------------------------------------
(defun mlay ()
	(setvar "angdir" 0)
	(setvar "aperture" 3)
	(setvar "aunits" 0)
	(setvar "auprec" 0)
	(setvar "blipmode" 0)
	(setvar "cmdecho" 0)
	(setvar "dragmode" 2)
	(setvar "donutid" 0)
	(setvar "donutod" 1.5)
	(setvar "fillmode" 1)
	(setvar "gridmode" 0)
	(setvar "mirrtext" 0)
	(setvar "pdmode" 1)
	(setvar "pickadd" 1)
	(setvar "pickauto" 1)
	(setvar "pickdrag" 1)
	(setvar "regenmode" 1)
	(setvar "savetime" 10)
	(setvar "snapmode" 0)
	(setvar "snapstyl" 0)
        (setvar "osmode" 0)
  (cond
      ((= m2 2)
;        (setvar "dimlunit" 2)
        (setvar "dimalt" 0)
	(setvar "dimasz" 2.5)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 0)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.1)
	(setvar "dimexo" 0.1)
	(setvar "dimgap" 2)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 5.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 1)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 2.5)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 125.0)
	(setvar "ltscale" 125.0)
    )
  ((= m2 4)
;        (setvar "dimlunit" 4)
	(setvar "dimalt" 0)
	(setvar "dimasz" 0.18)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdec" 4)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.05)
	(setvar "dimexo" 0.05)
	(setvar "dimgap" 0.09)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimscale" 2.0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 0)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
;	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 0.18)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 5.0)
	(setvar "ltscale" 5.0)
    )
  )
	(princ)
(command "_style" "romans" "romans" 0.0 0.75 0.0 "" "" ""
         "_layer" "make" "VES" "color" "1" "" ""
         "_layer" "make" "BOM" "color" "3" "" ""
	 "_layer" "make" "CEN" "color" "2" "" ""
         "_layer" "make" "DIM" "color" "4" "" ""
	 "_layer" "make" "TXT" "color" "6" "" ""
	 "_layer" "make" "HID" "color" "5" "" ""
	 "_layer" "set" "0" "color" "7" "" ""
	 "_ucs" "o" "0,0"
         "_zoom" "e")
        (princ)
) ; end mlay --------------------------------
; weight calculation ----------------------------------------
;shell
;(shellwt_cal id0 th0 len spgr_shell)
(defun shellwt_cal ( idin thin lenin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq shellwt (/ (*
		    (- (* (/ (+ idin thin thin) divfac1) (/ (+ idin thin thin) divfac1))
 		       (* (/ idin divfac1) (/ idin divfac1))
		 )
	         lenin spgrin pi)
	       4.0 divfac))
(princ)
) ;end shellwt_cal --------------------------------------------------------------------------------
;Tori dish
;(dishwt_cal dishod dishthk spgr_dish)
(defun dishwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq dishwt (/ (* (/ (* odin 1.22) divfac1) (/ (* odin 1.22) divfac1)
	           thkin spgrin pi
		)
	      4.0 divfac))
(princ)
) ;end dishwt_cal --------------------------------------------------------------------------------
;Hemi dish
;(hemiwt_cal dishod dishthk spgr_dish)
(defun hemiwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq hemiwt (/ (* (/ odin divfac1) (/ odin divfac1)
	           thkin spgrin
		)
	      divfac))
(princ)
) ;end hemiwt_cal --------------------------------------------------------------------------------
;top cone (conwt_cal ves2 ves10 ves11 spgr_cone)
;bot cone (conwt_cal ves2 ves8 ves9 spgr_cone)
(defun conwt_cal ( odin thkin htin spgrin)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq conwt (- (/ (* (/ odin divfac1) (/ odin divfac1)
	           spgrin pi (/ htin 3.0)
		)
	      4.0 divfac)
                (/ (* (/ (- odin thkin) divfac1) (/ (- odin thkin) divfac1)
	           spgrin pi (/ htin 3.0)
		)
	      4.0 divfac)
	     )
)
(princ)
) ;end conwt_cal --------------------------------------------------------------------------------
;Flat ends
;(flatwt_cal od thk spgr_dish)
(defun flatwt_cal ( odin thkin spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0))
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877))
(setq flatwt (/ (* (/ odin divfac1) (/ odin divfac1)
	           thkin spgrin pi
		)
	      4.0 divfac))
(princ)
) ;end flatwt_cal --------------------------------------------------------------------------------
;Saddle Support
;(sadwt_cal lenin widin thkin)
(defun sadwt_cal ( lenin widin thkin / divfac1 divfac)
 
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0
                   sadwt (/ (* (/ lenin divfac1) (/ widin divfac1) thkin spgr_saddle) divfac))
)
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877
                   sadwt (/ (* (/ lenin divfac1) (/ widin divfac1) thkin spgr_saddle) divfac))
)
(princ)
) ; end sadwt_cal --------------------------------------------------------------------------------
;lug plates
;(lugwt_cal dist1 dist2 thk1 spgr_davit)
(defun lugwt_cal ( dist1 dist2 thk1 spgrin / divfac1 divfac)
(if (= m2 2) (setq divfac1 1000.0 divfac 1.0
                   lugwt (/ (* (/ dist1 divfac1) (/ dist2 divfac1)
	                         thk1 spgrin)
	                    divfac))
)
(if (= m2 4) (setq divfac1 1.0 divfac 27.6877
                   lugwt (/ (* (/ dist1 divfac1) (/ dist2 divfac1)
	                      thk1 spgrin)
	                    divfac))
)
(princ)
) ; end davitwt_cal --------------------------------------------------------------------------------
; end weight calculation ----------------------------------------

(defun bomfile_w ( mode t1 t2 t3 t4 t5 t6 t7 / fname)
(setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") mode))
(write-line t1 fname)
(write-line t2 fname)
(write-line t3 fname)
(write-line t4 fname)
(write-line t5 fname)
(write-line t6 fname)
(write-line t7 fname)
(close fname)
) ; end bomfile_w ---------------------------------------------------------------------
(defun bomdwg_w ( scbdw / fname fname1 fname2 count
		          p1101 p2101 p3101 p4101 p5101 p6101)
        (setq count 0
	      gwt 0
              p1101 (list (* scbdw (/ 621.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p2101 (list (* scbdw (/ 627.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p3101 (list (* scbdw (/ 680.0 m1)) (* scbdw (/ 103.375 m1)) 0.0) 
              p4101 (list (* scbdw (/ 687.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p5101 (list (* scbdw (/ 717.0 m1)) (* scbdw (/ 103.375 m1)) 0.0)
              p6101 (list (* scbdw (/ 781.5 m1)) (* scbdw (/ 103.375 m1)) 0.0)
        )
   (command "_layer" "s" "bom" ""
            "_linetype" "s" "continuous" ""
	    "_style" "romans" "" 0.0 0.6 0.0 "" "" ""
   )
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (while ( /= (read-line fname) "*") (setq count (+ count 1)))
   (close fname)
   (setq fname (open (strcat (getvar "DWGPREFIX") "BOM.TXT") "r"))
   (repeat (setq z3 (/ count 7))
        (read-line fname)
        (command "_text" p1101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; part no
        (command "_text" p2101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; description
        (command "_text" p3101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; quantity
        (command "_text" p4101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; material
        (command "_text" p5101 (* scbdw (/ 2.25 m1)) "0" (read-line fname)) ; size
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (setq gwt1 (read-line fname))) ; weight
        (setq gwt (+ gwt (distof gwt1))) ; gross weight
        (setq p1101 (list (car p1101) (+ (cadr p1101) (* scbdw (/ 3.0 m1))))
              p2101 (list (car p2101) (+ (cadr p2101) (* scbdw (/ 3.0 m1))))
              p3101 (list (car p3101) (+ (cadr p3101) (* scbdw (/ 3.0 m1))))
              p4101 (list (car p4101) (+ (cadr p4101) (* scbdw (/ 3.0 m1))))
              p5101 (list (car p5101) (+ (cadr p5101) (* scbdw (/ 3.0 m1))))
              p6101 (list (car p6101) (+ (cadr p6101) (* scbdw (/ 3.0 m1))))
        )
    )
        (close fname)
  	(setq p5101 (list (- (car p6101) (* (/ 30.0 m1) scbdw)) (cadr p5101))
              p6101 (list (car p6101) (cadr p6101))
        )
	(setq fname1 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "w"))
	(write-line (rtos gwt 2 2) fname1)
	(close fname1)
   (setq fname2 (open (strcat (getvar "DWGPREFIX") "GWT.TXT") "r"))
        (command "_text" "r" p5101 (* scbdw (/ 2.25 m1)) "0" "Total Weight")
        (command "_text" "r" p6101 (* scbdw (/ 2.25 m1)) "0" (read-line fname2)) ; total weight
	(close fname2)
        (command "_layer" "s" "0" "")
(bomtab scbdw z3)
) ; end bomdwg_w  -------------------------------------------------------------------
(defun tagno ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
    (if (= m2 4) (setq dist1 (* dist1 3.0)))
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht detsc))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 4.0 detsc textht))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 2.0 textht detsc) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno (for details) -----------------------------------------------
(defun tagno_ga ( ptag1 dist1 ang tagnov / ptag2 ptag3 ptag4)
(setq ptag2 (polar ptag1 (dtr ang) dist1)
      ptag3 (polar ptag2 (angle ptag1 ptag2) (* textht 10.0))
      ptag4 (polar ptag2 (angle ptag1 ptag2) (* 2.0 textht 10.0))
)
(if (not tagnov) (setq tagnov (itoa (getint "\nTag Number: "))))
(command "_line" ptag1 ptag2 ""
	 "_circle" "2p" ptag2 ptag4
	 "_style" "romans" "" 0.0 0.75 0.0 "" "" ""
         "_layer" "s" "txt" ""
         "_text" "middle" ptag3 (* 10.0 textht) 0.0 (itoa tagnov)
         "_layer" "s" "0" ""
)
(princ)
) ; end tagno_ga (for ga) -----------------------------------------------

; get functions -------------------------------------------------
(defun get_ves1  () (setq ves1  (distof (get_tile "ves1_db"))));
(defun get_ves2  () (setq ves2  (distof (get_tile "ves2_db"))));
(defun get_ves3  () (setq ves3  (distof (get_tile "ves3_db"))));
(defun get_ves4  () (setq ves4  (distof (get_tile "ves4_db"))));
(defun get_ves5  () (setq ves5  (distof (get_tile "ves5_db"))));
(defun get_ves6  () (setq ves6  (distof (get_tile "ves6_db"))));
(defun get_ves7  () (setq ves7  (distof (get_tile "ves7_db"))));
(defun get_ves8  () (setq ves8  (distof (get_tile "ves8_db"))));
(defun get_ves9  () (setq ves9  (distof (get_tile "ves9_db"))));
(defun get_ves10 () (setq ves10 (distof (get_tile "ves10_db"))));
(defun get_ves11 () (setq ves11 (distof (get_tile "ves11_db"))));
(defun get_ves12 () (setq ves12 (distof (get_tile "ves12_db"))));
(defun get_ves13 () (setq ves13 (distof (get_tile "ves13_db"))));
;------------------------------------------------------------------
(princ "Loaded.")(princ)
(princ "\nType vst and press <enter> to start")
(princ) (princ)
